//---------------------------------------------------------------------------------------------------------------------
// Copyright (C) AUMA Riester GmbH & Co. KG (2005). All Rights Reserved
// Product       : SIMATIC PDM DD
//
// Device        : AUMATIC
// Communication : PROFIBUS DP-V1
// Dictionary    : ACEDD.dct
// Author        : this file was written by Dirk Kraemer for AUMA
//
// $Revision     : 1.2 $
// $Date         : 13 Sep 2005 15:37:44 $
//---------------------------------------------------------------------------------------------------------------------

//--------------------------- nderungshistorie Lieferpaket Z039.649_xx -----------------------------------------------
//
// Z039.649_00:   - Ersterstellung
//                - Untersttze Logik-FW: Z031.922/03-10 bis Z031.922/03-11
//                                        Z031.922/05-04 bis Z031.922/05-07
//
// Z039.649_01:   - Anpassung ACEDD-Lieferpaket (ALP) an neue GSD-Version
//                    bisherige GSD-Datei: Z038337_00.gsd
//                    neue Version im ALP:  AUMA05CD.gsd
//
// Z039.649_02:   - Erweiterung der Logik-FW-Versionsuntersttzung
//                - Untersttze Logik-FW: Z031.922/03-10 bis Z031.922/03-11
//                                        von Z031.922/05-04 bis Z031.922/05-99
//                                        Z031.922/06-xx
//                                        Z031.922/07-xx
//                                        Z031.922/08-xx
//
//---------------------------------------------------------------------------------------------------------------------

#ifndef DDCCorrection
MANUFACTURER 	0x0732,
DEVICE_TYPE 	1,
DEVICE_REVISION 1,
DD_REVISION 	1
#else
MANUFACTURER 	AUMA,
DEVICE_TYPE 	_AUMATIC,
DEVICE_REVISION 1,
DD_REVISION 	1

#endif

#ifndef DDCCorrection
// hierin wird ein SWITCH-Prprozessorbefehl benutzt, der in "SI_OptM.inc" ausgewertet wird, deswegen Reihenfolge nicht ndern!
// Anmerkung MM, 09.02.07: Durch Auskommentieren dieses Includes kann das Hauptmenkommando "Extras >> Fehlerbehandlung" deaktiviert werden.

#include "SIPAST_CommError.inc" 
#include "SI_FileM.inc"
#include "SI_OptM.inc"
#include "SI_HlpM.inc"
#include "calib.inc"
#include "Diagnosis.inc"
#else
#include "AUMA_DTM.DD"
#endif

//Schalter fuer Simulationsmode: Men Kombiobjekte+Abhngigkeitsschalter wird sichtbar
//#define SIMULATIONSMODE_ENTWICKLUNG
/*SIMULATIONSMODE_ENTWICKLUNG soll spter mal "von auen" zur Laufzeit aktvierbar sein.
Ansatz: "Schaltervariable die nirgendwo sichtbar ist, und deren
Defaultwert triggern*/


//~ Konstantendefinitionen
//~ 
// Konstantendefinitionen
// 
// fr Kombiobjekt-Maximalwerte (Ist-/Soll-Pos, DrehMo, Infowert)
#define INFOWERT_MIN			0
#define INFOWERT_MAX			64
#define POS_MINWERT_PROMILLE	0
#define POS_MAXWERT_PROMILLE	1100
#define DREMO_MAXWERT_PROZ		127
#define DREMO_MAXWERT_NMLBSFT	700000

// fr die Statemachine in method_logicswversion (Variable iState)
#define LSWV_03_10		0
#define LSWV_03_11		1
#define LSWV_05_04		2
#define LSWV_06_xx		3
#define LSWV_07_xx		4
#define LSWV_08_xx		5
#define LSWV_10_xx		6
#define LSWV_BAD		7
//~ Main Menus + Methods
#ifndef DDCCorrection
MENU Menu_Main_Specialist
{
	LABEL		[main_menu];
	ITEMS
	{
		Menu_File,
		Menu_S_Device,
		Menu_View,
		Menu_Options,
		Menu_Help
	}
}

MENU Menu_Main_Maintenance
{
	LABEL		[main_menu];
	ITEMS
	{
		Menu_File,
		Menu_M_Device,
		Menu_View,
		Menu_Options,
		Menu_Help
	}
}

METHOD std_LoadinDevice
{
	LABEL		[menu_Device_LoadinDevice];
	CLASS		INPUT;
	DEFINITION
	{
	}
}

METHOD std_LoadinPC
{
	LABEL		[menu_Device_LoadinPC];
	CLASS		INPUT;
	DEFINITION
	{
	}
}

MENU Menu_View
{
	LABEL		[menu_View];
	ITEMS
	{
		std_Funktionsleiste,
		std_Statuszeile
	}
}

METHOD std_Funktionsleiste
{
	LABEL		[menu_View_Toolbar];
	CLASS		INPUT;
	DEFINITION
	{
	}
}

METHOD std_Statuszeile
{
	LABEL		[menu_View_Statusbar];
	CLASS		INPUT;
	DEFINITION
	{
	}
}

METHOD std_Update
{
	LABEL		[menu_View_Update];
	DEFINITION
	{
	}
}

MENU Menu_S_Device
{
	LABEL		[menu_Device];
	ITEMS
	{
		menu_TrendModul,
		menu_Allgemein_S,
		//SEPERATOR,
		reset_all_op_data,
		std_LoadinDevice,
		std_LoadinPC,
	}
}

MENU Menu_M_Device
{
	LABEL		[menu_Device];
	ITEMS
	{
		menu_TrendModul,
		std_LoadinPC
	}
}
//~ Graphische Ausgabe ber Menbefehele
//Hauptmen-Eintrag
MENU menu_TrendModul
{
   LABEL		[TXT_MAINMENU_TREND];
   ITEMS
   {
      //var_KOMBI_TrqPosIstPos,
      var_KOMBI_TrqPosProz (HIDDEN),
      //var_KOMBI_TrqPosSollPos,
      //var_KOMBI_TrqPosInfoWerte,
      chart_TrendKurven,
      //TestGauge,
   }
}
#ifdef TESTCODE_FUER_EVTL_SPAETERE_VERWENDUNG
//~ TestGauge
//'''''   Testbetrieb!
CHART TestGauge
{
   LABEL	"Test-Gauge";
   TYPE	GAUGE;
   MEMBERS
   {
      SOURCE1, chartsource1;
   }
}
SOURCE chartsource1
{
   LABEL	"source 1";
   Y_AXIS	chartyaxis1;
   MEMBERS
   {
      VALUE1, var_StatusStellReglerIstPos;
   }
}
AXIS chartyaxis1
{
   LABEL	"yaxis 1";
   MIN_VALUE	0;
   MAX_VALUE	1200;
}
#endif
//~ chart_TrendKurven
// Trendkurve, d.h. Anzeige von IstPos. und DreMo ber der Zeit.
// Zuerst die Definition des eigentlichen grafischen Elements im Dialog und seiner Bestandteile:
// 
CHART chart_TrendKurven
{
   LABEL		"Test-Sweep";
   TYPE		SCOPE;   //SWEEP;STRIP
   			//Interessanterweise kommt im PDM immer das gleiche grafische ELement
   			// egal welcher der 3 Typen definiert wird. 
   CYCLE_TIME	100;
   LENGTH		100 * 360;
   HEIGHT		XX_LARGE;	//noch groesser: XX_LARGE; kleiner: X_LARGE
   WIDTH		XX_LARGE;	//noch groesser: XX_LARGE;
   MEMBERS
   {
      // Zum Zeitpunkt der Entwicklung dieses Codes ist kein Weg bekannt, mehr als 4 Kurven gleichzeitig in einem Chart-Objekt darzustellen --> Ausblenden von Source 3 und 4.
      SOURCE1, source_IstPosition;
      SOURCE2, source_DrehMomentProz;
      //SOURCE3, source_DrehMomentNm;
      //SOURCE4, source_DrehMomentLbsFt;
      SOURCE5, source_SollPosition;
      SOURCE6, source_InfoWert;
   }
}
// Auflistung der einzelnen Kurvenobjekte:
// - IstPosition
SOURCE source_IstPosition
{
   LABEL		"<Kurve IstPosition>";
   Y_AXIS		chartyaxis_IstPosition;
   LINE_COLOR	0xc864c8; //Magenta
   MEMBERS
   {
      VALUE1, var_KOMBI_TrqPosIstPos;
   }
}
AXIS chartyaxis_IstPosition
{
   LABEL	"<IstPosition>";
   MIN_VALUE	POS_MINWERT_PROMILLE;
   MAX_VALUE	POS_MAXWERT_PROMILLE;
}
// - Drehmoment in Prozent
SOURCE source_DrehMomentProz
{
   LABEL		"<Kurve Drehmoment in Prozent>";
   Y_AXIS		chartyaxis_DrehmomentInProzent;
   LINE_COLOR	0xff0000; //Blau //0x8515c7;
   MEMBERS
   {
      VALUE1, var_KOMBI_TrqPosProz;
   }
}
AXIS chartyaxis_DrehmomentInProzent
{
   LABEL	"<Drehmoment in Prozent>";
   MIN_VALUE	-DREMO_MAXWERT_PROZ;
   MAX_VALUE	DREMO_MAXWERT_PROZ;
}
// - Drehmoment in Nm
SOURCE source_DrehMomentNm
{
   LABEL		"<Kurve Drehmoment in Nm>";
   Y_AXIS		chartyaxis_DrehmomentInNm;
   LINE_COLOR	0x0000ff; //Rot  //0x8515c7;
   MEMBERS
   {
      VALUE1, var_KOMBI_TrqPosNm;
   }
}
AXIS chartyaxis_DrehmomentInNm
{
   LABEL	"<Drehmoment in Nm>";
   MIN_VALUE	-DREMO_MAXWERT_PROZ;
   MAX_VALUE	DREMO_MAXWERT_PROZ;
}
// - Drehmoment in LbsFt
SOURCE source_DrehMomentLbsFt
{
   LABEL		"<Kurve Drehmoment in LbsFt>";
   Y_AXIS		chartyaxis_DrehmomentInLbsFt;
   LINE_COLOR	0x507850;  //Dunkelgrn
   MEMBERS
   {
      VALUE1, var_KOMBI_TrqPosLbsft;
   }
}
AXIS chartyaxis_DrehmomentInLbsFt
{
   LABEL	"<Drehmoment in LbsFt>";
   MIN_VALUE	-DREMO_MAXWERT_PROZ;
   MAX_VALUE	DREMO_MAXWERT_PROZ;
}
// - Soll-Position
SOURCE source_SollPosition
{
   LABEL		"<Sollposition in Promille>";
   Y_AXIS		chartyaxis_SollPos;
   //LINE_COLOR	0x5a7f7f;  //Ocker
   LINE_COLOR	0x507850;  	//Dunkelgrn; msste eigentl. wg. Anpassung an DTM 
   						// Ocker sein, da aber eh'nur 4 Kurven gezeigt werden,
   						// ist das Grn besser erkennbar 
   MEMBERS
   {
      VALUE1, var_KOMBI_TrqPosSollPos;
   }
}
AXIS chartyaxis_SollPos
{
   LABEL	"<Sollposition in Promille>";
   MIN_VALUE	POS_MINWERT_PROMILLE;
   MAX_VALUE	POS_MAXWERT_PROMILLE;
}
// - Info-Wert: Zusammenfassung verschiedener bit-Flags zu einer dezimalen Darstellung
//   (Ziel: Erhalt einer grafischen Interpretation der verschiedenen Zustnde, die fr
//   die Kurvendarstellungen relevant sein knnen)
SOURCE source_InfoWert
{
   LABEL		"<InfoWert (Bits als Dezimalzahl interpretiert)>";
   Y_AXIS		chartyaxis_InfoWert;
   LINE_COLOR	0x646464;  //grau
   MEMBERS
   {
      VALUE1, var_KOMBI_TrqPosInfoWerte;
   }
}
AXIS chartyaxis_InfoWert
{
   LABEL	"<Bits als Dezimalzahl interpretiert>";
   MIN_VALUE	INFOWERT_MIN;
   MAX_VALUE	INFOWERT_MAX;
}
#endif

/*************************************************************/
VARIABLE PROFIBUS_Profile_Ident_Number
{
        LABEL           "";
        HELP            "";
        CLASS           LOCAL;
        TYPE            UNSIGNED_INTEGER (2)
        {
                DEFAULT_VALUE 0x0732;
        }
        HANDLING        READ;
}


VARIABLE phys_tag_desc
{
	LABEL		[tag_desc];
	HELP		[tag_desc_help];
	CLASS		LOCAL;
	TYPE		ASCII (16)
	{
#ifdef DDCCorrection
		DEFAULT_VALUE "AUMA"; /*This is what we read from device, it will not be changed depending on the language*/
#else
		DEFAULT_VALUE [auma_label];
#endif
	}
	HANDLING	READ;
}

//~ Methods
/************************************************************************************************************************************/
/**** METHODS ***********************************************************************************************************************/
/************************************************************************************************************************************/
/*************************************************************/
#ifdef DDCCorrection

#define set_to_zero( INTVAR )				\
	/*build a name*/						\
		set_to_zero##INTVAR					\


#define declare_set_to_zero( INTVAR )	\
	/*template for method*/				\
METHOD set_to_zero##INTVAR				\
{										\
   LABEL "no label";					\
   CLASS CONTAINED;						\
   ACCESS ONLINE;						\
   DEFINITION							\
   {									\
      DELAY(2, [info_set_to_zero]);		\
      iassign( INTVAR , 0);				\
	  save_values();					\
   }									\
}										\


  /*declare all used methods*/
declare_set_to_zero( BMLZ )
declare_set_to_zero( BSSP )
declare_set_to_zero( BSDSR )
declare_set_to_zero( BSWSR )
declare_set_to_zero( BSDOL )
declare_set_to_zero( BSWOL )
declare_set_to_zero( BRESE )
declare_set_to_zero( BDSRE )
declare_set_to_zero( BDOLE )
declare_set_to_zero( BTHE )
declare_set_to_zero( BUZE )
declare_set_to_zero( BUMZE )

#else
METHOD set_to_zero (int out)
{
   DEFINITION
   {
      DELAY(2, [info_set_to_zero]);
      out = 0;
   }
}
#endif


/**/
/*************************************************************/
METHOD method_validity_Trq
{
#ifdef DDCCorrection
   LABEL "no Label";
   _CWTESTCLASS
   ACCESS ONLINE;
#endif
   DEFINITION
   {
#ifdef DDCCorrection
      switch(ivar_value(E2_IN))
#else
      switch(E2_IN)
#endif
      {
         case 0:	// KEIN - ungltig
         {
#ifdef DDCCorrection
         	iassign(TRQAUF_VALIDITY,_FALSE);
         	iassign(TRQZU_VALIDITY,_FALSE);
         	iassign(TRQIND_VALIDITY,_FALSE);
#else
         	TRQAUF.VALIDITY = FALSE;
         	TRQZU.VALIDITY = FALSE;
         	TRQIND.VALIDITY = FALSE;
#endif
         }
         	break;
         case 1:	// POTENTIOMETER - ungltig
         {
#ifdef DDCCorrection
         	iassign(TRQAUF_VALIDITY,_FALSE);
         	iassign(TRQZU_VALIDITY,_FALSE);
         	iassign(TRQIND_VALIDITY,_FALSE);

#else
         	TRQAUF.VALIDITY = FALSE;
         	TRQZU.VALIDITY = FALSE;
         	TRQIND.VALIDITY = FALSE;
#endif
         }
         	break;
         case 2:	// 0-20mA - ungltig
         {
#ifdef DDCCorrection
         	iassign(TRQAUF_VALIDITY,_FALSE);
         	iassign(TRQZU_VALIDITY,_FALSE);
         	iassign(TRQIND_VALIDITY,_FALSE);

#else
         	TRQAUF.VALIDITY = FALSE;
         	TRQZU.VALIDITY = FALSE;
         	TRQIND.VALIDITY = FALSE;
#endif
         }
         	break;
         case 3:	// 4-20mA - ungltig
         {
#ifdef DDCCorrection
         	iassign(TRQAUF_VALIDITY,_FALSE);
         	iassign(TRQZU_VALIDITY,_FALSE);
         	iassign(TRQIND_VALIDITY,_FALSE);
#else
         	TRQAUF.VALIDITY = FALSE;
         	TRQZU.VALIDITY = FALSE;
         	TRQIND.VALIDITY = FALSE;
#endif
         }
         	break;
         case 4:	// MWG - gltig
         {
#ifdef DDCCorrection
         	iassign(TRQAUF_VALIDITY,_TRUE);
         	iassign(TRQZU_VALIDITY,_TRUE);
         	iassign(TRQIND_VALIDITY,_TRUE);
#else
         	TRQAUF.VALIDITY = TRUE;
         	TRQZU.VALIDITY = TRUE;
         	TRQIND.VALIDITY = TRUE;
#endif
         }
         	break;
      }
#ifdef DDCCorrection
      save_values();
#endif
   }
}

/*************************************************************/
METHOD method_validity_Interface_2
{
#ifdef DDCCorrection
	LABEL "no Label";
	_CWTESTCLASS
	ACCESS ONLINE;

#endif
	DEFINITION
	{
#ifdef DDCCorrection
		switch(ivar_value(INTTY2))
#else
		switch(INTTY2)
#endif
		{
			case 0:	// kein Interface
			{
#ifdef DDCCorrection
				iassign(tabInterface0_S_VALIDITY,_FALSE);
				iassign(tabInterface0_M_VALIDITY,_FALSE);
				iassign(tabPBDPInterface2_S_VALIDITY,_FALSE);
				iassign(tabPBDPInterface2_M_VALIDITY,_FALSE);
#else
				tabInterface0_S.VALIDITY = FALSE;
				tabInterface0_M.VALIDITY = FALSE;
				tabPBDPInterface2_S.VALIDITY = FALSE;
				tabPBDPInterface2_M.VALIDITY = FALSE;
#endif
			}
				break;
			case 1:	// Paralleles Interface
			{
#ifdef DDCCorrection
				iassign(tabInterface0_S_VALIDITY,_TRUE);
				iassign(tabInterface0_M_VALIDITY,_TRUE);
				iassign(tabPBDPInterface2_S_VALIDITY,_FALSE);
				iassign(tabPBDPInterface2_M_VALIDITY,_FALSE);
#else
				tabInterface0_S.VALIDITY = TRUE;
				tabInterface0_M.VALIDITY = TRUE;
				tabPBDPInterface2_S.VALIDITY = FALSE;
				tabPBDPInterface2_M.VALIDITY = FALSE;
#endif
			}
				break;
			case 2:	// Profibus DP Interface 2
			{
#ifdef DDCCorrection
				iassign(tabInterface0_S_VALIDITY,_FALSE);
				iassign(tabInterface0_M_VALIDITY,_FALSE);
				iassign(tabPBDPInterface2_S_VALIDITY,_TRUE);
				iassign(tabPBDPInterface2_M_VALIDITY,_TRUE);
#else
				tabInterface0_S.VALIDITY = FALSE;
				tabInterface0_M.VALIDITY = FALSE;
				tabPBDPInterface2_S.VALIDITY = TRUE;
				tabPBDPInterface2_M.VALIDITY = TRUE;
#endif
			}
				break;
			case 3:	// MODBUS
			{
#ifdef DDCCorrection
				iassign(tabInterface0_S_VALIDITY,_FALSE);
				iassign(tabInterface0_M_VALIDITY,_FALSE);
				iassign(tabPBDPInterface2_S_VALIDITY,_FALSE);
				iassign(tabPBDPInterface2_M_VALIDITY,_FALSE);

#else
				tabInterface0_S.VALIDITY = FALSE;
				tabInterface0_M.VALIDITY = FALSE;
				tabPBDPInterface2_S.VALIDITY = FALSE;
				tabPBDPInterface2_M.VALIDITY = FALSE;

#endif
			}
			case 4:	// DeviceNet
			{
#ifdef DDCCorrection
				iassign(tabInterface0_S_VALIDITY,_FALSE);
				iassign(tabInterface0_M_VALIDITY,_FALSE);
				iassign(tabPBDPInterface2_S_VALIDITY,_FALSE);
				iassign(tabPBDPInterface2_M_VALIDITY,_FALSE);
#else
				tabInterface0_S.VALIDITY = FALSE;
				tabInterface0_M.VALIDITY = FALSE;
				tabPBDPInterface2_S.VALIDITY = FALSE;
				tabPBDPInterface2_M.VALIDITY = FALSE;
#endif
			}
			case 5:	// Foundation Fieldbus
			{
#ifdef DDCCorrection
				iassign(tabInterface0_S_VALIDITY,_FALSE);
				iassign(tabInterface0_M_VALIDITY,_FALSE);
				iassign(tabPBDPInterface2_S_VALIDITY,_FALSE);
				iassign(tabPBDPInterface2_M_VALIDITY,_FALSE);
#else
				tabInterface0_S.VALIDITY = FALSE;
				tabInterface0_M.VALIDITY = FALSE;
				tabPBDPInterface2_S.VALIDITY = FALSE;
				tabPBDPInterface2_M.VALIDITY = FALSE;
#endif
			}
		}
#ifdef DDCCorrection
		save_values();
#endif

	}
}

/*************************************************************/
METHOD method_validity_FailureBehaviour
{
#ifdef DDCCorrection
	LABEL "no Label";
	_CWTESTCLASS
	ACCESS ONLINE;

#endif
	DEFINITION
	{
#ifdef DDCCorrection
		switch(ivar_value(SIVERH))
#else
		switch(SIVERH)
#endif
		{
			case 0:	// ungltig
			{
#ifdef DDCCorrection
				iassign(SISRC_VALIDITY,_FALSE);
				iassign(SIFAHR_VALIDITY,_FALSE);
				iassign(SIZ_VALIDITY,_FALSE);
#else
				SISRC.VALIDITY = FALSE;
				SIFAHR.VALIDITY = FALSE;
				SIZ.VALIDITY = FALSE;
#endif
			}
				break;
			case 1:	// gltig
			{
#ifdef DDCCorrection
				iassign(SISRC_VALIDITY,_TRUE);
				iassign(SIFAHR_VALIDITY,_TRUE);
				iassign(SIZ_VALIDITY,_TRUE);
#else
				SISRC.VALIDITY = TRUE;
				SIFAHR.VALIDITY = TRUE;
				SIZ.VALIDITY = TRUE;
#endif
			}
				break;
			case 2:	// gltig
			{
#ifdef DDCCorrection
				iassign(SISRC_VALIDITY,_TRUE);
				iassign(SIFAHR_VALIDITY,_TRUE);
				iassign(SIZ_VALIDITY,_TRUE);
#else
				SISRC.VALIDITY = TRUE;
				SIFAHR.VALIDITY = TRUE;
				SIZ.VALIDITY = TRUE;
#endif
			}
				break;
		}
#ifdef DDCCorrection
	save_values();
#endif
	}
}

/*************************************************************/
METHOD method_validity_PresetPosition
{
#ifdef DDCCorrection
	LABEL "no Label";
	_CWTESTCLASS
	ACCESS ONLINE;

#endif
	DEFINITION
	{
#ifdef DDCCorrection
		if(ivar_value(SIFAHR)==3)
#else
		if(SIFAHR==3)
#endif
		{
#ifdef DDCCorrection
			iassign(SIFPOS_VALIDITY,_TRUE);
#else
			SIFPOS.VALIDITY = TRUE;
#endif
		}
		else
		{
#ifdef DDCCorrection
			iassign(SIFPOS_VALIDITY,_TRUE);
#else
			SIFPOS.VALIDITY = FALSE;
#endif
		}
#ifdef DDCCorrection
		save_values();
#endif
	}
}


/*************************************************************/
METHOD method_validity_EmergencyBehaviour
{
#ifdef DDCCorrection
	LABEL "no Label";
	_CWTESTCLASS
	ACCESS ONLINE;

#endif
	DEFINITION
	{
#ifdef DDCCorrection
		switch(ivar_value(NOVERH))
#else
		switch(NOVERH)
#endif
		{
			case 0:	// ungltig
			{
#ifdef DDCCorrection
				iassign(NOWSOR_VALIDITY,_FALSE);
				iassign(NOFAHR_VALIDITY,_FALSE);
#else
				NOWSOR.VALIDITY = FALSE;
				NOFAHR.VALIDITY = FALSE;
#endif
			}
				break;
			case 1:	// gltig
			{
#ifdef DDCCorrection
				iassign(NOWSOR_VALIDITY,_TRUE);
				iassign(NOFAHR_VALIDITY,_TRUE);
#else
				NOWSOR.VALIDITY = TRUE;
				NOFAHR.VALIDITY = TRUE;
#endif
			}
				break;
			case 2:	// gltig
			{
#ifdef DDCCorrection
				iassign(NOWSOR_VALIDITY,_TRUE);
				iassign(NOFAHR_VALIDITY,_TRUE);
#else
				NOWSOR.VALIDITY = TRUE;
				NOFAHR.VALIDITY = TRUE;
#endif
			}
				break;
		}
#ifdef DDCCorrection
		save_values();
#endif
	}
}

/*************************************************************/
METHOD method_validity_EmergencyPresetPosition
{
#ifdef DDCCorrection
	LABEL "no Label";
	_CWTESTCLASS
	ACCESS ONLINE;

#endif
	DEFINITION
	{
#ifdef DDCCorrection
		if(ivar_value(NOFAHR)==3)
#else
		if(NOFAHR==3)
#endif
		{
#ifdef DDCCorrection
			iassign(NOFPOS_VALIDITY,_TRUE);
#else
			NOFPOS.VALIDITY = TRUE;
#endif
		}
		else
		{
#ifdef DDCCorrection
			iassign(NOFPOS_VALIDITY,_FALSE);
#else
			NOFPOS.VALIDITY = FALSE;
#endif
		}
#ifdef DDCCorrection
		save_values();
#endif
	}
}

/*************************************************************/
METHOD method_validity_SteppingMode
{
#ifdef DDCCorrection
	LABEL "no Label";
	_CWTESTCLASS
	ACCESS ONLINE;

#endif
	DEFINITION
	{
#ifdef DDCCorrection
		if(ivar_value(SWTKT)==1)
#else
		if(SWTKT==1)
#endif
		{
#ifdef DDCCorrection
			iassign(TBA_VALIDITY,_TRUE);
			iassign(TBAFZ_VALIDITY,_TRUE);
			iassign(TBAPZ_VALIDITY,_TRUE);
			iassign(TBAANF_VALIDITY,_TRUE);
			iassign(TBAEND_VALIDITY,_TRUE);
			iassign(TBZ_VALIDITY,_TRUE);
			iassign(TBZFZ_VALIDITY,_TRUE);
			iassign(TBZPZ_VALIDITY,_TRUE);
			iassign(TBZANF_VALIDITY,_TRUE);
			iassign(TBZEND_VALIDITY,_TRUE);
#else
			TBA.VALIDITY = TRUE;
			TBAFZ.VALIDITY = TRUE;
			TBAPZ.VALIDITY = TRUE;
			TBAANF.VALIDITY = TRUE;
			TBAEND.VALIDITY = TRUE;
			TBZ.VALIDITY = TRUE;
			TBZFZ.VALIDITY = TRUE;
			TBZPZ.VALIDITY = TRUE;
			TBZANF.VALIDITY = TRUE;
			TBZEND.VALIDITY = TRUE;
#endif
		}
		else
		{
#ifdef DDCCorrection
			iassign(TBA_VALIDITY,_FALSE);
			iassign(TBAFZ_VALIDITY,_FALSE);
			iassign(TBAPZ_VALIDITY,_FALSE);
			iassign(TBAANF_VALIDITY,_FALSE);
			iassign(TBAEND_VALIDITY,_FALSE);
			iassign(TBZ_VALIDITY,_FALSE);
			iassign(TBZFZ_VALIDITY,_FALSE);
			iassign(TBZPZ_VALIDITY,_FALSE);
			iassign(TBZANF_VALIDITY,_FALSE);
			iassign(TBZEND_VALIDITY,_FALSE);
#else
			TBA.VALIDITY = FALSE;
			TBAFZ.VALIDITY = FALSE;
			TBAPZ.VALIDITY = FALSE;
			TBAANF.VALIDITY = FALSE;
			TBAEND.VALIDITY = FALSE;
			TBZ.VALIDITY = FALSE;
			TBZFZ.VALIDITY = FALSE;
			TBZPZ.VALIDITY = FALSE;
			TBZANF.VALIDITY = FALSE;
			TBZEND.VALIDITY = FALSE;
#endif
		}
#ifdef DDCCorrection
		save_values();
#endif
	}
}

/*************************************************************/
METHOD method_validity_positioner
{
#ifdef DDCCorrection
	LABEL "no Label";
	_CWTESTCLASS
	ACCESS ONLINE;

#endif
	DEFINITION
	{
#ifdef DDCCorrection
		if(ivar_value(REGTYP) ==1)
#else
		if(REGTYP==1)
#endif
		{
#ifdef DDCCorrection
			iassign(frmPositioner_S_VALIDITY,_TRUE);
			iassign(frmPositioner_M_VALIDITY,_TRUE);
#else
			frmPositioner_S.VALIDITY = TRUE;
			frmPositioner_M.VALIDITY = TRUE;
#endif
		}
		else
		{
#ifdef DDCCorrection
			iassign(frmPositioner_S_VALIDITY,_FALSE);
			iassign(frmPositioner_M_VALIDITY,_FALSE);
#else
			frmPositioner_S.VALIDITY = FALSE;
			frmPositioner_M.VALIDITY = FALSE;
#endif
		}
#ifdef DDCCorrection
		save_values();
#endif
	}
}

/*************************************************************/
METHOD method_validity_AdaptiveBehaviour
{
#ifdef DDCCorrection
	LABEL "no Label";
	_CWTESTCLASS
	ACCESS ONLINE;

#endif
	DEFINITION
	{
#ifdef DDCCorrection
		if(ivar_value(STRTYP)==0)
#else
		if(STRTYP==0)
#endif
		{
#ifdef DDCCorrection
			iassign(ITOTAU_VALIDITY,_TRUE);
			iassign(ITOTZU_VALIDITY,_TRUE);
			iassign(ATOT_VALIDITY,_TRUE);
#else
			ITOTAU.VALIDITY = TRUE;
			ITOTZU.VALIDITY = TRUE;
			ATOT.VALIDITY = TRUE;
#endif
		}
		else
		{
#ifdef DDCCorrection
			iassign(ITOTAU_VALIDITY,_FALSE);
			iassign(ITOTZU_VALIDITY,_FALSE);
			iassign(ATOT_VALIDITY,_FALSE);
#else
			ITOTAU.VALIDITY = FALSE;
			ITOTZU.VALIDITY = FALSE;
			ATOT.VALIDITY = FALSE;
#endif
		}
#ifdef DDCCorrection
		save_values();
#endif
	}
}

/*************************************************************/
METHOD method_validity_FullOpenAdjustment
{
#ifdef DDCCorrection
	LABEL "no Label";
	_CWTESTCLASS
	ACCESS ONLINE;

#endif
	DEFINITION
	{
#ifdef DDCCorrection
		int local_E1_IN;

		local_E1_IN = ivar_value(E1_IN);

		if((local_E1_IN==0)||(local_E1_IN==2)||(local_E1_IN==7)||(local_E1_IN==10)||(local_E1_IN==13))
#else
		if((E1_IN==0)||(E1_IN==2)||(E1_IN==7)||(E1_IN==10)||(E1_IN==13))
#endif
		{
#ifdef DDCCorrection
			iassign(ETOLA_VALIDITY,_FALSE);
			iassign(ETOLZ_VALIDITY,_FALSE);
#else
			ETOLA.VALIDITY = FALSE;
			ETOLZ.VALIDITY = FALSE;
#endif
		}
		else
		{
#ifdef DDCCorrection
			iassign(ETOLA_VALIDITY,_TRUE);
			iassign(ETOLZ_VALIDITY,_TRUE);
#else
			ETOLA.VALIDITY = TRUE;
			ETOLZ.VALIDITY = TRUE;
#endif
		}
#ifdef DDCCorrection
		save_values();
#endif
	}
}

/*************************************************************/
METHOD method_validity_PIDControl
{
#ifdef DDCCorrection
	LABEL "no Label";
	_CWTESTCLASS
	ACCESS ONLINE;

#endif
	DEFINITION
	{
#ifdef DDCCorrection
		int local_PIDTYP;
		local_PIDTYP = ivar_value(PIDTYP);
		if((local_PIDTYP==1)||(local_PIDTYP==2))
#else
		if((PIDTYP==1)||(PIDTYP==2))
#endif
		{
#ifdef DDCCorrection
			iassign(tabAumatic13_S_VALIDITY,_TRUE);
			iassign(tabAumatic13_M_VALIDITY,_TRUE);
#else
			tabAumatic13_S.VALIDITY = TRUE;
			tabAumatic13_M.VALIDITY = TRUE;
#endif
		}
		else
		{
#ifdef DDCCorrection
			iassign(tabAumatic13_S_VALIDITY,_FALSE);
			iassign(tabAumatic13_M_VALIDITY,_FALSE);
#else
			tabAumatic13_S.VALIDITY = FALSE;
			tabAumatic13_M.VALIDITY = FALSE;
#endif
		}
#ifdef DDCCorrection
		save_values();
#endif
	}
}

/*************************************************************/
METHOD method_validity_IntermediatePosition
{
#ifdef DDCCorrection
	LABEL "no Label";
	_CWTESTCLASS
	ACCESS ONLINE;

#endif
	DEFINITION
	{
#ifdef DDCCorrection
		if(ivar_value(SWZWI)==1)
#else
		if(SWZWI==1)
#endif
		{
#ifdef DDCCorrection
			iassign(frmIntPos1_S_VALIDITY,_TRUE);
			iassign(frmIntPos1_M_VALIDITY,_TRUE);
			iassign(frmIntPos2_S_VALIDITY,_TRUE);
			iassign(frmIntPos2_M_VALIDITY,_TRUE);
			iassign(frmIntPos3_S_VALIDITY,_TRUE);
			iassign(frmIntPos3_M_VALIDITY,_TRUE);
			iassign(frmIntPos4_S_VALIDITY,_TRUE);
			iassign(frmIntPos4_M_VALIDITY,_TRUE);
			iassign(frmIntPos5_S_VALIDITY,_TRUE);
			iassign(frmIntPos5_M_VALIDITY,_TRUE);
			iassign(frmIntPos6_S_VALIDITY,_TRUE);
			iassign(frmIntPos6_M_VALIDITY,_TRUE);
			iassign(frmIntPos7_S_VALIDITY,_TRUE);
			iassign(frmIntPos7_M_VALIDITY,_TRUE);
			iassign(frmIntPos8_S_VALIDITY,_TRUE);
			iassign(frmIntPos8_M_VALIDITY,_TRUE);
#else
			frmIntPos1_S.VALIDITY = TRUE;
			frmIntPos1_M.VALIDITY = TRUE;
			frmIntPos2_S.VALIDITY = TRUE;
			frmIntPos2_M.VALIDITY = TRUE;
			frmIntPos3_S.VALIDITY = TRUE;
			frmIntPos3_M.VALIDITY = TRUE;
			frmIntPos4_S.VALIDITY = TRUE;
			frmIntPos4_M.VALIDITY = TRUE;
			frmIntPos5_S.VALIDITY = TRUE;
			frmIntPos5_M.VALIDITY = TRUE;
			frmIntPos6_S.VALIDITY = TRUE;
			frmIntPos6_M.VALIDITY = TRUE;
			frmIntPos7_S.VALIDITY = TRUE;
			frmIntPos7_M.VALIDITY = TRUE;
			frmIntPos8_S.VALIDITY = TRUE;
			frmIntPos8_M.VALIDITY = TRUE;
#endif
		}
		else
		{
#ifdef DDCCorrection
			iassign(frmIntPos1_S_VALIDITY,_FALSE);
			iassign(frmIntPos1_M_VALIDITY,_FALSE);
			iassign(frmIntPos2_S_VALIDITY,_FALSE);
			iassign(frmIntPos2_M_VALIDITY,_FALSE);
			iassign(frmIntPos3_S_VALIDITY,_FALSE);
			iassign(frmIntPos3_M_VALIDITY,_FALSE);
			iassign(frmIntPos4_S_VALIDITY,_FALSE);
			iassign(frmIntPos4_M_VALIDITY,_FALSE);
			iassign(frmIntPos5_S_VALIDITY,_FALSE);
			iassign(frmIntPos5_M_VALIDITY,_FALSE);
			iassign(frmIntPos6_S_VALIDITY,_FALSE);
			iassign(frmIntPos6_M_VALIDITY,_FALSE);
			iassign(frmIntPos7_S_VALIDITY,_FALSE);
			iassign(frmIntPos7_M_VALIDITY,_FALSE);
			iassign(frmIntPos8_S_VALIDITY,_FALSE);
			iassign(frmIntPos8_M_VALIDITY,_FALSE);
#else
			frmIntPos1_S.VALIDITY = FALSE;
			frmIntPos1_M.VALIDITY = FALSE;
			frmIntPos2_S.VALIDITY = FALSE;
			frmIntPos2_M.VALIDITY = FALSE;
			frmIntPos3_S.VALIDITY = FALSE;
			frmIntPos3_M.VALIDITY = FALSE;
			frmIntPos4_S.VALIDITY = FALSE;
			frmIntPos4_M.VALIDITY = FALSE;
			frmIntPos5_S.VALIDITY = FALSE;
			frmIntPos5_M.VALIDITY = FALSE;
			frmIntPos6_S.VALIDITY = FALSE;
			frmIntPos6_M.VALIDITY = FALSE;
			frmIntPos7_S.VALIDITY = FALSE;
			frmIntPos7_M.VALIDITY = FALSE;
			frmIntPos8_S.VALIDITY = FALSE;
			frmIntPos8_M.VALIDITY = FALSE;
#endif
		}
#ifdef DDCCorrection
		save_values();
#endif
	}
}

/*************************************************************/
METHOD method_validity_Monitoring
{
#ifdef DDCCorrection
	LABEL "no Label";
	_CWTESTCLASS
	ACCESS ONLINE;
#endif
	DEFINITION
	{
#ifdef DDCCorrection
		if(ivar_value(SWUEBW)==1)
#else
		if(SWUEBW==1)
#endif
		{
#ifdef DDCCorrection
			iassign(MAXSCH_VALIDITY,_TRUE);
			iassign(MAXLZ_VALIDITY,_TRUE);
			iassign(STZUEB_VALIDITY,_TRUE);
#else
			MAXSCH.VALIDITY = TRUE;
			MAXLZ.VALIDITY = TRUE;
			STZUEB.VALIDITY = TRUE;
#endif
		}
		else
		{
#ifdef DDCCorrection
			iassign(MAXSCH_VALIDITY,_FALSE);
			iassign(MAXLZ_VALIDITY,_FALSE);
			iassign(STZUEB_VALIDITY,_FALSE);
#else
			MAXSCH.VALIDITY = FALSE;
			MAXLZ.VALIDITY = FALSE;
			STZUEB.VALIDITY = FALSE;
#endif
		}
#ifdef DDCCorrection
		save_values();
#endif
	}
}

/*************************************************************/
METHOD method_validity_ReactionMonitoring
{
#ifdef DDCCorrection
	LABEL "no Label";
	_CWTESTCLASS
	ACCESS ONLINE;

#endif
	DEFINITION
	{
#ifdef DDCCorrection
		if(ivar_value(RKTUBW)==1)
#else
		if(RKTUBW==1)
#endif
		{
#ifdef DDCCorrection
			iassign(RKZUEB_VALIDITY,_TRUE);
#else
			RKZUEB.VALIDITY = TRUE;
#endif
		}
		else
		{
#ifdef DDCCorrection
			iassign(RKZUEB_VALIDITY,_FALSE);
#else
			RKZUEB.VALIDITY = FALSE;
#endif
		}
#ifdef DDCCorrection
		save_values();
#endif
	}
}

//~ METHOD method_logicswversion
//~ 
/*************************************************************/
METHOD method_logicswversion
#ifdef DDCCorrection
	ToDoDS: Komplette Methode bersetzen!
#endif
{
   ACCESS		ONLINE;
   DEFINITION
   {
      char	cStringLSWV[20];

      char	acSWTrimmed[20];
      char	cNullBuff[2];
      int		iState,	iState_old;
      int		nIdx, nIdxTrim;

      //Test-Variable
      char	cVersNr[3];
      int		nMainVersion, nSubVersion;
      //Zuweisung der eigentlichen Device-Var. mit der Versionsnummer an den lokalen String
#ifdef SIMULATIONSMODE_ENTWICKLUNG
      cStringLSWV = var_SIMU_DiagLogikSWVersion;
#else
      cStringLSWV = ETSWV;
#endif
      //weitere Initialisierungen...
      iState_old	= LSWV_iStringold;
      nIdxTrim	= 0;
      cNullBuff	= "0";
      //Leerzeichen aus dem Versionsstring trimmen
      //ACKNOWLEDGE("method_logicswversion: Schleifenbeginn" );
      for ( nIdx=0; nIdx<20; nIdx++ )
      {
         if( cStringLSWV[nIdx] != 0x20  )
         {
            //Zeichen in den getrimmten String bernehmen
            acSWTrimmed[nIdxTrim] = cStringLSWV[nIdx];
            nIdxTrim = nIdxTrim + 1;
         }
         else
         {
            //Leerzeichen: nix machen
         }
         //ACKNOWLEDGE("method_logicswversion: nIdx: "+nIdx+", Trim-String: >"+acSWTrimmed+"<" );
      }
      //------ Versions-/Statemapping ----------------------
      //
      //  iState   ->   Logiksoftwareversion
      //     0     ->     Z031.922/03-10
      //     1     ->     Z031.922/03-11
      //     2     ->     von Z031.922/05-04 bis .../05-99
      //     3     ->     Z031.922/06-xx
      //     4     ->     Z031.922/07-xx
      //     5     ->     Z031.922/08-xx
      //     6     ->     nicht untersttzt
      //
      //------ Zeichen-Zhlung ------------------------------
      //    |   Z031.922/08-xx    (hierfr wurde der Code anscheinend geschrieben...)
      //    | Z031.922/08-xx      (Anpassung fr LSW-Testversion .../10-...)
      //    |
      //    |Z031.922/08-xx       (getrimmter Versionsstring)
      //    |01234567890123456
      //    |0         1
      //-----------------------------------------------------
      nMainVersion = acSWTrimmed[9] - cNullBuff[0];
      nMainVersion = 10 * nMainVersion + ( acSWTrimmed[10] - cNullBuff[0] );
      //ACKNOWLEDGE( "Hauptversion: " + nMainVersion );

      nSubVersion = acSWTrimmed[12] - cNullBuff[0];
      nSubVersion = 10 * nSubVersion + ( acSWTrimmed[13] - cNullBuff[0] );
      //ACKNOWLEDGE( "Subversion: " + nSubVersion );
      //ACKNOWLEDGE("method_logicswversion: Beginn Auswertung Versionsnummern" );
      //~ #ifdef URSPRUENGLICHER_CODE
#ifdef URSPRUENGLICHER_CODE

      if((cStringLSWV[13]==0x33)&&(cStringLSWV[15]==0x31)&&(cStringLSWV[16]==0x30))
      	iState = 0;	// Z031.922/03-10
      else if((cStringLSWV[13]==0x33)&&(cStringLSWV[15]==0x31)&&(cStringLSWV[16]==0x31))
      	iState = 1;	// Z031.922/03-11
      else if((cStringLSWV[13]==0x35)&&(cStringLSWV[15]>=0x30)&&(cStringLSWV[16]>=0x34))
      	iState = 2;	// von Z031.922/05-04 bis .../05-99
      else if(cStringLSWV[13]==0x36)
      	iState = 3;	// Z031.922/06-xx
      else if(cStringLSWV[13]==0x37)
      	iState = 4;	// Z031.922/07-xx
      else if(cStringLSWV[13]==0x38)
      	iState = 5;	// Z031.922/08-xx
      else
      	iState = 6; // nicht untersttze Logiksoftwareversion

#endif
      if( (nMainVersion == 3) && (nSubVersion == 10) )
      	iState = 0;	// Z031.922/03-10
      else if( (nMainVersion == 3) && (nSubVersion == 11) )
      	iState = 1;	// Z031.922/03-11
      else if( (nMainVersion == 5) && (nSubVersion >= 4) )
      	iState = 2;	// von Z031.922/05-04 bis .../05-99
      else if( nMainVersion == 6 )
      	iState = 3;	// Z031.922/06-xx
      else if( nMainVersion == 7 )
      	iState = 4;	// Z031.922/07-xx
      else if( nMainVersion == 8 )
      	iState = 5;	// Z031.922/08-xx
      else if( nMainVersion >= 10 )
      	iState = 6; // Z031.922/10-xx und grer
      else
      	iState = 7; // nicht untersttze Logiksoftwareversion

      //ACKNOWLEDGE("method_logicswversion: vor main-switch");
      switch(iState)
      {
      	case LSWV_03_10:	// Z031.922/03-10
      	{
      		// Schreib- und Leseanfragen auf versionsabhngige Parameter sind freigegeben
      		iassign(LSWV_En_UserDefByte_Trq, 0);
      		iassign(LSWV_En_PBDP2_Vars, 1);
      		iassign(var_Aux_nStatusDiagVisibleFlag, 0);	//Status/Diagnose-Men aus
      		iassign(var_Aux_nLogikVersion_08, 0);		//Logikversion 8+: nein

      		// versionsabhngige Parameterfreigaben
      		frmDP_UserDefinedByte3_S.VALIDITY = FALSE;
      		frmDP_UserDefinedByte3_M.VALIDITY = FALSE;
      		frmDP_UserDefinedByte4_S.VALIDITY = FALSE;
      		frmDP_UserDefinedByte4_M.VALIDITY = FALSE;
      		TRQIND.VALIDITY                   = FALSE;
      		frmDP2_Settings_S.VALIDITY        = TRUE;
      		DP2RED.VALIDITY                   = TRUE;
      		DP2KWZ.VALIDITY                   = TRUE;

      		// Versionswechselwarnmeldung berechnen
      		if( (iState_old != iState) && (iState_old != LSWV_03_11)
      		 && (iState_old != LSWV_BAD))
      		{
      			ACKNOWLEDGE([txt_version_downgrade]);
      		}
      		else if(iState_old == LSWV_BAD)
      		{
      			ACKNOWLEDGE([txt_first_prm_upload]);
      		}
      	}
      		break;

      	case LSWV_03_11:	// Z031.922/03-11
      	{
      		// Schreib- und Leseanfragen auf versionsabhngige Parameter sind freigegeben
      		iassign(LSWV_En_UserDefByte_Trq, 0);
      		iassign(LSWV_En_PBDP2_Vars, 1);
      		iassign(var_Aux_nStatusDiagVisibleFlag, 0);	//Status/Diagnose-Men aus
      		iassign(var_Aux_nLogikVersion_08, 0);		//Logikversion 8+: nein

      		// versionsabhngige Parameterfreigaben
      		frmDP_UserDefinedByte3_S.VALIDITY = FALSE;
      		frmDP_UserDefinedByte3_M.VALIDITY = FALSE;
      		frmDP_UserDefinedByte4_S.VALIDITY = FALSE;
      		frmDP_UserDefinedByte4_M.VALIDITY = FALSE;
      		TRQIND.VALIDITY                   = FALSE;
      		frmDP2_Settings_S.VALIDITY        = TRUE;
      		DP2RED.VALIDITY                   = TRUE;
      		DP2KWZ.VALIDITY                   = TRUE;

      		// Versionswechselwarnmeldung berechnen
      		if( (iState_old != iState) && (iState_old != LSWV_03_10)
      		 && (iState_old != LSWV_BAD) )
      		{
      			ACKNOWLEDGE([txt_version_downgrade]);
      		}
      		else if(iState_old == LSWV_BAD)
      		{
      			ACKNOWLEDGE([txt_first_prm_upload]);
      		}
      	}
      		break;

      	case LSWV_05_04:	// von Z031.922/05-04 bis Z031.922/05-99
      	{
      		// Schreib- und Leseanfragen auf versionsabhngige Parameter sind freigegeben
      		iassign(LSWV_En_UserDefByte_Trq, 1);
      		iassign(LSWV_En_PBDP2_Vars, 1);
      		iassign(var_Aux_nStatusDiagVisibleFlag, 0);	//Status/Diagnose-Men aus
      		iassign(var_Aux_nLogikVersion_08, 0);		//Logikversion 8+: nein

      		// versionsabhngige Parameterfreigaben
      		frmDP_UserDefinedByte3_S.VALIDITY = TRUE;
      		frmDP_UserDefinedByte3_M.VALIDITY = TRUE;
      		frmDP_UserDefinedByte4_S.VALIDITY = TRUE;
      		frmDP_UserDefinedByte4_M.VALIDITY = TRUE;
      		frmDP2_Settings_S.VALIDITY        = TRUE;
      		DP2RED.VALIDITY                   = TRUE;
      		DP2KWZ.VALIDITY                   = TRUE;

      		// Versionswechselwarnmeldung berechnen
      		if((iState_old != iState)&&(iState_old != LSWV_BAD))
      		{
      			if((iState_old != LSWV_03_10)||(iState_old != LSWV_03_11))
      				ACKNOWLEDGE([txt_version_downgrade]);
      			else
      				ACKNOWLEDGE([txt_version_upgrade]);
      		}
      		else if(iState_old == LSWV_BAD)
      		{
      			ACKNOWLEDGE([txt_first_prm_upload]);
      		}
      	}
      		break;

      	case LSWV_06_xx: // Z031.922/06-xx
      	{
      		// Schreib- und Leseanfragen auf versionsabhngige Parameter sind freigegeben
      		iassign(LSWV_En_UserDefByte_Trq, 1);
      		iassign(LSWV_En_PBDP2_Vars, 1);
      		iassign(var_Aux_nStatusDiagVisibleFlag, 0);	//Status/Diagnose-Men aus
      		iassign(var_Aux_nLogikVersion_08, 0);		//Logikversion 8+: nein

      		// versionsabhngige Parameterfreigaben
      		frmDP_UserDefinedByte3_S.VALIDITY = TRUE;
      		frmDP_UserDefinedByte3_M.VALIDITY = TRUE;
      		frmDP_UserDefinedByte4_S.VALIDITY = TRUE;
      		frmDP_UserDefinedByte4_M.VALIDITY = TRUE;
      		frmDP2_Settings_S.VALIDITY        = TRUE;
      		DP2RED.VALIDITY                   = TRUE;
      		DP2KWZ.VALIDITY                   = TRUE;

      		// Versionswechselwarnmeldung berechnen
      		if((iState_old != iState)&&(iState_old != LSWV_BAD))
      		{
      			if((iState_old != LSWV_07_xx)||(iState_old != LSWV_08_xx))
      				ACKNOWLEDGE([txt_version_upgrade]);
      			else
      				ACKNOWLEDGE([txt_version_downgrade]);
      		}
      		else if(iState_old == LSWV_BAD)
      		{
      			ACKNOWLEDGE([txt_first_prm_upload]);
      		}
      	}
      		break;

      	case LSWV_07_xx: // Z031.922/07-xx
      	{
      		// Schreib- und Leseanfragen auf versionsabhngige Parameter sind freigegeben
      		iassign(LSWV_En_UserDefByte_Trq, 1);
      		iassign(LSWV_En_PBDP2_Vars, 1);
      		iassign(var_Aux_nStatusDiagVisibleFlag, 0);	//Status/Diagnose-Men aus
      		iassign(var_Aux_nLogikVersion_08, 0);		//Logikversion 8+: nein

      		// versionsabhngige Parameterfreigaben
      		frmDP_UserDefinedByte3_S.VALIDITY = TRUE;
      		frmDP_UserDefinedByte3_M.VALIDITY = TRUE;
      		frmDP_UserDefinedByte4_S.VALIDITY = TRUE;
      		frmDP_UserDefinedByte4_M.VALIDITY = TRUE;
      		frmDP2_Settings_S.VALIDITY        = TRUE;
      		DP2RED.VALIDITY                   = TRUE;
      		DP2KWZ.VALIDITY                   = TRUE;

      		// Versionswechselwarnmeldung berechnen
      		if((iState_old != iState)&&(iState_old != LSWV_BAD))
      		{
      			if(iState_old != LSWV_08_xx)
      				ACKNOWLEDGE([txt_version_upgrade]);
      			else
      				ACKNOWLEDGE([txt_version_downgrade]);
      		}
      		else if(iState_old == LSWV_BAD)
      		{
      			ACKNOWLEDGE([txt_first_prm_upload]);
      		}
      	}
      		break;

      	case LSWV_08_xx: // Z031.922/08-xx
      	{
      		// Schreib- und Leseanfragen auf versionsabhngige Parameter sind freigegeben
      		iassign(LSWV_En_UserDefByte_Trq, 1);
      		iassign(LSWV_En_PBDP2_Vars, 0);
      		iassign(var_Aux_nStatusDiagVisibleFlag, 0);	//Status/Diagnose-Men aus
      		iassign(var_Aux_nLogikVersion_08, 1);		//Logikversion 8+: ja

      		// versionsabhngige Parameterfreigaben
      		frmDP_UserDefinedByte3_S.VALIDITY = TRUE;
      		frmDP_UserDefinedByte3_M.VALIDITY = TRUE;
      		frmDP_UserDefinedByte4_S.VALIDITY = TRUE;
      		frmDP_UserDefinedByte4_M.VALIDITY = TRUE;
      		frmDP2_Settings_S.VALIDITY        = FALSE;
      		DP2RED.VALIDITY                   = FALSE;
      		DP2KWZ.VALIDITY                   = FALSE;

      		// Versionswechselwarnmeldung berechnen
      		if( (iState_old != iState) && (iState_old != LSWV_BAD) )
      		{
      			ACKNOWLEDGE([txt_version_upgrade]);
      		}
      		else if(iState_old == LSWV_BAD)
      		{
      			ACKNOWLEDGE([txt_first_prm_upload]);
      		}
      	}
      		break;

      	case LSWV_10_xx: // Z031.922/10-xx und grer
      	{
      		// Schreib- und Leseanfragen auf versionsabhngige Parameter sind freigegeben
      		iassign(LSWV_En_UserDefByte_Trq, 1);
      		iassign(LSWV_En_PBDP2_Vars, 0);
      		iassign(var_Aux_nStatusDiagVisibleFlag, 1);	//Status/Diagnose-Men EIN
      		iassign(var_Aux_nLogikVersion_08, 1);		//Logikversion 8+: ja

      		// versionsabhngige Parameterfreigaben
      		frmDP_UserDefinedByte3_S.VALIDITY = TRUE;
      		frmDP_UserDefinedByte3_M.VALIDITY = TRUE;
      		frmDP_UserDefinedByte4_S.VALIDITY = TRUE;
      		frmDP_UserDefinedByte4_M.VALIDITY = TRUE;
      		frmDP2_Settings_S.VALIDITY        = FALSE;
      		DP2RED.VALIDITY                   = FALSE;
      		DP2KWZ.VALIDITY                   = FALSE;

      		// Versionswechselwarnmeldung berechnen
      		if( (iState_old != iState) && (iState_old != LSWV_BAD) )
      		{
      			ACKNOWLEDGE([txt_version_upgrade]);
      		}
      		else if(iState_old == LSWV_BAD)
      		{
      			ACKNOWLEDGE([txt_first_prm_upload]);
      		}
      	}
      		break;

      	case LSWV_BAD: // nicht untersttzt
      	{
      		// mache nichts
      	}
      		break;
      }
      // letzte Logik Software Versionsnummer und den State Machine Zustand merken

#ifdef SIMULATIONSMODE_ENTWICKLUNG
      assign_str(LSWV_String, var_SIMU_DiagLogikSWVersion);
#else
      assign_str(LSWV_String, ETSWV);
#endif
      assign_str(LSWV_ucString, cStringLSWV);
      iassign(LSWV_iStringold, iState);
   }
}
METHOD method_validity_TrqUnits
{
#ifdef DDCCorrection
   	LABEL "no Label";
   	_CWTESTCLASS
   	ACCESS ONLINE;
#endif
   DEFINITION
   {
#ifdef DDCCorrection
      switch( ivar_value(TRQIND ))
#else
      switch( TRQIND )
#endif
      {
         case 0:	// Prozent
         {
#ifdef DDCCorrection
         	iassign(var_StatusDreMoInProzent_VALIDITY 	, _TRUE);
         	iassign(var_StatusDreMoInNm_VALIDITY  		, _FALSE);
         	iassign(var_StatusDreMoInLbsft_VALIDITY 	, _FALSE);
#else
         	var_StatusDreMoInProzent.VALIDITY 	= TRUE;
         	var_StatusDreMoInNm.VALIDITY  		= FALSE;
         	var_StatusDreMoInLbsft.VALIDITY 	= FALSE;
#endif
         }
         	break;
         case 1:	// Newtonmeter
         {
#ifdef DDCCorrection
         	iassign(var_StatusDreMoInProzent_VALIDITY 	,_FALSE);
         	iassign(var_StatusDreMoInNm_VALIDITY  		, _TRUE);
         	iassign(var_StatusDreMoInLbsft_VALIDITY 	, _FALSE);
#else
         	var_StatusDreMoInProzent.VALIDITY 	= FALSE;
         	var_StatusDreMoInNm.VALIDITY  		= TRUE;
         	var_StatusDreMoInLbsft.VALIDITY 	= FALSE;
#endif
         }
         	break;
         case 2:	// LbsFt
         {
#ifdef DDCCorrection
         	iassign(var_StatusDreMoInProzent_VALIDITY 	, _FALSE);
         	iassign(var_StatusDreMoInNm_VALIDITY  		, _FALSE);
         	iassign(var_StatusDreMoInLbsft_VALIDITY 	, _TRUE);
#else
         	var_StatusDreMoInProzent.VALIDITY 	= FALSE;
         	var_StatusDreMoInNm.VALIDITY  		= FALSE;
         	var_StatusDreMoInLbsft.VALIDITY 	= TRUE;
#endif
         }
         	break;
      }
#ifdef DDCCorrection
      		save_values();
#endif
   }
}
#ifdef VIELLEICHT_SPAETER_NOCH_VERWENDBAR
// Testmethode; wird nur zur Meldungsausgabe benutzt
METHOD method_TestAck
{
   DEFINITION
   {
      ACKNOWLEDGE("method_TestAck: 1. Testnachricht!");
      //method_logicswversion();
      //ACKNOWLEDGE("method_TestAck: 2. Testnachricht!");
   }
}
#endif
// Methode: method_RecalculateStatusBetriebAus
// 
// Benutzt gloabel Variable:	var_StatusBetriebAus
// Beschreibung:
// Korrektur der Sammelvariablen var_StatusBetriebAus so, dass die Variable entweder den Wert 0 hat (wenn kein einziges Bit gesetzt ist), oder den Wert 1 (wenn ein oder mehrere beliebige Bits gesetzt sind).
METHOD method_RecalculateStatusBetriebAus
{
   DEFINITION
   {
      if( var_StatusBetriebAus > 0 )
      {
         iassign( var_StatusBetriebAus, 1 );
      }
   }
}
// Methode: method_RecalculateNichtBereitFern
// 
// Benutzt gloabel Variable: var_StatusNichtBerFernKeineFreigage
// Beschreibung:
// Korrektur der Sammelvariablen var_StatusNichtBerFernKeineFreigage so, dass die Variable entweder den Wert 0 hat (wenn kein einziges Bit gesetzt ist), oder den Wert 1 (wenn ein oder mehrere beliebige Bits gesetzt sind).
METHOD method_RecalculateNichtBereitFern
{
   DEFINITION
   {
      //ACKNOWLEDGE("method_RecalculateNichtBereitFern: ori-Variablenwert = " + var_StatusNichtBerFernKeineFreigage);
      if( var_StatusNichtBerFernKeineFreigage > 0 )
      {
         //ACKNOWLEDGE("method_CheckNichtBereitFern: var_StatusNichtBerFernKeineFreigage ungleich 0!!");
         iassign( var_StatusNichtBerFernKeineFreigage, 1 );
      }
      //ACKNOWLEDGE("method_CheckNichtBereitFern: Ende");
   }
}
//~ VARIABLES AND COMMANDS
/************************************************************************************************************************************/
/**** VARIABLES AND COMMANDS ********************************************************************************************************/
/************************************************************************************************************************************/

//~ Hilfsparameter
/**** Hilfsparameter ****************************************************************************************************************/
//~ LSWV = Logik Software Version
//~ 
// LSWV = Logik Software Version
/*************************************************************/
VARIABLE LSWV_En_UserDefByte_Trq  // Schreib-/Lesezugriffe auf User Defined Bytes 3 und 4, sowie Drehmomentanzeige freigeben
{
	LABEL		"Freigabe Bytes 3 u. 4";
	CLASS		LOCAL;
	TYPE		UNSIGNED_INTEGER
	{
		DEFAULT_VALUE	1;
	}
	HANDLING	READ & WRITE;
}

/*************************************************************/
VARIABLE LSWV_En_PBDP2_Vars // Schreib-/Lesezugriffe auf Parameter des Profibus DP Interface 2 freigeben
{
	LABEL		"Freigabe PBDP2";
	CLASS		LOCAL;
	TYPE		UNSIGNED_INTEGER
	{
		DEFAULT_VALUE	0;
	}
	HANDLING	READ & WRITE;
}

/*************************************************************/
VARIABLE LSWV_String
{
	LABEL		"Logic SW Version";
	CLASS		LOCAL;
	TYPE		ASCII (20)
	{
		DEFAULT_VALUE	"  _logikswversion_";
	}
	HANDLING	READ & WRITE;
}

/*************************************************************/
VARIABLE LSWV_iStringold
{
	LABEL		"LSWV State Machine old";
	CLASS		LOCAL;
	TYPE		UNSIGNED_INTEGER
	{
		DEFAULT_VALUE	7  /*vor Modifikation von method_logicswversion war es 6 */;
	}
	HANDLING	READ & WRITE;
}

/*************************************************************/
VARIABLE LSWV_ucString
{
	LABEL		"interne Zeichenkette";
	CLASS		LOCAL;
	TYPE		ASCII (20)
	{
		DEFAULT_VALUE	"  _logikswversion_";
	}
	HANDLING	READ & WRITE;
}

VARIABLE var_Aux_nLogikVersion_08
{
   // Wird in method_logicswversion gesetzt (ab Version .../10-xx auf TRUE), und fr abhngige Parameter als Bedingung verwendet.
   // Verwendet fr: PHDELY (Phasenberwachung)
   LABEL	"Hilfs-Flag fr Sichtbarkeit der Mens Status und Diagnose";
   CLASS	LOCAL;
   TYPE	UNSIGNED_INTEGER
   {
      DEFAULT_VALUE	0;
   }
   HANDLING	READ & WRITE;
}
VARIABLE var_Aux_nStatusDiagVisibleFlag
{
   // Wird in method_logicswversion gesetzt (ab Version .../10-xx auf TRUE), und beim Anzeigen der Mens "Status" und "Diagnose" als Bedingung verwendet.
   // Dient ebenfalls dazu, das Einlesen der (ab Version 10 verfgbaren) Prozessdaten ber V1 fr alte Versionen zu unterdrcken.
   LABEL	"Hilfs-Flag fr Sichtbarkeit der Mens Status und Diagnose";
   CLASS	LOCAL;
   TYPE	UNSIGNED_INTEGER
   {
      DEFAULT_VALUE	0;
   }
   HANDLING	READ & WRITE;
}
//~ Definition von Parametern (nur lesbar), von deren Wert die Gltigkeit der darzustellenden Parameter teilweise abhngt
/**** Definition von Parametern (nur lesbar), von deren Wert die Gltigkeit der darzustellenden Parameter teilweise abhngt *********/

/*************************************************************/
VARIABLE E2_IN	// Signal vom Stellungsgeber
{
	LABEL		[TXT_SW_ID0];
	HELP		[TXT_REM_ID0];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE	1;
		{ 0, [TXT_KEIN] },
		{ 1, [TXT_POTI] },
		{ 2, [TXT_020MA] },
		{ 3, [TXT_420MA] },
		{ 4, [TXT_STGMWG] }
	}
	HANDLING	READ;
	POST_READ_ACTIONS
	{
		method_validity_Trq
	}
}

COMMAND read_E2_IN
{
	SLOT		2;
	INDEX		31;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			E2_IN
		}
	}
}


/*************************************************************/
VARIABLE INTTY2	// Typ Interface 2
{
	LABEL		[TXT_SW_ID192];
	HELP		[TXT_REM_ID192];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE	0;
		{ 0, [TXT_KEIN] },
		{ 1, [TXT_PARALLELINT_TYP] },
		{ 2, [TXT_PROFIBUSDP_TYP] },
		{ 3, [TXT_MODBUS_TYP] },
		{ 4, [TXT_AC_DEVNETAUSW] },
		{ 5, [TXT_FOUNDATION] }
	}
	HANDLING	READ;
	POST_READ_ACTIONS
	{
		method_validity_Interface_2
	}
}

COMMAND read_INTTY2
{
	SLOT		2;
	INDEX		26;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			INTTY2
		}
	}
}

/*************************************************************/
VARIABLE REGTYP	// Stellungsregler
{
	LABEL		[TXT_SW_ID61];
	HELP		[TXT_REM_ID61];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE	1;
		{ 0, [TXT_FKTNDEAKTIVIERT] },
		{ 1, [TXT_STELLREGLER_AKTIV] }
	}
	HANDLING	READ;
	POST_READ_ACTIONS
	{
		method_validity_positioner
	}
}

COMMAND read_REGTYP
{
	SLOT		2;
	INDEX		36;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			REGTYP
		}
	}
}

/*************************************************************/
VARIABLE E1_IN	// Sollwert E1
{
	LABEL		[TXT_SW_ID48];
	HELP		[TXT_REM_ID48];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE	0;
		{ 0, [TXT_KEIN] },
		{ 1, [TXT_LOGIK_AN1] },
		{ 2, [TXT_PBDP] },
		{ 3, [TXT_PARALLELINTAN1] },
		{ 4, [TXT_PARALLELINTAN2] },
		{ 5, [TXT_DP1AN1] },
		{ 6, [TXT_DP1AN2] },
		{ 7, [TXT_MODBUS] },
		{ 8, [TXT_MODBUSAN1] },
		{ 9, [TXT_MODBUSAN2] },
		{ 10, [TXT_DEVNET] },
		{ 11, [TXT_DEVNETAN1] },
		{ 12, [TXT_DEVNETAN2] },
		{ 13, [TXT_FF_BUS] },
		{ 14, [TXT_FF1AN1] },
		{ 15, [TXT_FF1AN2] }
	}
	HANDLING	READ;
	POST_EDIT_ACTIONS
	{
#ifdef DDCCorrection
		_USE_BOTH_METHODS(method_validity_FullOpenAdjustment)
#else
		method_validity_FullOpenAdjustment
#endif
	}
	POST_READ_ACTIONS
	{
		method_validity_FullOpenAdjustment
	}
}

COMMAND read_E1_IN
{
	SLOT		2;
	INDEX		12;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			E1_IN
		}
	}
}

/*************************************************************/
VARIABLE PIDTYP	// Prozessregler
{
	LABEL		[TXT_SW_ID259];
	HELP		[TXT_REM_ID259];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE	0;
		{ 0, [TXT_FKTNDEAKTIVIERT] },
		{ 1, [TXT_PIDEXTERN] },
		{ 2, [TXT_PIDINTERN] }
	}
	HANDLING	READ;
	POST_READ_ACTIONS
	{
		method_validity_PIDControl
	}
}

COMMAND read_PIDTYP
{
	SLOT		2;
	INDEX		37;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			PIDTYP
		}
	}
}

//~ VARIABLE PIDENA //Gibt es einen Prozessregler PID
//~ 
// /*************************************************************/
// 
VARIABLE PIDENA	// Gibt es einen Prozessregler PID
{
   LABEL		[TXT_SW_ID371];
   HELP		[TXT_REM_ID371];
   CLASS		CONTAINED;
   TYPE		ENUMERATED (2)
   {
      DEFAULT_VALUE	1;
      { 0, [TXT_FKTNDEAKTIVIERT] },
      { 1, [TXT_FKTNAKTIVIERT] },
   }
   HANDLING	READ;
}
COMMAND read_PIDENA
{
   SLOT		2;
   INDEX		54;
   OPERATION	READ;
   TRANSACTION
   {
      REPLY
      {
         PIDENA
      }
   }
}
//~ Nachfolgend alle darzustellenden Parameter
/**** Nachfolgend alle darzustellenden Parameter ***********************************************************************************/

//~  - - Spezielle Unused-Variable - -
// /*************************************************************/
// Fr jeden Bit-Bereich eines ber DP-V1 eingelesen Bytes kann es notwendig sein, diesen durch eine unused-Variable zu maskieren, um auf darauffolgende Bereiche zugreifen zu knnen.
// 
// Nomenklatur: 	var_unused_s<Slot>i<Index>_by<Byte>_<bit/bitbereich>
// 
// Beim Bitbereich wird zwischen einzelnen Bits und Bitfolgen unterschieden:
// -	bei einzelnen Bits:	bit/bitbereich  = <bitnummer>  
// -	bei Bitfolgen:		bit/bitbereich  = <hchste gltige Bitstelle>ff  
// 
// Beispiele:
// //ganzes Byte
// var_unused_s211i1_by0,			   /* Byte 0 */ 
// 
// //einzelne bits
// var_unused_s1i11_by04_6       <0x40>, /* Byte  5  0100 0000  */
// var_unused_s1i11_by04_5       <0x20>, /* Byte  5  0010 0000  */
//  
// //Bitfolgen
// var_unused_s1i17_by15_2ff     <0xFC>, /* Byte 15  1111 1100  */
// var_unused s1i11_by07_3ff     <0xF8>, /* Byte  7  1111 1000  */
// var_unused_s1i14_by20_4ff     <0xF0>, /* Byte 20  1111 0000  */
// var_unused_s1i20_by27_5ff     <0xE0>, /* Byte 27  1110 0000  */
// 
// 
VARIABLE var_unused_template
{
   LABEL		"var_unused_template";
   CLASS		CONTAINED;
   TYPE        UNSIGNED_INTEGER(1);
   HANDLING	READ & WRITE;
}
// 203
var_unused_s203i1_by0 LIKE VARIABLE var_unused_template
{
   REDEFINE LABEL		"var_unused_s203i1_by0";
}
var_unused_s203i1_by1_7 LIKE VARIABLE var_unused_template
{
   REDEFINE LABEL		"var_unused_s203i1_by1_7";
}
var_unused_s203i1_by1_1 LIKE VARIABLE var_unused_template
{
   REDEFINE LABEL		"var_unused_s203i1_by1_1";
}
// 204
var_unused_s204i1_by0_1 LIKE VARIABLE var_unused_template
{
   REDEFINE LABEL		"var_unused_s204i1_by0_1";
}
var_unused_s204i1_by1_4 LIKE VARIABLE var_unused_template
{
   REDEFINE LABEL		"var_unused_s204i1_by1_4";
}
var_unused_s204i1_by1_5 LIKE VARIABLE var_unused_template
{
   REDEFINE LABEL		"var_unused_s204i1_by1_5";
}
// 205
var_unused_s205i1_by0_2ff LIKE VARIABLE var_unused_template
{
   REDEFINE LABEL		"var_unused_s205i1_by0_2ff";
}
var_unused_s205i1_by1_2 LIKE VARIABLE var_unused_template
{
   REDEFINE LABEL		"var_unused_s205i1_by1_2";
}
var_unused_s205i1_by1_3 LIKE VARIABLE var_unused_template
{
   REDEFINE LABEL		"var_unused_s205i1_by1_3";
}
// 206
var_unused_s206i1_by0_6ff LIKE VARIABLE var_unused_template
{
   REDEFINE LABEL		"var_unused_s206i1_by0_6ff";
}
var_unused_s206i1_by0_0xff LIKE VARIABLE var_unused_template
{
   REDEFINE LABEL		"var_unused_s206i1_by0_0xff";
}
var_unused_s206i1_by1 LIKE VARIABLE var_unused_template
{
   REDEFINE LABEL		"var_unused_s206i1_by1";
}
// 207/1
var_unused_s207i1_by0_0 LIKE VARIABLE var_unused_template
{
   REDEFINE LABEL		"var_unused_s207i1_by0_0";
}
var_unused_s207i1_by1_6 LIKE VARIABLE var_unused_template
{
   REDEFINE LABEL		"var_unused_s207i1_by1_6";
}
var_unused_s207i1_by1_7 LIKE VARIABLE var_unused_template
{
   REDEFINE LABEL		"var_unused_s207i1_by1_7";
}
// 207/2
var_unused_s207i2_by0 LIKE VARIABLE var_unused_template
{
   REDEFINE LABEL		"var_unused_s207i2_by0";
}
var_unused_s207i2_by1_2ff LIKE VARIABLE var_unused_template
{
   REDEFINE LABEL		"var_unused_s207i2_by1_2ff";
}
// 207/3
var_unused_s207i3_by0_3ff LIKE VARIABLE var_unused_template
{
   REDEFINE LABEL		"var_unused_s207i3_by0_3ff";
}
var_unused_s207i3_by1 LIKE VARIABLE var_unused_template
{
   REDEFINE LABEL		"var_unused_s207i3_by1";
}
// 208
var_unused_s208i1_by0_5ff LIKE VARIABLE var_unused_template
{
   REDEFINE LABEL		"var_unused_s208i1_by0_5ff";
}
var_unused_s208i1_by1 LIKE VARIABLE var_unused_template
{
   REDEFINE LABEL		"var_unused_s208i1_by1";
}
// 209
var_unused_s209i1_by0_2ff LIKE VARIABLE var_unused_template
{
   REDEFINE LABEL		"var_unused_s209i1_by0_2ff";
}
var_unused_s209i1_by1_6 LIKE VARIABLE var_unused_template
{
   REDEFINE LABEL		"var_unused_s209i1_by1_6";
}
// 210
var_unused_s210i1_by0 LIKE VARIABLE var_unused_template
{
   REDEFINE LABEL		"var_unused_s210i1_by0";
}
var_unused_s210i1_by1_3ff LIKE VARIABLE var_unused_template
{
   REDEFINE LABEL		"var_unused_s210i1_by1_3ff";
}
// 211
var_unused_s211i1_by0 LIKE VARIABLE var_unused_template
{
   REDEFINE LABEL		"var_unused_s211i1_by0";
}
var_unused_s211i1_by1_5ff LIKE VARIABLE var_unused_template
{
   REDEFINE LABEL		"var_unused_s211i1_by1_5ff";
}
// 215/3
var_unused_s215i3_by1_5ff LIKE VARIABLE var_unused_template
{
   REDEFINE LABEL		"var_unused_s215i3_by1_5ff";
}
// 216/3
var_unused_s216i3_by1_6ff LIKE VARIABLE var_unused_template
{
   REDEFINE LABEL		"var_unused_s216i3_by1_6ff";
}
// 221/3
var_unused_s221i3_by0_7xff LIKE VARIABLE var_unused_template
{
   REDEFINE LABEL		"var_unused_s221i3_by0_7xff";
}
// 231
var_unused_s231i1_by0 LIKE VARIABLE var_unused_template
{
   REDEFINE LABEL		"var_unused_s231i1_by0";
}
var_unused_s231i1_by1_4xff LIKE VARIABLE var_unused_template
{
   REDEFINE LABEL		"var_unused_s231i1_by1_4xff";
}
//~ Endlagen
/*************************************************************/
VARIABLE ABSAUF	// Endlage AUF
{
	LABEL		[TXT_SW_ID41];
	HELP		[TXT_REM_ID41];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE	0;
		{ 0, [TXT_WEG] },
		{ 1, [TXT_DREHMOMENT] }
	}
	HANDLING	READ & WRITE;
}

COMMAND read_ABSAUF
{
	SLOT		1;
	INDEX		39;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			ABSAUF
		}
	}
}

COMMAND write_ABSAUF
{
	SLOT		1;
	INDEX		39;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			ABSAUF
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

/*************************************************************/
VARIABLE ABSZU	// Endlage ZU
{
	LABEL		[TXT_SW_ID51];
	HELP		[TXT_REM_ID51];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE	0;
		{ 0, [TXT_WEG] },
		{ 1, [TXT_DREHMOMENT] }
	}
	HANDLING	READ & WRITE;
}

COMMAND read_ABSZU
{
	SLOT		1;
	INDEX		38;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			ABSZU
		}
	}
}

COMMAND write_ABSZU
{
	SLOT		1;
	INDEX		38;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			ABSZU
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

//~ Abschaltmomente
/*************************************************************/
VARIABLE TRQAUF	// Abschaltmoment AUF
{
	LABEL		[TXT_SW_ID43];
	HELP		[TXT_REM_ID43];
	CLASS		CONTAINED;
	TYPE		UNSIGNED_INTEGER (2)
	{
		DEFAULT_VALUE	100;
		MIN_VALUE		5;
		MAX_VALUE		110;
	}
	CONSTANT_UNIT	[Prozent];
	HANDLING	READ & WRITE;
#ifdef DDCCorrection
	ValidityCondition(TRQAUF)
#else
	VALIDITY	FALSE;
#endif
}

COMMAND read_TRQAUF
{
	SLOT		1;
	INDEX		40;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			TRQAUF
		}
	}
}

COMMAND write_TRQAUF
{
	SLOT		1;
	INDEX		40;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			TRQAUF
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

/*************************************************************/
VARIABLE TRQZU	// Abschaltmoment ZU
{
	LABEL		[TXT_SW_ID44];
	HELP		[TXT_REM_ID44];
	CLASS		CONTAINED;
	TYPE		UNSIGNED_INTEGER (2)
	{
		DEFAULT_VALUE	100;
		MIN_VALUE		5;
		MAX_VALUE		110;
	}
	CONSTANT_UNIT	[Prozent];
	HANDLING	READ & WRITE;
#ifdef DDCCorrection
	ValidityCondition(TRQZU)
#else
	VALIDITY	FALSE;
#endif
}

COMMAND read_TRQZU
{
	SLOT		1;
	INDEX		41;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			TRQZU
		}
	}
}

COMMAND write_TRQZU
{
	SLOT		1;
	INDEX		41;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			TRQZU
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

//~ Anfahrberbrckung
/*************************************************************/
VARIABLE ANFBRZ	// Anfahrberbrckung
{
	LABEL		[TXT_SW_ID67];
	HELP		[TXT_REM_ID67];
	CLASS		CONTAINED;
	TYPE		UNSIGNED_INTEGER (2)
	{
		DEFAULT_VALUE	0;
		MIN_VALUE		0;
		MAX_VALUE		50;
	}
	CONSTANT_UNIT	[Sekunden_0_1];
	HANDLING	READ & WRITE;
}

COMMAND read_ANFBRZ
{
	SLOT		1;
	INDEX		53;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			ANFBRZ
		}
	}
}

COMMAND write_ANFBRZ
{
	SLOT		1;
	INDEX		53;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			ANFBRZ
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

//~ Selbsthaltung ORT
/*************************************************************/
VARIABLE SHORT	// Selbsthaltung ORT
{
	LABEL		[TXT_SW_ID39];
	HELP		[TXT_REM_ID39];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE	3;
		{ 0, [TXT_AUS] },
		{ 1, [TXT_AUF] },
		{ 2, [TXT_ZU] },
		{ 3, [TXT_AUFUNDZU] },
		{ 4, [TXT_DIREKTAUFZU] }
	}
	HANDLING	READ & WRITE;
}

COMMAND read_SHORT
{
	SLOT		1;
	INDEX		37;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			SHORT
		}
	}
}

COMMAND write_SHORT
{
	SLOT		1;
	INDEX		37;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			SHORT
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

//~ Display Sprache + Kontrast
/*************************************************************/
VARIABLE LCDSPR	// Display Sprache
{
	LABEL		[TXT_SW_ID60];
	HELP		[TXT_REM_ID60];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE	0;
		{ 0, [TXT_DEUTSCH] },
		{ 1, [TXT_ENGLISCH] },
		{ 2, [TXT_FRANCAIS] },
		{ 3, [TXT_ESPAGNOL] },
		{ 4, [TXT_ITALIANO] },
		{ 5, [TXT_BRAZILERA] }
	}
	HANDLING	READ & WRITE;
}

COMMAND read_LCDSPR
{
	SLOT		2;
	INDEX		1;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			LCDSPR
		}
	}
}

COMMAND write_LCDSPR
{
	SLOT		2;
	INDEX		1;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			LCDSPR
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

/*************************************************************/
VARIABLE LCDKON	// Display Kontrast
{
	LABEL		[TXT_SW_ID40];
	HELP		[TXT_REM_ID40];
	CLASS		CONTAINED;
	TYPE		UNSIGNED_INTEGER (2)
	{
		DEFAULT_VALUE	80;
		MIN_VALUE		0;
		MAX_VALUE		100;
	}
	CONSTANT_UNIT	[Prozent];
	HANDLING	READ & WRITE;
}

COMMAND read_LCDKON
{
	SLOT		2;
	INDEX		35;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			LCDKON
		}
	}
}

COMMAND write_LCDKON
{
	SLOT		2;
	INDEX		35;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			LCDKON
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

//~ Drehmomentanzeige
/*************************************************************/
VARIABLE TRQIND	// Drehmomentanzeige
{
   LABEL		[TXT_SW_ID336];
   HELP		[TXT_REM_ID336];
   CLASS		CONTAINED;
   TYPE		ENUMERATED (2)
   {
      DEFAULT_VALUE	1;
      { 0, [TXT_PROZENT] },
      { 1, [TXT_NM] },
      { 2, [TXT_LBSFT] }
   }
   HANDLING	READ & WRITE;
#ifdef DDCCorrection
      ValidityCondition(TRQIND)
#else
      VALIDITY	FALSE;
#endif
   POST_EDIT_ACTIONS
   {
#ifdef DDCCorrection
            _USE_BOTH_METHODS(method_validity_TrqUnits)
#else
      	method_validity_TrqUnits
#endif
   }
   POST_READ_ACTIONS
   {
      method_validity_TrqUnits
   }
}
COMMAND read_TRQIND
{
   SLOT		1;
   INDEX		238;
   OPERATION	READ;
   TRANSACTION
   {
      REPLY
      {
         IF (LSWV_En_UserDefByte_Trq==1)
         {
            TRQIND
         }
#ifdef DDCCorrection
         		ELSE
         		{
         			var_dummy
         		}
#warning to check
#endif
      }
   }
}
COMMAND write_TRQIND
{
   SLOT		1;
   INDEX		238;
   OPERATION	WRITE;
   TRANSACTION
   {
      REQUEST
      {
         IF (LSWV_En_UserDefByte_Trq==1)
         {
            TRQIND
         }
#ifdef DDCCorrection
         			ELSE
         			{
         				var_dummy
         			}
#warning to check
#endif
      }
#ifdef DDCCorrection
      		REPLY
      		{
            }
#endif
   }
}
//~ LEDs 1-5
/*************************************************************/
VARIABLE OSSLD1	// LED 1 (Links)
{
	LABEL		[TXT_SW_ID237];
	HELP		[TXT_REM_ID237];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE	30;
		{ 0, [TXT_NOT_USED], "Bei nderung auch in OUT_T.C" },
		{ 1, [TXT_LOGIC_IST_ZU], "Tabelle 'eRelaisSettingTable'" },
		{ 2, [TXT_LOGIC_IST_AUF], "anpassen." },
		{ 3, [TXT_LOGIC_DRV_ZU] },
		{ 4, [TXT_LOGIC_DRV_AUF] },
		{ 5, [TXT_PHYS_DRV_MOVE], "Faehrt (Sammelmeldung)" },
		{ 6, [TXT_ACTUATOR_WSR] },
		{ 7, [TXT_ACTUATOR_WOEL] },
		{ 8, [TXT_ACTUATOR_DSR] },
		{ 9, [TXT_ACTUATOR_DOEL] },
		{ 10, [TXT_ERR_TH] },
		{ 11, [TXT_ERR_DSRERR] },
		{ 12, [TXT_ERR_DOELERR] },
		{ 13, [TXT_RES2_TRQERR], "Drehmomentfehler" },
		{ 14, [TXT_WARN2_SIGBR_EXT] },
		{ 15, [TXT_WARN2_SIGBR_STG] },
		{ 16, [TXT_WARN2_SIGBR_RPM] },
		{ 17, [TXT_WARN2_SIGBR_TRQ] },
		{ 18, [TXT_WARN1_STELLTERR] },
		{ 19, [TXT_WARN1_EDERR] },
		{ 20, [TXT_ACTUATOR_WSO] },
		{ 21, [TXT_ACTUATOR_WSF] },
		{ 22, [TXT_ACTUATOR_WS_OFF] },
		{ 23, [TXT_ACTUATOR_BINAER] },
		{ 24, [TXT_ACTUATOR_ANALOG] },
		{ 25, [TXT_OPT1_ZWI1] },
		{ 26, [TXT_OPT1_ZWI2] },
		{ 27, [TXT_OPT1_ZWI3] },
		{ 28, [TXT_OPT1_ZWI4] },
		{ 29, [TXT_PHYS_DRV_IN_TKT] },
		{ 30, [TXT_RES1_IST_ZU_BLINK], "Endlage Zu  und Blinksignal whrend der Fahrt" },
		{ 31, [TXT_RES1_IST_AUF_BLINK], "Endlage Auf und Blinksignal whrend der Fahrt" },
		{ 32, [TXT_LOGIC_ERROR], "Fehlermeldungen" },
		{ 33, [TXT_LOGIC_WARNING], "Warnung vorhanden" },
		{ 34, [TXT_LOGIC_NOT_RDY], "Nicht betriebsbereit FERN" },
		{ 35, [TXT_LOGIC_AT_SOLL], "Antrieb ist bei Sollposition" },
		{ 36, [TXT_ERR_PH], "Phasenausfall" },
		{ 37, [TXT_PIDIGIN_SIGBR_AN2], "Drahtbruch Analog 2" },
		{ 38, [TXT_PIDIGIN_SIGBR_AN1], "Drahtbruch Analog 1" },
		{ 39, [TXT_OPT1_ZWI5] },
		{ 40, [TXT_OPT1_ZWI6] },
		{ 41, [TXT_OPT1_ZWI7] },
		{ 42, [TXT_OPT1_ZWI8] },
		{ 43, [TXT_PHYS_DRV_NOTAUS_PRESSED] },
		{ 44, [TXT_WARN2_SIGBR_LWL] },
		{ 45, [TXT_INZWIPOS], "Anzeige, wenn Antrieb in Zwischenposition stehenbleibt" }
	}
	HANDLING	READ & WRITE;
}

COMMAND read_OSSLD1
{
	SLOT		1;
	INDEX		148;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			OSSLD1
		}
	}
}

COMMAND write_OSSLD1
{
	SLOT		1;
	INDEX		148;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			OSSLD1
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

/*************************************************************/
VARIABLE OSSLD2	// LED 2
{
	LABEL		[TXT_SW_ID238];
	HELP		[TXT_REM_ID238];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE	11;
		{ 0, [TXT_NOT_USED], "Bei nderung auch in OUT_T.C" },
		{ 1, [TXT_LOGIC_IST_ZU], "Tabelle 'eRelaisSettingTable'" },
		{ 2, [TXT_LOGIC_IST_AUF], "anpassen." },
		{ 3, [TXT_LOGIC_DRV_ZU] },
		{ 4, [TXT_LOGIC_DRV_AUF] },
		{ 5, [TXT_PHYS_DRV_MOVE], "Faehrt (Sammelmeldung)" },
		{ 6, [TXT_ACTUATOR_WSR] },
		{ 7, [TXT_ACTUATOR_WOEL] },
		{ 8, [TXT_ACTUATOR_DSR] },
		{ 9, [TXT_ACTUATOR_DOEL] },
		{ 10, [TXT_ERR_TH] },
		{ 11, [TXT_ERR_DSRERR] },
		{ 12, [TXT_ERR_DOELERR] },
		{ 13, [TXT_RES2_TRQERR], "Drehmomentfehler" },
		{ 14, [TXT_WARN2_SIGBR_EXT] },
		{ 15, [TXT_WARN2_SIGBR_STG] },
		{ 16, [TXT_WARN2_SIGBR_RPM] },
		{ 17, [TXT_WARN2_SIGBR_TRQ] },
		{ 18, [TXT_WARN1_STELLTERR] },
		{ 19, [TXT_WARN1_EDERR] },
		{ 20, [TXT_ACTUATOR_WSO] },
		{ 21, [TXT_ACTUATOR_WSF] },
		{ 22, [TXT_ACTUATOR_WS_OFF] },
		{ 23, [TXT_ACTUATOR_BINAER] },
		{ 24, [TXT_ACTUATOR_ANALOG] },
		{ 25, [TXT_OPT1_ZWI1] },
		{ 26, [TXT_OPT1_ZWI2] },
		{ 27, [TXT_OPT1_ZWI3] },
		{ 28, [TXT_OPT1_ZWI4] },
		{ 29, [TXT_PHYS_DRV_IN_TKT] },
		{ 30, [TXT_RES1_IST_ZU_BLINK], "Endlage Zu  und Blinksignal whrend der Fahrt" },
		{ 31, [TXT_RES1_IST_AUF_BLINK], "Endlage Auf und Blinksignal whrend der Fahrt" },
		{ 32, [TXT_LOGIC_ERROR], "Fehlermeldungen" },
		{ 33, [TXT_LOGIC_WARNING], "Warnung vorhanden" },
		{ 34, [TXT_LOGIC_NOT_RDY], "Nicht betriebsbereit FERN" },
		{ 35, [TXT_LOGIC_AT_SOLL], "Antrieb ist bei Sollposition" },
		{ 36, [TXT_ERR_PH], "Phasenausfall" },
		{ 37, [TXT_PIDIGIN_SIGBR_AN2], "Drahtbruch Analog 2" },
		{ 38, [TXT_PIDIGIN_SIGBR_AN1], "Drahtbruch Analog 1" },
		{ 39, [TXT_OPT1_ZWI5] },
		{ 40, [TXT_OPT1_ZWI6] },
		{ 41, [TXT_OPT1_ZWI7] },
		{ 42, [TXT_OPT1_ZWI8] },
		{ 43, [TXT_PHYS_DRV_NOTAUS_PRESSED] },
		{ 44, [TXT_WARN2_SIGBR_LWL] },
		{ 45, [TXT_INZWIPOS], "Anzeige, wenn Antrieb in Zwischenposition stehenbleibt" }
	}
	HANDLING	READ & WRITE;
}

COMMAND read_OSSLD2
{
	SLOT		1;
	INDEX		149;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			OSSLD2
		}
	}
}

COMMAND write_OSSLD2
{
	SLOT		1;
	INDEX		149;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			OSSLD2
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

/*************************************************************/
VARIABLE OSSLD3	// LED 3
{
	LABEL		[TXT_SW_ID239];
	HELP		[TXT_REM_ID239];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE	10;
		{ 0, [TXT_NOT_USED], "Bei nderung auch in OUT_T.C" },
		{ 1, [TXT_LOGIC_IST_ZU], "Tabelle 'eRelaisSettingTable'" },
		{ 2, [TXT_LOGIC_IST_AUF], "anpassen." },
		{ 3, [TXT_LOGIC_DRV_ZU] },
		{ 4, [TXT_LOGIC_DRV_AUF] },
		{ 5, [TXT_PHYS_DRV_MOVE], "Faehrt (Sammelmeldung)" },
		{ 6, [TXT_ACTUATOR_WSR] },
		{ 7, [TXT_ACTUATOR_WOEL] },
		{ 8, [TXT_ACTUATOR_DSR] },
		{ 9, [TXT_ACTUATOR_DOEL] },
		{ 10, [TXT_ERR_TH] },
		{ 11, [TXT_ERR_DSRERR] },
		{ 12, [TXT_ERR_DOELERR] },
		{ 13, [TXT_RES2_TRQERR], "Drehmomentfehler" },
		{ 14, [TXT_WARN2_SIGBR_EXT] },
		{ 15, [TXT_WARN2_SIGBR_STG] },
		{ 16, [TXT_WARN2_SIGBR_RPM] },
		{ 17, [TXT_WARN2_SIGBR_TRQ] },
		{ 18, [TXT_WARN1_STELLTERR] },
		{ 19, [TXT_WARN1_EDERR] },
		{ 20, [TXT_ACTUATOR_WSO] },
		{ 21, [TXT_ACTUATOR_WSF] },
		{ 22, [TXT_ACTUATOR_WS_OFF] },
		{ 23, [TXT_ACTUATOR_BINAER] },
		{ 24, [TXT_ACTUATOR_ANALOG] },
		{ 25, [TXT_OPT1_ZWI1] },
		{ 26, [TXT_OPT1_ZWI2] },
		{ 27, [TXT_OPT1_ZWI3] },
		{ 28, [TXT_OPT1_ZWI4] },
		{ 29, [TXT_PHYS_DRV_IN_TKT] },
		{ 30, [TXT_RES1_IST_ZU_BLINK], "Endlage Zu  und Blinksignal whrend der Fahrt" },
		{ 31, [TXT_RES1_IST_AUF_BLINK], "Endlage Auf und Blinksignal whrend der Fahrt" },
		{ 32, [TXT_LOGIC_ERROR], "Fehlermeldungen" },
		{ 33, [TXT_LOGIC_WARNING], "Warnung vorhanden" },
		{ 34, [TXT_LOGIC_NOT_RDY], "Nicht betriebsbereit FERN" },
		{ 35, [TXT_LOGIC_AT_SOLL], "Antrieb ist bei Sollposition" },
		{ 36, [TXT_ERR_PH], "Phasenausfall" },
		{ 37, [TXT_PIDIGIN_SIGBR_AN2], "Drahtbruch Analog 2" },
		{ 38, [TXT_PIDIGIN_SIGBR_AN1], "Drahtbruch Analog 1" },
		{ 39, [TXT_OPT1_ZWI5] },
		{ 40, [TXT_OPT1_ZWI6] },
		{ 41, [TXT_OPT1_ZWI7] },
		{ 42, [TXT_OPT1_ZWI8] },
		{ 43, [TXT_PHYS_DRV_NOTAUS_PRESSED] },
		{ 44, [TXT_WARN2_SIGBR_LWL] },
		{ 45, [TXT_INZWIPOS], "Anzeige, wenn Antrieb in Zwischenposition stehenbleibt" }
	}
	HANDLING	READ & WRITE;
}

COMMAND read_OSSLD3
{
	SLOT		1;
	INDEX		150;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			OSSLD3
		}
	}
}

COMMAND write_OSSLD3
{
	SLOT		1;
	INDEX		150;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			OSSLD3
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

/*************************************************************/
VARIABLE OSSLD4	// LED 4
{
	LABEL		[TXT_SW_ID240];
	HELP		[TXT_REM_ID240];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE	12;
		{ 0, [TXT_NOT_USED], "Bei nderung auch in OUT_T.C" },
		{ 1, [TXT_LOGIC_IST_ZU], "Tabelle 'eRelaisSettingTable'" },
		{ 2, [TXT_LOGIC_IST_AUF], "anpassen." },
		{ 3, [TXT_LOGIC_DRV_ZU] },
		{ 4, [TXT_LOGIC_DRV_AUF] },
		{ 5, [TXT_PHYS_DRV_MOVE], "Faehrt (Sammelmeldung)" },
		{ 6, [TXT_ACTUATOR_WSR] },
		{ 7, [TXT_ACTUATOR_WOEL] },
		{ 8, [TXT_ACTUATOR_DSR] },
		{ 9, [TXT_ACTUATOR_DOEL] },
		{ 10, [TXT_ERR_TH] },
		{ 11, [TXT_ERR_DSRERR] },
		{ 12, [TXT_ERR_DOELERR] },
		{ 13, [TXT_RES2_TRQERR], "Drehmomentfehler" },
		{ 14, [TXT_WARN2_SIGBR_EXT] },
		{ 15, [TXT_WARN2_SIGBR_STG] },
		{ 16, [TXT_WARN2_SIGBR_RPM] },
		{ 17, [TXT_WARN2_SIGBR_TRQ] },
		{ 18, [TXT_WARN1_STELLTERR] },
		{ 19, [TXT_WARN1_EDERR] },
		{ 20, [TXT_ACTUATOR_WSO] },
		{ 21, [TXT_ACTUATOR_WSF] },
		{ 22, [TXT_ACTUATOR_WS_OFF] },
		{ 23, [TXT_ACTUATOR_BINAER] },
		{ 24, [TXT_ACTUATOR_ANALOG] },
		{ 25, [TXT_OPT1_ZWI1] },
		{ 26, [TXT_OPT1_ZWI2] },
		{ 27, [TXT_OPT1_ZWI3] },
		{ 28, [TXT_OPT1_ZWI4] },
		{ 29, [TXT_PHYS_DRV_IN_TKT] },
		{ 30, [TXT_RES1_IST_ZU_BLINK], "Endlage Zu  und Blinksignal whrend der Fahrt" },
		{ 31, [TXT_RES1_IST_AUF_BLINK], "Endlage Auf und Blinksignal whrend der Fahrt" },
		{ 32, [TXT_LOGIC_ERROR], "Fehlermeldungen" },
		{ 33, [TXT_LOGIC_WARNING], "Warnung vorhanden" },
		{ 34, [TXT_LOGIC_NOT_RDY], "Nicht betriebsbereit FERN" },
		{ 35, [TXT_LOGIC_AT_SOLL], "Antrieb ist bei Sollposition" },
		{ 36, [TXT_ERR_PH], "Phasenausfall" },
		{ 37, [TXT_PIDIGIN_SIGBR_AN2], "Drahtbruch Analog 2" },
		{ 38, [TXT_PIDIGIN_SIGBR_AN1], "Drahtbruch Analog 1" },
		{ 39, [TXT_OPT1_ZWI5] },
		{ 40, [TXT_OPT1_ZWI6] },
		{ 41, [TXT_OPT1_ZWI7] },
		{ 42, [TXT_OPT1_ZWI8] },
		{ 43, [TXT_PHYS_DRV_NOTAUS_PRESSED] },
		{ 44, [TXT_WARN2_SIGBR_LWL] },
		{ 45, [TXT_INZWIPOS], "Anzeige, wenn Antrieb in Zwischenposition stehenbleibt" }
	}
	HANDLING	READ & WRITE;
}

COMMAND read_OSSLD4
{
	SLOT		1;
	INDEX		151;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			OSSLD4
		}
	}
}

COMMAND write_OSSLD4
{
	SLOT		1;
	INDEX		151;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			OSSLD4
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

/*************************************************************/
VARIABLE OSSLD5	// LED 5 (Rechts)
{
	LABEL		[TXT_SW_ID241];
	HELP		[TXT_REM_ID241];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE	31;
		{ 0, [TXT_NOT_USED], "Bei nderung auch in OUT_T.C" },
		{ 1, [TXT_LOGIC_IST_ZU], "Tabelle 'eRelaisSettingTable'" },
		{ 2, [TXT_LOGIC_IST_AUF], "anpassen." },
		{ 3, [TXT_LOGIC_DRV_ZU] },
		{ 4, [TXT_LOGIC_DRV_AUF] },
		{ 5, [TXT_PHYS_DRV_MOVE], "Faehrt (Sammelmeldung)" },
		{ 6, [TXT_ACTUATOR_WSR] },
		{ 7, [TXT_ACTUATOR_WOEL] },
		{ 8, [TXT_ACTUATOR_DSR] },
		{ 9, [TXT_ACTUATOR_DOEL] },
		{ 10, [TXT_ERR_TH] },
		{ 11, [TXT_ERR_DSRERR] },
		{ 12, [TXT_ERR_DOELERR] },
		{ 13, [TXT_RES2_TRQERR], "Drehmomentfehler" },
		{ 14, [TXT_WARN2_SIGBR_EXT] },
		{ 15, [TXT_WARN2_SIGBR_STG] },
		{ 16, [TXT_WARN2_SIGBR_RPM] },
		{ 17, [TXT_WARN2_SIGBR_TRQ] },
		{ 18, [TXT_WARN1_STELLTERR] },
		{ 19, [TXT_WARN1_EDERR] },
		{ 20, [TXT_ACTUATOR_WSO] },
		{ 21, [TXT_ACTUATOR_WSF] },
		{ 22, [TXT_ACTUATOR_WS_OFF] },
		{ 23, [TXT_ACTUATOR_BINAER] },
		{ 24, [TXT_ACTUATOR_ANALOG] },
		{ 25, [TXT_OPT1_ZWI1] },
		{ 26, [TXT_OPT1_ZWI2] },
		{ 27, [TXT_OPT1_ZWI3] },
		{ 28, [TXT_OPT1_ZWI4] },
		{ 29, [TXT_PHYS_DRV_IN_TKT] },
		{ 30, [TXT_RES1_IST_ZU_BLINK], "Endlage Zu  und Blinksignal whrend der Fahrt" },
		{ 31, [TXT_RES1_IST_AUF_BLINK], "Endlage Auf und Blinksignal whrend der Fahrt" },
		{ 32, [TXT_LOGIC_ERROR], "Fehlermeldungen" },
		{ 33, [TXT_LOGIC_WARNING], "Warnung vorhanden" },
		{ 34, [TXT_LOGIC_NOT_RDY], "Nicht betriebsbereit FERN" },
		{ 35, [TXT_LOGIC_AT_SOLL], "Antrieb ist bei Sollposition" },
		{ 36, [TXT_ERR_PH], "Phasenausfall" },
		{ 37, [TXT_PIDIGIN_SIGBR_AN2], "Drahtbruch Analog 2" },
		{ 38, [TXT_PIDIGIN_SIGBR_AN1], "Drahtbruch Analog 1" },
		{ 39, [TXT_OPT1_ZWI5] },
		{ 40, [TXT_OPT1_ZWI6] },
		{ 41, [TXT_OPT1_ZWI7] },
		{ 42, [TXT_OPT1_ZWI8] },
		{ 43, [TXT_PHYS_DRV_NOTAUS_PRESSED] },
		{ 44, [TXT_WARN2_SIGBR_LWL] },
		{ 45, [TXT_INZWIPOS], "Anzeige, wenn Antrieb in Zwischenposition stehenbleibt" }
	}
	HANDLING	READ & WRITE;
}

COMMAND read_OSSLD5
{
	SLOT		1;
	INDEX		152;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			OSSLD5
		}
	}
}

COMMAND write_OSSLD5
{
	SLOT		1;
	INDEX		152;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			OSSLD5
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

//~ Laufanzeige, Passwort, Selbsthaltung FERN
/*************************************************************/
VARIABLE BLINK	// Laufanzeige
{
	LABEL		[TXT_SW_ID88];
	HELP		[TXT_REM_ID88];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE	2;
		{ 0, [TXT_SIGNAL_STANDARD] },
		{ 1, [TXT_SIGNAL_USA] },
		{ 2, [TXT_SIGNAL_EUROPA] }
	}
	HANDLING	READ & WRITE;
}

COMMAND read_BLINK
{
	SLOT		2;
	INDEX		22;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			BLINK
		}
	}
}

COMMAND write_BLINK
{
	SLOT		2;
	INDEX		22;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			BLINK
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

/*************************************************************/
VARIABLE KUNPW	// Passwort
{
	LABEL		[TXT_SW_ID59];
	HELP		[TXT_REM_ID59];
	CLASS		CONTAINED;
	TYPE		UNSIGNED_INTEGER (2)
	{
		DEFAULT_VALUE	0;
		MIN_VALUE		0;
		MAX_VALUE		1999;

	}
	HANDLING	READ & WRITE;
}

COMMAND read_KUNPW
{
	SLOT		2;
	INDEX		3;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			KUNPW
		}
	}
}

COMMAND write_KUNPW
{
	SLOT		2;
	INDEX		3;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			KUNPW
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

/*************************************************************/
VARIABLE SHFERN	// Selbsthaltung FERN
{
	LABEL		[TXT_SW_ID47];
	HELP		[TXT_REM_ID47];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE	0;
		{ 0, [TXT_AUS] },
		{ 1, [TXT_AUF] },
		{ 2, [TXT_ZU] },
		{ 3, [TXT_AUFUNDZU] },
		{ 4, [TXT_DIREKTAUFZU] }
	}
	HANDLING	READ & WRITE;
}

COMMAND read_SHFERN
{
	SLOT		1;
	INDEX		44;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			SHFERN
		}
	}
}

COMMAND write_SHFERN
{
	SLOT		1;
	INDEX		44;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			SHFERN
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

//~ Relais fr Sammelstrmeldung und Melderelais 1-5
/*************************************************************/
VARIABLE P1STOE	// Relais fr Sammelstrmeldung
{
	LABEL		[TXT_SW_ID145];
	HELP		[TXT_REM_ID145];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE	2;
		{ 0, [TXT_STOERUNG1] },
		{ 1, [TXT_STOERUNG2] },
		{ 2, [TXT_STOERUNG3] },
		{ 3, [TXT_STOERUNG4] },
		{ 4, [TXT_STOERUNG5] },
		{ 5, [TXT_STOERUNG6] },
		{ 6, [TXT_STOERUNG7] },
		{ 7, [TXT_STOERUNG8] },
		{ 8, [TXT_STOERUNG9] },
		{ 9, [TXT_STOERUNG10] }
	}
	HANDLING	READ & WRITE;
}

COMMAND read_P1STOE
{
	SLOT		1;
	INDEX		79;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			P1STOE
		}
	}
}

COMMAND write_P1STOE
{
	SLOT		1;
	INDEX		79;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			P1STOE
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

/*************************************************************/
VARIABLE P1DIG1	// Melderelais 1 (Paralleles Interface)
{
	LABEL		[TXT_SW_ID146];
	HELP		[TXT_REM_ID146];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE	2;
		{ 0, [TXT_NOT_USED], "Bei nderung auch in OUT_T.C" },
		{ 1, [TXT_LOGIC_IST_ZU], "Tabelle 'eRelaisSettingTable'" },
		{ 2, [TXT_LOGIC_IST_AUF], "anpassen." },
		{ 3, [TXT_LOGIC_DRV_ZU] },
		{ 4, [TXT_LOGIC_DRV_AUF] },
		{ 5, [TXT_PHYS_DRV_MOVE], "Faehrt (Sammelmeldung)" },
		{ 6, [TXT_ACTUATOR_WSR] },
		{ 7, [TXT_ACTUATOR_WOEL] },
		{ 8, [TXT_ACTUATOR_DSR] },
		{ 9, [TXT_ACTUATOR_DOEL] },
		{ 10, [TXT_ERR_TH] },
		{ 11, [TXT_ERR_DSRERR] },
		{ 12, [TXT_ERR_DOELERR] },
		{ 13, [TXT_RES2_TRQERR], "Drehmomentfehler" },
		{ 14, [TXT_WARN2_SIGBR_EXT] },
		{ 15, [TXT_WARN2_SIGBR_STG] },
		{ 16, [TXT_WARN2_SIGBR_RPM] },
		{ 17, [TXT_WARN2_SIGBR_TRQ] },
		{ 18, [TXT_WARN1_STELLTERR] },
		{ 19, [TXT_WARN1_EDERR] },
		{ 20, [TXT_ACTUATOR_WSO] },
		{ 21, [TXT_ACTUATOR_WSF] },
		{ 22, [TXT_ACTUATOR_WS_OFF] },
		{ 23, [TXT_ACTUATOR_BINAER] },
		{ 24, [TXT_ACTUATOR_ANALOG] },
		{ 25, [TXT_OPT1_ZWI1] },
		{ 26, [TXT_OPT1_ZWI2] },
		{ 27, [TXT_OPT1_ZWI3] },
		{ 28, [TXT_OPT1_ZWI4] },
		{ 29, [TXT_PHYS_DRV_IN_TKT] },
		{ 30, [TXT_RES1_IST_ZU_BLINK], "Endlage Zu  und Blinksignal whrend der Fahrt" },
		{ 31, [TXT_RES1_IST_AUF_BLINK], "Endlage Auf und Blinksignal whrend der Fahrt" },
		{ 32, [TXT_LOGIC_ERROR], "Fehlermeldungen" },
		{ 33, [TXT_LOGIC_WARNING], "Warnung vorhanden" },
		{ 34, [TXT_LOGIC_NOT_RDY], "Nicht betriebsbereit FERN" },
		{ 35, [TXT_LOGIC_AT_SOLL], "Antrieb ist bei Sollposition" },
		{ 36, [TXT_ERR_PH], "Phasenausfall" },
		{ 37, [TXT_PIDIGIN_SIGBR_AN2], "Drahtbruch Analog 2" },
		{ 38, [TXT_PIDIGIN_SIGBR_AN1], "Drahtbruch Analog 1" },
		{ 39, [TXT_OPT1_ZWI5] },
		{ 40, [TXT_OPT1_ZWI6] },
		{ 41, [TXT_OPT1_ZWI7] },
		{ 42, [TXT_OPT1_ZWI8] },
		{ 43, [TXT_PHYS_DRV_NOTAUS_PRESSED] },
		{ 44, [TXT_WARN2_SIGBR_LWL] },
		{ 45, [TXT_INZWIPOS], "Anzeige, wenn Antrieb in Zwischenposition stehenbleibt" }
	}
	HANDLING	READ & WRITE;
}

COMMAND read_P1DIG1
{
	SLOT		1;
	INDEX		80;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			P1DIG1
		}
	}
}

COMMAND write_P1DIG1
{
	SLOT		1;
	INDEX		80;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			P1DIG1
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

/*************************************************************/
VARIABLE P1DIG2	// Melderelais 2 (Paralleles Interface)
{
	LABEL		[TXT_SW_ID147];
	HELP		[TXT_REM_ID147];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE	1;
		{ 0, [TXT_NOT_USED], "Bei nderung auch in OUT_T.C" },
		{ 1, [TXT_LOGIC_IST_ZU], "Tabelle 'eRelaisSettingTable'" },
		{ 2, [TXT_LOGIC_IST_AUF], "anpassen." },
		{ 3, [TXT_LOGIC_DRV_ZU] },
		{ 4, [TXT_LOGIC_DRV_AUF] },
		{ 5, [TXT_PHYS_DRV_MOVE], "Faehrt (Sammelmeldung)" },
		{ 6, [TXT_ACTUATOR_WSR] },
		{ 7, [TXT_ACTUATOR_WOEL] },
		{ 8, [TXT_ACTUATOR_DSR] },
		{ 9, [TXT_ACTUATOR_DOEL] },
		{ 10, [TXT_ERR_TH] },
		{ 11, [TXT_ERR_DSRERR] },
		{ 12, [TXT_ERR_DOELERR] },
		{ 13, [TXT_RES2_TRQERR], "Drehmomentfehler" },
		{ 14, [TXT_WARN2_SIGBR_EXT] },
		{ 15, [TXT_WARN2_SIGBR_STG] },
		{ 16, [TXT_WARN2_SIGBR_RPM] },
		{ 17, [TXT_WARN2_SIGBR_TRQ] },
		{ 18, [TXT_WARN1_STELLTERR] },
		{ 19, [TXT_WARN1_EDERR] },
		{ 20, [TXT_ACTUATOR_WSO] },
		{ 21, [TXT_ACTUATOR_WSF] },
		{ 22, [TXT_ACTUATOR_WS_OFF] },
		{ 23, [TXT_ACTUATOR_BINAER] },
		{ 24, [TXT_ACTUATOR_ANALOG] },
		{ 25, [TXT_OPT1_ZWI1] },
		{ 26, [TXT_OPT1_ZWI2] },
		{ 27, [TXT_OPT1_ZWI3] },
		{ 28, [TXT_OPT1_ZWI4] },
		{ 29, [TXT_PHYS_DRV_IN_TKT] },
		{ 30, [TXT_RES1_IST_ZU_BLINK], "Endlage Zu  und Blinksignal whrend der Fahrt" },
		{ 31, [TXT_RES1_IST_AUF_BLINK], "Endlage Auf und Blinksignal whrend der Fahrt" },
		{ 32, [TXT_LOGIC_ERROR], "Fehlermeldungen" },
		{ 33, [TXT_LOGIC_WARNING], "Warnung vorhanden" },
		{ 34, [TXT_LOGIC_NOT_RDY], "Nicht betriebsbereit FERN" },
		{ 35, [TXT_LOGIC_AT_SOLL], "Antrieb ist bei Sollposition" },
		{ 36, [TXT_ERR_PH], "Phasenausfall" },
		{ 37, [TXT_PIDIGIN_SIGBR_AN2], "Drahtbruch Analog 2" },
		{ 38, [TXT_PIDIGIN_SIGBR_AN1], "Drahtbruch Analog 1" },
		{ 39, [TXT_OPT1_ZWI5] },
		{ 40, [TXT_OPT1_ZWI6] },
		{ 41, [TXT_OPT1_ZWI7] },
		{ 42, [TXT_OPT1_ZWI8] },
		{ 43, [TXT_PHYS_DRV_NOTAUS_PRESSED] },
		{ 44, [TXT_WARN2_SIGBR_LWL] },
		{ 45, [TXT_INZWIPOS], "Anzeige, wenn Antrieb in Zwischenposition stehenbleibt" }
	}
	HANDLING	READ & WRITE;
}

COMMAND read_P1DIG2
{
	SLOT		1;
	INDEX		81;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			P1DIG2
		}
	}
}

COMMAND write_P1DIG2
{
	SLOT		1;
	INDEX		81;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			P1DIG2
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

/*************************************************************/
VARIABLE P1DIG3	// Melderelais 3 (ParInt)
{
	LABEL		[TXT_SW_ID148];
	HELP		[TXT_REM_ID148];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE	21;
		{ 0, [TXT_NOT_USED], "Bei nderung auch in OUT_T.C" },
		{ 1, [TXT_LOGIC_IST_ZU], "Tabelle 'eRelaisSettingTable'" },
		{ 2, [TXT_LOGIC_IST_AUF], "anpassen." },
		{ 3, [TXT_LOGIC_DRV_ZU] },
		{ 4, [TXT_LOGIC_DRV_AUF] },
		{ 5, [TXT_PHYS_DRV_MOVE], "Faehrt (Sammelmeldung)" },
		{ 6, [TXT_ACTUATOR_WSR] },
		{ 7, [TXT_ACTUATOR_WOEL] },
		{ 8, [TXT_ACTUATOR_DSR] },
		{ 9, [TXT_ACTUATOR_DOEL] },
		{ 10, [TXT_ERR_TH] },
		{ 11, [TXT_ERR_DSRERR] },
		{ 12, [TXT_ERR_DOELERR] },
		{ 13, [TXT_RES2_TRQERR], "Drehmomentfehler" },
		{ 14, [TXT_WARN2_SIGBR_EXT] },
		{ 15, [TXT_WARN2_SIGBR_STG] },
		{ 16, [TXT_WARN2_SIGBR_RPM] },
		{ 17, [TXT_WARN2_SIGBR_TRQ] },
		{ 18, [TXT_WARN1_STELLTERR] },
		{ 19, [TXT_WARN1_EDERR] },
		{ 20, [TXT_ACTUATOR_WSO] },
		{ 21, [TXT_ACTUATOR_WSF] },
		{ 22, [TXT_ACTUATOR_WS_OFF] },
		{ 23, [TXT_ACTUATOR_BINAER] },
		{ 24, [TXT_ACTUATOR_ANALOG] },
		{ 25, [TXT_OPT1_ZWI1] },
		{ 26, [TXT_OPT1_ZWI2] },
		{ 27, [TXT_OPT1_ZWI3] },
		{ 28, [TXT_OPT1_ZWI4] },
		{ 29, [TXT_PHYS_DRV_IN_TKT] },
		{ 30, [TXT_RES1_IST_ZU_BLINK], "Endlage Zu  und Blinksignal whrend der Fahrt" },
		{ 31, [TXT_RES1_IST_AUF_BLINK], "Endlage Auf und Blinksignal whrend der Fahrt" },
		{ 32, [TXT_LOGIC_ERROR], "Fehlermeldungen" },
		{ 33, [TXT_LOGIC_WARNING], "Warnung vorhanden" },
		{ 34, [TXT_LOGIC_NOT_RDY], "Nicht betriebsbereit FERN" },
		{ 35, [TXT_LOGIC_AT_SOLL], "Antrieb ist bei Sollposition" },
		{ 36, [TXT_ERR_PH], "Phasenausfall" },
		{ 37, [TXT_PIDIGIN_SIGBR_AN2], "Drahtbruch Analog 2" },
		{ 38, [TXT_PIDIGIN_SIGBR_AN1], "Drahtbruch Analog 1" },
		{ 39, [TXT_OPT1_ZWI5] },
		{ 40, [TXT_OPT1_ZWI6] },
		{ 41, [TXT_OPT1_ZWI7] },
		{ 42, [TXT_OPT1_ZWI8] },
		{ 43, [TXT_PHYS_DRV_NOTAUS_PRESSED] },
		{ 44, [TXT_WARN2_SIGBR_LWL] },
		{ 45, [TXT_INZWIPOS], "Anzeige, wenn Antrieb in Zwischenposition stehenbleibt" }
	}
	HANDLING	READ & WRITE;
}

COMMAND read_P1DIG3
{
	SLOT		1;
	INDEX		82;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			P1DIG3
		}
	}
}

COMMAND write_P1DIG3
{
	SLOT		1;
	INDEX		82;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			P1DIG3
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

/*************************************************************/
VARIABLE P1DIG4	// Melderelais 4 (ParInt)
{
	LABEL		[TXT_SW_ID149];
	HELP		[TXT_REM_ID149];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE	11;
		{ 0, [TXT_NOT_USED], "Bei nderung auch in OUT_T.C" },
		{ 1, [TXT_LOGIC_IST_ZU], "Tabelle 'eRelaisSettingTable'" },
		{ 2, [TXT_LOGIC_IST_AUF], "anpassen." },
		{ 3, [TXT_LOGIC_DRV_ZU] },
		{ 4, [TXT_LOGIC_DRV_AUF] },
		{ 5, [TXT_PHYS_DRV_MOVE], "Faehrt (Sammelmeldung)" },
		{ 6, [TXT_ACTUATOR_WSR] },
		{ 7, [TXT_ACTUATOR_WOEL] },
		{ 8, [TXT_ACTUATOR_DSR] },
		{ 9, [TXT_ACTUATOR_DOEL] },
		{ 10, [TXT_ERR_TH] },
		{ 11, [TXT_ERR_DSRERR] },
		{ 12, [TXT_ERR_DOELERR] },
		{ 13, [TXT_RES2_TRQERR], "Drehmomentfehler" },
		{ 14, [TXT_WARN2_SIGBR_EXT] },
		{ 15, [TXT_WARN2_SIGBR_STG] },
		{ 16, [TXT_WARN2_SIGBR_RPM] },
		{ 17, [TXT_WARN2_SIGBR_TRQ] },
		{ 18, [TXT_WARN1_STELLTERR] },
		{ 19, [TXT_WARN1_EDERR] },
		{ 20, [TXT_ACTUATOR_WSO] },
		{ 21, [TXT_ACTUATOR_WSF] },
		{ 22, [TXT_ACTUATOR_WS_OFF] },
		{ 23, [TXT_ACTUATOR_BINAER] },
		{ 24, [TXT_ACTUATOR_ANALOG] },
		{ 25, [TXT_OPT1_ZWI1] },
		{ 26, [TXT_OPT1_ZWI2] },
		{ 27, [TXT_OPT1_ZWI3] },
		{ 28, [TXT_OPT1_ZWI4] },
		{ 29, [TXT_PHYS_DRV_IN_TKT] },
		{ 30, [TXT_RES1_IST_ZU_BLINK], "Endlage Zu  und Blinksignal whrend der Fahrt" },
		{ 31, [TXT_RES1_IST_AUF_BLINK], "Endlage Auf und Blinksignal whrend der Fahrt" },
		{ 32, [TXT_LOGIC_ERROR], "Fehlermeldungen" },
		{ 33, [TXT_LOGIC_WARNING], "Warnung vorhanden" },
		{ 34, [TXT_LOGIC_NOT_RDY], "Nicht betriebsbereit FERN" },
		{ 35, [TXT_LOGIC_AT_SOLL], "Antrieb ist bei Sollposition" },
		{ 36, [TXT_ERR_PH], "Phasenausfall" },
		{ 37, [TXT_PIDIGIN_SIGBR_AN2], "Drahtbruch Analog 2" },
		{ 38, [TXT_PIDIGIN_SIGBR_AN1], "Drahtbruch Analog 1" },
		{ 39, [TXT_OPT1_ZWI5] },
		{ 40, [TXT_OPT1_ZWI6] },
		{ 41, [TXT_OPT1_ZWI7] },
		{ 42, [TXT_OPT1_ZWI8] },
		{ 43, [TXT_PHYS_DRV_NOTAUS_PRESSED] },
		{ 44, [TXT_WARN2_SIGBR_LWL] },
		{ 45, [TXT_INZWIPOS], "Anzeige, wenn Antrieb in Zwischenposition stehenbleibt" }
	}
	HANDLING	READ & WRITE;
}

COMMAND read_P1DIG4
{
	SLOT		1;
	INDEX		83;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			P1DIG4
		}
	}
}

COMMAND write_P1DIG4
{
	SLOT		1;
	INDEX		83;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			P1DIG4
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

/*************************************************************/
VARIABLE P1DIG5	// Melderelais 5 (ParInt)
{
	LABEL		[TXT_SW_ID150];
	HELP		[TXT_REM_ID150];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE	12;
		{ 0, [TXT_NOT_USED], "Bei nderung auch in OUT_T.C" },
		{ 1, [TXT_LOGIC_IST_ZU], "Tabelle 'eRelaisSettingTable'" },
		{ 2, [TXT_LOGIC_IST_AUF], "anpassen." },
		{ 3, [TXT_LOGIC_DRV_ZU] },
		{ 4, [TXT_LOGIC_DRV_AUF] },
		{ 5, [TXT_PHYS_DRV_MOVE], "Faehrt (Sammelmeldung)" },
		{ 6, [TXT_ACTUATOR_WSR] },
		{ 7, [TXT_ACTUATOR_WOEL] },
		{ 8, [TXT_ACTUATOR_DSR] },
		{ 9, [TXT_ACTUATOR_DOEL] },
		{ 10, [TXT_ERR_TH] },
		{ 11, [TXT_ERR_DSRERR] },
		{ 12, [TXT_ERR_DOELERR] },
		{ 13, [TXT_RES2_TRQERR], "Drehmomentfehler" },
		{ 14, [TXT_WARN2_SIGBR_EXT] },
		{ 15, [TXT_WARN2_SIGBR_STG] },
		{ 16, [TXT_WARN2_SIGBR_RPM] },
		{ 17, [TXT_WARN2_SIGBR_TRQ] },
		{ 18, [TXT_WARN1_STELLTERR] },
		{ 19, [TXT_WARN1_EDERR] },
		{ 20, [TXT_ACTUATOR_WSO] },
		{ 21, [TXT_ACTUATOR_WSF] },
		{ 22, [TXT_ACTUATOR_WS_OFF] },
		{ 23, [TXT_ACTUATOR_BINAER] },
		{ 24, [TXT_ACTUATOR_ANALOG] },
		{ 25, [TXT_OPT1_ZWI1] },
		{ 26, [TXT_OPT1_ZWI2] },
		{ 27, [TXT_OPT1_ZWI3] },
		{ 28, [TXT_OPT1_ZWI4] },
		{ 29, [TXT_PHYS_DRV_IN_TKT] },
		{ 30, [TXT_RES1_IST_ZU_BLINK], "Endlage Zu  und Blinksignal whrend der Fahrt" },
		{ 31, [TXT_RES1_IST_AUF_BLINK], "Endlage Auf und Blinksignal whrend der Fahrt" },
		{ 32, [TXT_LOGIC_ERROR], "Fehlermeldungen" },
		{ 33, [TXT_LOGIC_WARNING], "Warnung vorhanden" },
		{ 34, [TXT_LOGIC_NOT_RDY], "Nicht betriebsbereit FERN" },
		{ 35, [TXT_LOGIC_AT_SOLL], "Antrieb ist bei Sollposition" },
		{ 36, [TXT_ERR_PH], "Phasenausfall" },
		{ 37, [TXT_PIDIGIN_SIGBR_AN2], "Drahtbruch Analog 2" },
		{ 38, [TXT_PIDIGIN_SIGBR_AN1], "Drahtbruch Analog 1" },
		{ 39, [TXT_OPT1_ZWI5] },
		{ 40, [TXT_OPT1_ZWI6] },
		{ 41, [TXT_OPT1_ZWI7] },
		{ 42, [TXT_OPT1_ZWI8] },
		{ 43, [TXT_PHYS_DRV_NOTAUS_PRESSED] },
		{ 44, [TXT_WARN2_SIGBR_LWL] },
		{ 45, [TXT_INZWIPOS], "Anzeige, wenn Antrieb in Zwischenposition stehenbleibt" }
	}
	HANDLING	READ & WRITE;
}

COMMAND read_P1DIG5
{
	SLOT		1;
	INDEX		84;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			P1DIG5
		}
	}
}

COMMAND write_P1DIG5
{
	SLOT		1;
	INDEX		84;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			P1DIG5
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

//~ Ein-/Ausgnge (Messbereiche und Belegungen)
/*************************************************************/
VARIABLE P1A1A	// Eingang 1 Messbereich Anfang (ParInt)
{
	LABEL		[TXT_SW_ID89];
	HELP		[TXT_REM_ID89];
	CLASS		CONTAINED;
	TYPE		UNSIGNED_INTEGER (2)
	{
		DEFAULT_VALUE	0;
		MIN_VALUE		0;
		MAX_VALUE		200;
	}
	CONSTANT_UNIT	[Milliampere_0_1];
	HANDLING	READ & WRITE;
}

COMMAND read_P1A1A
{
	SLOT		1;
	INDEX		70;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			P1A1A
		}
	}
}

COMMAND write_P1A1A
{
	SLOT		1;
	INDEX		70;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			P1A1A
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

/*************************************************************/
VARIABLE P1A1E	// Eingang 1 Messbereich Ende (Paralleles Interface)
{
	LABEL		[TXT_SW_ID90];
	HELP		[TXT_REM_ID90];
	CLASS		CONTAINED;
	TYPE		UNSIGNED_INTEGER (2)
	{
		DEFAULT_VALUE	200;
		MIN_VALUE		0;
		MAX_VALUE		200;
	}
	CONSTANT_UNIT	[Milliampere_0_1];
	HANDLING	READ & WRITE;
}

COMMAND read_P1A1E
{
	SLOT		1;
	INDEX		71;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			P1A1E
		}
	}
}

COMMAND write_P1A1E
{
	SLOT		1;
	INDEX		71;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			P1A1E
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

/*************************************************************/
VARIABLE P1A2A	// Eingang 2 Messbereich Anfang (ParInt)
{
	LABEL		[TXT_SW_ID91];
	HELP		[TXT_REM_ID91];
	CLASS		CONTAINED;
	TYPE		UNSIGNED_INTEGER (2)
	{
		DEFAULT_VALUE	0;
		MIN_VALUE		0;
		MAX_VALUE		200;
	}
	CONSTANT_UNIT	[Milliampere_0_1];
	HANDLING	READ & WRITE;
}

COMMAND read_P1A2A
{
	SLOT		1;
	INDEX		72;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			P1A2A
		}
	}
}

COMMAND write_P1A2A
{
	SLOT		1;
	INDEX		72;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			P1A2A
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

/*************************************************************/
VARIABLE P1A2E	// Eingang 2 Messbereich Ende (ParInt)
{
	LABEL		[TXT_SW_ID92];
	HELP		[TXT_REM_ID92];
	CLASS		CONTAINED;
	TYPE		UNSIGNED_INTEGER (2)
	{
		DEFAULT_VALUE	200;
		MIN_VALUE		0;
		MAX_VALUE		200;
	}
	CONSTANT_UNIT	[Milliampere_0_1];
	HANDLING	READ & WRITE;
}

COMMAND read_P1A2E
{
	SLOT		1;
	INDEX		73;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			P1A2E
		}
	}
}

COMMAND write_P1A2E
{
	SLOT		1;
	INDEX		73;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			P1A2E
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

/*************************************************************/
VARIABLE P1A1ZU	// Ausgang 1 Belegung (Paralleles Interface)
{
	LABEL		[TXT_SW_ID163];
	HELP		[TXT_REM_ID163];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE	1;
		{ 0, [TXT_NOT_USED] },
		{ 1, [TXT_E2_ISTPOSITION] },
		{ 2, [TXT_E6_DREHMOMENT] }
	}
	HANDLING	READ;
}

COMMAND read_P1A1ZU
{
	SLOT		1;
	INDEX		99;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			P1A1ZU
		}
	}
}

/*************************************************************/
VARIABLE P1A1BE	// Ausgang 1 Bereich (Paralleles Interface)
{
	LABEL		[TXT_SW_ID164];
	HELP		[TXT_REM_ID164];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE	0;
		{ 0, [TXT_020MA] },
		{ 1, [TXT_420MA] },
		{ 2, [TXT_200MA], "Auswahl 20 - 0 mA" },
		{ 3, [TXT_204MA], "Auswahl 20 - 4 mA" }
	}
	HANDLING	READ & WRITE;
}

COMMAND read_P1A1BE
{
	SLOT		1;
	INDEX		100;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			P1A1BE
		}
	}
}

COMMAND write_P1A1BE
{
	SLOT		1;
	INDEX		100;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			P1A1BE
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

/*************************************************************/
VARIABLE P1A2ZU	// Ausgang 2 Belegung (Paralleles Interface)
{
	LABEL		[TXT_SW_ID165];
	HELP		[TXT_REM_ID165];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE	0;
		{ 0, [TXT_NOT_USED] },
		{ 1, [TXT_E2_ISTPOSITION] },
		{ 2, [TXT_E6_DREHMOMENT] }
	}
	HANDLING	READ;
}

COMMAND read_P1A2ZU
{
	SLOT		1;
	INDEX		101;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			P1A2ZU
		}
	}
}

/*************************************************************/
VARIABLE P1A2BE	// Ausgang 2 Bereich (Paralleles Interface)
{
	LABEL		[TXT_SW_ID166];
	HELP		[TXT_REM_ID166];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE	0;
		{ 0, [TXT_020MA] },
		{ 1, [TXT_420MA] },
		{ 2, [TXT_200MA], "Auswahl 20 - 0 mA" },
		{ 3, [TXT_204MA], "Auswahl 20 - 4 mA" }
	}
	HANDLING	READ & WRITE;
}

COMMAND read_P1A2BE
{
	SLOT		1;
	INDEX		102;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			P1A2BE
		}
	}
}

COMMAND write_P1A2BE
{
	SLOT		1;
	INDEX		102;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			P1A2BE
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

//~ Profibus DP Interface 1 & 2
//~ Profibus DP Interface 1
/*************************************************************/
VARIABLE BUSRED	// Leitungs-Redundanz (Profibus DP Interface 1)
{
	LABEL		[TXT_SW_ID3];
	HELP		[TXT_REM_ID3];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE	0;
		{ 0, [TXT_AUS] },
		{ 1, [TXT_EIN_AKTIVERCH] },
		{ 2, [TXT_EIN_BEIDECH] }
	}
	HANDLING	READ & WRITE;
}

COMMAND read_BUSRED
{
	SLOT		1;
	INDEX		4;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			BUSRED
		}
	}
}

COMMAND write_BUSRED
{
	SLOT		1;
	INDEX		4;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			BUSRED
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

/*************************************************************/
VARIABLE KANWZ	// Kanalwechselzeit
{
	LABEL		[TXT_SW_ID4];
	HELP		[TXT_REM_ID4];
	CLASS		CONTAINED;
	TYPE		UNSIGNED_INTEGER (2)
	{
		DEFAULT_VALUE	50;
		MIN_VALUE		50;
		MAX_VALUE		255;
	}
	CONSTANT_UNIT	[Sekunden_0_1];
	HANDLING	READ & WRITE;
}

COMMAND read_KANWZ
{
	SLOT		1;
	INDEX		5;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			KANWZ
		}
	}
}

COMMAND write_KANWZ
{
	SLOT		1;
	INDEX		5;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			KANWZ
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

//~ Eingang 1 und 2
/*************************************************************/
VARIABLE DP1A1A	// Eingang 1 Messbereich Anfang (Profibus DP1 Interface)
{
	LABEL		[TXT_SW_ID93];
	HELP		[TXT_REM_ID93];
	CLASS		CONTAINED;
	TYPE		UNSIGNED_INTEGER (2)
	{
		DEFAULT_VALUE	0;
		MIN_VALUE		0;
		MAX_VALUE		200;
	}
	CONSTANT_UNIT	[Milliampere_0_1];
	HANDLING	READ & WRITE;
}

COMMAND read_DP1A1A
{
	SLOT		1;
	INDEX		74;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			DP1A1A
		}
	}
}

COMMAND write_DP1A1A
{
	SLOT		1;
	INDEX		74;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			DP1A1A
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

/*************************************************************/
VARIABLE DP1A1E	// Eingang 1 Messbereich Ende (Profibus DP1 Interface)
{
	LABEL		[TXT_SW_ID94];
	HELP		[TXT_REM_ID94];
	CLASS		CONTAINED;
	TYPE		UNSIGNED_INTEGER (2)
	{
		DEFAULT_VALUE	200;
		MIN_VALUE		0;
		MAX_VALUE		200;
	}
	CONSTANT_UNIT	[Milliampere_0_1];
	HANDLING	READ & WRITE;
}

COMMAND read_DP1A1E
{
	SLOT		1;
	INDEX		75;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			DP1A1E
		}
	}
}

COMMAND write_DP1A1E
{
	SLOT		1;
	INDEX		75;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			DP1A1E
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

/*************************************************************/
VARIABLE DP1A2A	// Eingang 2 Messbereich Anfang (Profibus DP1 Interface)
{
	LABEL		[TXT_SW_ID95];
	HELP		[TXT_REM_ID95];
	CLASS		CONTAINED;
	TYPE		UNSIGNED_INTEGER (2)
	{
		DEFAULT_VALUE	0;
		MIN_VALUE		0;
		MAX_VALUE		200;
	}
	CONSTANT_UNIT	[Milliampere_0_1];
	HANDLING	READ & WRITE;
}

COMMAND read_DP1A2A
{
	SLOT		1;
	INDEX		76;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			DP1A2A
		}
	}
}

COMMAND write_DP1A2A
{
	SLOT		1;
	INDEX		76;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			DP1A2A
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

/*************************************************************/
VARIABLE DP1A2E	// Eingang 2 Messbereich Ende (Profibus DP1 Interface)
{
	LABEL		[TXT_SW_ID96];
	HELP		[TXT_REM_ID96];
	CLASS		CONTAINED;
	TYPE		UNSIGNED_INTEGER (2)
	{
		DEFAULT_VALUE	200;
		MIN_VALUE		0;
		MAX_VALUE		200;
	}
	CONSTANT_UNIT	[Milliampere_0_1];
	HANDLING	READ & WRITE;
}

COMMAND read_DP1A2E
{
	SLOT		1;
	INDEX		77;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			DP1A2E
		}
	}
}

COMMAND write_DP1A2E
{
	SLOT		1;
	INDEX		77;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			DP1A2E
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

//~ DP #1: Belegung Byte 1
/*************************************************************/
VARIABLE D_DEF0	// Profibus DP Interface 1: Belegung benutzerdefiniertes Byte 1 Bit 0
{
	LABEL		[TXT_SW_ID151];
	HELP		[TXT_REM_ID151];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE	1;
		{ 0, [TXT_NOT_USED], "Bei nderung auch in OUT_T.C" },
		{ 1, [TXT_LOGIC_IST_ZU], "Tabelle 'eDigDefSettingTable'" },
		{ 2, [TXT_LOGIC_IST_AUF], "anpassen." },
		{ 3, [TXT_LOGIC_DRV_ZU] },
		{ 4, [TXT_LOGIC_DRV_AUF] },
		{ 5, [TXT_PHYS_DRV_MOVE], "Faehrt (Sammelmeldung)" },
		{ 6, [TXT_ACTUATOR_WSR] },
		{ 7, [TXT_ACTUATOR_WOEL] },
		{ 8, [TXT_ACTUATOR_DSR] },
		{ 9, [TXT_ACTUATOR_DOEL] },
		{ 10, [TXT_ACTUATOR_TH] },
		{ 11, [TXT_ERR_DSRERR] },
		{ 12, [TXT_ERR_DOELERR] },
		{ 13, [TXT_RES2_TRQERR], "Drehmomentfehler" },
		{ 14, [TXT_WARN2_SIGBR_EXT] },
		{ 15, [TXT_WARN2_SIGBR_STG] },
		{ 16, [TXT_WARN2_SIGBR_RPM] },
		{ 17, [TXT_WARN2_SIGBR_TRQ] },
		{ 18, [TXT_WARN1_STELLTERR] },
		{ 19, [TXT_WARN1_EDERR] },
		{ 20, [TXT_ACTUATOR_WSO] },
		{ 21, [TXT_ACTUATOR_WSF] },
		{ 22, [TXT_ACTUATOR_WS_OFF] },
		{ 23, [TXT_ACTUATOR_BINAER] },
		{ 24, [TXT_ACTUATOR_ANALOG] },
		{ 25, [TXT_OPT1_ZWI1] },
		{ 26, [TXT_OPT1_ZWI2] },
		{ 27, [TXT_OPT1_ZWI3] },
		{ 28, [TXT_OPT1_ZWI4] },
		{ 29, [TXT_PHYS_DRV_IN_TKT] },
		{ 30, [TXT_RES1_IST_ZU_BLINK], "Endlage Zu  und Blinksignal whrend der Fahrt" },
		{ 31, [TXT_RES1_IST_AUF_BLINK], "Endlage Auf und Blinksignal whrend der Fahrt" },
		{ 32, [TXT_LOGIC_ERROR], "Fehlermeldungen" },
		{ 33, [TXT_LOGIC_WARNING], "Warnung vorhanden" },
		{ 34, [TXT_LOGIC_NOT_RDY], "Nicht betriebsbereit FERN" },
		{ 35, [TXT_LOGIC_AT_SOLL], "Antrieb ist bei Sollposition" },
		{ 36, [TXT_ERR_PH], "Phasenausfall" },
		{ 37, [TXT_PIDIGIN_SIGBR_AN2], "Drahtbruch Analog 2" },
		{ 38, [TXT_PIDIGIN_SIGBR_AN1], "Drahtbruch Analog 1" },
		{ 39, [TXT_NOT_RDY_RMT_WS_NOT_REMOTE], "Wahlschalter nicht Fern" },
		{ 40, [TXT_NOT_RDY_RMT_WROMG_CMD], "Falsches Kommando" },
		{ 41, [TXT_ERR_INT_ERROR], "Interner Fehler" },
		{ 42, [TXT_ERR_LE_ERROR], "Leistungselektronik-Fehler" },
		{ 43, [TXT_WARN1_NO_REF], "Poti nicht justiert/Keine Referenzfahrt" },
		{ 44, [TXT_WARN1_INT_WARN], "Interne Warnung" },
		{ 45, [TXT_WARN1_CHANNEL_2], "auf Kanal 2" },
		{ 46, [TXT_PHYS_DRV_LOCAL], "Faehrt von Ort" },
		{ 47, [TXT_PHYS_DRV_REMOTE], "Faehrt von Fern" },
		{ 48, [TXT_PHYS_DRV_HANDWHEEL], "Faehrt mit Handrad" },
		{ 49, [TXT_PHYS_DRV_PROP], "Proportionalfahrt aktiv" },
		{ 50, [TXT_PHYS_DRV_PAUSE], "Fahrpause" },
		{ 51, [TXT_NOT_RDY_RMT_GCCLEAR], "Clear-Zustand" },
		{ 52, [TXT_OPT1_DIN1_DP1], "Digitaler Eingang 1 PBDP1" },
		{ 53, [TXT_OPT1_DIN2_DP1], "Digitaler Eingang 2 PBDP1" },
		{ 54, [TXT_OPT1_DIN3_DP1], "Digitaler Eingang 3 PBDP1" },
		{ 55, [TXT_OPT1_DIN4_DP1], "Digitaler Eingang 4 PBDP1" },
		{ 56, [TXT_OPT1_ZWI5] },
		{ 57, [TXT_OPT1_ZWI6] },
		{ 58, [TXT_OPT1_ZWI7] },
		{ 59, [TXT_OPT1_ZWI8] },
		{ 60, [TXT_PHYS_DRV_NOTAUS_PRESSED] },
		{ 61, [TXT_WARN2_SIGBR_LWL] },
		{ 62, [TXT_OPT2_BRAKE_OK], "1, wenn keine Versorgungsspannung fr Haltebremse" },
		{ 63, [TXT_NOTIFY_RESET], "1 = Reset der Logik wird angezeigt." },
		{ 64, [TXT_DIGIN1_BUS2], "Digitaler Eingang 1 von Businterface 2" },
		{ 65, [TXT_DIGIN2_BUS1], "Digitaler Eingang 2 Bus 2-Interface" },
		{ 66, [TXT_DIGIN3_BUS2], "Digtaler Eingang 3 Bus2-Interface" },
		{ 67, [TXT_DIGIN4_BUS2], "Digitaler Eingang 4 Bus2-Interface" },
		{ 68, [TXT_RES3_VORORT_AUF], "Fhrt in Richtung AUF, Ursache ist lokal, entweder Ortssteuerstelle oder Handrad." },
		{ 69, [TXT_RES3_VORORT_ZU], "Fhrt in ZU Richtung. Ursache ist Handrad oder Ortssteuerstelle." },
		{ 70, [TXT_INZWIPOS] }
	}
	HANDLING	READ;
}

COMMAND read_D_DEF0
{
	SLOT		1;
	INDEX		85;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			D_DEF0
		}
	}
}

/*************************************************************/
VARIABLE D_DEF1	// Profibus DP Interface 1: Belegung benutzerdefiniertes Byte 1 Bit 1
{
	LABEL		[TXT_SW_ID152];
	HELP		[TXT_REM_ID152];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE	2;
		{ 0, [TXT_NOT_USED], "Bei nderung auch in OUT_T.C" },
		{ 1, [TXT_LOGIC_IST_ZU], "Tabelle 'eDigDefSettingTable'" },
		{ 2, [TXT_LOGIC_IST_AUF], "anpassen." },
		{ 3, [TXT_LOGIC_DRV_ZU] },
		{ 4, [TXT_LOGIC_DRV_AUF] },
		{ 5, [TXT_PHYS_DRV_MOVE], "Faehrt (Sammelmeldung)" },
		{ 6, [TXT_ACTUATOR_WSR] },
		{ 7, [TXT_ACTUATOR_WOEL] },
		{ 8, [TXT_ACTUATOR_DSR] },
		{ 9, [TXT_ACTUATOR_DOEL] },
		{ 10, [TXT_ACTUATOR_TH] },
		{ 11, [TXT_ERR_DSRERR] },
		{ 12, [TXT_ERR_DOELERR] },
		{ 13, [TXT_RES2_TRQERR], "Drehmomentfehler" },
		{ 14, [TXT_WARN2_SIGBR_EXT] },
		{ 15, [TXT_WARN2_SIGBR_STG] },
		{ 16, [TXT_WARN2_SIGBR_RPM] },
		{ 17, [TXT_WARN2_SIGBR_TRQ] },
		{ 18, [TXT_WARN1_STELLTERR] },
		{ 19, [TXT_WARN1_EDERR] },
		{ 20, [TXT_ACTUATOR_WSO] },
		{ 21, [TXT_ACTUATOR_WSF] },
		{ 22, [TXT_ACTUATOR_WS_OFF] },
		{ 23, [TXT_ACTUATOR_BINAER] },
		{ 24, [TXT_ACTUATOR_ANALOG] },
		{ 25, [TXT_OPT1_ZWI1] },
		{ 26, [TXT_OPT1_ZWI2] },
		{ 27, [TXT_OPT1_ZWI3] },
		{ 28, [TXT_OPT1_ZWI4] },
		{ 29, [TXT_PHYS_DRV_IN_TKT] },
		{ 30, [TXT_RES1_IST_ZU_BLINK], "Endlage Zu  und Blinksignal whrend der Fahrt" },
		{ 31, [TXT_RES1_IST_AUF_BLINK], "Endlage Auf und Blinksignal whrend der Fahrt" },
		{ 32, [TXT_LOGIC_ERROR], "Fehlermeldungen" },
		{ 33, [TXT_LOGIC_WARNING], "Warnung vorhanden" },
		{ 34, [TXT_LOGIC_NOT_RDY], "Nicht betriebsbereit FERN" },
		{ 35, [TXT_LOGIC_AT_SOLL], "Antrieb ist bei Sollposition" },
		{ 36, [TXT_ERR_PH], "Phasenausfall" },
		{ 37, [TXT_PIDIGIN_SIGBR_AN2], "Drahtbruch Analog 2" },
		{ 38, [TXT_PIDIGIN_SIGBR_AN1], "Drahtbruch Analog 1" },
		{ 39, [TXT_NOT_RDY_RMT_WS_NOT_REMOTE], "Wahlschalter nicht Fern" },
		{ 40, [TXT_NOT_RDY_RMT_WROMG_CMD], "Falsches Kommando" },
		{ 41, [TXT_ERR_INT_ERROR], "Interner Fehler" },
		{ 42, [TXT_ERR_LE_ERROR], "Leistungselektronik-Fehler" },
		{ 43, [TXT_WARN1_NO_REF], "Poti nicht justiert/Keine Referenzfahrt" },
		{ 44, [TXT_WARN1_INT_WARN], "Interne Warnung" },
		{ 45, [TXT_WARN1_CHANNEL_2], "auf Kanal 2" },
		{ 46, [TXT_PHYS_DRV_LOCAL], "Faehrt von Ort" },
		{ 47, [TXT_PHYS_DRV_REMOTE], "Faehrt von Fern" },
		{ 48, [TXT_PHYS_DRV_HANDWHEEL], "Faehrt mit Handrad" },
		{ 49, [TXT_PHYS_DRV_PROP], "Proportionalfahrt aktiv" },
		{ 50, [TXT_PHYS_DRV_PAUSE], "Fahrpause" },
		{ 51, [TXT_NOT_RDY_RMT_GCCLEAR], "Clear-Zustand" },
		{ 52, [TXT_OPT1_DIN1_DP1], "Digitaler Eingang 1 PBDP1" },
		{ 53, [TXT_OPT1_DIN2_DP1], "Digitaler Eingang 2 PBDP1" },
		{ 54, [TXT_OPT1_DIN3_DP1], "Digitaler Eingang 3 PBDP1" },
		{ 55, [TXT_OPT1_DIN4_DP1], "Digitaler Eingang 4 PBDP1" },
		{ 56, [TXT_OPT1_ZWI5] },
		{ 57, [TXT_OPT1_ZWI6] },
		{ 58, [TXT_OPT1_ZWI7] },
		{ 59, [TXT_OPT1_ZWI8] },
		{ 60, [TXT_PHYS_DRV_NOTAUS_PRESSED] },
		{ 61, [TXT_WARN2_SIGBR_LWL] },
		{ 62, [TXT_OPT2_BRAKE_OK], "1, wenn keine Versorgungsspannung fr Haltebremse" },
		{ 63, [TXT_NOTIFY_RESET], "1 = Reset der Logik wird angezeigt." },
		{ 64, [TXT_DIGIN1_BUS2], "Digitaler Eingang 1 von Businterface 2" },
		{ 65, [TXT_DIGIN2_BUS1], "Digitaler Eingang 2 Bus 2-Interface" },
		{ 66, [TXT_DIGIN3_BUS2], "Digtaler Eingang 3 Bus2-Interface" },
		{ 67, [TXT_DIGIN4_BUS2], "Digitaler Eingang 4 Bus2-Interface" },
		{ 68, [TXT_RES3_VORORT_AUF], "Fhrt in Richtung AUF, Ursache ist lokal, entweder Ortssteuerstelle oder Handrad." },
		{ 69, [TXT_RES3_VORORT_ZU], "Fhrt in ZU Richtung. Ursache ist Handrad oder Ortssteuerstelle." },
		{ 70, [TXT_INZWIPOS] }
	}
	HANDLING	READ;
}

COMMAND read_D_DEF1
{
	SLOT		1;
	INDEX		86;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			D_DEF1
		}
	}
}

/*************************************************************/
VARIABLE D_DEF2	// Profibus DP Interface 1: Belegung benutzerdefiniertes Byte 1 Bit 2
{
	LABEL		[TXT_SW_ID153];
	HELP		[TXT_REM_ID153];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE	21;
		{ 0, [TXT_NOT_USED], "Bei nderung auch in OUT_T.C" },
		{ 1, [TXT_LOGIC_IST_ZU], "Tabelle 'eDigDefSettingTable'" },
		{ 2, [TXT_LOGIC_IST_AUF], "anpassen." },
		{ 3, [TXT_LOGIC_DRV_ZU] },
		{ 4, [TXT_LOGIC_DRV_AUF] },
		{ 5, [TXT_PHYS_DRV_MOVE], "Faehrt (Sammelmeldung)" },
		{ 6, [TXT_ACTUATOR_WSR] },
		{ 7, [TXT_ACTUATOR_WOEL] },
		{ 8, [TXT_ACTUATOR_DSR] },
		{ 9, [TXT_ACTUATOR_DOEL] },
		{ 10, [TXT_ACTUATOR_TH] },
		{ 11, [TXT_ERR_DSRERR] },
		{ 12, [TXT_ERR_DOELERR] },
		{ 13, [TXT_RES2_TRQERR], "Drehmomentfehler" },
		{ 14, [TXT_WARN2_SIGBR_EXT] },
		{ 15, [TXT_WARN2_SIGBR_STG] },
		{ 16, [TXT_WARN2_SIGBR_RPM] },
		{ 17, [TXT_WARN2_SIGBR_TRQ] },
		{ 18, [TXT_WARN1_STELLTERR] },
		{ 19, [TXT_WARN1_EDERR] },
		{ 20, [TXT_ACTUATOR_WSO] },
		{ 21, [TXT_ACTUATOR_WSF] },
		{ 22, [TXT_ACTUATOR_WS_OFF] },
		{ 23, [TXT_ACTUATOR_BINAER] },
		{ 24, [TXT_ACTUATOR_ANALOG] },
		{ 25, [TXT_OPT1_ZWI1] },
		{ 26, [TXT_OPT1_ZWI2] },
		{ 27, [TXT_OPT1_ZWI3] },
		{ 28, [TXT_OPT1_ZWI4] },
		{ 29, [TXT_PHYS_DRV_IN_TKT] },
		{ 30, [TXT_RES1_IST_ZU_BLINK], "Endlage Zu  und Blinksignal whrend der Fahrt" },
		{ 31, [TXT_RES1_IST_AUF_BLINK], "Endlage Auf und Blinksignal whrend der Fahrt" },
		{ 32, [TXT_LOGIC_ERROR], "Fehlermeldungen" },
		{ 33, [TXT_LOGIC_WARNING], "Warnung vorhanden" },
		{ 34, [TXT_LOGIC_NOT_RDY], "Nicht betriebsbereit FERN" },
		{ 35, [TXT_LOGIC_AT_SOLL], "Antrieb ist bei Sollposition" },
		{ 36, [TXT_ERR_PH], "Phasenausfall" },
		{ 37, [TXT_PIDIGIN_SIGBR_AN2], "Drahtbruch Analog 2" },
		{ 38, [TXT_PIDIGIN_SIGBR_AN1], "Drahtbruch Analog 1" },
		{ 39, [TXT_NOT_RDY_RMT_WS_NOT_REMOTE], "Wahlschalter nicht Fern" },
		{ 40, [TXT_NOT_RDY_RMT_WROMG_CMD], "Falsches Kommando" },
		{ 41, [TXT_ERR_INT_ERROR], "Interner Fehler" },
		{ 42, [TXT_ERR_LE_ERROR], "Leistungselektronik-Fehler" },
		{ 43, [TXT_WARN1_NO_REF], "Poti nicht justiert/Keine Referenzfahrt" },
		{ 44, [TXT_WARN1_INT_WARN], "Interne Warnung" },
		{ 45, [TXT_WARN1_CHANNEL_2], "auf Kanal 2" },
		{ 46, [TXT_PHYS_DRV_LOCAL], "Faehrt von Ort" },
		{ 47, [TXT_PHYS_DRV_REMOTE], "Faehrt von Fern" },
		{ 48, [TXT_PHYS_DRV_HANDWHEEL], "Faehrt mit Handrad" },
		{ 49, [TXT_PHYS_DRV_PROP], "Proportionalfahrt aktiv" },
		{ 50, [TXT_PHYS_DRV_PAUSE], "Fahrpause" },
		{ 51, [TXT_NOT_RDY_RMT_GCCLEAR], "Clear-Zustand" },
		{ 52, [TXT_OPT1_DIN1_DP1], "Digitaler Eingang 1 PBDP1" },
		{ 53, [TXT_OPT1_DIN2_DP1], "Digitaler Eingang 2 PBDP1" },
		{ 54, [TXT_OPT1_DIN3_DP1], "Digitaler Eingang 3 PBDP1" },
		{ 55, [TXT_OPT1_DIN4_DP1], "Digitaler Eingang 4 PBDP1" },
		{ 56, [TXT_OPT1_ZWI5] },
		{ 57, [TXT_OPT1_ZWI6] },
		{ 58, [TXT_OPT1_ZWI7] },
		{ 59, [TXT_OPT1_ZWI8] },
		{ 60, [TXT_PHYS_DRV_NOTAUS_PRESSED] },
		{ 61, [TXT_WARN2_SIGBR_LWL] },
		{ 62, [TXT_OPT2_BRAKE_OK], "1, wenn keine Versorgungsspannung fr Haltebremse" },
		{ 63, [TXT_NOTIFY_RESET], "1 = Reset der Logik wird angezeigt." },
		{ 64, [TXT_DIGIN1_BUS2], "Digitaler Eingang 1 von Businterface 2" },
		{ 65, [TXT_DIGIN2_BUS1], "Digitaler Eingang 2 Bus 2-Interface" },
		{ 66, [TXT_DIGIN3_BUS2], "Digtaler Eingang 3 Bus2-Interface" },
		{ 67, [TXT_DIGIN4_BUS2], "Digitaler Eingang 4 Bus2-Interface" },
		{ 68, [TXT_RES3_VORORT_AUF], "Fhrt in Richtung AUF, Ursache ist lokal, entweder Ortssteuerstelle oder Handrad." },
		{ 69, [TXT_RES3_VORORT_ZU], "Fhrt in ZU Richtung. Ursache ist Handrad oder Ortssteuerstelle." },
		{ 70, [TXT_INZWIPOS] }
	}
	HANDLING	READ;
}

COMMAND read_D_DEF2
{
	SLOT		1;
	INDEX		87;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			D_DEF2
		}
	}
}

/*************************************************************/
VARIABLE D_DEF3	// Profibus DP Interface 1: Belegung benutzerdefiniertes Byte 1 Bit 3
{
	LABEL		[TXT_SW_ID154];
	HELP		[TXT_REM_ID154];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE	11;
		{ 0, [TXT_NOT_USED], "Bei nderung auch in OUT_T.C" },
		{ 1, [TXT_LOGIC_IST_ZU], "Tabelle 'eDigDefSettingTable'" },
		{ 2, [TXT_LOGIC_IST_AUF], "anpassen." },
		{ 3, [TXT_LOGIC_DRV_ZU] },
		{ 4, [TXT_LOGIC_DRV_AUF] },
		{ 5, [TXT_PHYS_DRV_MOVE], "Faehrt (Sammelmeldung)" },
		{ 6, [TXT_ACTUATOR_WSR] },
		{ 7, [TXT_ACTUATOR_WOEL] },
		{ 8, [TXT_ACTUATOR_DSR] },
		{ 9, [TXT_ACTUATOR_DOEL] },
		{ 10, [TXT_ACTUATOR_TH] },
		{ 11, [TXT_ERR_DSRERR] },
		{ 12, [TXT_ERR_DOELERR] },
		{ 13, [TXT_RES2_TRQERR], "Drehmomentfehler" },
		{ 14, [TXT_WARN2_SIGBR_EXT] },
		{ 15, [TXT_WARN2_SIGBR_STG] },
		{ 16, [TXT_WARN2_SIGBR_RPM] },
		{ 17, [TXT_WARN2_SIGBR_TRQ] },
		{ 18, [TXT_WARN1_STELLTERR] },
		{ 19, [TXT_WARN1_EDERR] },
		{ 20, [TXT_ACTUATOR_WSO] },
		{ 21, [TXT_ACTUATOR_WSF] },
		{ 22, [TXT_ACTUATOR_WS_OFF] },
		{ 23, [TXT_ACTUATOR_BINAER] },
		{ 24, [TXT_ACTUATOR_ANALOG] },
		{ 25, [TXT_OPT1_ZWI1] },
		{ 26, [TXT_OPT1_ZWI2] },
		{ 27, [TXT_OPT1_ZWI3] },
		{ 28, [TXT_OPT1_ZWI4] },
		{ 29, [TXT_PHYS_DRV_IN_TKT] },
		{ 30, [TXT_RES1_IST_ZU_BLINK], "Endlage Zu  und Blinksignal whrend der Fahrt" },
		{ 31, [TXT_RES1_IST_AUF_BLINK], "Endlage Auf und Blinksignal whrend der Fahrt" },
		{ 32, [TXT_LOGIC_ERROR], "Fehlermeldungen" },
		{ 33, [TXT_LOGIC_WARNING], "Warnung vorhanden" },
		{ 34, [TXT_LOGIC_NOT_RDY], "Nicht betriebsbereit FERN" },
		{ 35, [TXT_LOGIC_AT_SOLL], "Antrieb ist bei Sollposition" },
		{ 36, [TXT_ERR_PH], "Phasenausfall" },
		{ 37, [TXT_PIDIGIN_SIGBR_AN2], "Drahtbruch Analog 2" },
		{ 38, [TXT_PIDIGIN_SIGBR_AN1], "Drahtbruch Analog 1" },
		{ 39, [TXT_NOT_RDY_RMT_WS_NOT_REMOTE], "Wahlschalter nicht Fern" },
		{ 40, [TXT_NOT_RDY_RMT_WROMG_CMD], "Falsches Kommando" },
		{ 41, [TXT_ERR_INT_ERROR], "Interner Fehler" },
		{ 42, [TXT_ERR_LE_ERROR], "Leistungselektronik-Fehler" },
		{ 43, [TXT_WARN1_NO_REF], "Poti nicht justiert/Keine Referenzfahrt" },
		{ 44, [TXT_WARN1_INT_WARN], "Interne Warnung" },
		{ 45, [TXT_WARN1_CHANNEL_2], "auf Kanal 2" },
		{ 46, [TXT_PHYS_DRV_LOCAL], "Faehrt von Ort" },
		{ 47, [TXT_PHYS_DRV_REMOTE], "Faehrt von Fern" },
		{ 48, [TXT_PHYS_DRV_HANDWHEEL], "Faehrt mit Handrad" },
		{ 49, [TXT_PHYS_DRV_PROP], "Proportionalfahrt aktiv" },
		{ 50, [TXT_PHYS_DRV_PAUSE], "Fahrpause" },
		{ 51, [TXT_NOT_RDY_RMT_GCCLEAR], "Clear-Zustand" },
		{ 52, [TXT_OPT1_DIN1_DP1], "Digitaler Eingang 1 PBDP1" },
		{ 53, [TXT_OPT1_DIN2_DP1], "Digitaler Eingang 2 PBDP1" },
		{ 54, [TXT_OPT1_DIN3_DP1], "Digitaler Eingang 3 PBDP1" },
		{ 55, [TXT_OPT1_DIN4_DP1], "Digitaler Eingang 4 PBDP1" },
		{ 56, [TXT_OPT1_ZWI5] },
		{ 57, [TXT_OPT1_ZWI6] },
		{ 58, [TXT_OPT1_ZWI7] },
		{ 59, [TXT_OPT1_ZWI8] },
		{ 60, [TXT_PHYS_DRV_NOTAUS_PRESSED] },
		{ 61, [TXT_WARN2_SIGBR_LWL] },
		{ 62, [TXT_OPT2_BRAKE_OK], "1, wenn keine Versorgungsspannung fr Haltebremse" },
		{ 63, [TXT_NOTIFY_RESET], "1 = Reset der Logik wird angezeigt." },
		{ 64, [TXT_DIGIN1_BUS2], "Digitaler Eingang 1 von Businterface 2" },
		{ 65, [TXT_DIGIN2_BUS1], "Digitaler Eingang 2 Bus 2-Interface" },
		{ 66, [TXT_DIGIN3_BUS2], "Digtaler Eingang 3 Bus2-Interface" },
		{ 67, [TXT_DIGIN4_BUS2], "Digitaler Eingang 4 Bus2-Interface" },
		{ 68, [TXT_RES3_VORORT_AUF], "Fhrt in Richtung AUF, Ursache ist lokal, entweder Ortssteuerstelle oder Handrad." },
		{ 69, [TXT_RES3_VORORT_ZU], "Fhrt in ZU Richtung. Ursache ist Handrad oder Ortssteuerstelle." },
		{ 70, [TXT_INZWIPOS] }
	}
	HANDLING	READ;
}

COMMAND read_D_DEF3
{
	SLOT		1;
	INDEX		88;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			D_DEF3
		}
	}
}

/*************************************************************/
VARIABLE D_DEF4	// Profibus DP Interface 1: Belegung benutzerdefiniertes Byte 1 Bit 4
{
	LABEL		[TXT_SW_ID155];
	HELP		[TXT_REM_ID155];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE	12;
		{ 0, [TXT_NOT_USED], "Bei nderung auch in OUT_T.C" },
		{ 1, [TXT_LOGIC_IST_ZU], "Tabelle 'eDigDefSettingTable'" },
		{ 2, [TXT_LOGIC_IST_AUF], "anpassen." },
		{ 3, [TXT_LOGIC_DRV_ZU] },
		{ 4, [TXT_LOGIC_DRV_AUF] },
		{ 5, [TXT_PHYS_DRV_MOVE], "Faehrt (Sammelmeldung)" },
		{ 6, [TXT_ACTUATOR_WSR] },
		{ 7, [TXT_ACTUATOR_WOEL] },
		{ 8, [TXT_ACTUATOR_DSR] },
		{ 9, [TXT_ACTUATOR_DOEL] },
		{ 10, [TXT_ACTUATOR_TH] },
		{ 11, [TXT_ERR_DSRERR] },
		{ 12, [TXT_ERR_DOELERR] },
		{ 13, [TXT_RES2_TRQERR], "Drehmomentfehler" },
		{ 14, [TXT_WARN2_SIGBR_EXT] },
		{ 15, [TXT_WARN2_SIGBR_STG] },
		{ 16, [TXT_WARN2_SIGBR_RPM] },
		{ 17, [TXT_WARN2_SIGBR_TRQ] },
		{ 18, [TXT_WARN1_STELLTERR] },
		{ 19, [TXT_WARN1_EDERR] },
		{ 20, [TXT_ACTUATOR_WSO] },
		{ 21, [TXT_ACTUATOR_WSF] },
		{ 22, [TXT_ACTUATOR_WS_OFF] },
		{ 23, [TXT_ACTUATOR_BINAER] },
		{ 24, [TXT_ACTUATOR_ANALOG] },
		{ 25, [TXT_OPT1_ZWI1] },
		{ 26, [TXT_OPT1_ZWI2] },
		{ 27, [TXT_OPT1_ZWI3] },
		{ 28, [TXT_OPT1_ZWI4] },
		{ 29, [TXT_PHYS_DRV_IN_TKT] },
		{ 30, [TXT_RES1_IST_ZU_BLINK], "Endlage Zu  und Blinksignal whrend der Fahrt" },
		{ 31, [TXT_RES1_IST_AUF_BLINK], "Endlage Auf und Blinksignal whrend der Fahrt" },
		{ 32, [TXT_LOGIC_ERROR], "Fehlermeldungen" },
		{ 33, [TXT_LOGIC_WARNING], "Warnung vorhanden" },
		{ 34, [TXT_LOGIC_NOT_RDY], "Nicht betriebsbereit FERN" },
		{ 35, [TXT_LOGIC_AT_SOLL], "Antrieb ist bei Sollposition" },
		{ 36, [TXT_ERR_PH], "Phasenausfall" },
		{ 37, [TXT_PIDIGIN_SIGBR_AN2], "Drahtbruch Analog 2" },
		{ 38, [TXT_PIDIGIN_SIGBR_AN1], "Drahtbruch Analog 1" },
		{ 39, [TXT_NOT_RDY_RMT_WS_NOT_REMOTE], "Wahlschalter nicht Fern" },
		{ 40, [TXT_NOT_RDY_RMT_WROMG_CMD], "Falsches Kommando" },
		{ 41, [TXT_ERR_INT_ERROR], "Interner Fehler" },
		{ 42, [TXT_ERR_LE_ERROR], "Leistungselektronik-Fehler" },
		{ 43, [TXT_WARN1_NO_REF], "Poti nicht justiert/Keine Referenzfahrt" },
		{ 44, [TXT_WARN1_INT_WARN], "Interne Warnung" },
		{ 45, [TXT_WARN1_CHANNEL_2], "auf Kanal 2" },
		{ 46, [TXT_PHYS_DRV_LOCAL], "Faehrt von Ort" },
		{ 47, [TXT_PHYS_DRV_REMOTE], "Faehrt von Fern" },
		{ 48, [TXT_PHYS_DRV_HANDWHEEL], "Faehrt mit Handrad" },
		{ 49, [TXT_PHYS_DRV_PROP], "Proportionalfahrt aktiv" },
		{ 50, [TXT_PHYS_DRV_PAUSE], "Fahrpause" },
		{ 51, [TXT_NOT_RDY_RMT_GCCLEAR], "Clear-Zustand" },
		{ 52, [TXT_OPT1_DIN1_DP1], "Digitaler Eingang 1 PBDP1" },
		{ 53, [TXT_OPT1_DIN2_DP1], "Digitaler Eingang 2 PBDP1" },
		{ 54, [TXT_OPT1_DIN3_DP1], "Digitaler Eingang 3 PBDP1" },
		{ 55, [TXT_OPT1_DIN4_DP1], "Digitaler Eingang 4 PBDP1" },
		{ 56, [TXT_OPT1_ZWI5] },
		{ 57, [TXT_OPT1_ZWI6] },
		{ 58, [TXT_OPT1_ZWI7] },
		{ 59, [TXT_OPT1_ZWI8] },
		{ 60, [TXT_PHYS_DRV_NOTAUS_PRESSED] },
		{ 61, [TXT_WARN2_SIGBR_LWL] },
		{ 62, [TXT_OPT2_BRAKE_OK], "1, wenn keine Versorgungsspannung fr Haltebremse" },
		{ 63, [TXT_NOTIFY_RESET], "1 = Reset der Logik wird angezeigt." },
		{ 64, [TXT_DIGIN1_BUS2], "Digitaler Eingang 1 von Businterface 2" },
		{ 65, [TXT_DIGIN2_BUS1], "Digitaler Eingang 2 Bus 2-Interface" },
		{ 66, [TXT_DIGIN3_BUS2], "Digtaler Eingang 3 Bus2-Interface" },
		{ 67, [TXT_DIGIN4_BUS2], "Digitaler Eingang 4 Bus2-Interface" },
		{ 68, [TXT_RES3_VORORT_AUF], "Fhrt in Richtung AUF, Ursache ist lokal, entweder Ortssteuerstelle oder Handrad." },
		{ 69, [TXT_RES3_VORORT_ZU], "Fhrt in ZU Richtung. Ursache ist Handrad oder Ortssteuerstelle." },
		{ 70, [TXT_INZWIPOS] }
	}
	HANDLING	READ;
}

COMMAND read_D_DEF4
{
	SLOT		1;
	INDEX		89;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			D_DEF4
		}
	}
}

/*************************************************************/
VARIABLE D_DEF5	// Profibus DP Interface 1: Belegung benutzerdefiniertes Byte 1 Bit 5
{
	LABEL		[TXT_SW_ID156];
	HELP		[TXT_REM_ID156];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE	36;
		{ 0, [TXT_NOT_USED], "Bei nderung auch in OUT_T.C" },
		{ 1, [TXT_LOGIC_IST_ZU], "Tabelle 'eDigDefSettingTable'" },
		{ 2, [TXT_LOGIC_IST_AUF], "anpassen." },
		{ 3, [TXT_LOGIC_DRV_ZU] },
		{ 4, [TXT_LOGIC_DRV_AUF] },
		{ 5, [TXT_PHYS_DRV_MOVE], "Faehrt (Sammelmeldung)" },
		{ 6, [TXT_ACTUATOR_WSR] },
		{ 7, [TXT_ACTUATOR_WOEL] },
		{ 8, [TXT_ACTUATOR_DSR] },
		{ 9, [TXT_ACTUATOR_DOEL] },
		{ 10, [TXT_ACTUATOR_TH] },
		{ 11, [TXT_ERR_DSRERR] },
		{ 12, [TXT_ERR_DOELERR] },
		{ 13, [TXT_RES2_TRQERR], "Drehmomentfehler" },
		{ 14, [TXT_WARN2_SIGBR_EXT] },
		{ 15, [TXT_WARN2_SIGBR_STG] },
		{ 16, [TXT_WARN2_SIGBR_RPM] },
		{ 17, [TXT_WARN2_SIGBR_TRQ] },
		{ 18, [TXT_WARN1_STELLTERR] },
		{ 19, [TXT_WARN1_EDERR] },
		{ 20, [TXT_ACTUATOR_WSO] },
		{ 21, [TXT_ACTUATOR_WSF] },
		{ 22, [TXT_ACTUATOR_WS_OFF] },
		{ 23, [TXT_ACTUATOR_BINAER] },
		{ 24, [TXT_ACTUATOR_ANALOG] },
		{ 25, [TXT_OPT1_ZWI1] },
		{ 26, [TXT_OPT1_ZWI2] },
		{ 27, [TXT_OPT1_ZWI3] },
		{ 28, [TXT_OPT1_ZWI4] },
		{ 29, [TXT_PHYS_DRV_IN_TKT] },
		{ 30, [TXT_RES1_IST_ZU_BLINK], "Endlage Zu  und Blinksignal whrend der Fahrt" },
		{ 31, [TXT_RES1_IST_AUF_BLINK], "Endlage Auf und Blinksignal whrend der Fahrt" },
		{ 32, [TXT_LOGIC_ERROR], "Fehlermeldungen" },
		{ 33, [TXT_LOGIC_WARNING], "Warnung vorhanden" },
		{ 34, [TXT_LOGIC_NOT_RDY], "Nicht betriebsbereit FERN" },
		{ 35, [TXT_LOGIC_AT_SOLL], "Antrieb ist bei Sollposition" },
		{ 36, [TXT_ERR_PH], "Phasenausfall" },
		{ 37, [TXT_PIDIGIN_SIGBR_AN2], "Drahtbruch Analog 2" },
		{ 38, [TXT_PIDIGIN_SIGBR_AN1], "Drahtbruch Analog 1" },
		{ 39, [TXT_NOT_RDY_RMT_WS_NOT_REMOTE], "Wahlschalter nicht Fern" },
		{ 40, [TXT_NOT_RDY_RMT_WROMG_CMD], "Falsches Kommando" },
		{ 41, [TXT_ERR_INT_ERROR], "Interner Fehler" },
		{ 42, [TXT_ERR_LE_ERROR], "Leistungselektronik-Fehler" },
		{ 43, [TXT_WARN1_NO_REF], "Poti nicht justiert/Keine Referenzfahrt" },
		{ 44, [TXT_WARN1_INT_WARN], "Interne Warnung" },
		{ 45, [TXT_WARN1_CHANNEL_2], "auf Kanal 2" },
		{ 46, [TXT_PHYS_DRV_LOCAL], "Faehrt von Ort" },
		{ 47, [TXT_PHYS_DRV_REMOTE], "Faehrt von Fern" },
		{ 48, [TXT_PHYS_DRV_HANDWHEEL], "Faehrt mit Handrad" },
		{ 49, [TXT_PHYS_DRV_PROP], "Proportionalfahrt aktiv" },
		{ 50, [TXT_PHYS_DRV_PAUSE], "Fahrpause" },
		{ 51, [TXT_NOT_RDY_RMT_GCCLEAR], "Clear-Zustand" },
		{ 52, [TXT_OPT1_DIN1_DP1], "Digitaler Eingang 1 PBDP1" },
		{ 53, [TXT_OPT1_DIN2_DP1], "Digitaler Eingang 2 PBDP1" },
		{ 54, [TXT_OPT1_DIN3_DP1], "Digitaler Eingang 3 PBDP1" },
		{ 55, [TXT_OPT1_DIN4_DP1], "Digitaler Eingang 4 PBDP1" },
		{ 56, [TXT_OPT1_ZWI5] },
		{ 57, [TXT_OPT1_ZWI6] },
		{ 58, [TXT_OPT1_ZWI7] },
		{ 59, [TXT_OPT1_ZWI8] },
		{ 60, [TXT_PHYS_DRV_NOTAUS_PRESSED] },
		{ 61, [TXT_WARN2_SIGBR_LWL] },
		{ 62, [TXT_OPT2_BRAKE_OK], "1, wenn keine Versorgungsspannung fr Haltebremse" },
		{ 63, [TXT_NOTIFY_RESET], "1 = Reset der Logik wird angezeigt." },
		{ 64, [TXT_DIGIN1_BUS2], "Digitaler Eingang 1 von Businterface 2" },
		{ 65, [TXT_DIGIN2_BUS1], "Digitaler Eingang 2 Bus 2-Interface" },
		{ 66, [TXT_DIGIN3_BUS2], "Digtaler Eingang 3 Bus2-Interface" },
		{ 67, [TXT_DIGIN4_BUS2], "Digitaler Eingang 4 Bus2-Interface" },
		{ 68, [TXT_RES3_VORORT_AUF], "Fhrt in Richtung AUF, Ursache ist lokal, entweder Ortssteuerstelle oder Handrad." },
		{ 69, [TXT_RES3_VORORT_ZU], "Fhrt in ZU Richtung. Ursache ist Handrad oder Ortssteuerstelle." },
		{ 70, [TXT_INZWIPOS] }
	}
	HANDLING	READ;
}

COMMAND read_D_DEF5
{
	SLOT		1;
	INDEX		90;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			D_DEF5
		}
	}
}

/*************************************************************/
VARIABLE D_DEF6	// Profibus DP Interface 1: Belegung benutzerdefiniertes Byte 1 Bit 6
{
	LABEL		[TXT_SW_ID157];
	HELP		[TXT_REM_ID157];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE	34;
		{ 0, [TXT_NOT_USED], "Bei nderung auch in OUT_T.C" },
		{ 1, [TXT_LOGIC_IST_ZU], "Tabelle 'eDigDefSettingTable'" },
		{ 2, [TXT_LOGIC_IST_AUF], "anpassen." },
		{ 3, [TXT_LOGIC_DRV_ZU] },
		{ 4, [TXT_LOGIC_DRV_AUF] },
		{ 5, [TXT_PHYS_DRV_MOVE], "Faehrt (Sammelmeldung)" },
		{ 6, [TXT_ACTUATOR_WSR] },
		{ 7, [TXT_ACTUATOR_WOEL] },
		{ 8, [TXT_ACTUATOR_DSR] },
		{ 9, [TXT_ACTUATOR_DOEL] },
		{ 10, [TXT_ACTUATOR_TH] },
		{ 11, [TXT_ERR_DSRERR] },
		{ 12, [TXT_ERR_DOELERR] },
		{ 13, [TXT_RES2_TRQERR], "Drehmomentfehler" },
		{ 14, [TXT_WARN2_SIGBR_EXT] },
		{ 15, [TXT_WARN2_SIGBR_STG] },
		{ 16, [TXT_WARN2_SIGBR_RPM] },
		{ 17, [TXT_WARN2_SIGBR_TRQ] },
		{ 18, [TXT_WARN1_STELLTERR] },
		{ 19, [TXT_WARN1_EDERR] },
		{ 20, [TXT_ACTUATOR_WSO] },
		{ 21, [TXT_ACTUATOR_WSF] },
		{ 22, [TXT_ACTUATOR_WS_OFF] },
		{ 23, [TXT_ACTUATOR_BINAER] },
		{ 24, [TXT_ACTUATOR_ANALOG] },
		{ 25, [TXT_OPT1_ZWI1] },
		{ 26, [TXT_OPT1_ZWI2] },
		{ 27, [TXT_OPT1_ZWI3] },
		{ 28, [TXT_OPT1_ZWI4] },
		{ 29, [TXT_PHYS_DRV_IN_TKT] },
		{ 30, [TXT_RES1_IST_ZU_BLINK], "Endlage Zu  und Blinksignal whrend der Fahrt" },
		{ 31, [TXT_RES1_IST_AUF_BLINK], "Endlage Auf und Blinksignal whrend der Fahrt" },
		{ 32, [TXT_LOGIC_ERROR], "Fehlermeldungen" },
		{ 33, [TXT_LOGIC_WARNING], "Warnung vorhanden" },
		{ 34, [TXT_LOGIC_NOT_RDY], "Nicht betriebsbereit FERN" },
		{ 35, [TXT_LOGIC_AT_SOLL], "Antrieb ist bei Sollposition" },
		{ 36, [TXT_ERR_PH], "Phasenausfall" },
		{ 37, [TXT_PIDIGIN_SIGBR_AN2], "Drahtbruch Analog 2" },
		{ 38, [TXT_PIDIGIN_SIGBR_AN1], "Drahtbruch Analog 1" },
		{ 39, [TXT_NOT_RDY_RMT_WS_NOT_REMOTE], "Wahlschalter nicht Fern" },
		{ 40, [TXT_NOT_RDY_RMT_WROMG_CMD], "Falsches Kommando" },
		{ 41, [TXT_ERR_INT_ERROR], "Interner Fehler" },
		{ 42, [TXT_ERR_LE_ERROR], "Leistungselektronik-Fehler" },
		{ 43, [TXT_WARN1_NO_REF], "Poti nicht justiert/Keine Referenzfahrt" },
		{ 44, [TXT_WARN1_INT_WARN], "Interne Warnung" },
		{ 45, [TXT_WARN1_CHANNEL_2], "auf Kanal 2" },
		{ 46, [TXT_PHYS_DRV_LOCAL], "Faehrt von Ort" },
		{ 47, [TXT_PHYS_DRV_REMOTE], "Faehrt von Fern" },
		{ 48, [TXT_PHYS_DRV_HANDWHEEL], "Faehrt mit Handrad" },
		{ 49, [TXT_PHYS_DRV_PROP], "Proportionalfahrt aktiv" },
		{ 50, [TXT_PHYS_DRV_PAUSE], "Fahrpause" },
		{ 51, [TXT_NOT_RDY_RMT_GCCLEAR], "Clear-Zustand" },
		{ 52, [TXT_OPT1_DIN1_DP1], "Digitaler Eingang 1 PBDP1" },
		{ 53, [TXT_OPT1_DIN2_DP1], "Digitaler Eingang 2 PBDP1" },
		{ 54, [TXT_OPT1_DIN3_DP1], "Digitaler Eingang 3 PBDP1" },
		{ 55, [TXT_OPT1_DIN4_DP1], "Digitaler Eingang 4 PBDP1" },
		{ 56, [TXT_OPT1_ZWI5] },
		{ 57, [TXT_OPT1_ZWI6] },
		{ 58, [TXT_OPT1_ZWI7] },
		{ 59, [TXT_OPT1_ZWI8] },
		{ 60, [TXT_PHYS_DRV_NOTAUS_PRESSED] },
		{ 61, [TXT_WARN2_SIGBR_LWL] },
		{ 62, [TXT_OPT2_BRAKE_OK], "1, wenn keine Versorgungsspannung fr Haltebremse" },
		{ 63, [TXT_NOTIFY_RESET], "1 = Reset der Logik wird angezeigt." },
		{ 64, [TXT_DIGIN1_BUS2], "Digitaler Eingang 1 von Businterface 2" },
		{ 65, [TXT_DIGIN2_BUS1], "Digitaler Eingang 2 Bus 2-Interface" },
		{ 66, [TXT_DIGIN3_BUS2], "Digtaler Eingang 3 Bus2-Interface" },
		{ 67, [TXT_DIGIN4_BUS2], "Digitaler Eingang 4 Bus2-Interface" },
		{ 68, [TXT_RES3_VORORT_AUF], "Fhrt in Richtung AUF, Ursache ist lokal, entweder Ortssteuerstelle oder Handrad." },
		{ 69, [TXT_RES3_VORORT_ZU], "Fhrt in ZU Richtung. Ursache ist Handrad oder Ortssteuerstelle." },
		{ 70, [TXT_INZWIPOS] }
	}
	HANDLING	READ;
}

COMMAND read_D_DEF6
{
	SLOT		1;
	INDEX		91;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			D_DEF6
		}
	}
}

/*************************************************************/
VARIABLE D_DEF7	// Profibus DP Interface 1: Belegung benutzerdefiniertes Byte 1 Bit 7
{
	LABEL		[TXT_SW_ID158];
	HELP		[TXT_REM_ID158];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE	2;
		{ 0, [TXT_STOERUNG1] },
		{ 1, [TXT_STOERUNG2] },
		{ 2, [TXT_STOERUNG3] },
		{ 3, [TXT_STOERUNG4] },
		{ 4, [TXT_STOERUNG5] },
		{ 5, [TXT_STOERUNG6] },
		{ 6, [TXT_STOERUNG7] },
		{ 7, [TXT_STOERUNG8] },
		{ 8, [TXT_STOERUNG9] },
		{ 9, [TXT_STOERUNG10] }
	}
	HANDLING	READ;
}

COMMAND read_D_DEF7
{
	SLOT		1;
	INDEX		92;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			D_DEF7
		}
	}
}

//~ DP #1: Belegung Byte 2
/*************************************************************/
VARIABLE D2DEF0	// Profibus DP Interface 1: Belegung benutzerdefiniertes Byte 2 Bit 0
{
	LABEL		[TXT_SW_ID242];
	HELP		[TXT_REM_ID242];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE	50;
		{ 0, [TXT_NOT_USED], "Bei nderung auch in OUT_T.C" },
		{ 1, [TXT_LOGIC_IST_ZU], "Tabelle 'eDigDefSettingTable'" },
		{ 2, [TXT_LOGIC_IST_AUF], "anpassen." },
		{ 3, [TXT_LOGIC_DRV_ZU] },
		{ 4, [TXT_LOGIC_DRV_AUF] },
		{ 5, [TXT_PHYS_DRV_MOVE], "Faehrt (Sammelmeldung)" },
		{ 6, [TXT_ACTUATOR_WSR] },
		{ 7, [TXT_ACTUATOR_WOEL] },
		{ 8, [TXT_ACTUATOR_DSR] },
		{ 9, [TXT_ACTUATOR_DOEL] },
		{ 10, [TXT_ACTUATOR_TH] },
		{ 11, [TXT_ERR_DSRERR] },
		{ 12, [TXT_ERR_DOELERR] },
		{ 13, [TXT_RES2_TRQERR], "Drehmomentfehler" },
		{ 14, [TXT_WARN2_SIGBR_EXT] },
		{ 15, [TXT_WARN2_SIGBR_STG] },
		{ 16, [TXT_WARN2_SIGBR_RPM] },
		{ 17, [TXT_WARN2_SIGBR_TRQ] },
		{ 18, [TXT_WARN1_STELLTERR] },
		{ 19, [TXT_WARN1_EDERR] },
		{ 20, [TXT_ACTUATOR_WSO] },
		{ 21, [TXT_ACTUATOR_WSF] },
		{ 22, [TXT_ACTUATOR_WS_OFF] },
		{ 23, [TXT_ACTUATOR_BINAER] },
		{ 24, [TXT_ACTUATOR_ANALOG] },
		{ 25, [TXT_OPT1_ZWI1] },
		{ 26, [TXT_OPT1_ZWI2] },
		{ 27, [TXT_OPT1_ZWI3] },
		{ 28, [TXT_OPT1_ZWI4] },
		{ 29, [TXT_PHYS_DRV_IN_TKT] },
		{ 30, [TXT_RES1_IST_ZU_BLINK], "Endlage Zu  und Blinksignal whrend der Fahrt" },
		{ 31, [TXT_RES1_IST_AUF_BLINK], "Endlage Auf und Blinksignal whrend der Fahrt" },
		{ 32, [TXT_LOGIC_ERROR], "Fehlermeldungen" },
		{ 33, [TXT_LOGIC_WARNING], "Warnung vorhanden" },
		{ 34, [TXT_LOGIC_NOT_RDY], "Nicht betriebsbereit FERN" },
		{ 35, [TXT_LOGIC_AT_SOLL], "Antrieb ist bei Sollposition" },
		{ 36, [TXT_ERR_PH], "Phasenausfall" },
		{ 37, [TXT_PIDIGIN_SIGBR_AN2], "Drahtbruch Analog 2" },
		{ 38, [TXT_PIDIGIN_SIGBR_AN1], "Drahtbruch Analog 1" },
		{ 39, [TXT_NOT_RDY_RMT_WS_NOT_REMOTE], "Wahlschalter nicht Fern" },
		{ 40, [TXT_NOT_RDY_RMT_WROMG_CMD], "Falsches Kommando" },
		{ 41, [TXT_ERR_INT_ERROR], "Interner Fehler" },
		{ 42, [TXT_ERR_LE_ERROR], "Leistungselektronik-Fehler" },
		{ 43, [TXT_WARN1_NO_REF], "Poti nicht justiert/Keine Referenzfahrt" },
		{ 44, [TXT_WARN1_INT_WARN], "Interne Warnung" },
		{ 45, [TXT_WARN1_CHANNEL_2], "auf Kanal 2" },
		{ 46, [TXT_PHYS_DRV_LOCAL], "Faehrt von Ort" },
		{ 47, [TXT_PHYS_DRV_REMOTE], "Faehrt von Fern" },
		{ 48, [TXT_PHYS_DRV_HANDWHEEL], "Faehrt mit Handrad" },
		{ 49, [TXT_PHYS_DRV_PROP], "Proportionalfahrt aktiv" },
		{ 50, [TXT_PHYS_DRV_PAUSE], "Fahrpause" },
		{ 51, [TXT_NOT_RDY_RMT_GCCLEAR], "Clear-Zustand" },
		{ 52, [TXT_OPT1_DIN1_DP1], "Digitaler Eingang 1 PBDP1" },
		{ 53, [TXT_OPT1_DIN2_DP1], "Digitaler Eingang 2 PBDP1" },
		{ 54, [TXT_OPT1_DIN3_DP1], "Digitaler Eingang 3 PBDP1" },
		{ 55, [TXT_OPT1_DIN4_DP1], "Digitaler Eingang 4 PBDP1" },
		{ 56, [TXT_OPT1_ZWI5] },
		{ 57, [TXT_OPT1_ZWI6] },
		{ 58, [TXT_OPT1_ZWI7] },
		{ 59, [TXT_OPT1_ZWI8] },
		{ 60, [TXT_PHYS_DRV_NOTAUS_PRESSED] },
		{ 61, [TXT_WARN2_SIGBR_LWL] },
		{ 62, [TXT_OPT2_BRAKE_OK], "1, wenn keine Versorgungsspannung fr Haltebremse" },
		{ 63, [TXT_NOTIFY_RESET], "1 = Reset der Logik wird angezeigt." },
		{ 64, [TXT_DIGIN1_BUS2], "Digitaler Eingang 1 von Businterface 2" },
		{ 65, [TXT_DIGIN2_BUS1], "Digitaler Eingang 2 Bus 2-Interface" },
		{ 66, [TXT_DIGIN3_BUS2], "Digtaler Eingang 3 Bus2-Interface" },
		{ 67, [TXT_DIGIN4_BUS2], "Digitaler Eingang 4 Bus2-Interface" },
		{ 68, [TXT_RES3_VORORT_AUF], "Fhrt in Richtung AUF, Ursache ist lokal, entweder Ortssteuerstelle oder Handrad." },
		{ 69, [TXT_RES3_VORORT_ZU], "Fhrt in ZU Richtung. Ursache ist Handrad oder Ortssteuerstelle." },
		{ 70, [TXT_INZWIPOS] }
	}
	HANDLING	READ;
}

COMMAND read_D2DEF0
{
	SLOT		1;
	INDEX		153;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			D2DEF0
		}
	}
}

/*************************************************************/
VARIABLE D2DEF1	// Profibus DP Interface 1: Belegung benutzerdefiniertes Byte 2 Bit 1
{
	LABEL		[TXT_SW_ID243];
	HELP		[TXT_REM_ID243];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE	0;//49;
		{ 0, [TXT_NOT_USED], "Bei nderung auch in OUT_T.C" },
		{ 1, [TXT_LOGIC_IST_ZU], "Tabelle 'eDigDefSettingTable'" },
		{ 2, [TXT_LOGIC_IST_AUF], "anpassen." },
		{ 3, [TXT_LOGIC_DRV_ZU] },
		{ 4, [TXT_LOGIC_DRV_AUF] },
		{ 5, [TXT_PHYS_DRV_MOVE], "Faehrt (Sammelmeldung)" },
		{ 6, [TXT_ACTUATOR_WSR] },
		{ 7, [TXT_ACTUATOR_WOEL] },
		{ 8, [TXT_ACTUATOR_DSR] },
		{ 9, [TXT_ACTUATOR_DOEL] },
		{ 10, [TXT_ACTUATOR_TH] },
		{ 11, [TXT_ERR_DSRERR] },
		{ 12, [TXT_ERR_DOELERR] },
		{ 13, [TXT_RES2_TRQERR], "Drehmomentfehler" },
		{ 14, [TXT_WARN2_SIGBR_EXT] },
		{ 15, [TXT_WARN2_SIGBR_STG] },
		{ 16, [TXT_WARN2_SIGBR_RPM] },
		{ 17, [TXT_WARN2_SIGBR_TRQ] },
		{ 18, [TXT_WARN1_STELLTERR] },
		{ 19, [TXT_WARN1_EDERR] },
		{ 20, [TXT_ACTUATOR_WSO] },
		{ 21, [TXT_ACTUATOR_WSF] },
		{ 22, [TXT_ACTUATOR_WS_OFF] },
		{ 23, [TXT_ACTUATOR_BINAER] },
		{ 24, [TXT_ACTUATOR_ANALOG] },
		{ 25, [TXT_OPT1_ZWI1] },
		{ 26, [TXT_OPT1_ZWI2] },
		{ 27, [TXT_OPT1_ZWI3] },
		{ 28, [TXT_OPT1_ZWI4] },
		{ 29, [TXT_PHYS_DRV_IN_TKT] },
		{ 30, [TXT_RES1_IST_ZU_BLINK], "Endlage Zu  und Blinksignal whrend der Fahrt" },
		{ 31, [TXT_RES1_IST_AUF_BLINK], "Endlage Auf und Blinksignal whrend der Fahrt" },
		{ 32, [TXT_LOGIC_ERROR], "Fehlermeldungen" },
		{ 33, [TXT_LOGIC_WARNING], "Warnung vorhanden" },
		{ 34, [TXT_LOGIC_NOT_RDY], "Nicht betriebsbereit FERN" },
		{ 35, [TXT_LOGIC_AT_SOLL], "Antrieb ist bei Sollposition" },
		{ 36, [TXT_ERR_PH], "Phasenausfall" },
		{ 37, [TXT_PIDIGIN_SIGBR_AN2], "Drahtbruch Analog 2" },
		{ 38, [TXT_PIDIGIN_SIGBR_AN1], "Drahtbruch Analog 1" },
		{ 39, [TXT_NOT_RDY_RMT_WS_NOT_REMOTE], "Wahlschalter nicht Fern" },
		{ 40, [TXT_NOT_RDY_RMT_WROMG_CMD], "Falsches Kommando" },
		{ 41, [TXT_ERR_INT_ERROR], "Interner Fehler" },
		{ 42, [TXT_ERR_LE_ERROR], "Leistungselektronik-Fehler" },
		{ 43, [TXT_WARN1_NO_REF], "Poti nicht justiert/Keine Referenzfahrt" },
		{ 44, [TXT_WARN1_INT_WARN], "Interne Warnung" },
		{ 45, [TXT_WARN1_CHANNEL_2], "auf Kanal 2" },
		{ 46, [TXT_PHYS_DRV_LOCAL], "Faehrt von Ort" },
		{ 47, [TXT_PHYS_DRV_REMOTE], "Faehrt von Fern" },
		{ 48, [TXT_PHYS_DRV_HANDWHEEL], "Faehrt mit Handrad" },
		{ 49, [TXT_PHYS_DRV_PROP], "Proportionalfahrt aktiv" },
		{ 50, [TXT_PHYS_DRV_PAUSE], "Fahrpause" },
		{ 51, [TXT_NOT_RDY_RMT_GCCLEAR], "Clear-Zustand" },
		{ 52, [TXT_OPT1_DIN1_DP1], "Digitaler Eingang 1 PBDP1" },
		{ 53, [TXT_OPT1_DIN2_DP1], "Digitaler Eingang 2 PBDP1" },
		{ 54, [TXT_OPT1_DIN3_DP1], "Digitaler Eingang 3 PBDP1" },
		{ 55, [TXT_OPT1_DIN4_DP1], "Digitaler Eingang 4 PBDP1" },
		{ 56, [TXT_OPT1_ZWI5] },
		{ 57, [TXT_OPT1_ZWI6] },
		{ 58, [TXT_OPT1_ZWI7] },
		{ 59, [TXT_OPT1_ZWI8] },
		{ 60, [TXT_PHYS_DRV_NOTAUS_PRESSED] },
		{ 61, [TXT_WARN2_SIGBR_LWL] },
		{ 62, [TXT_OPT2_BRAKE_OK], "1, wenn keine Versorgungsspannung fr Haltebremse" },
		{ 63, [TXT_NOTIFY_RESET], "1 = Reset der Logik wird angezeigt." },
		{ 64, [TXT_DIGIN1_BUS2], "Digitaler Eingang 1 von Businterface 2" },
		{ 65, [TXT_DIGIN2_BUS1], "Digitaler Eingang 2 Bus 2-Interface" },
		{ 66, [TXT_DIGIN3_BUS2], "Digtaler Eingang 3 Bus2-Interface" },
		{ 67, [TXT_DIGIN4_BUS2], "Digitaler Eingang 4 Bus2-Interface" },
		{ 68, [TXT_RES3_VORORT_AUF], "Fhrt in Richtung AUF, Ursache ist lokal, entweder Ortssteuerstelle oder Handrad." },
		{ 69, [TXT_RES3_VORORT_ZU], "Fhrt in ZU Richtung. Ursache ist Handrad oder Ortssteuerstelle." },
		{ 70, [TXT_INZWIPOS] }
	}
	HANDLING	READ;
}

COMMAND read_D2DEF1
{
	SLOT		1;
	INDEX		154;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			D2DEF1
		}
	}
}

/*************************************************************/
VARIABLE D2DEF2	// Profibus DP Interface 1: Belegung benutzerdefiniertes Byte 2 Bit 2
{
	LABEL		[TXT_SW_ID244];
	HELP		[TXT_REM_ID244];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE	29;
		{ 0, [TXT_NOT_USED], "Bei nderung auch in OUT_T.C" },
		{ 1, [TXT_LOGIC_IST_ZU], "Tabelle 'eDigDefSettingTable'" },
		{ 2, [TXT_LOGIC_IST_AUF], "anpassen." },
		{ 3, [TXT_LOGIC_DRV_ZU] },
		{ 4, [TXT_LOGIC_DRV_AUF] },
		{ 5, [TXT_PHYS_DRV_MOVE], "Faehrt (Sammelmeldung)" },
		{ 6, [TXT_ACTUATOR_WSR] },
		{ 7, [TXT_ACTUATOR_WOEL] },
		{ 8, [TXT_ACTUATOR_DSR] },
		{ 9, [TXT_ACTUATOR_DOEL] },
		{ 10, [TXT_ACTUATOR_TH] },
		{ 11, [TXT_ERR_DSRERR] },
		{ 12, [TXT_ERR_DOELERR] },
		{ 13, [TXT_RES2_TRQERR], "Drehmomentfehler" },
		{ 14, [TXT_WARN2_SIGBR_EXT] },
		{ 15, [TXT_WARN2_SIGBR_STG] },
		{ 16, [TXT_WARN2_SIGBR_RPM] },
		{ 17, [TXT_WARN2_SIGBR_TRQ] },
		{ 18, [TXT_WARN1_STELLTERR] },
		{ 19, [TXT_WARN1_EDERR] },
		{ 20, [TXT_ACTUATOR_WSO] },
		{ 21, [TXT_ACTUATOR_WSF] },
		{ 22, [TXT_ACTUATOR_WS_OFF] },
		{ 23, [TXT_ACTUATOR_BINAER] },
		{ 24, [TXT_ACTUATOR_ANALOG] },
		{ 25, [TXT_OPT1_ZWI1] },
		{ 26, [TXT_OPT1_ZWI2] },
		{ 27, [TXT_OPT1_ZWI3] },
		{ 28, [TXT_OPT1_ZWI4] },
		{ 29, [TXT_PHYS_DRV_IN_TKT] },
		{ 30, [TXT_RES1_IST_ZU_BLINK], "Endlage Zu  und Blinksignal whrend der Fahrt" },
		{ 31, [TXT_RES1_IST_AUF_BLINK], "Endlage Auf und Blinksignal whrend der Fahrt" },
		{ 32, [TXT_LOGIC_ERROR], "Fehlermeldungen" },
		{ 33, [TXT_LOGIC_WARNING], "Warnung vorhanden" },
		{ 34, [TXT_LOGIC_NOT_RDY], "Nicht betriebsbereit FERN" },
		{ 35, [TXT_LOGIC_AT_SOLL], "Antrieb ist bei Sollposition" },
		{ 36, [TXT_ERR_PH], "Phasenausfall" },
		{ 37, [TXT_PIDIGIN_SIGBR_AN2], "Drahtbruch Analog 2" },
		{ 38, [TXT_PIDIGIN_SIGBR_AN1], "Drahtbruch Analog 1" },
		{ 39, [TXT_NOT_RDY_RMT_WS_NOT_REMOTE], "Wahlschalter nicht Fern" },
		{ 40, [TXT_NOT_RDY_RMT_WROMG_CMD], "Falsches Kommando" },
		{ 41, [TXT_ERR_INT_ERROR], "Interner Fehler" },
		{ 42, [TXT_ERR_LE_ERROR], "Leistungselektronik-Fehler" },
		{ 43, [TXT_WARN1_NO_REF], "Poti nicht justiert/Keine Referenzfahrt" },
		{ 44, [TXT_WARN1_INT_WARN], "Interne Warnung" },
		{ 45, [TXT_WARN1_CHANNEL_2], "auf Kanal 2" },
		{ 46, [TXT_PHYS_DRV_LOCAL], "Faehrt von Ort" },
		{ 47, [TXT_PHYS_DRV_REMOTE], "Faehrt von Fern" },
		{ 48, [TXT_PHYS_DRV_HANDWHEEL], "Faehrt mit Handrad" },
		{ 49, [TXT_PHYS_DRV_PROP], "Proportionalfahrt aktiv" },
		{ 50, [TXT_PHYS_DRV_PAUSE], "Fahrpause" },
		{ 51, [TXT_NOT_RDY_RMT_GCCLEAR], "Clear-Zustand" },
		{ 52, [TXT_OPT1_DIN1_DP1], "Digitaler Eingang 1 PBDP1" },
		{ 53, [TXT_OPT1_DIN2_DP1], "Digitaler Eingang 2 PBDP1" },
		{ 54, [TXT_OPT1_DIN3_DP1], "Digitaler Eingang 3 PBDP1" },
		{ 55, [TXT_OPT1_DIN4_DP1], "Digitaler Eingang 4 PBDP1" },
		{ 56, [TXT_OPT1_ZWI5] },
		{ 57, [TXT_OPT1_ZWI6] },
		{ 58, [TXT_OPT1_ZWI7] },
		{ 59, [TXT_OPT1_ZWI8] },
		{ 60, [TXT_PHYS_DRV_NOTAUS_PRESSED] },
		{ 61, [TXT_WARN2_SIGBR_LWL] },
		{ 62, [TXT_OPT2_BRAKE_OK], "1, wenn keine Versorgungsspannung fr Haltebremse" },
		{ 63, [TXT_NOTIFY_RESET], "1 = Reset der Logik wird angezeigt." },
		{ 64, [TXT_DIGIN1_BUS2], "Digitaler Eingang 1 von Businterface 2" },
		{ 65, [TXT_DIGIN2_BUS1], "Digitaler Eingang 2 Bus 2-Interface" },
		{ 66, [TXT_DIGIN3_BUS2], "Digtaler Eingang 3 Bus2-Interface" },
		{ 67, [TXT_DIGIN4_BUS2], "Digitaler Eingang 4 Bus2-Interface" },
		{ 68, [TXT_RES3_VORORT_AUF], "Fhrt in Richtung AUF, Ursache ist lokal, entweder Ortssteuerstelle oder Handrad." },
		{ 69, [TXT_RES3_VORORT_ZU], "Fhrt in ZU Richtung. Ursache ist Handrad oder Ortssteuerstelle." },
		{ 70, [TXT_INZWIPOS] }
	}
	HANDLING	READ;
}

COMMAND read_D2DEF2
{
	SLOT		1;
	INDEX		155;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			D2DEF2
		}
	}
}

/*************************************************************/
VARIABLE D2DEF3	// Profibus DP Interface 1: Belegung benutzerdefiniertes Byte 2 Bit 3
{
	LABEL		[TXT_SW_ID245];
	HELP		[TXT_REM_ID245];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE	0;
		{ 0, [TXT_NOT_USED], "Bei nderung auch in OUT_T.C" },
		{ 1, [TXT_LOGIC_IST_ZU], "Tabelle 'eDigDefSettingTable'" },
		{ 2, [TXT_LOGIC_IST_AUF], "anpassen." },
		{ 3, [TXT_LOGIC_DRV_ZU] },
		{ 4, [TXT_LOGIC_DRV_AUF] },
		{ 5, [TXT_PHYS_DRV_MOVE], "Faehrt (Sammelmeldung)" },
		{ 6, [TXT_ACTUATOR_WSR] },
		{ 7, [TXT_ACTUATOR_WOEL] },
		{ 8, [TXT_ACTUATOR_DSR] },
		{ 9, [TXT_ACTUATOR_DOEL] },
		{ 10, [TXT_ACTUATOR_TH] },
		{ 11, [TXT_ERR_DSRERR] },
		{ 12, [TXT_ERR_DOELERR] },
		{ 13, [TXT_RES2_TRQERR], "Drehmomentfehler" },
		{ 14, [TXT_WARN2_SIGBR_EXT] },
		{ 15, [TXT_WARN2_SIGBR_STG] },
		{ 16, [TXT_WARN2_SIGBR_RPM] },
		{ 17, [TXT_WARN2_SIGBR_TRQ] },
		{ 18, [TXT_WARN1_STELLTERR] },
		{ 19, [TXT_WARN1_EDERR] },
		{ 20, [TXT_ACTUATOR_WSO] },
		{ 21, [TXT_ACTUATOR_WSF] },
		{ 22, [TXT_ACTUATOR_WS_OFF] },
		{ 23, [TXT_ACTUATOR_BINAER] },
		{ 24, [TXT_ACTUATOR_ANALOG] },
		{ 25, [TXT_OPT1_ZWI1] },
		{ 26, [TXT_OPT1_ZWI2] },
		{ 27, [TXT_OPT1_ZWI3] },
		{ 28, [TXT_OPT1_ZWI4] },
		{ 29, [TXT_PHYS_DRV_IN_TKT] },
		{ 30, [TXT_RES1_IST_ZU_BLINK], "Endlage Zu  und Blinksignal whrend der Fahrt" },
		{ 31, [TXT_RES1_IST_AUF_BLINK], "Endlage Auf und Blinksignal whrend der Fahrt" },
		{ 32, [TXT_LOGIC_ERROR], "Fehlermeldungen" },
		{ 33, [TXT_LOGIC_WARNING], "Warnung vorhanden" },
		{ 34, [TXT_LOGIC_NOT_RDY], "Nicht betriebsbereit FERN" },
		{ 35, [TXT_LOGIC_AT_SOLL], "Antrieb ist bei Sollposition" },
		{ 36, [TXT_ERR_PH], "Phasenausfall" },
		{ 37, [TXT_PIDIGIN_SIGBR_AN2], "Drahtbruch Analog 2" },
		{ 38, [TXT_PIDIGIN_SIGBR_AN1], "Drahtbruch Analog 1" },
		{ 39, [TXT_NOT_RDY_RMT_WS_NOT_REMOTE], "Wahlschalter nicht Fern" },
		{ 40, [TXT_NOT_RDY_RMT_WROMG_CMD], "Falsches Kommando" },
		{ 41, [TXT_ERR_INT_ERROR], "Interner Fehler" },
		{ 42, [TXT_ERR_LE_ERROR], "Leistungselektronik-Fehler" },
		{ 43, [TXT_WARN1_NO_REF], "Poti nicht justiert/Keine Referenzfahrt" },
		{ 44, [TXT_WARN1_INT_WARN], "Interne Warnung" },
		{ 45, [TXT_WARN1_CHANNEL_2], "auf Kanal 2" },
		{ 46, [TXT_PHYS_DRV_LOCAL], "Faehrt von Ort" },
		{ 47, [TXT_PHYS_DRV_REMOTE], "Faehrt von Fern" },
		{ 48, [TXT_PHYS_DRV_HANDWHEEL], "Faehrt mit Handrad" },
		{ 49, [TXT_PHYS_DRV_PROP], "Proportionalfahrt aktiv" },
		{ 50, [TXT_PHYS_DRV_PAUSE], "Fahrpause" },
		{ 51, [TXT_NOT_RDY_RMT_GCCLEAR], "Clear-Zustand" },
		{ 52, [TXT_OPT1_DIN1_DP1], "Digitaler Eingang 1 PBDP1" },
		{ 53, [TXT_OPT1_DIN2_DP1], "Digitaler Eingang 2 PBDP1" },
		{ 54, [TXT_OPT1_DIN3_DP1], "Digitaler Eingang 3 PBDP1" },
		{ 55, [TXT_OPT1_DIN4_DP1], "Digitaler Eingang 4 PBDP1" },
		{ 56, [TXT_OPT1_ZWI5] },
		{ 57, [TXT_OPT1_ZWI6] },
		{ 58, [TXT_OPT1_ZWI7] },
		{ 59, [TXT_OPT1_ZWI8] },
		{ 60, [TXT_PHYS_DRV_NOTAUS_PRESSED] },
		{ 61, [TXT_WARN2_SIGBR_LWL] },
		{ 62, [TXT_OPT2_BRAKE_OK], "1, wenn keine Versorgungsspannung fr Haltebremse" },
		{ 63, [TXT_NOTIFY_RESET], "1 = Reset der Logik wird angezeigt." },
		{ 64, [TXT_DIGIN1_BUS2], "Digitaler Eingang 1 von Businterface 2" },
		{ 65, [TXT_DIGIN2_BUS1], "Digitaler Eingang 2 Bus 2-Interface" },
		{ 66, [TXT_DIGIN3_BUS2], "Digtaler Eingang 3 Bus2-Interface" },
		{ 67, [TXT_DIGIN4_BUS2], "Digitaler Eingang 4 Bus2-Interface" },
		{ 68, [TXT_RES3_VORORT_AUF], "Fhrt in Richtung AUF, Ursache ist lokal, entweder Ortssteuerstelle oder Handrad." },
		{ 69, [TXT_RES3_VORORT_ZU], "Fhrt in ZU Richtung. Ursache ist Handrad oder Ortssteuerstelle." },
		{ 70, [TXT_INZWIPOS] }
	}
	HANDLING	READ;
}

COMMAND read_D2DEF3
{
	SLOT		1;
	INDEX		156;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			D2DEF3
		}
	}
}

/*************************************************************/
VARIABLE D2DEF4	// Profibus DP Interface 1: Belegung benutzerdefiniertes Byte 2 Bit 4
{
	LABEL		[TXT_SW_ID246];
	HELP		[TXT_REM_ID246];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE	5;
		{ 0, [TXT_NOT_USED], "Bei nderung auch in OUT_T.C" },
		{ 1, [TXT_LOGIC_IST_ZU], "Tabelle 'eDigDefSettingTable'" },
		{ 2, [TXT_LOGIC_IST_AUF], "anpassen." },
		{ 3, [TXT_LOGIC_DRV_ZU] },
		{ 4, [TXT_LOGIC_DRV_AUF] },
		{ 5, [TXT_PHYS_DRV_MOVE], "Faehrt (Sammelmeldung)" },
		{ 6, [TXT_ACTUATOR_WSR] },
		{ 7, [TXT_ACTUATOR_WOEL] },
		{ 8, [TXT_ACTUATOR_DSR] },
		{ 9, [TXT_ACTUATOR_DOEL] },
		{ 10, [TXT_ACTUATOR_TH] },
		{ 11, [TXT_ERR_DSRERR] },
		{ 12, [TXT_ERR_DOELERR] },
		{ 13, [TXT_RES2_TRQERR], "Drehmomentfehler" },
		{ 14, [TXT_WARN2_SIGBR_EXT] },
		{ 15, [TXT_WARN2_SIGBR_STG] },
		{ 16, [TXT_WARN2_SIGBR_RPM] },
		{ 17, [TXT_WARN2_SIGBR_TRQ] },
		{ 18, [TXT_WARN1_STELLTERR] },
		{ 19, [TXT_WARN1_EDERR] },
		{ 20, [TXT_ACTUATOR_WSO] },
		{ 21, [TXT_ACTUATOR_WSF] },
		{ 22, [TXT_ACTUATOR_WS_OFF] },
		{ 23, [TXT_ACTUATOR_BINAER] },
		{ 24, [TXT_ACTUATOR_ANALOG] },
		{ 25, [TXT_OPT1_ZWI1] },
		{ 26, [TXT_OPT1_ZWI2] },
		{ 27, [TXT_OPT1_ZWI3] },
		{ 28, [TXT_OPT1_ZWI4] },
		{ 29, [TXT_PHYS_DRV_IN_TKT] },
		{ 30, [TXT_RES1_IST_ZU_BLINK], "Endlage Zu  und Blinksignal whrend der Fahrt" },
		{ 31, [TXT_RES1_IST_AUF_BLINK], "Endlage Auf und Blinksignal whrend der Fahrt" },
		{ 32, [TXT_LOGIC_ERROR], "Fehlermeldungen" },
		{ 33, [TXT_LOGIC_WARNING], "Warnung vorhanden" },
		{ 34, [TXT_LOGIC_NOT_RDY], "Nicht betriebsbereit FERN" },
		{ 35, [TXT_LOGIC_AT_SOLL], "Antrieb ist bei Sollposition" },
		{ 36, [TXT_ERR_PH], "Phasenausfall" },
		{ 37, [TXT_PIDIGIN_SIGBR_AN2], "Drahtbruch Analog 2" },
		{ 38, [TXT_PIDIGIN_SIGBR_AN1], "Drahtbruch Analog 1" },
		{ 39, [TXT_NOT_RDY_RMT_WS_NOT_REMOTE], "Wahlschalter nicht Fern" },
		{ 40, [TXT_NOT_RDY_RMT_WROMG_CMD], "Falsches Kommando" },
		{ 41, [TXT_ERR_INT_ERROR], "Interner Fehler" },
		{ 42, [TXT_ERR_LE_ERROR], "Leistungselektronik-Fehler" },
		{ 43, [TXT_WARN1_NO_REF], "Poti nicht justiert/Keine Referenzfahrt" },
		{ 44, [TXT_WARN1_INT_WARN], "Interne Warnung" },
		{ 45, [TXT_WARN1_CHANNEL_2], "auf Kanal 2" },
		{ 46, [TXT_PHYS_DRV_LOCAL], "Faehrt von Ort" },
		{ 47, [TXT_PHYS_DRV_REMOTE], "Faehrt von Fern" },
		{ 48, [TXT_PHYS_DRV_HANDWHEEL], "Faehrt mit Handrad" },
		{ 49, [TXT_PHYS_DRV_PROP], "Proportionalfahrt aktiv" },
		{ 50, [TXT_PHYS_DRV_PAUSE], "Fahrpause" },
		{ 51, [TXT_NOT_RDY_RMT_GCCLEAR], "Clear-Zustand" },
		{ 52, [TXT_OPT1_DIN1_DP1], "Digitaler Eingang 1 PBDP1" },
		{ 53, [TXT_OPT1_DIN2_DP1], "Digitaler Eingang 2 PBDP1" },
		{ 54, [TXT_OPT1_DIN3_DP1], "Digitaler Eingang 3 PBDP1" },
		{ 55, [TXT_OPT1_DIN4_DP1], "Digitaler Eingang 4 PBDP1" },
		{ 56, [TXT_OPT1_ZWI5] },
		{ 57, [TXT_OPT1_ZWI6] },
		{ 58, [TXT_OPT1_ZWI7] },
		{ 59, [TXT_OPT1_ZWI8] },
		{ 60, [TXT_PHYS_DRV_NOTAUS_PRESSED] },
		{ 61, [TXT_WARN2_SIGBR_LWL] },
		{ 62, [TXT_OPT2_BRAKE_OK], "1, wenn keine Versorgungsspannung fr Haltebremse" },
		{ 63, [TXT_NOTIFY_RESET], "1 = Reset der Logik wird angezeigt." },
		{ 64, [TXT_DIGIN1_BUS2], "Digitaler Eingang 1 von Businterface 2" },
		{ 65, [TXT_DIGIN2_BUS1], "Digitaler Eingang 2 Bus 2-Interface" },
		{ 66, [TXT_DIGIN3_BUS2], "Digtaler Eingang 3 Bus2-Interface" },
		{ 67, [TXT_DIGIN4_BUS2], "Digitaler Eingang 4 Bus2-Interface" },
		{ 68, [TXT_RES3_VORORT_AUF], "Fhrt in Richtung AUF, Ursache ist lokal, entweder Ortssteuerstelle oder Handrad." },
		{ 69, [TXT_RES3_VORORT_ZU], "Fhrt in ZU Richtung. Ursache ist Handrad oder Ortssteuerstelle." },
		{ 70, [TXT_INZWIPOS] }
	}
	HANDLING	READ;
}

COMMAND read_D2DEF4
{
	SLOT		1;
	INDEX		157;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			D2DEF4
		}
	}
}

/*************************************************************/
VARIABLE D2DEF5	// Profibus DP Interface 1: Belegung benutzerdefiniertes Byte 2 Bit 5
{
	LABEL		[TXT_SW_ID247];
	HELP		[TXT_REM_ID247];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE	48;
		{ 0, [TXT_NOT_USED], "Bei nderung auch in OUT_T.C" },
		{ 1, [TXT_LOGIC_IST_ZU], "Tabelle 'eDigDefSettingTable'" },
		{ 2, [TXT_LOGIC_IST_AUF], "anpassen." },
		{ 3, [TXT_LOGIC_DRV_ZU] },
		{ 4, [TXT_LOGIC_DRV_AUF] },
		{ 5, [TXT_PHYS_DRV_MOVE], "Faehrt (Sammelmeldung)" },
		{ 6, [TXT_ACTUATOR_WSR] },
		{ 7, [TXT_ACTUATOR_WOEL] },
		{ 8, [TXT_ACTUATOR_DSR] },
		{ 9, [TXT_ACTUATOR_DOEL] },
		{ 10, [TXT_ACTUATOR_TH] },
		{ 11, [TXT_ERR_DSRERR] },
		{ 12, [TXT_ERR_DOELERR] },
		{ 13, [TXT_RES2_TRQERR], "Drehmomentfehler" },
		{ 14, [TXT_WARN2_SIGBR_EXT] },
		{ 15, [TXT_WARN2_SIGBR_STG] },
		{ 16, [TXT_WARN2_SIGBR_RPM] },
		{ 17, [TXT_WARN2_SIGBR_TRQ] },
		{ 18, [TXT_WARN1_STELLTERR] },
		{ 19, [TXT_WARN1_EDERR] },
		{ 20, [TXT_ACTUATOR_WSO] },
		{ 21, [TXT_ACTUATOR_WSF] },
		{ 22, [TXT_ACTUATOR_WS_OFF] },
		{ 23, [TXT_ACTUATOR_BINAER] },
		{ 24, [TXT_ACTUATOR_ANALOG] },
		{ 25, [TXT_OPT1_ZWI1] },
		{ 26, [TXT_OPT1_ZWI2] },
		{ 27, [TXT_OPT1_ZWI3] },
		{ 28, [TXT_OPT1_ZWI4] },
		{ 29, [TXT_PHYS_DRV_IN_TKT] },
		{ 30, [TXT_RES1_IST_ZU_BLINK], "Endlage Zu  und Blinksignal whrend der Fahrt" },
		{ 31, [TXT_RES1_IST_AUF_BLINK], "Endlage Auf und Blinksignal whrend der Fahrt" },
		{ 32, [TXT_LOGIC_ERROR], "Fehlermeldungen" },
		{ 33, [TXT_LOGIC_WARNING], "Warnung vorhanden" },
		{ 34, [TXT_LOGIC_NOT_RDY], "Nicht betriebsbereit FERN" },
		{ 35, [TXT_LOGIC_AT_SOLL], "Antrieb ist bei Sollposition" },
		{ 36, [TXT_ERR_PH], "Phasenausfall" },
		{ 37, [TXT_PIDIGIN_SIGBR_AN2], "Drahtbruch Analog 2" },
		{ 38, [TXT_PIDIGIN_SIGBR_AN1], "Drahtbruch Analog 1" },
		{ 39, [TXT_NOT_RDY_RMT_WS_NOT_REMOTE], "Wahlschalter nicht Fern" },
		{ 40, [TXT_NOT_RDY_RMT_WROMG_CMD], "Falsches Kommando" },
		{ 41, [TXT_ERR_INT_ERROR], "Interner Fehler" },
		{ 42, [TXT_ERR_LE_ERROR], "Leistungselektronik-Fehler" },
		{ 43, [TXT_WARN1_NO_REF], "Poti nicht justiert/Keine Referenzfahrt" },
		{ 44, [TXT_WARN1_INT_WARN], "Interne Warnung" },
		{ 45, [TXT_WARN1_CHANNEL_2], "auf Kanal 2" },
		{ 46, [TXT_PHYS_DRV_LOCAL], "Faehrt von Ort" },
		{ 47, [TXT_PHYS_DRV_REMOTE], "Faehrt von Fern" },
		{ 48, [TXT_PHYS_DRV_HANDWHEEL], "Faehrt mit Handrad" },
		{ 49, [TXT_PHYS_DRV_PROP], "Proportionalfahrt aktiv" },
		{ 50, [TXT_PHYS_DRV_PAUSE], "Fahrpause" },
		{ 51, [TXT_NOT_RDY_RMT_GCCLEAR], "Clear-Zustand" },
		{ 52, [TXT_OPT1_DIN1_DP1], "Digitaler Eingang 1 PBDP1" },
		{ 53, [TXT_OPT1_DIN2_DP1], "Digitaler Eingang 2 PBDP1" },
		{ 54, [TXT_OPT1_DIN3_DP1], "Digitaler Eingang 3 PBDP1" },
		{ 55, [TXT_OPT1_DIN4_DP1], "Digitaler Eingang 4 PBDP1" },
		{ 56, [TXT_OPT1_ZWI5] },
		{ 57, [TXT_OPT1_ZWI6] },
		{ 58, [TXT_OPT1_ZWI7] },
		{ 59, [TXT_OPT1_ZWI8] },
		{ 60, [TXT_PHYS_DRV_NOTAUS_PRESSED] },
		{ 61, [TXT_WARN2_SIGBR_LWL] },
		{ 62, [TXT_OPT2_BRAKE_OK], "1, wenn keine Versorgungsspannung fr Haltebremse" },
		{ 63, [TXT_NOTIFY_RESET], "1 = Reset der Logik wird angezeigt." },
		{ 64, [TXT_DIGIN1_BUS2], "Digitaler Eingang 1 von Businterface 2" },
		{ 65, [TXT_DIGIN2_BUS1], "Digitaler Eingang 2 Bus 2-Interface" },
		{ 66, [TXT_DIGIN3_BUS2], "Digtaler Eingang 3 Bus2-Interface" },
		{ 67, [TXT_DIGIN4_BUS2], "Digitaler Eingang 4 Bus2-Interface" },
		{ 68, [TXT_RES3_VORORT_AUF], "Fhrt in Richtung AUF, Ursache ist lokal, entweder Ortssteuerstelle oder Handrad." },
		{ 69, [TXT_RES3_VORORT_ZU], "Fhrt in ZU Richtung. Ursache ist Handrad oder Ortssteuerstelle." },
		{ 70, [TXT_INZWIPOS] }
	}
	HANDLING	READ;
}

COMMAND read_D2DEF5
{
	SLOT		1;
	INDEX		158;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			D2DEF5
		}
	}
}

/*************************************************************/
VARIABLE D2DEF6	// Profibus DP Interface 1: Belegung benutzerdefiniertes Byte 2 Bit 6
{
	LABEL		[TXT_SW_ID248];
	HELP		[TXT_REM_ID248];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE	47;
		{ 0, [TXT_NOT_USED], "Bei nderung auch in OUT_T.C" },
		{ 1, [TXT_LOGIC_IST_ZU], "Tabelle 'eDigDefSettingTable'" },
		{ 2, [TXT_LOGIC_IST_AUF], "anpassen." },
		{ 3, [TXT_LOGIC_DRV_ZU] },
		{ 4, [TXT_LOGIC_DRV_AUF] },
		{ 5, [TXT_PHYS_DRV_MOVE], "Faehrt (Sammelmeldung)" },
		{ 6, [TXT_ACTUATOR_WSR] },
		{ 7, [TXT_ACTUATOR_WOEL] },
		{ 8, [TXT_ACTUATOR_DSR] },
		{ 9, [TXT_ACTUATOR_DOEL] },
		{ 10, [TXT_ACTUATOR_TH] },
		{ 11, [TXT_ERR_DSRERR] },
		{ 12, [TXT_ERR_DOELERR] },
		{ 13, [TXT_RES2_TRQERR], "Drehmomentfehler" },
		{ 14, [TXT_WARN2_SIGBR_EXT] },
		{ 15, [TXT_WARN2_SIGBR_STG] },
		{ 16, [TXT_WARN2_SIGBR_RPM] },
		{ 17, [TXT_WARN2_SIGBR_TRQ] },
		{ 18, [TXT_WARN1_STELLTERR] },
		{ 19, [TXT_WARN1_EDERR] },
		{ 20, [TXT_ACTUATOR_WSO] },
		{ 21, [TXT_ACTUATOR_WSF] },
		{ 22, [TXT_ACTUATOR_WS_OFF] },
		{ 23, [TXT_ACTUATOR_BINAER] },
		{ 24, [TXT_ACTUATOR_ANALOG] },
		{ 25, [TXT_OPT1_ZWI1] },
		{ 26, [TXT_OPT1_ZWI2] },
		{ 27, [TXT_OPT1_ZWI3] },
		{ 28, [TXT_OPT1_ZWI4] },
		{ 29, [TXT_PHYS_DRV_IN_TKT] },
		{ 30, [TXT_RES1_IST_ZU_BLINK], "Endlage Zu  und Blinksignal whrend der Fahrt" },
		{ 31, [TXT_RES1_IST_AUF_BLINK], "Endlage Auf und Blinksignal whrend der Fahrt" },
		{ 32, [TXT_LOGIC_ERROR], "Fehlermeldungen" },
		{ 33, [TXT_LOGIC_WARNING], "Warnung vorhanden" },
		{ 34, [TXT_LOGIC_NOT_RDY], "Nicht betriebsbereit FERN" },
		{ 35, [TXT_LOGIC_AT_SOLL], "Antrieb ist bei Sollposition" },
		{ 36, [TXT_ERR_PH], "Phasenausfall" },
		{ 37, [TXT_PIDIGIN_SIGBR_AN2], "Drahtbruch Analog 2" },
		{ 38, [TXT_PIDIGIN_SIGBR_AN1], "Drahtbruch Analog 1" },
		{ 39, [TXT_NOT_RDY_RMT_WS_NOT_REMOTE], "Wahlschalter nicht Fern" },
		{ 40, [TXT_NOT_RDY_RMT_WROMG_CMD], "Falsches Kommando" },
		{ 41, [TXT_ERR_INT_ERROR], "Interner Fehler" },
		{ 42, [TXT_ERR_LE_ERROR], "Leistungselektronik-Fehler" },
		{ 43, [TXT_WARN1_NO_REF], "Poti nicht justiert/Keine Referenzfahrt" },
		{ 44, [TXT_WARN1_INT_WARN], "Interne Warnung" },
		{ 45, [TXT_WARN1_CHANNEL_2], "auf Kanal 2" },
		{ 46, [TXT_PHYS_DRV_LOCAL], "Faehrt von Ort" },
		{ 47, [TXT_PHYS_DRV_REMOTE], "Faehrt von Fern" },
		{ 48, [TXT_PHYS_DRV_HANDWHEEL], "Faehrt mit Handrad" },
		{ 49, [TXT_PHYS_DRV_PROP], "Proportionalfahrt aktiv" },
		{ 50, [TXT_PHYS_DRV_PAUSE], "Fahrpause" },
		{ 51, [TXT_NOT_RDY_RMT_GCCLEAR], "Clear-Zustand" },
		{ 52, [TXT_OPT1_DIN1_DP1], "Digitaler Eingang 1 PBDP1" },
		{ 53, [TXT_OPT1_DIN2_DP1], "Digitaler Eingang 2 PBDP1" },
		{ 54, [TXT_OPT1_DIN3_DP1], "Digitaler Eingang 3 PBDP1" },
		{ 55, [TXT_OPT1_DIN4_DP1], "Digitaler Eingang 4 PBDP1" },
		{ 56, [TXT_OPT1_ZWI5] },
		{ 57, [TXT_OPT1_ZWI6] },
		{ 58, [TXT_OPT1_ZWI7] },
		{ 59, [TXT_OPT1_ZWI8] },
		{ 60, [TXT_PHYS_DRV_NOTAUS_PRESSED] },
		{ 61, [TXT_WARN2_SIGBR_LWL] },
		{ 62, [TXT_OPT2_BRAKE_OK], "1, wenn keine Versorgungsspannung fr Haltebremse" },
		{ 63, [TXT_NOTIFY_RESET], "1 = Reset der Logik wird angezeigt." },
		{ 64, [TXT_DIGIN1_BUS2], "Digitaler Eingang 1 von Businterface 2" },
		{ 65, [TXT_DIGIN2_BUS1], "Digitaler Eingang 2 Bus 2-Interface" },
		{ 66, [TXT_DIGIN3_BUS2], "Digtaler Eingang 3 Bus2-Interface" },
		{ 67, [TXT_DIGIN4_BUS2], "Digitaler Eingang 4 Bus2-Interface" },
		{ 68, [TXT_RES3_VORORT_AUF], "Fhrt in Richtung AUF, Ursache ist lokal, entweder Ortssteuerstelle oder Handrad." },
		{ 69, [TXT_RES3_VORORT_ZU], "Fhrt in ZU Richtung. Ursache ist Handrad oder Ortssteuerstelle." },
		{ 70, [TXT_INZWIPOS] }
	}
	HANDLING	READ;
}

COMMAND read_D2DEF6
{
	SLOT		1;
	INDEX		159;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			D2DEF6
		}
	}
}

/*************************************************************/
VARIABLE D2DEF7	// Profibus DP Interface 1: Belegung benutzerdefiniertes Byte 2 Bit 7
{
	LABEL		[TXT_SW_ID249];
	HELP		[TXT_REM_ID249];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE	46;
		{ 0, [TXT_NOT_USED], "Bei nderung auch in OUT_T.C" },
		{ 1, [TXT_LOGIC_IST_ZU], "Tabelle 'eDigDefSettingTable'" },
		{ 2, [TXT_LOGIC_IST_AUF], "anpassen." },
		{ 3, [TXT_LOGIC_DRV_ZU] },
		{ 4, [TXT_LOGIC_DRV_AUF] },
		{ 5, [TXT_PHYS_DRV_MOVE], "Faehrt (Sammelmeldung)" },
		{ 6, [TXT_ACTUATOR_WSR] },
		{ 7, [TXT_ACTUATOR_WOEL] },
		{ 8, [TXT_ACTUATOR_DSR] },
		{ 9, [TXT_ACTUATOR_DOEL] },
		{ 10, [TXT_ACTUATOR_TH] },
		{ 11, [TXT_ERR_DSRERR] },
		{ 12, [TXT_ERR_DOELERR] },
		{ 13, [TXT_RES2_TRQERR], "Drehmomentfehler" },
		{ 14, [TXT_WARN2_SIGBR_EXT] },
		{ 15, [TXT_WARN2_SIGBR_STG] },
		{ 16, [TXT_WARN2_SIGBR_RPM] },
		{ 17, [TXT_WARN2_SIGBR_TRQ] },
		{ 18, [TXT_WARN1_STELLTERR] },
		{ 19, [TXT_WARN1_EDERR] },
		{ 20, [TXT_ACTUATOR_WSO] },
		{ 21, [TXT_ACTUATOR_WSF] },
		{ 22, [TXT_ACTUATOR_WS_OFF] },
		{ 23, [TXT_ACTUATOR_BINAER] },
		{ 24, [TXT_ACTUATOR_ANALOG] },
		{ 25, [TXT_OPT1_ZWI1] },
		{ 26, [TXT_OPT1_ZWI2] },
		{ 27, [TXT_OPT1_ZWI3] },
		{ 28, [TXT_OPT1_ZWI4] },
		{ 29, [TXT_PHYS_DRV_IN_TKT] },
		{ 30, [TXT_RES1_IST_ZU_BLINK], "Endlage Zu  und Blinksignal whrend der Fahrt" },
		{ 31, [TXT_RES1_IST_AUF_BLINK], "Endlage Auf und Blinksignal whrend der Fahrt" },
		{ 32, [TXT_LOGIC_ERROR], "Fehlermeldungen" },
		{ 33, [TXT_LOGIC_WARNING], "Warnung vorhanden" },
		{ 34, [TXT_LOGIC_NOT_RDY], "Nicht betriebsbereit FERN" },
		{ 35, [TXT_LOGIC_AT_SOLL], "Antrieb ist bei Sollposition" },
		{ 36, [TXT_ERR_PH], "Phasenausfall" },
		{ 37, [TXT_PIDIGIN_SIGBR_AN2], "Drahtbruch Analog 2" },
		{ 38, [TXT_PIDIGIN_SIGBR_AN1], "Drahtbruch Analog 1" },
		{ 39, [TXT_NOT_RDY_RMT_WS_NOT_REMOTE], "Wahlschalter nicht Fern" },
		{ 40, [TXT_NOT_RDY_RMT_WROMG_CMD], "Falsches Kommando" },
		{ 41, [TXT_ERR_INT_ERROR], "Interner Fehler" },
		{ 42, [TXT_ERR_LE_ERROR], "Leistungselektronik-Fehler" },
		{ 43, [TXT_WARN1_NO_REF], "Poti nicht justiert/Keine Referenzfahrt" },
		{ 44, [TXT_WARN1_INT_WARN], "Interne Warnung" },
		{ 45, [TXT_WARN1_CHANNEL_2], "auf Kanal 2" },
		{ 46, [TXT_PHYS_DRV_LOCAL], "Faehrt von Ort" },
		{ 47, [TXT_PHYS_DRV_REMOTE], "Faehrt von Fern" },
		{ 48, [TXT_PHYS_DRV_HANDWHEEL], "Faehrt mit Handrad" },
		{ 49, [TXT_PHYS_DRV_PROP], "Proportionalfahrt aktiv" },
		{ 50, [TXT_PHYS_DRV_PAUSE], "Fahrpause" },
		{ 51, [TXT_NOT_RDY_RMT_GCCLEAR], "Clear-Zustand" },
		{ 52, [TXT_OPT1_DIN1_DP1], "Digitaler Eingang 1 PBDP1" },
		{ 53, [TXT_OPT1_DIN2_DP1], "Digitaler Eingang 2 PBDP1" },
		{ 54, [TXT_OPT1_DIN3_DP1], "Digitaler Eingang 3 PBDP1" },
		{ 55, [TXT_OPT1_DIN4_DP1], "Digitaler Eingang 4 PBDP1" },
		{ 56, [TXT_OPT1_ZWI5] },
		{ 57, [TXT_OPT1_ZWI6] },
		{ 58, [TXT_OPT1_ZWI7] },
		{ 59, [TXT_OPT1_ZWI8] },
		{ 60, [TXT_PHYS_DRV_NOTAUS_PRESSED] },
		{ 61, [TXT_WARN2_SIGBR_LWL] },
		{ 62, [TXT_OPT2_BRAKE_OK], "1, wenn keine Versorgungsspannung fr Haltebremse" },
		{ 63, [TXT_NOTIFY_RESET], "1 = Reset der Logik wird angezeigt." },
		{ 64, [TXT_DIGIN1_BUS2], "Digitaler Eingang 1 von Businterface 2" },
		{ 65, [TXT_DIGIN2_BUS1], "Digitaler Eingang 2 Bus 2-Interface" },
		{ 66, [TXT_DIGIN3_BUS2], "Digtaler Eingang 3 Bus2-Interface" },
		{ 67, [TXT_DIGIN4_BUS2], "Digitaler Eingang 4 Bus2-Interface" },
		{ 68, [TXT_RES3_VORORT_AUF], "Fhrt in Richtung AUF, Ursache ist lokal, entweder Ortssteuerstelle oder Handrad." },
		{ 69, [TXT_RES3_VORORT_ZU], "Fhrt in ZU Richtung. Ursache ist Handrad oder Ortssteuerstelle." },
		{ 70, [TXT_INZWIPOS] }
	}
	HANDLING	READ;
}

COMMAND read_D2DEF7
{
	SLOT		1;
	INDEX		160;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			D2DEF7
		}
	}
}

//~ Profibus DP Interface 1 & 2
//~ DP 1&2: Belegung Byte 3
/*************************************************************/
VARIABLE D3DEF0	// Profibus DP Interface 1 & 2: Belegung benutzerdefiniertes Byte 3 Bit 0
{
	LABEL		[TXT_SW_ID337];
	HELP		[TXT_REM_ID337];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE	25;
		{ 0, [TXT_NOT_USED], "Bei nderung auch in OUT_T.C" },
		{ 1, [TXT_LOGIC_IST_ZU], "Tabelle 'eDigDefSettingTable'" },
		{ 2, [TXT_LOGIC_IST_AUF], "anpassen." },
		{ 3, [TXT_LOGIC_DRV_ZU] },
		{ 4, [TXT_LOGIC_DRV_AUF] },
		{ 5, [TXT_PHYS_DRV_MOVE], "Faehrt (Sammelmeldung)" },
		{ 6, [TXT_ACTUATOR_WSR] },
		{ 7, [TXT_ACTUATOR_WOEL] },
		{ 8, [TXT_ACTUATOR_DSR] },
		{ 9, [TXT_ACTUATOR_DOEL] },
		{ 10, [TXT_ACTUATOR_TH] },
		{ 11, [TXT_ERR_DSRERR] },
		{ 12, [TXT_ERR_DOELERR] },
		{ 13, [TXT_RES2_TRQERR], "Drehmomentfehler" },
		{ 14, [TXT_WARN2_SIGBR_EXT] },
		{ 15, [TXT_WARN2_SIGBR_STG] },
		{ 16, [TXT_WARN2_SIGBR_RPM] },
		{ 17, [TXT_WARN2_SIGBR_TRQ] },
		{ 18, [TXT_WARN1_STELLTERR] },
		{ 19, [TXT_WARN1_EDERR] },
		{ 20, [TXT_ACTUATOR_WSO] },
		{ 21, [TXT_ACTUATOR_WSF] },
		{ 22, [TXT_ACTUATOR_WS_OFF] },
		{ 23, [TXT_ACTUATOR_BINAER] },
		{ 24, [TXT_ACTUATOR_ANALOG] },
		{ 25, [TXT_OPT1_ZWI1] },
		{ 26, [TXT_OPT1_ZWI2] },
		{ 27, [TXT_OPT1_ZWI3] },
		{ 28, [TXT_OPT1_ZWI4] },
		{ 29, [TXT_PHYS_DRV_IN_TKT] },
		{ 30, [TXT_RES1_IST_ZU_BLINK], "Endlage Zu  und Blinksignal whrend der Fahrt" },
		{ 31, [TXT_RES1_IST_AUF_BLINK], "Endlage Auf und Blinksignal whrend der Fahrt" },
		{ 32, [TXT_LOGIC_ERROR], "Fehlermeldungen" },
		{ 33, [TXT_LOGIC_WARNING], "Warnung vorhanden" },
		{ 34, [TXT_LOGIC_NOT_RDY], "Nicht betriebsbereit FERN" },
		{ 35, [TXT_LOGIC_AT_SOLL], "Antrieb ist bei Sollposition" },
		{ 36, [TXT_ERR_PH], "Phasenausfall" },
		{ 37, [TXT_PIDIGIN_SIGBR_AN2], "Drahtbruch Analog 2" },
		{ 38, [TXT_PIDIGIN_SIGBR_AN1], "Drahtbruch Analog 1" },
		{ 39, [TXT_NOT_RDY_RMT_WS_NOT_REMOTE], "Wahlschalter nicht Fern" },
		{ 40, [TXT_NOT_RDY_RMT_WROMG_CMD], "Falsches Kommando" },
		{ 41, [TXT_ERR_INT_ERROR], "Interner Fehler" },
		{ 42, [TXT_ERR_LE_ERROR], "Leistungselektronik-Fehler" },
		{ 43, [TXT_WARN1_NO_REF], "Poti nicht justiert/Keine Referenzfahrt" },
		{ 44, [TXT_WARN1_INT_WARN], "Interne Warnung" },
		{ 45, [TXT_WARN1_CHANNEL_2], "auf Kanal 2" },
		{ 46, [TXT_PHYS_DRV_LOCAL], "Faehrt von Ort" },
		{ 47, [TXT_PHYS_DRV_REMOTE], "Faehrt von Fern" },
		{ 48, [TXT_PHYS_DRV_HANDWHEEL], "Faehrt mit Handrad" },
		{ 49, [TXT_PHYS_DRV_PROP], "Proportionalfahrt aktiv" },
		{ 50, [TXT_PHYS_DRV_PAUSE], "Fahrpause" },
		{ 51, [TXT_NOT_RDY_RMT_GCCLEAR], "Clear-Zustand" },
		{ 52, [TXT_OPT1_DIN1_DP1], "Digitaler Eingang 1 PBDP1" },
		{ 53, [TXT_OPT1_DIN2_DP1], "Digitaler Eingang 2 PBDP1" },
		{ 54, [TXT_OPT1_DIN3_DP1], "Digitaler Eingang 3 PBDP1" },
		{ 55, [TXT_OPT1_DIN4_DP1], "Digitaler Eingang 4 PBDP1" },
		{ 56, [TXT_OPT1_ZWI5] },
		{ 57, [TXT_OPT1_ZWI6] },
		{ 58, [TXT_OPT1_ZWI7] },
		{ 59, [TXT_OPT1_ZWI8] },
		{ 60, [TXT_PHYS_DRV_NOTAUS_PRESSED] },
		{ 61, [TXT_WARN2_SIGBR_LWL] },
		{ 62, [TXT_OPT2_BRAKE_OK], "1, wenn keine Versorgungsspannung fr Haltebremse" },
		{ 63, [TXT_NOTIFY_RESET], "1 = Reset der Logik wird angezeigt." },
		{ 64, [TXT_DIGIN1_BUS2], "Digitaler Eingang 1 von Businterface 2" },
		{ 65, [TXT_DIGIN2_BUS1], "Digitaler Eingang 2 Bus 2-Interface" },
		{ 66, [TXT_DIGIN3_BUS2], "Digtaler Eingang 3 Bus2-Interface" },
		{ 67, [TXT_DIGIN4_BUS2], "Digitaler Eingang 4 Bus2-Interface" },
		{ 68, [TXT_RES3_VORORT_AUF], "Fhrt in Richtung AUF, Ursache ist lokal, entweder Ortssteuerstelle oder Handrad." },
		{ 69, [TXT_RES3_VORORT_ZU], "Fhrt in ZU Richtung. Ursache ist Handrad oder Ortssteuerstelle." },
		{ 70, [TXT_INZWIPOS] }
	}
	HANDLING	READ;
}

COMMAND read_D3DEF0
{
	SLOT		1;
	INDEX		239;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			IF (LSWV_En_UserDefByte_Trq==1)
			{
				D3DEF0
			}
#ifdef DDCCorrection
			ELSE
			{
				var_dummy
			}
#warning to check
#endif
		}
	}
}

/*************************************************************/
VARIABLE D3DEF1	// Profibus DP Interface 1 & 2: Belegung benutzerdefiniertes Byte 3 Bit 1
{
	LABEL		[TXT_SW_ID338];
	HELP		[TXT_REM_ID338];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE	26;
		{ 0, [TXT_NOT_USED], "Bei nderung auch in OUT_T.C" },
		{ 1, [TXT_LOGIC_IST_ZU], "Tabelle 'eDigDefSettingTable'" },
		{ 2, [TXT_LOGIC_IST_AUF], "anpassen." },
		{ 3, [TXT_LOGIC_DRV_ZU] },
		{ 4, [TXT_LOGIC_DRV_AUF] },
		{ 5, [TXT_PHYS_DRV_MOVE], "Faehrt (Sammelmeldung)" },
		{ 6, [TXT_ACTUATOR_WSR] },
		{ 7, [TXT_ACTUATOR_WOEL] },
		{ 8, [TXT_ACTUATOR_DSR] },
		{ 9, [TXT_ACTUATOR_DOEL] },
		{ 10, [TXT_ACTUATOR_TH] },
		{ 11, [TXT_ERR_DSRERR] },
		{ 12, [TXT_ERR_DOELERR] },
		{ 13, [TXT_RES2_TRQERR], "Drehmomentfehler" },
		{ 14, [TXT_WARN2_SIGBR_EXT] },
		{ 15, [TXT_WARN2_SIGBR_STG] },
		{ 16, [TXT_WARN2_SIGBR_RPM] },
		{ 17, [TXT_WARN2_SIGBR_TRQ] },
		{ 18, [TXT_WARN1_STELLTERR] },
		{ 19, [TXT_WARN1_EDERR] },
		{ 20, [TXT_ACTUATOR_WSO] },
		{ 21, [TXT_ACTUATOR_WSF] },
		{ 22, [TXT_ACTUATOR_WS_OFF] },
		{ 23, [TXT_ACTUATOR_BINAER] },
		{ 24, [TXT_ACTUATOR_ANALOG] },
		{ 25, [TXT_OPT1_ZWI1] },
		{ 26, [TXT_OPT1_ZWI2] },
		{ 27, [TXT_OPT1_ZWI3] },
		{ 28, [TXT_OPT1_ZWI4] },
		{ 29, [TXT_PHYS_DRV_IN_TKT] },
		{ 30, [TXT_RES1_IST_ZU_BLINK], "Endlage Zu  und Blinksignal whrend der Fahrt" },
		{ 31, [TXT_RES1_IST_AUF_BLINK], "Endlage Auf und Blinksignal whrend der Fahrt" },
		{ 32, [TXT_LOGIC_ERROR], "Fehlermeldungen" },
		{ 33, [TXT_LOGIC_WARNING], "Warnung vorhanden" },
		{ 34, [TXT_LOGIC_NOT_RDY], "Nicht betriebsbereit FERN" },
		{ 35, [TXT_LOGIC_AT_SOLL], "Antrieb ist bei Sollposition" },
		{ 36, [TXT_ERR_PH], "Phasenausfall" },
		{ 37, [TXT_PIDIGIN_SIGBR_AN2], "Drahtbruch Analog 2" },
		{ 38, [TXT_PIDIGIN_SIGBR_AN1], "Drahtbruch Analog 1" },
		{ 39, [TXT_NOT_RDY_RMT_WS_NOT_REMOTE], "Wahlschalter nicht Fern" },
		{ 40, [TXT_NOT_RDY_RMT_WROMG_CMD], "Falsches Kommando" },
		{ 41, [TXT_ERR_INT_ERROR], "Interner Fehler" },
		{ 42, [TXT_ERR_LE_ERROR], "Leistungselektronik-Fehler" },
		{ 43, [TXT_WARN1_NO_REF], "Poti nicht justiert/Keine Referenzfahrt" },
		{ 44, [TXT_WARN1_INT_WARN], "Interne Warnung" },
		{ 45, [TXT_WARN1_CHANNEL_2], "auf Kanal 2" },
		{ 46, [TXT_PHYS_DRV_LOCAL], "Faehrt von Ort" },
		{ 47, [TXT_PHYS_DRV_REMOTE], "Faehrt von Fern" },
		{ 48, [TXT_PHYS_DRV_HANDWHEEL], "Faehrt mit Handrad" },
		{ 49, [TXT_PHYS_DRV_PROP], "Proportionalfahrt aktiv" },
		{ 50, [TXT_PHYS_DRV_PAUSE], "Fahrpause" },
		{ 51, [TXT_NOT_RDY_RMT_GCCLEAR], "Clear-Zustand" },
		{ 52, [TXT_OPT1_DIN1_DP1], "Digitaler Eingang 1 PBDP1" },
		{ 53, [TXT_OPT1_DIN2_DP1], "Digitaler Eingang 2 PBDP1" },
		{ 54, [TXT_OPT1_DIN3_DP1], "Digitaler Eingang 3 PBDP1" },
		{ 55, [TXT_OPT1_DIN4_DP1], "Digitaler Eingang 4 PBDP1" },
		{ 56, [TXT_OPT1_ZWI5] },
		{ 57, [TXT_OPT1_ZWI6] },
		{ 58, [TXT_OPT1_ZWI7] },
		{ 59, [TXT_OPT1_ZWI8] },
		{ 60, [TXT_PHYS_DRV_NOTAUS_PRESSED] },
		{ 61, [TXT_WARN2_SIGBR_LWL] },
		{ 62, [TXT_OPT2_BRAKE_OK], "1, wenn keine Versorgungsspannung fr Haltebremse" },
		{ 63, [TXT_NOTIFY_RESET], "1 = Reset der Logik wird angezeigt." },
		{ 64, [TXT_DIGIN1_BUS2], "Digitaler Eingang 1 von Businterface 2" },
		{ 65, [TXT_DIGIN2_BUS1], "Digitaler Eingang 2 Bus 2-Interface" },
		{ 66, [TXT_DIGIN3_BUS2], "Digtaler Eingang 3 Bus2-Interface" },
		{ 67, [TXT_DIGIN4_BUS2], "Digitaler Eingang 4 Bus2-Interface" },
		{ 68, [TXT_RES3_VORORT_AUF], "Fhrt in Richtung AUF, Ursache ist lokal, entweder Ortssteuerstelle oder Handrad." },
		{ 69, [TXT_RES3_VORORT_ZU], "Fhrt in ZU Richtung. Ursache ist Handrad oder Ortssteuerstelle." },
		{ 70, [TXT_INZWIPOS] }
	}
	HANDLING	READ;
}

COMMAND read_D3DEF1
{
	SLOT		1;
	INDEX		240;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			IF (LSWV_En_UserDefByte_Trq==1)
			{
				D3DEF1
			}
#ifdef DDCCorrection
			ELSE
			{
				var_dummy
			}
#warning to check
#endif
		}
	}
}

/*************************************************************/
VARIABLE D3DEF2	// Profibus DP Interface 1 & 2: Belegung benutzerdefiniertes Byte 3 Bit 2
{
	LABEL		[TXT_SW_ID339];
	HELP		[TXT_REM_ID339];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE	27;
		{ 0, [TXT_NOT_USED], "Bei nderung auch in OUT_T.C" },
		{ 1, [TXT_LOGIC_IST_ZU], "Tabelle 'eDigDefSettingTable'" },
		{ 2, [TXT_LOGIC_IST_AUF], "anpassen." },
		{ 3, [TXT_LOGIC_DRV_ZU] },
		{ 4, [TXT_LOGIC_DRV_AUF] },
		{ 5, [TXT_PHYS_DRV_MOVE], "Faehrt (Sammelmeldung)" },
		{ 6, [TXT_ACTUATOR_WSR] },
		{ 7, [TXT_ACTUATOR_WOEL] },
		{ 8, [TXT_ACTUATOR_DSR] },
		{ 9, [TXT_ACTUATOR_DOEL] },
		{ 10, [TXT_ACTUATOR_TH] },
		{ 11, [TXT_ERR_DSRERR] },
		{ 12, [TXT_ERR_DOELERR] },
		{ 13, [TXT_RES2_TRQERR], "Drehmomentfehler" },
		{ 14, [TXT_WARN2_SIGBR_EXT] },
		{ 15, [TXT_WARN2_SIGBR_STG] },
		{ 16, [TXT_WARN2_SIGBR_RPM] },
		{ 17, [TXT_WARN2_SIGBR_TRQ] },
		{ 18, [TXT_WARN1_STELLTERR] },
		{ 19, [TXT_WARN1_EDERR] },
		{ 20, [TXT_ACTUATOR_WSO] },
		{ 21, [TXT_ACTUATOR_WSF] },
		{ 22, [TXT_ACTUATOR_WS_OFF] },
		{ 23, [TXT_ACTUATOR_BINAER] },
		{ 24, [TXT_ACTUATOR_ANALOG] },
		{ 25, [TXT_OPT1_ZWI1] },
		{ 26, [TXT_OPT1_ZWI2] },
		{ 27, [TXT_OPT1_ZWI3] },
		{ 28, [TXT_OPT1_ZWI4] },
		{ 29, [TXT_PHYS_DRV_IN_TKT] },
		{ 30, [TXT_RES1_IST_ZU_BLINK], "Endlage Zu  und Blinksignal whrend der Fahrt" },
		{ 31, [TXT_RES1_IST_AUF_BLINK], "Endlage Auf und Blinksignal whrend der Fahrt" },
		{ 32, [TXT_LOGIC_ERROR], "Fehlermeldungen" },
		{ 33, [TXT_LOGIC_WARNING], "Warnung vorhanden" },
		{ 34, [TXT_LOGIC_NOT_RDY], "Nicht betriebsbereit FERN" },
		{ 35, [TXT_LOGIC_AT_SOLL], "Antrieb ist bei Sollposition" },
		{ 36, [TXT_ERR_PH], "Phasenausfall" },
		{ 37, [TXT_PIDIGIN_SIGBR_AN2], "Drahtbruch Analog 2" },
		{ 38, [TXT_PIDIGIN_SIGBR_AN1], "Drahtbruch Analog 1" },
		{ 39, [TXT_NOT_RDY_RMT_WS_NOT_REMOTE], "Wahlschalter nicht Fern" },
		{ 40, [TXT_NOT_RDY_RMT_WROMG_CMD], "Falsches Kommando" },
		{ 41, [TXT_ERR_INT_ERROR], "Interner Fehler" },
		{ 42, [TXT_ERR_LE_ERROR], "Leistungselektronik-Fehler" },
		{ 43, [TXT_WARN1_NO_REF], "Poti nicht justiert/Keine Referenzfahrt" },
		{ 44, [TXT_WARN1_INT_WARN], "Interne Warnung" },
		{ 45, [TXT_WARN1_CHANNEL_2], "auf Kanal 2" },
		{ 46, [TXT_PHYS_DRV_LOCAL], "Faehrt von Ort" },
		{ 47, [TXT_PHYS_DRV_REMOTE], "Faehrt von Fern" },
		{ 48, [TXT_PHYS_DRV_HANDWHEEL], "Faehrt mit Handrad" },
		{ 49, [TXT_PHYS_DRV_PROP], "Proportionalfahrt aktiv" },
		{ 50, [TXT_PHYS_DRV_PAUSE], "Fahrpause" },
		{ 51, [TXT_NOT_RDY_RMT_GCCLEAR], "Clear-Zustand" },
		{ 52, [TXT_OPT1_DIN1_DP1], "Digitaler Eingang 1 PBDP1" },
		{ 53, [TXT_OPT1_DIN2_DP1], "Digitaler Eingang 2 PBDP1" },
		{ 54, [TXT_OPT1_DIN3_DP1], "Digitaler Eingang 3 PBDP1" },
		{ 55, [TXT_OPT1_DIN4_DP1], "Digitaler Eingang 4 PBDP1" },
		{ 56, [TXT_OPT1_ZWI5] },
		{ 57, [TXT_OPT1_ZWI6] },
		{ 58, [TXT_OPT1_ZWI7] },
		{ 59, [TXT_OPT1_ZWI8] },
		{ 60, [TXT_PHYS_DRV_NOTAUS_PRESSED] },
		{ 61, [TXT_WARN2_SIGBR_LWL] },
		{ 62, [TXT_OPT2_BRAKE_OK], "1, wenn keine Versorgungsspannung fr Haltebremse" },
		{ 63, [TXT_NOTIFY_RESET], "1 = Reset der Logik wird angezeigt." },
		{ 64, [TXT_DIGIN1_BUS2], "Digitaler Eingang 1 von Businterface 2" },
		{ 65, [TXT_DIGIN2_BUS1], "Digitaler Eingang 2 Bus 2-Interface" },
		{ 66, [TXT_DIGIN3_BUS2], "Digtaler Eingang 3 Bus2-Interface" },
		{ 67, [TXT_DIGIN4_BUS2], "Digitaler Eingang 4 Bus2-Interface" },
		{ 68, [TXT_RES3_VORORT_AUF], "Fhrt in Richtung AUF, Ursache ist lokal, entweder Ortssteuerstelle oder Handrad." },
		{ 69, [TXT_RES3_VORORT_ZU], "Fhrt in ZU Richtung. Ursache ist Handrad oder Ortssteuerstelle." },
		{ 70, [TXT_INZWIPOS] }
	}
	HANDLING	READ;
}

COMMAND read_D3DEF2
{
	SLOT		1;
	INDEX		241;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			IF (LSWV_En_UserDefByte_Trq==1)
			{
				D3DEF2
			}
#ifdef DDCCorrection
			ELSE
			{
				var_dummy
			}
#warning to check
#endif
		}
	}
}

/*************************************************************/
VARIABLE D3DEF3	// Profibus DP Interface 1 & 2: Belegung benutzerdefiniertes Byte 3 Bit 3
{
	LABEL		[TXT_SW_ID340];
	HELP		[TXT_REM_ID340];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE	28;
		{ 0, [TXT_NOT_USED], "Bei nderung auch in OUT_T.C" },
		{ 1, [TXT_LOGIC_IST_ZU], "Tabelle 'eDigDefSettingTable'" },
		{ 2, [TXT_LOGIC_IST_AUF], "anpassen." },
		{ 3, [TXT_LOGIC_DRV_ZU] },
		{ 4, [TXT_LOGIC_DRV_AUF] },
		{ 5, [TXT_PHYS_DRV_MOVE], "Faehrt (Sammelmeldung)" },
		{ 6, [TXT_ACTUATOR_WSR] },
		{ 7, [TXT_ACTUATOR_WOEL] },
		{ 8, [TXT_ACTUATOR_DSR] },
		{ 9, [TXT_ACTUATOR_DOEL] },
		{ 10, [TXT_ACTUATOR_TH] },
		{ 11, [TXT_ERR_DSRERR] },
		{ 12, [TXT_ERR_DOELERR] },
		{ 13, [TXT_RES2_TRQERR], "Drehmomentfehler" },
		{ 14, [TXT_WARN2_SIGBR_EXT] },
		{ 15, [TXT_WARN2_SIGBR_STG] },
		{ 16, [TXT_WARN2_SIGBR_RPM] },
		{ 17, [TXT_WARN2_SIGBR_TRQ] },
		{ 18, [TXT_WARN1_STELLTERR] },
		{ 19, [TXT_WARN1_EDERR] },
		{ 20, [TXT_ACTUATOR_WSO] },
		{ 21, [TXT_ACTUATOR_WSF] },
		{ 22, [TXT_ACTUATOR_WS_OFF] },
		{ 23, [TXT_ACTUATOR_BINAER] },
		{ 24, [TXT_ACTUATOR_ANALOG] },
		{ 25, [TXT_OPT1_ZWI1] },
		{ 26, [TXT_OPT1_ZWI2] },
		{ 27, [TXT_OPT1_ZWI3] },
		{ 28, [TXT_OPT1_ZWI4] },
		{ 29, [TXT_PHYS_DRV_IN_TKT] },
		{ 30, [TXT_RES1_IST_ZU_BLINK], "Endlage Zu  und Blinksignal whrend der Fahrt" },
		{ 31, [TXT_RES1_IST_AUF_BLINK], "Endlage Auf und Blinksignal whrend der Fahrt" },
		{ 32, [TXT_LOGIC_ERROR], "Fehlermeldungen" },
		{ 33, [TXT_LOGIC_WARNING], "Warnung vorhanden" },
		{ 34, [TXT_LOGIC_NOT_RDY], "Nicht betriebsbereit FERN" },
		{ 35, [TXT_LOGIC_AT_SOLL], "Antrieb ist bei Sollposition" },
		{ 36, [TXT_ERR_PH], "Phasenausfall" },
		{ 37, [TXT_PIDIGIN_SIGBR_AN2], "Drahtbruch Analog 2" },
		{ 38, [TXT_PIDIGIN_SIGBR_AN1], "Drahtbruch Analog 1" },
		{ 39, [TXT_NOT_RDY_RMT_WS_NOT_REMOTE], "Wahlschalter nicht Fern" },
		{ 40, [TXT_NOT_RDY_RMT_WROMG_CMD], "Falsches Kommando" },
		{ 41, [TXT_ERR_INT_ERROR], "Interner Fehler" },
		{ 42, [TXT_ERR_LE_ERROR], "Leistungselektronik-Fehler" },
		{ 43, [TXT_WARN1_NO_REF], "Poti nicht justiert/Keine Referenzfahrt" },
		{ 44, [TXT_WARN1_INT_WARN], "Interne Warnung" },
		{ 45, [TXT_WARN1_CHANNEL_2], "auf Kanal 2" },
		{ 46, [TXT_PHYS_DRV_LOCAL], "Faehrt von Ort" },
		{ 47, [TXT_PHYS_DRV_REMOTE], "Faehrt von Fern" },
		{ 48, [TXT_PHYS_DRV_HANDWHEEL], "Faehrt mit Handrad" },
		{ 49, [TXT_PHYS_DRV_PROP], "Proportionalfahrt aktiv" },
		{ 50, [TXT_PHYS_DRV_PAUSE], "Fahrpause" },
		{ 51, [TXT_NOT_RDY_RMT_GCCLEAR], "Clear-Zustand" },
		{ 52, [TXT_OPT1_DIN1_DP1], "Digitaler Eingang 1 PBDP1" },
		{ 53, [TXT_OPT1_DIN2_DP1], "Digitaler Eingang 2 PBDP1" },
		{ 54, [TXT_OPT1_DIN3_DP1], "Digitaler Eingang 3 PBDP1" },
		{ 55, [TXT_OPT1_DIN4_DP1], "Digitaler Eingang 4 PBDP1" },
		{ 56, [TXT_OPT1_ZWI5] },
		{ 57, [TXT_OPT1_ZWI6] },
		{ 58, [TXT_OPT1_ZWI7] },
		{ 59, [TXT_OPT1_ZWI8] },
		{ 60, [TXT_PHYS_DRV_NOTAUS_PRESSED] },
		{ 61, [TXT_WARN2_SIGBR_LWL] },
		{ 62, [TXT_OPT2_BRAKE_OK], "1, wenn keine Versorgungsspannung fr Haltebremse" },
		{ 63, [TXT_NOTIFY_RESET], "1 = Reset der Logik wird angezeigt." },
		{ 64, [TXT_DIGIN1_BUS2], "Digitaler Eingang 1 von Businterface 2" },
		{ 65, [TXT_DIGIN2_BUS1], "Digitaler Eingang 2 Bus 2-Interface" },
		{ 66, [TXT_DIGIN3_BUS2], "Digtaler Eingang 3 Bus2-Interface" },
		{ 67, [TXT_DIGIN4_BUS2], "Digitaler Eingang 4 Bus2-Interface" },
		{ 68, [TXT_RES3_VORORT_AUF], "Fhrt in Richtung AUF, Ursache ist lokal, entweder Ortssteuerstelle oder Handrad." },
		{ 69, [TXT_RES3_VORORT_ZU], "Fhrt in ZU Richtung. Ursache ist Handrad oder Ortssteuerstelle." },
		{ 70, [TXT_INZWIPOS] }
	}
	HANDLING	READ;
}

COMMAND read_D3DEF3
{
	SLOT		1;
	INDEX		242;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			IF (LSWV_En_UserDefByte_Trq==1)
			{
				D3DEF3
			}
#ifdef DDCCorrection
			ELSE
			{
				var_dummy
			}
#warning to check
#endif
		}
	}
}

/*************************************************************/
VARIABLE D3DEF4	// Profibus DP Interface 1 & 2: Belegung benutzerdefiniertes Byte 3 Bit 4
{
	LABEL		[TXT_SW_ID341];
	HELP		[TXT_REM_ID341];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE	52;
		{ 0, [TXT_NOT_USED], "Bei nderung auch in OUT_T.C" },
		{ 1, [TXT_LOGIC_IST_ZU], "Tabelle 'eDigDefSettingTable'" },
		{ 2, [TXT_LOGIC_IST_AUF], "anpassen." },
		{ 3, [TXT_LOGIC_DRV_ZU] },
		{ 4, [TXT_LOGIC_DRV_AUF] },
		{ 5, [TXT_PHYS_DRV_MOVE], "Faehrt (Sammelmeldung)" },
		{ 6, [TXT_ACTUATOR_WSR] },
		{ 7, [TXT_ACTUATOR_WOEL] },
		{ 8, [TXT_ACTUATOR_DSR] },
		{ 9, [TXT_ACTUATOR_DOEL] },
		{ 10, [TXT_ACTUATOR_TH] },
		{ 11, [TXT_ERR_DSRERR] },
		{ 12, [TXT_ERR_DOELERR] },
		{ 13, [TXT_RES2_TRQERR], "Drehmomentfehler" },
		{ 14, [TXT_WARN2_SIGBR_EXT] },
		{ 15, [TXT_WARN2_SIGBR_STG] },
		{ 16, [TXT_WARN2_SIGBR_RPM] },
		{ 17, [TXT_WARN2_SIGBR_TRQ] },
		{ 18, [TXT_WARN1_STELLTERR] },
		{ 19, [TXT_WARN1_EDERR] },
		{ 20, [TXT_ACTUATOR_WSO] },
		{ 21, [TXT_ACTUATOR_WSF] },
		{ 22, [TXT_ACTUATOR_WS_OFF] },
		{ 23, [TXT_ACTUATOR_BINAER] },
		{ 24, [TXT_ACTUATOR_ANALOG] },
		{ 25, [TXT_OPT1_ZWI1] },
		{ 26, [TXT_OPT1_ZWI2] },
		{ 27, [TXT_OPT1_ZWI3] },
		{ 28, [TXT_OPT1_ZWI4] },
		{ 29, [TXT_PHYS_DRV_IN_TKT] },
		{ 30, [TXT_RES1_IST_ZU_BLINK], "Endlage Zu  und Blinksignal whrend der Fahrt" },
		{ 31, [TXT_RES1_IST_AUF_BLINK], "Endlage Auf und Blinksignal whrend der Fahrt" },
		{ 32, [TXT_LOGIC_ERROR], "Fehlermeldungen" },
		{ 33, [TXT_LOGIC_WARNING], "Warnung vorhanden" },
		{ 34, [TXT_LOGIC_NOT_RDY], "Nicht betriebsbereit FERN" },
		{ 35, [TXT_LOGIC_AT_SOLL], "Antrieb ist bei Sollposition" },
		{ 36, [TXT_ERR_PH], "Phasenausfall" },
		{ 37, [TXT_PIDIGIN_SIGBR_AN2], "Drahtbruch Analog 2" },
		{ 38, [TXT_PIDIGIN_SIGBR_AN1], "Drahtbruch Analog 1" },
		{ 39, [TXT_NOT_RDY_RMT_WS_NOT_REMOTE], "Wahlschalter nicht Fern" },
		{ 40, [TXT_NOT_RDY_RMT_WROMG_CMD], "Falsches Kommando" },
		{ 41, [TXT_ERR_INT_ERROR], "Interner Fehler" },
		{ 42, [TXT_ERR_LE_ERROR], "Leistungselektronik-Fehler" },
		{ 43, [TXT_WARN1_NO_REF], "Poti nicht justiert/Keine Referenzfahrt" },
		{ 44, [TXT_WARN1_INT_WARN], "Interne Warnung" },
		{ 45, [TXT_WARN1_CHANNEL_2], "auf Kanal 2" },
		{ 46, [TXT_PHYS_DRV_LOCAL], "Faehrt von Ort" },
		{ 47, [TXT_PHYS_DRV_REMOTE], "Faehrt von Fern" },
		{ 48, [TXT_PHYS_DRV_HANDWHEEL], "Faehrt mit Handrad" },
		{ 49, [TXT_PHYS_DRV_PROP], "Proportionalfahrt aktiv" },
		{ 50, [TXT_PHYS_DRV_PAUSE], "Fahrpause" },
		{ 51, [TXT_NOT_RDY_RMT_GCCLEAR], "Clear-Zustand" },
		{ 52, [TXT_OPT1_DIN1_DP1], "Digitaler Eingang 1 PBDP1" },
		{ 53, [TXT_OPT1_DIN2_DP1], "Digitaler Eingang 2 PBDP1" },
		{ 54, [TXT_OPT1_DIN3_DP1], "Digitaler Eingang 3 PBDP1" },
		{ 55, [TXT_OPT1_DIN4_DP1], "Digitaler Eingang 4 PBDP1" },
		{ 56, [TXT_OPT1_ZWI5] },
		{ 57, [TXT_OPT1_ZWI6] },
		{ 58, [TXT_OPT1_ZWI7] },
		{ 59, [TXT_OPT1_ZWI8] },
		{ 60, [TXT_PHYS_DRV_NOTAUS_PRESSED] },
		{ 61, [TXT_WARN2_SIGBR_LWL] },
		{ 62, [TXT_OPT2_BRAKE_OK], "1, wenn keine Versorgungsspannung fr Haltebremse" },
		{ 63, [TXT_NOTIFY_RESET], "1 = Reset der Logik wird angezeigt." },
		{ 64, [TXT_DIGIN1_BUS2], "Digitaler Eingang 1 von Businterface 2" },
		{ 65, [TXT_DIGIN2_BUS1], "Digitaler Eingang 2 Bus 2-Interface" },
		{ 66, [TXT_DIGIN3_BUS2], "Digtaler Eingang 3 Bus2-Interface" },
		{ 67, [TXT_DIGIN4_BUS2], "Digitaler Eingang 4 Bus2-Interface" },
		{ 68, [TXT_RES3_VORORT_AUF], "Fhrt in Richtung AUF, Ursache ist lokal, entweder Ortssteuerstelle oder Handrad." },
		{ 69, [TXT_RES3_VORORT_ZU], "Fhrt in ZU Richtung. Ursache ist Handrad oder Ortssteuerstelle." },
		{ 70, [TXT_INZWIPOS] }
	}
	HANDLING	READ;
}

COMMAND read_D3DEF4
{
	SLOT		1;
	INDEX		243;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			IF (LSWV_En_UserDefByte_Trq==1)
			{
				D3DEF4
			}
#ifdef DDCCorrection
			ELSE
			{
				var_dummy
			}
#warning to check
#endif
		}
	}
}

/*************************************************************/
VARIABLE D3DEF5	// Profibus DP Interface 1 & 2: Belegung benutzerdefiniertes Byte 3 Bit 5
{
	LABEL		[TXT_SW_ID342];
	HELP		[TXT_REM_ID342];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE	53;
		{ 0, [TXT_NOT_USED], "Bei nderung auch in OUT_T.C" },
		{ 1, [TXT_LOGIC_IST_ZU], "Tabelle 'eDigDefSettingTable'" },
		{ 2, [TXT_LOGIC_IST_AUF], "anpassen." },
		{ 3, [TXT_LOGIC_DRV_ZU] },
		{ 4, [TXT_LOGIC_DRV_AUF] },
		{ 5, [TXT_PHYS_DRV_MOVE], "Faehrt (Sammelmeldung)" },
		{ 6, [TXT_ACTUATOR_WSR] },
		{ 7, [TXT_ACTUATOR_WOEL] },
		{ 8, [TXT_ACTUATOR_DSR] },
		{ 9, [TXT_ACTUATOR_DOEL] },
		{ 10, [TXT_ACTUATOR_TH] },
		{ 11, [TXT_ERR_DSRERR] },
		{ 12, [TXT_ERR_DOELERR] },
		{ 13, [TXT_RES2_TRQERR], "Drehmomentfehler" },
		{ 14, [TXT_WARN2_SIGBR_EXT] },
		{ 15, [TXT_WARN2_SIGBR_STG] },
		{ 16, [TXT_WARN2_SIGBR_RPM] },
		{ 17, [TXT_WARN2_SIGBR_TRQ] },
		{ 18, [TXT_WARN1_STELLTERR] },
		{ 19, [TXT_WARN1_EDERR] },
		{ 20, [TXT_ACTUATOR_WSO] },
		{ 21, [TXT_ACTUATOR_WSF] },
		{ 22, [TXT_ACTUATOR_WS_OFF] },
		{ 23, [TXT_ACTUATOR_BINAER] },
		{ 24, [TXT_ACTUATOR_ANALOG] },
		{ 25, [TXT_OPT1_ZWI1] },
		{ 26, [TXT_OPT1_ZWI2] },
		{ 27, [TXT_OPT1_ZWI3] },
		{ 28, [TXT_OPT1_ZWI4] },
		{ 29, [TXT_PHYS_DRV_IN_TKT] },
		{ 30, [TXT_RES1_IST_ZU_BLINK], "Endlage Zu  und Blinksignal whrend der Fahrt" },
		{ 31, [TXT_RES1_IST_AUF_BLINK], "Endlage Auf und Blinksignal whrend der Fahrt" },
		{ 32, [TXT_LOGIC_ERROR], "Fehlermeldungen" },
		{ 33, [TXT_LOGIC_WARNING], "Warnung vorhanden" },
		{ 34, [TXT_LOGIC_NOT_RDY], "Nicht betriebsbereit FERN" },
		{ 35, [TXT_LOGIC_AT_SOLL], "Antrieb ist bei Sollposition" },
		{ 36, [TXT_ERR_PH], "Phasenausfall" },
		{ 37, [TXT_PIDIGIN_SIGBR_AN2], "Drahtbruch Analog 2" },
		{ 38, [TXT_PIDIGIN_SIGBR_AN1], "Drahtbruch Analog 1" },
		{ 39, [TXT_NOT_RDY_RMT_WS_NOT_REMOTE], "Wahlschalter nicht Fern" },
		{ 40, [TXT_NOT_RDY_RMT_WROMG_CMD], "Falsches Kommando" },
		{ 41, [TXT_ERR_INT_ERROR], "Interner Fehler" },
		{ 42, [TXT_ERR_LE_ERROR], "Leistungselektronik-Fehler" },
		{ 43, [TXT_WARN1_NO_REF], "Poti nicht justiert/Keine Referenzfahrt" },
		{ 44, [TXT_WARN1_INT_WARN], "Interne Warnung" },
		{ 45, [TXT_WARN1_CHANNEL_2], "auf Kanal 2" },
		{ 46, [TXT_PHYS_DRV_LOCAL], "Faehrt von Ort" },
		{ 47, [TXT_PHYS_DRV_REMOTE], "Faehrt von Fern" },
		{ 48, [TXT_PHYS_DRV_HANDWHEEL], "Faehrt mit Handrad" },
		{ 49, [TXT_PHYS_DRV_PROP], "Proportionalfahrt aktiv" },
		{ 50, [TXT_PHYS_DRV_PAUSE], "Fahrpause" },
		{ 51, [TXT_NOT_RDY_RMT_GCCLEAR], "Clear-Zustand" },
		{ 52, [TXT_OPT1_DIN1_DP1], "Digitaler Eingang 1 PBDP1" },
		{ 53, [TXT_OPT1_DIN2_DP1], "Digitaler Eingang 2 PBDP1" },
		{ 54, [TXT_OPT1_DIN3_DP1], "Digitaler Eingang 3 PBDP1" },
		{ 55, [TXT_OPT1_DIN4_DP1], "Digitaler Eingang 4 PBDP1" },
		{ 56, [TXT_OPT1_ZWI5] },
		{ 57, [TXT_OPT1_ZWI6] },
		{ 58, [TXT_OPT1_ZWI7] },
		{ 59, [TXT_OPT1_ZWI8] },
		{ 60, [TXT_PHYS_DRV_NOTAUS_PRESSED] },
		{ 61, [TXT_WARN2_SIGBR_LWL] },
		{ 62, [TXT_OPT2_BRAKE_OK], "1, wenn keine Versorgungsspannung fr Haltebremse" },
		{ 63, [TXT_NOTIFY_RESET], "1 = Reset der Logik wird angezeigt." },
		{ 64, [TXT_DIGIN1_BUS2], "Digitaler Eingang 1 von Businterface 2" },
		{ 65, [TXT_DIGIN2_BUS1], "Digitaler Eingang 2 Bus 2-Interface" },
		{ 66, [TXT_DIGIN3_BUS2], "Digtaler Eingang 3 Bus2-Interface" },
		{ 67, [TXT_DIGIN4_BUS2], "Digitaler Eingang 4 Bus2-Interface" },
		{ 68, [TXT_RES3_VORORT_AUF], "Fhrt in Richtung AUF, Ursache ist lokal, entweder Ortssteuerstelle oder Handrad." },
		{ 69, [TXT_RES3_VORORT_ZU], "Fhrt in ZU Richtung. Ursache ist Handrad oder Ortssteuerstelle." },
		{ 70, [TXT_INZWIPOS] }
	}
	HANDLING	READ;
}

COMMAND read_D3DEF5
{
	SLOT		1;
	INDEX		244;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			IF (LSWV_En_UserDefByte_Trq==1)
			{
				D3DEF5
			}
#ifdef DDCCorrection
			ELSE
			{
				var_dummy
			}
#warning to check
#endif
		}
	}
}

/*************************************************************/
VARIABLE D3DEF6	// Profibus DP Interface 1 & 2: Belegung benutzerdefiniertes Byte 3 Bit 6
{
	LABEL		[TXT_SW_ID343];
	HELP		[TXT_REM_ID343];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE	54;
		{ 0, [TXT_NOT_USED], "Bei nderung auch in OUT_T.C" },
		{ 1, [TXT_LOGIC_IST_ZU], "Tabelle 'eDigDefSettingTable'" },
		{ 2, [TXT_LOGIC_IST_AUF], "anpassen." },
		{ 3, [TXT_LOGIC_DRV_ZU] },
		{ 4, [TXT_LOGIC_DRV_AUF] },
		{ 5, [TXT_PHYS_DRV_MOVE], "Faehrt (Sammelmeldung)" },
		{ 6, [TXT_ACTUATOR_WSR] },
		{ 7, [TXT_ACTUATOR_WOEL] },
		{ 8, [TXT_ACTUATOR_DSR] },
		{ 9, [TXT_ACTUATOR_DOEL] },
		{ 10, [TXT_ACTUATOR_TH] },
		{ 11, [TXT_ERR_DSRERR] },
		{ 12, [TXT_ERR_DOELERR] },
		{ 13, [TXT_RES2_TRQERR], "Drehmomentfehler" },
		{ 14, [TXT_WARN2_SIGBR_EXT] },
		{ 15, [TXT_WARN2_SIGBR_STG] },
		{ 16, [TXT_WARN2_SIGBR_RPM] },
		{ 17, [TXT_WARN2_SIGBR_TRQ] },
		{ 18, [TXT_WARN1_STELLTERR] },
		{ 19, [TXT_WARN1_EDERR] },
		{ 20, [TXT_ACTUATOR_WSO] },
		{ 21, [TXT_ACTUATOR_WSF] },
		{ 22, [TXT_ACTUATOR_WS_OFF] },
		{ 23, [TXT_ACTUATOR_BINAER] },
		{ 24, [TXT_ACTUATOR_ANALOG] },
		{ 25, [TXT_OPT1_ZWI1] },
		{ 26, [TXT_OPT1_ZWI2] },
		{ 27, [TXT_OPT1_ZWI3] },
		{ 28, [TXT_OPT1_ZWI4] },
		{ 29, [TXT_PHYS_DRV_IN_TKT] },
		{ 30, [TXT_RES1_IST_ZU_BLINK], "Endlage Zu  und Blinksignal whrend der Fahrt" },
		{ 31, [TXT_RES1_IST_AUF_BLINK], "Endlage Auf und Blinksignal whrend der Fahrt" },
		{ 32, [TXT_LOGIC_ERROR], "Fehlermeldungen" },
		{ 33, [TXT_LOGIC_WARNING], "Warnung vorhanden" },
		{ 34, [TXT_LOGIC_NOT_RDY], "Nicht betriebsbereit FERN" },
		{ 35, [TXT_LOGIC_AT_SOLL], "Antrieb ist bei Sollposition" },
		{ 36, [TXT_ERR_PH], "Phasenausfall" },
		{ 37, [TXT_PIDIGIN_SIGBR_AN2], "Drahtbruch Analog 2" },
		{ 38, [TXT_PIDIGIN_SIGBR_AN1], "Drahtbruch Analog 1" },
		{ 39, [TXT_NOT_RDY_RMT_WS_NOT_REMOTE], "Wahlschalter nicht Fern" },
		{ 40, [TXT_NOT_RDY_RMT_WROMG_CMD], "Falsches Kommando" },
		{ 41, [TXT_ERR_INT_ERROR], "Interner Fehler" },
		{ 42, [TXT_ERR_LE_ERROR], "Leistungselektronik-Fehler" },
		{ 43, [TXT_WARN1_NO_REF], "Poti nicht justiert/Keine Referenzfahrt" },
		{ 44, [TXT_WARN1_INT_WARN], "Interne Warnung" },
		{ 45, [TXT_WARN1_CHANNEL_2], "auf Kanal 2" },
		{ 46, [TXT_PHYS_DRV_LOCAL], "Faehrt von Ort" },
		{ 47, [TXT_PHYS_DRV_REMOTE], "Faehrt von Fern" },
		{ 48, [TXT_PHYS_DRV_HANDWHEEL], "Faehrt mit Handrad" },
		{ 49, [TXT_PHYS_DRV_PROP], "Proportionalfahrt aktiv" },
		{ 50, [TXT_PHYS_DRV_PAUSE], "Fahrpause" },
		{ 51, [TXT_NOT_RDY_RMT_GCCLEAR], "Clear-Zustand" },
		{ 52, [TXT_OPT1_DIN1_DP1], "Digitaler Eingang 1 PBDP1" },
		{ 53, [TXT_OPT1_DIN2_DP1], "Digitaler Eingang 2 PBDP1" },
		{ 54, [TXT_OPT1_DIN3_DP1], "Digitaler Eingang 3 PBDP1" },
		{ 55, [TXT_OPT1_DIN4_DP1], "Digitaler Eingang 4 PBDP1" },
		{ 56, [TXT_OPT1_ZWI5] },
		{ 57, [TXT_OPT1_ZWI6] },
		{ 58, [TXT_OPT1_ZWI7] },
		{ 59, [TXT_OPT1_ZWI8] },
		{ 60, [TXT_PHYS_DRV_NOTAUS_PRESSED] },
		{ 61, [TXT_WARN2_SIGBR_LWL] },
		{ 62, [TXT_OPT2_BRAKE_OK], "1, wenn keine Versorgungsspannung fr Haltebremse" },
		{ 63, [TXT_NOTIFY_RESET], "1 = Reset der Logik wird angezeigt." },
		{ 64, [TXT_DIGIN1_BUS2], "Digitaler Eingang 1 von Businterface 2" },
		{ 65, [TXT_DIGIN2_BUS1], "Digitaler Eingang 2 Bus 2-Interface" },
		{ 66, [TXT_DIGIN3_BUS2], "Digtaler Eingang 3 Bus2-Interface" },
		{ 67, [TXT_DIGIN4_BUS2], "Digitaler Eingang 4 Bus2-Interface" },
		{ 68, [TXT_RES3_VORORT_AUF], "Fhrt in Richtung AUF, Ursache ist lokal, entweder Ortssteuerstelle oder Handrad." },
		{ 69, [TXT_RES3_VORORT_ZU], "Fhrt in ZU Richtung. Ursache ist Handrad oder Ortssteuerstelle." },
		{ 70, [TXT_INZWIPOS] }
	}
	HANDLING	READ;
}

COMMAND read_D3DEF6
{
	SLOT		1;
	INDEX		245;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			IF (LSWV_En_UserDefByte_Trq==1)
			{
				D3DEF6
			}
#ifdef DDCCorrection
			ELSE
			{
				var_dummy
			}
#warning to check
#endif
		}
	}
}

/*************************************************************/
VARIABLE D3DEF7	// Profibus DP Interface 1 & 2: Belegung benutzerdefiniertes Byte 3 Bit 7
{
	LABEL		[TXT_SW_ID344];
	HELP		[TXT_REM_ID344];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE	55;
		{ 0, [TXT_NOT_USED], "Bei nderung auch in OUT_T.C" },
		{ 1, [TXT_LOGIC_IST_ZU], "Tabelle 'eDigDefSettingTable'" },
		{ 2, [TXT_LOGIC_IST_AUF], "anpassen." },
		{ 3, [TXT_LOGIC_DRV_ZU] },
		{ 4, [TXT_LOGIC_DRV_AUF] },
		{ 5, [TXT_PHYS_DRV_MOVE], "Faehrt (Sammelmeldung)" },
		{ 6, [TXT_ACTUATOR_WSR] },
		{ 7, [TXT_ACTUATOR_WOEL] },
		{ 8, [TXT_ACTUATOR_DSR] },
		{ 9, [TXT_ACTUATOR_DOEL] },
		{ 10, [TXT_ACTUATOR_TH] },
		{ 11, [TXT_ERR_DSRERR] },
		{ 12, [TXT_ERR_DOELERR] },
		{ 13, [TXT_RES2_TRQERR], "Drehmomentfehler" },
		{ 14, [TXT_WARN2_SIGBR_EXT] },
		{ 15, [TXT_WARN2_SIGBR_STG] },
		{ 16, [TXT_WARN2_SIGBR_RPM] },
		{ 17, [TXT_WARN2_SIGBR_TRQ] },
		{ 18, [TXT_WARN1_STELLTERR] },
		{ 19, [TXT_WARN1_EDERR] },
		{ 20, [TXT_ACTUATOR_WSO] },
		{ 21, [TXT_ACTUATOR_WSF] },
		{ 22, [TXT_ACTUATOR_WS_OFF] },
		{ 23, [TXT_ACTUATOR_BINAER] },
		{ 24, [TXT_ACTUATOR_ANALOG] },
		{ 25, [TXT_OPT1_ZWI1] },
		{ 26, [TXT_OPT1_ZWI2] },
		{ 27, [TXT_OPT1_ZWI3] },
		{ 28, [TXT_OPT1_ZWI4] },
		{ 29, [TXT_PHYS_DRV_IN_TKT] },
		{ 30, [TXT_RES1_IST_ZU_BLINK], "Endlage Zu  und Blinksignal whrend der Fahrt" },
		{ 31, [TXT_RES1_IST_AUF_BLINK], "Endlage Auf und Blinksignal whrend der Fahrt" },
		{ 32, [TXT_LOGIC_ERROR], "Fehlermeldungen" },
		{ 33, [TXT_LOGIC_WARNING], "Warnung vorhanden" },
		{ 34, [TXT_LOGIC_NOT_RDY], "Nicht betriebsbereit FERN" },
		{ 35, [TXT_LOGIC_AT_SOLL], "Antrieb ist bei Sollposition" },
		{ 36, [TXT_ERR_PH], "Phasenausfall" },
		{ 37, [TXT_PIDIGIN_SIGBR_AN2], "Drahtbruch Analog 2" },
		{ 38, [TXT_PIDIGIN_SIGBR_AN1], "Drahtbruch Analog 1" },
		{ 39, [TXT_NOT_RDY_RMT_WS_NOT_REMOTE], "Wahlschalter nicht Fern" },
		{ 40, [TXT_NOT_RDY_RMT_WROMG_CMD], "Falsches Kommando" },
		{ 41, [TXT_ERR_INT_ERROR], "Interner Fehler" },
		{ 42, [TXT_ERR_LE_ERROR], "Leistungselektronik-Fehler" },
		{ 43, [TXT_WARN1_NO_REF], "Poti nicht justiert/Keine Referenzfahrt" },
		{ 44, [TXT_WARN1_INT_WARN], "Interne Warnung" },
		{ 45, [TXT_WARN1_CHANNEL_2], "auf Kanal 2" },
		{ 46, [TXT_PHYS_DRV_LOCAL], "Faehrt von Ort" },
		{ 47, [TXT_PHYS_DRV_REMOTE], "Faehrt von Fern" },
		{ 48, [TXT_PHYS_DRV_HANDWHEEL], "Faehrt mit Handrad" },
		{ 49, [TXT_PHYS_DRV_PROP], "Proportionalfahrt aktiv" },
		{ 50, [TXT_PHYS_DRV_PAUSE], "Fahrpause" },
		{ 51, [TXT_NOT_RDY_RMT_GCCLEAR], "Clear-Zustand" },
		{ 52, [TXT_OPT1_DIN1_DP1], "Digitaler Eingang 1 PBDP1" },
		{ 53, [TXT_OPT1_DIN2_DP1], "Digitaler Eingang 2 PBDP1" },
		{ 54, [TXT_OPT1_DIN3_DP1], "Digitaler Eingang 3 PBDP1" },
		{ 55, [TXT_OPT1_DIN4_DP1], "Digitaler Eingang 4 PBDP1" },
		{ 56, [TXT_OPT1_ZWI5] },
		{ 57, [TXT_OPT1_ZWI6] },
		{ 58, [TXT_OPT1_ZWI7] },
		{ 59, [TXT_OPT1_ZWI8] },
		{ 60, [TXT_PHYS_DRV_NOTAUS_PRESSED] },
		{ 61, [TXT_WARN2_SIGBR_LWL] },
		{ 62, [TXT_OPT2_BRAKE_OK], "1, wenn keine Versorgungsspannung fr Haltebremse" },
		{ 63, [TXT_NOTIFY_RESET], "1 = Reset der Logik wird angezeigt." },
		{ 64, [TXT_DIGIN1_BUS2], "Digitaler Eingang 1 von Businterface 2" },
		{ 65, [TXT_DIGIN2_BUS1], "Digitaler Eingang 2 Bus 2-Interface" },
		{ 66, [TXT_DIGIN3_BUS2], "Digtaler Eingang 3 Bus2-Interface" },
		{ 67, [TXT_DIGIN4_BUS2], "Digitaler Eingang 4 Bus2-Interface" },
		{ 68, [TXT_RES3_VORORT_AUF], "Fhrt in Richtung AUF, Ursache ist lokal, entweder Ortssteuerstelle oder Handrad." },
		{ 69, [TXT_RES3_VORORT_ZU], "Fhrt in ZU Richtung. Ursache ist Handrad oder Ortssteuerstelle." },
		{ 70, [TXT_INZWIPOS] }
	}
	HANDLING	READ;
}

COMMAND read_D3DEF7
{
	SLOT		1;
	INDEX		246;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			IF (LSWV_En_UserDefByte_Trq==1)
			{
				D3DEF7
			}
#ifdef DDCCorrection
			ELSE
			{
				var_dummy
			}
#warning to check
#endif
		}
	}
}

//~ DP 1&2: Belegung Byte 4
/*************************************************************/
VARIABLE D4DEF0	// Profibus DP Interface 1 & 2: Belegung benutzerdefiniertes Byte 4 Bit 0
{
	LABEL		[TXT_SW_ID345];
	HELP		[TXT_REM_ID345];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE	0;//62;
		{ 0, [TXT_NOT_USED], "Bei nderung auch in OUT_T.C" },
		{ 1, [TXT_LOGIC_IST_ZU], "Tabelle 'eDigDefSettingTable'" },
		{ 2, [TXT_LOGIC_IST_AUF], "anpassen." },
		{ 3, [TXT_LOGIC_DRV_ZU] },
		{ 4, [TXT_LOGIC_DRV_AUF] },
		{ 5, [TXT_PHYS_DRV_MOVE], "Faehrt (Sammelmeldung)" },
		{ 6, [TXT_ACTUATOR_WSR] },
		{ 7, [TXT_ACTUATOR_WOEL] },
		{ 8, [TXT_ACTUATOR_DSR] },
		{ 9, [TXT_ACTUATOR_DOEL] },
		{ 10, [TXT_ACTUATOR_TH] },
		{ 11, [TXT_ERR_DSRERR] },
		{ 12, [TXT_ERR_DOELERR] },
		{ 13, [TXT_RES2_TRQERR], "Drehmomentfehler" },
		{ 14, [TXT_WARN2_SIGBR_EXT] },
		{ 15, [TXT_WARN2_SIGBR_STG] },
		{ 16, [TXT_WARN2_SIGBR_RPM] },
		{ 17, [TXT_WARN2_SIGBR_TRQ] },
		{ 18, [TXT_WARN1_STELLTERR] },
		{ 19, [TXT_WARN1_EDERR] },
		{ 20, [TXT_ACTUATOR_WSO] },
		{ 21, [TXT_ACTUATOR_WSF] },
		{ 22, [TXT_ACTUATOR_WS_OFF] },
		{ 23, [TXT_ACTUATOR_BINAER] },
		{ 24, [TXT_ACTUATOR_ANALOG] },
		{ 25, [TXT_OPT1_ZWI1] },
		{ 26, [TXT_OPT1_ZWI2] },
		{ 27, [TXT_OPT1_ZWI3] },
		{ 28, [TXT_OPT1_ZWI4] },
		{ 29, [TXT_PHYS_DRV_IN_TKT] },
		{ 30, [TXT_RES1_IST_ZU_BLINK], "Endlage Zu  und Blinksignal whrend der Fahrt" },
		{ 31, [TXT_RES1_IST_AUF_BLINK], "Endlage Auf und Blinksignal whrend der Fahrt" },
		{ 32, [TXT_LOGIC_ERROR], "Fehlermeldungen" },
		{ 33, [TXT_LOGIC_WARNING], "Warnung vorhanden" },
		{ 34, [TXT_LOGIC_NOT_RDY], "Nicht betriebsbereit FERN" },
		{ 35, [TXT_LOGIC_AT_SOLL], "Antrieb ist bei Sollposition" },
		{ 36, [TXT_ERR_PH], "Phasenausfall" },
		{ 37, [TXT_PIDIGIN_SIGBR_AN2], "Drahtbruch Analog 2" },
		{ 38, [TXT_PIDIGIN_SIGBR_AN1], "Drahtbruch Analog 1" },
		{ 39, [TXT_NOT_RDY_RMT_WS_NOT_REMOTE], "Wahlschalter nicht Fern" },
		{ 40, [TXT_NOT_RDY_RMT_WROMG_CMD], "Falsches Kommando" },
		{ 41, [TXT_ERR_INT_ERROR], "Interner Fehler" },
		{ 42, [TXT_ERR_LE_ERROR], "Leistungselektronik-Fehler" },
		{ 43, [TXT_WARN1_NO_REF], "Poti nicht justiert/Keine Referenzfahrt" },
		{ 44, [TXT_WARN1_INT_WARN], "Interne Warnung" },
		{ 45, [TXT_WARN1_CHANNEL_2], "auf Kanal 2" },
		{ 46, [TXT_PHYS_DRV_LOCAL], "Faehrt von Ort" },
		{ 47, [TXT_PHYS_DRV_REMOTE], "Faehrt von Fern" },
		{ 48, [TXT_PHYS_DRV_HANDWHEEL], "Faehrt mit Handrad" },
		{ 49, [TXT_PHYS_DRV_PROP], "Proportionalfahrt aktiv" },
		{ 50, [TXT_PHYS_DRV_PAUSE], "Fahrpause" },
		{ 51, [TXT_NOT_RDY_RMT_GCCLEAR], "Clear-Zustand" },
		{ 52, [TXT_OPT1_DIN1_DP1], "Digitaler Eingang 1 PBDP1" },
		{ 53, [TXT_OPT1_DIN2_DP1], "Digitaler Eingang 2 PBDP1" },
		{ 54, [TXT_OPT1_DIN3_DP1], "Digitaler Eingang 3 PBDP1" },
		{ 55, [TXT_OPT1_DIN4_DP1], "Digitaler Eingang 4 PBDP1" },
		{ 56, [TXT_OPT1_ZWI5] },
		{ 57, [TXT_OPT1_ZWI6] },
		{ 58, [TXT_OPT1_ZWI7] },
		{ 59, [TXT_OPT1_ZWI8] },
		{ 60, [TXT_PHYS_DRV_NOTAUS_PRESSED] },
		{ 61, [TXT_WARN2_SIGBR_LWL] },
		{ 62, [TXT_OPT2_BRAKE_OK], "1, wenn keine Versorgungsspannung fr Haltebremse" },
		{ 63, [TXT_NOTIFY_RESET], "1 = Reset der Logik wird angezeigt." },
		{ 64, [TXT_DIGIN1_BUS2], "Digitaler Eingang 1 von Businterface 2" },
		{ 65, [TXT_DIGIN2_BUS1], "Digitaler Eingang 2 Bus 2-Interface" },
		{ 66, [TXT_DIGIN3_BUS2], "Digtaler Eingang 3 Bus2-Interface" },
		{ 67, [TXT_DIGIN4_BUS2], "Digitaler Eingang 4 Bus2-Interface" },
		{ 68, [TXT_RES3_VORORT_AUF], "Fhrt in Richtung AUF, Ursache ist lokal, entweder Ortssteuerstelle oder Handrad." },
		{ 69, [TXT_RES3_VORORT_ZU], "Fhrt in ZU Richtung. Ursache ist Handrad oder Ortssteuerstelle." },
		{ 70, [TXT_INZWIPOS] }
	}
	HANDLING	READ;
}

COMMAND read_D4DEF0
{
	SLOT		1;
	INDEX		247;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			IF (LSWV_En_UserDefByte_Trq==1)
			{
				D4DEF0
			}
#ifdef DDCCorrection
			ELSE
			{
				var_dummy
			}
#warning to check
#endif
		}
	}
}

/*************************************************************/
VARIABLE D4DEF1	// Profibus DP Interface 1 & 2: Belegung benutzerdefiniertes Byte 4 Bit 1
{
	LABEL		[TXT_SW_ID346];
	HELP		[TXT_REM_ID346];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE	0;//63;
		{ 0, [TXT_NOT_USED], "Bei nderung auch in OUT_T.C" },
		{ 1, [TXT_LOGIC_IST_ZU], "Tabelle 'eDigDefSettingTable'" },
		{ 2, [TXT_LOGIC_IST_AUF], "anpassen." },
		{ 3, [TXT_LOGIC_DRV_ZU] },
		{ 4, [TXT_LOGIC_DRV_AUF] },
		{ 5, [TXT_PHYS_DRV_MOVE], "Faehrt (Sammelmeldung)" },
		{ 6, [TXT_ACTUATOR_WSR] },
		{ 7, [TXT_ACTUATOR_WOEL] },
		{ 8, [TXT_ACTUATOR_DSR] },
		{ 9, [TXT_ACTUATOR_DOEL] },
		{ 10, [TXT_ACTUATOR_TH] },
		{ 11, [TXT_ERR_DSRERR] },
		{ 12, [TXT_ERR_DOELERR] },
		{ 13, [TXT_RES2_TRQERR], "Drehmomentfehler" },
		{ 14, [TXT_WARN2_SIGBR_EXT] },
		{ 15, [TXT_WARN2_SIGBR_STG] },
		{ 16, [TXT_WARN2_SIGBR_RPM] },
		{ 17, [TXT_WARN2_SIGBR_TRQ] },
		{ 18, [TXT_WARN1_STELLTERR] },
		{ 19, [TXT_WARN1_EDERR] },
		{ 20, [TXT_ACTUATOR_WSO] },
		{ 21, [TXT_ACTUATOR_WSF] },
		{ 22, [TXT_ACTUATOR_WS_OFF] },
		{ 23, [TXT_ACTUATOR_BINAER] },
		{ 24, [TXT_ACTUATOR_ANALOG] },
		{ 25, [TXT_OPT1_ZWI1] },
		{ 26, [TXT_OPT1_ZWI2] },
		{ 27, [TXT_OPT1_ZWI3] },
		{ 28, [TXT_OPT1_ZWI4] },
		{ 29, [TXT_PHYS_DRV_IN_TKT] },
		{ 30, [TXT_RES1_IST_ZU_BLINK], "Endlage Zu  und Blinksignal whrend der Fahrt" },
		{ 31, [TXT_RES1_IST_AUF_BLINK], "Endlage Auf und Blinksignal whrend der Fahrt" },
		{ 32, [TXT_LOGIC_ERROR], "Fehlermeldungen" },
		{ 33, [TXT_LOGIC_WARNING], "Warnung vorhanden" },
		{ 34, [TXT_LOGIC_NOT_RDY], "Nicht betriebsbereit FERN" },
		{ 35, [TXT_LOGIC_AT_SOLL], "Antrieb ist bei Sollposition" },
		{ 36, [TXT_ERR_PH], "Phasenausfall" },
		{ 37, [TXT_PIDIGIN_SIGBR_AN2], "Drahtbruch Analog 2" },
		{ 38, [TXT_PIDIGIN_SIGBR_AN1], "Drahtbruch Analog 1" },
		{ 39, [TXT_NOT_RDY_RMT_WS_NOT_REMOTE], "Wahlschalter nicht Fern" },
		{ 40, [TXT_NOT_RDY_RMT_WROMG_CMD], "Falsches Kommando" },
		{ 41, [TXT_ERR_INT_ERROR], "Interner Fehler" },
		{ 42, [TXT_ERR_LE_ERROR], "Leistungselektronik-Fehler" },
		{ 43, [TXT_WARN1_NO_REF], "Poti nicht justiert/Keine Referenzfahrt" },
		{ 44, [TXT_WARN1_INT_WARN], "Interne Warnung" },
		{ 45, [TXT_WARN1_CHANNEL_2], "auf Kanal 2" },
		{ 46, [TXT_PHYS_DRV_LOCAL], "Faehrt von Ort" },
		{ 47, [TXT_PHYS_DRV_REMOTE], "Faehrt von Fern" },
		{ 48, [TXT_PHYS_DRV_HANDWHEEL], "Faehrt mit Handrad" },
		{ 49, [TXT_PHYS_DRV_PROP], "Proportionalfahrt aktiv" },
		{ 50, [TXT_PHYS_DRV_PAUSE], "Fahrpause" },
		{ 51, [TXT_NOT_RDY_RMT_GCCLEAR], "Clear-Zustand" },
		{ 52, [TXT_OPT1_DIN1_DP1], "Digitaler Eingang 1 PBDP1" },
		{ 53, [TXT_OPT1_DIN2_DP1], "Digitaler Eingang 2 PBDP1" },
		{ 54, [TXT_OPT1_DIN3_DP1], "Digitaler Eingang 3 PBDP1" },
		{ 55, [TXT_OPT1_DIN4_DP1], "Digitaler Eingang 4 PBDP1" },
		{ 56, [TXT_OPT1_ZWI5] },
		{ 57, [TXT_OPT1_ZWI6] },
		{ 58, [TXT_OPT1_ZWI7] },
		{ 59, [TXT_OPT1_ZWI8] },
		{ 60, [TXT_PHYS_DRV_NOTAUS_PRESSED] },
		{ 61, [TXT_WARN2_SIGBR_LWL] },
		{ 62, [TXT_OPT2_BRAKE_OK], "1, wenn keine Versorgungsspannung fr Haltebremse" },
		{ 63, [TXT_NOTIFY_RESET], "1 = Reset der Logik wird angezeigt." },
		{ 64, [TXT_DIGIN1_BUS2], "Digitaler Eingang 1 von Businterface 2" },
		{ 65, [TXT_DIGIN2_BUS1], "Digitaler Eingang 2 Bus 2-Interface" },
		{ 66, [TXT_DIGIN3_BUS2], "Digtaler Eingang 3 Bus2-Interface" },
		{ 67, [TXT_DIGIN4_BUS2], "Digitaler Eingang 4 Bus2-Interface" },
		{ 68, [TXT_RES3_VORORT_AUF], "Fhrt in Richtung AUF, Ursache ist lokal, entweder Ortssteuerstelle oder Handrad." },
		{ 69, [TXT_RES3_VORORT_ZU], "Fhrt in ZU Richtung. Ursache ist Handrad oder Ortssteuerstelle." },
		{ 70, [TXT_INZWIPOS] }
	}
	HANDLING	READ;
}

COMMAND read_D4DEF1
{
	SLOT		1;
	INDEX		248;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			IF (LSWV_En_UserDefByte_Trq==1)
			{
				D4DEF1
			}
#ifdef DDCCorrection
			ELSE
			{
				var_dummy
			}
#warning to check
#endif
		}
	}
}

/*************************************************************/
VARIABLE D4DEF2	// Profibus DP Interface 1 & 2: Belegung benutzerdefiniertes Byte 4 Bit 2
{
	LABEL		[TXT_SW_ID347];
	HELP		[TXT_REM_ID347];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE	0;
		{ 0, [TXT_NOT_USED], "Bei nderung auch in OUT_T.C" },
		{ 1, [TXT_LOGIC_IST_ZU], "Tabelle 'eDigDefSettingTable'" },
		{ 2, [TXT_LOGIC_IST_AUF], "anpassen." },
		{ 3, [TXT_LOGIC_DRV_ZU] },
		{ 4, [TXT_LOGIC_DRV_AUF] },
		{ 5, [TXT_PHYS_DRV_MOVE], "Faehrt (Sammelmeldung)" },
		{ 6, [TXT_ACTUATOR_WSR] },
		{ 7, [TXT_ACTUATOR_WOEL] },
		{ 8, [TXT_ACTUATOR_DSR] },
		{ 9, [TXT_ACTUATOR_DOEL] },
		{ 10, [TXT_ACTUATOR_TH] },
		{ 11, [TXT_ERR_DSRERR] },
		{ 12, [TXT_ERR_DOELERR] },
		{ 13, [TXT_RES2_TRQERR], "Drehmomentfehler" },
		{ 14, [TXT_WARN2_SIGBR_EXT] },
		{ 15, [TXT_WARN2_SIGBR_STG] },
		{ 16, [TXT_WARN2_SIGBR_RPM] },
		{ 17, [TXT_WARN2_SIGBR_TRQ] },
		{ 18, [TXT_WARN1_STELLTERR] },
		{ 19, [TXT_WARN1_EDERR] },
		{ 20, [TXT_ACTUATOR_WSO] },
		{ 21, [TXT_ACTUATOR_WSF] },
		{ 22, [TXT_ACTUATOR_WS_OFF] },
		{ 23, [TXT_ACTUATOR_BINAER] },
		{ 24, [TXT_ACTUATOR_ANALOG] },
		{ 25, [TXT_OPT1_ZWI1] },
		{ 26, [TXT_OPT1_ZWI2] },
		{ 27, [TXT_OPT1_ZWI3] },
		{ 28, [TXT_OPT1_ZWI4] },
		{ 29, [TXT_PHYS_DRV_IN_TKT] },
		{ 30, [TXT_RES1_IST_ZU_BLINK], "Endlage Zu  und Blinksignal whrend der Fahrt" },
		{ 31, [TXT_RES1_IST_AUF_BLINK], "Endlage Auf und Blinksignal whrend der Fahrt" },
		{ 32, [TXT_LOGIC_ERROR], "Fehlermeldungen" },
		{ 33, [TXT_LOGIC_WARNING], "Warnung vorhanden" },
		{ 34, [TXT_LOGIC_NOT_RDY], "Nicht betriebsbereit FERN" },
		{ 35, [TXT_LOGIC_AT_SOLL], "Antrieb ist bei Sollposition" },
		{ 36, [TXT_ERR_PH], "Phasenausfall" },
		{ 37, [TXT_PIDIGIN_SIGBR_AN2], "Drahtbruch Analog 2" },
		{ 38, [TXT_PIDIGIN_SIGBR_AN1], "Drahtbruch Analog 1" },
		{ 39, [TXT_NOT_RDY_RMT_WS_NOT_REMOTE], "Wahlschalter nicht Fern" },
		{ 40, [TXT_NOT_RDY_RMT_WROMG_CMD], "Falsches Kommando" },
		{ 41, [TXT_ERR_INT_ERROR], "Interner Fehler" },
		{ 42, [TXT_ERR_LE_ERROR], "Leistungselektronik-Fehler" },
		{ 43, [TXT_WARN1_NO_REF], "Poti nicht justiert/Keine Referenzfahrt" },
		{ 44, [TXT_WARN1_INT_WARN], "Interne Warnung" },
		{ 45, [TXT_WARN1_CHANNEL_2], "auf Kanal 2" },
		{ 46, [TXT_PHYS_DRV_LOCAL], "Faehrt von Ort" },
		{ 47, [TXT_PHYS_DRV_REMOTE], "Faehrt von Fern" },
		{ 48, [TXT_PHYS_DRV_HANDWHEEL], "Faehrt mit Handrad" },
		{ 49, [TXT_PHYS_DRV_PROP], "Proportionalfahrt aktiv" },
		{ 50, [TXT_PHYS_DRV_PAUSE], "Fahrpause" },
		{ 51, [TXT_NOT_RDY_RMT_GCCLEAR], "Clear-Zustand" },
		{ 52, [TXT_OPT1_DIN1_DP1], "Digitaler Eingang 1 PBDP1" },
		{ 53, [TXT_OPT1_DIN2_DP1], "Digitaler Eingang 2 PBDP1" },
		{ 54, [TXT_OPT1_DIN3_DP1], "Digitaler Eingang 3 PBDP1" },
		{ 55, [TXT_OPT1_DIN4_DP1], "Digitaler Eingang 4 PBDP1" },
		{ 56, [TXT_OPT1_ZWI5] },
		{ 57, [TXT_OPT1_ZWI6] },
		{ 58, [TXT_OPT1_ZWI7] },
		{ 59, [TXT_OPT1_ZWI8] },
		{ 60, [TXT_PHYS_DRV_NOTAUS_PRESSED] },
		{ 61, [TXT_WARN2_SIGBR_LWL] },
		{ 62, [TXT_OPT2_BRAKE_OK], "1, wenn keine Versorgungsspannung fr Haltebremse" },
		{ 63, [TXT_NOTIFY_RESET], "1 = Reset der Logik wird angezeigt." },
		{ 64, [TXT_DIGIN1_BUS2], "Digitaler Eingang 1 von Businterface 2" },
		{ 65, [TXT_DIGIN2_BUS1], "Digitaler Eingang 2 Bus 2-Interface" },
		{ 66, [TXT_DIGIN3_BUS2], "Digtaler Eingang 3 Bus2-Interface" },
		{ 67, [TXT_DIGIN4_BUS2], "Digitaler Eingang 4 Bus2-Interface" },
		{ 68, [TXT_RES3_VORORT_AUF], "Fhrt in Richtung AUF, Ursache ist lokal, entweder Ortssteuerstelle oder Handrad." },
		{ 69, [TXT_RES3_VORORT_ZU], "Fhrt in ZU Richtung. Ursache ist Handrad oder Ortssteuerstelle." },
		{ 70, [TXT_INZWIPOS] }
	}
	HANDLING	READ;
}

COMMAND read_D4DEF2
{
	SLOT		1;
	INDEX		249;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			IF (LSWV_En_UserDefByte_Trq==1)
			{
				D4DEF2
			}
#ifdef DDCCorrection
			ELSE
			{
				var_dummy
			}
#warning to check
#endif
		}
	}
}

/*************************************************************/
VARIABLE D4DEF3	// Profibus DP Interface 1 & 2: Belegung benutzerdefiniertes Byte 4 Bit 3
{
	LABEL		[TXT_SW_ID348];
	HELP		[TXT_REM_ID348];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE	0;
		{ 0, [TXT_NOT_USED], "Bei nderung auch in OUT_T.C" },
		{ 1, [TXT_LOGIC_IST_ZU], "Tabelle 'eDigDefSettingTable'" },
		{ 2, [TXT_LOGIC_IST_AUF], "anpassen." },
		{ 3, [TXT_LOGIC_DRV_ZU] },
		{ 4, [TXT_LOGIC_DRV_AUF] },
		{ 5, [TXT_PHYS_DRV_MOVE], "Faehrt (Sammelmeldung)" },
		{ 6, [TXT_ACTUATOR_WSR] },
		{ 7, [TXT_ACTUATOR_WOEL] },
		{ 8, [TXT_ACTUATOR_DSR] },
		{ 9, [TXT_ACTUATOR_DOEL] },
		{ 10, [TXT_ACTUATOR_TH] },
		{ 11, [TXT_ERR_DSRERR] },
		{ 12, [TXT_ERR_DOELERR] },
		{ 13, [TXT_RES2_TRQERR], "Drehmomentfehler" },
		{ 14, [TXT_WARN2_SIGBR_EXT] },
		{ 15, [TXT_WARN2_SIGBR_STG] },
		{ 16, [TXT_WARN2_SIGBR_RPM] },
		{ 17, [TXT_WARN2_SIGBR_TRQ] },
		{ 18, [TXT_WARN1_STELLTERR] },
		{ 19, [TXT_WARN1_EDERR] },
		{ 20, [TXT_ACTUATOR_WSO] },
		{ 21, [TXT_ACTUATOR_WSF] },
		{ 22, [TXT_ACTUATOR_WS_OFF] },
		{ 23, [TXT_ACTUATOR_BINAER] },
		{ 24, [TXT_ACTUATOR_ANALOG] },
		{ 25, [TXT_OPT1_ZWI1] },
		{ 26, [TXT_OPT1_ZWI2] },
		{ 27, [TXT_OPT1_ZWI3] },
		{ 28, [TXT_OPT1_ZWI4] },
		{ 29, [TXT_PHYS_DRV_IN_TKT] },
		{ 30, [TXT_RES1_IST_ZU_BLINK], "Endlage Zu  und Blinksignal whrend der Fahrt" },
		{ 31, [TXT_RES1_IST_AUF_BLINK], "Endlage Auf und Blinksignal whrend der Fahrt" },
		{ 32, [TXT_LOGIC_ERROR], "Fehlermeldungen" },
		{ 33, [TXT_LOGIC_WARNING], "Warnung vorhanden" },
		{ 34, [TXT_LOGIC_NOT_RDY], "Nicht betriebsbereit FERN" },
		{ 35, [TXT_LOGIC_AT_SOLL], "Antrieb ist bei Sollposition" },
		{ 36, [TXT_ERR_PH], "Phasenausfall" },
		{ 37, [TXT_PIDIGIN_SIGBR_AN2], "Drahtbruch Analog 2" },
		{ 38, [TXT_PIDIGIN_SIGBR_AN1], "Drahtbruch Analog 1" },
		{ 39, [TXT_NOT_RDY_RMT_WS_NOT_REMOTE], "Wahlschalter nicht Fern" },
		{ 40, [TXT_NOT_RDY_RMT_WROMG_CMD], "Falsches Kommando" },
		{ 41, [TXT_ERR_INT_ERROR], "Interner Fehler" },
		{ 42, [TXT_ERR_LE_ERROR], "Leistungselektronik-Fehler" },
		{ 43, [TXT_WARN1_NO_REF], "Poti nicht justiert/Keine Referenzfahrt" },
		{ 44, [TXT_WARN1_INT_WARN], "Interne Warnung" },
		{ 45, [TXT_WARN1_CHANNEL_2], "auf Kanal 2" },
		{ 46, [TXT_PHYS_DRV_LOCAL], "Faehrt von Ort" },
		{ 47, [TXT_PHYS_DRV_REMOTE], "Faehrt von Fern" },
		{ 48, [TXT_PHYS_DRV_HANDWHEEL], "Faehrt mit Handrad" },
		{ 49, [TXT_PHYS_DRV_PROP], "Proportionalfahrt aktiv" },
		{ 50, [TXT_PHYS_DRV_PAUSE], "Fahrpause" },
		{ 51, [TXT_NOT_RDY_RMT_GCCLEAR], "Clear-Zustand" },
		{ 52, [TXT_OPT1_DIN1_DP1], "Digitaler Eingang 1 PBDP1" },
		{ 53, [TXT_OPT1_DIN2_DP1], "Digitaler Eingang 2 PBDP1" },
		{ 54, [TXT_OPT1_DIN3_DP1], "Digitaler Eingang 3 PBDP1" },
		{ 55, [TXT_OPT1_DIN4_DP1], "Digitaler Eingang 4 PBDP1" },
		{ 56, [TXT_OPT1_ZWI5] },
		{ 57, [TXT_OPT1_ZWI6] },
		{ 58, [TXT_OPT1_ZWI7] },
		{ 59, [TXT_OPT1_ZWI8] },
		{ 60, [TXT_PHYS_DRV_NOTAUS_PRESSED] },
		{ 61, [TXT_WARN2_SIGBR_LWL] },
		{ 62, [TXT_OPT2_BRAKE_OK], "1, wenn keine Versorgungsspannung fr Haltebremse" },
		{ 63, [TXT_NOTIFY_RESET], "1 = Reset der Logik wird angezeigt." },
		{ 64, [TXT_DIGIN1_BUS2], "Digitaler Eingang 1 von Businterface 2" },
		{ 65, [TXT_DIGIN2_BUS1], "Digitaler Eingang 2 Bus 2-Interface" },
		{ 66, [TXT_DIGIN3_BUS2], "Digtaler Eingang 3 Bus2-Interface" },
		{ 67, [TXT_DIGIN4_BUS2], "Digitaler Eingang 4 Bus2-Interface" },
		{ 68, [TXT_RES3_VORORT_AUF], "Fhrt in Richtung AUF, Ursache ist lokal, entweder Ortssteuerstelle oder Handrad." },
		{ 69, [TXT_RES3_VORORT_ZU], "Fhrt in ZU Richtung. Ursache ist Handrad oder Ortssteuerstelle." },
		{ 70, [TXT_INZWIPOS] }
	}
	HANDLING	READ;
}

COMMAND read_D4DEF3
{
	SLOT		1;
	INDEX		250;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			IF (LSWV_En_UserDefByte_Trq==1)
			{
				D4DEF3
			}
#ifdef DDCCorrection
			ELSE
			{
				var_dummy
			}
#warning to check
#endif
		}
	}
}

/*************************************************************/
VARIABLE D4DEF4	// Profibus DP Interface 1 & 2: Belegung benutzerdefiniertes Byte 4 Bit 4
{
	LABEL		[TXT_SW_ID349];
	HELP		[TXT_REM_ID349];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE	0;//64;
		{ 0, [TXT_NOT_USED], "Bei nderung auch in OUT_T.C" },
		{ 1, [TXT_LOGIC_IST_ZU], "Tabelle 'eDigDefSettingTable'" },
		{ 2, [TXT_LOGIC_IST_AUF], "anpassen." },
		{ 3, [TXT_LOGIC_DRV_ZU] },
		{ 4, [TXT_LOGIC_DRV_AUF] },
		{ 5, [TXT_PHYS_DRV_MOVE], "Faehrt (Sammelmeldung)" },
		{ 6, [TXT_ACTUATOR_WSR] },
		{ 7, [TXT_ACTUATOR_WOEL] },
		{ 8, [TXT_ACTUATOR_DSR] },
		{ 9, [TXT_ACTUATOR_DOEL] },
		{ 10, [TXT_ACTUATOR_TH] },
		{ 11, [TXT_ERR_DSRERR] },
		{ 12, [TXT_ERR_DOELERR] },
		{ 13, [TXT_RES2_TRQERR], "Drehmomentfehler" },
		{ 14, [TXT_WARN2_SIGBR_EXT] },
		{ 15, [TXT_WARN2_SIGBR_STG] },
		{ 16, [TXT_WARN2_SIGBR_RPM] },
		{ 17, [TXT_WARN2_SIGBR_TRQ] },
		{ 18, [TXT_WARN1_STELLTERR] },
		{ 19, [TXT_WARN1_EDERR] },
		{ 20, [TXT_ACTUATOR_WSO] },
		{ 21, [TXT_ACTUATOR_WSF] },
		{ 22, [TXT_ACTUATOR_WS_OFF] },
		{ 23, [TXT_ACTUATOR_BINAER] },
		{ 24, [TXT_ACTUATOR_ANALOG] },
		{ 25, [TXT_OPT1_ZWI1] },
		{ 26, [TXT_OPT1_ZWI2] },
		{ 27, [TXT_OPT1_ZWI3] },
		{ 28, [TXT_OPT1_ZWI4] },
		{ 29, [TXT_PHYS_DRV_IN_TKT] },
		{ 30, [TXT_RES1_IST_ZU_BLINK], "Endlage Zu  und Blinksignal whrend der Fahrt" },
		{ 31, [TXT_RES1_IST_AUF_BLINK], "Endlage Auf und Blinksignal whrend der Fahrt" },
		{ 32, [TXT_LOGIC_ERROR], "Fehlermeldungen" },
		{ 33, [TXT_LOGIC_WARNING], "Warnung vorhanden" },
		{ 34, [TXT_LOGIC_NOT_RDY], "Nicht betriebsbereit FERN" },
		{ 35, [TXT_LOGIC_AT_SOLL], "Antrieb ist bei Sollposition" },
		{ 36, [TXT_ERR_PH], "Phasenausfall" },
		{ 37, [TXT_PIDIGIN_SIGBR_AN2], "Drahtbruch Analog 2" },
		{ 38, [TXT_PIDIGIN_SIGBR_AN1], "Drahtbruch Analog 1" },
		{ 39, [TXT_NOT_RDY_RMT_WS_NOT_REMOTE], "Wahlschalter nicht Fern" },
		{ 40, [TXT_NOT_RDY_RMT_WROMG_CMD], "Falsches Kommando" },
		{ 41, [TXT_ERR_INT_ERROR], "Interner Fehler" },
		{ 42, [TXT_ERR_LE_ERROR], "Leistungselektronik-Fehler" },
		{ 43, [TXT_WARN1_NO_REF], "Poti nicht justiert/Keine Referenzfahrt" },
		{ 44, [TXT_WARN1_INT_WARN], "Interne Warnung" },
		{ 45, [TXT_WARN1_CHANNEL_2], "auf Kanal 2" },
		{ 46, [TXT_PHYS_DRV_LOCAL], "Faehrt von Ort" },
		{ 47, [TXT_PHYS_DRV_REMOTE], "Faehrt von Fern" },
		{ 48, [TXT_PHYS_DRV_HANDWHEEL], "Faehrt mit Handrad" },
		{ 49, [TXT_PHYS_DRV_PROP], "Proportionalfahrt aktiv" },
		{ 50, [TXT_PHYS_DRV_PAUSE], "Fahrpause" },
		{ 51, [TXT_NOT_RDY_RMT_GCCLEAR], "Clear-Zustand" },
		{ 52, [TXT_OPT1_DIN1_DP1], "Digitaler Eingang 1 PBDP1" },
		{ 53, [TXT_OPT1_DIN2_DP1], "Digitaler Eingang 2 PBDP1" },
		{ 54, [TXT_OPT1_DIN3_DP1], "Digitaler Eingang 3 PBDP1" },
		{ 55, [TXT_OPT1_DIN4_DP1], "Digitaler Eingang 4 PBDP1" },
		{ 56, [TXT_OPT1_ZWI5] },
		{ 57, [TXT_OPT1_ZWI6] },
		{ 58, [TXT_OPT1_ZWI7] },
		{ 59, [TXT_OPT1_ZWI8] },
		{ 60, [TXT_PHYS_DRV_NOTAUS_PRESSED] },
		{ 61, [TXT_WARN2_SIGBR_LWL] },
		{ 62, [TXT_OPT2_BRAKE_OK], "1, wenn keine Versorgungsspannung fr Haltebremse" },
		{ 63, [TXT_NOTIFY_RESET], "1 = Reset der Logik wird angezeigt." },
		{ 64, [TXT_DIGIN1_BUS2], "Digitaler Eingang 1 von Businterface 2" },
		{ 65, [TXT_DIGIN2_BUS1], "Digitaler Eingang 2 Bus 2-Interface" },
		{ 66, [TXT_DIGIN3_BUS2], "Digtaler Eingang 3 Bus2-Interface" },
		{ 67, [TXT_DIGIN4_BUS2], "Digitaler Eingang 4 Bus2-Interface" },
		{ 68, [TXT_RES3_VORORT_AUF], "Fhrt in Richtung AUF, Ursache ist lokal, entweder Ortssteuerstelle oder Handrad." },
		{ 69, [TXT_RES3_VORORT_ZU], "Fhrt in ZU Richtung. Ursache ist Handrad oder Ortssteuerstelle." },
		{ 70, [TXT_INZWIPOS] }
	}
	HANDLING	READ;
}

COMMAND read_D4DEF4
{
	SLOT		1;
	INDEX		251;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			IF (LSWV_En_UserDefByte_Trq==1)
			{
				D4DEF4
			}
#ifdef DDCCorrection
			ELSE
			{
				var_dummy
			}
#warning to check
#endif
		}
	}
}

/*************************************************************/
VARIABLE D4DEF5	// Profibus DP Interface 1 & 2: Belegung benutzerdefiniertes Byte 4 Bit 5
{
	LABEL		[TXT_SW_ID350];
	HELP		[TXT_REM_ID350];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE	0;//65;
		{ 0, [TXT_NOT_USED], "Bei nderung auch in OUT_T.C" },
		{ 1, [TXT_LOGIC_IST_ZU], "Tabelle 'eDigDefSettingTable'" },
		{ 2, [TXT_LOGIC_IST_AUF], "anpassen." },
		{ 3, [TXT_LOGIC_DRV_ZU] },
		{ 4, [TXT_LOGIC_DRV_AUF] },
		{ 5, [TXT_PHYS_DRV_MOVE], "Faehrt (Sammelmeldung)" },
		{ 6, [TXT_ACTUATOR_WSR] },
		{ 7, [TXT_ACTUATOR_WOEL] },
		{ 8, [TXT_ACTUATOR_DSR] },
		{ 9, [TXT_ACTUATOR_DOEL] },
		{ 10, [TXT_ACTUATOR_TH] },
		{ 11, [TXT_ERR_DSRERR] },
		{ 12, [TXT_ERR_DOELERR] },
		{ 13, [TXT_RES2_TRQERR], "Drehmomentfehler" },
		{ 14, [TXT_WARN2_SIGBR_EXT] },
		{ 15, [TXT_WARN2_SIGBR_STG] },
		{ 16, [TXT_WARN2_SIGBR_RPM] },
		{ 17, [TXT_WARN2_SIGBR_TRQ] },
		{ 18, [TXT_WARN1_STELLTERR] },
		{ 19, [TXT_WARN1_EDERR] },
		{ 20, [TXT_ACTUATOR_WSO] },
		{ 21, [TXT_ACTUATOR_WSF] },
		{ 22, [TXT_ACTUATOR_WS_OFF] },
		{ 23, [TXT_ACTUATOR_BINAER] },
		{ 24, [TXT_ACTUATOR_ANALOG] },
		{ 25, [TXT_OPT1_ZWI1] },
		{ 26, [TXT_OPT1_ZWI2] },
		{ 27, [TXT_OPT1_ZWI3] },
		{ 28, [TXT_OPT1_ZWI4] },
		{ 29, [TXT_PHYS_DRV_IN_TKT] },
		{ 30, [TXT_RES1_IST_ZU_BLINK], "Endlage Zu  und Blinksignal whrend der Fahrt" },
		{ 31, [TXT_RES1_IST_AUF_BLINK], "Endlage Auf und Blinksignal whrend der Fahrt" },
		{ 32, [TXT_LOGIC_ERROR], "Fehlermeldungen" },
		{ 33, [TXT_LOGIC_WARNING], "Warnung vorhanden" },
		{ 34, [TXT_LOGIC_NOT_RDY], "Nicht betriebsbereit FERN" },
		{ 35, [TXT_LOGIC_AT_SOLL], "Antrieb ist bei Sollposition" },
		{ 36, [TXT_ERR_PH], "Phasenausfall" },
		{ 37, [TXT_PIDIGIN_SIGBR_AN2], "Drahtbruch Analog 2" },
		{ 38, [TXT_PIDIGIN_SIGBR_AN1], "Drahtbruch Analog 1" },
		{ 39, [TXT_NOT_RDY_RMT_WS_NOT_REMOTE], "Wahlschalter nicht Fern" },
		{ 40, [TXT_NOT_RDY_RMT_WROMG_CMD], "Falsches Kommando" },
		{ 41, [TXT_ERR_INT_ERROR], "Interner Fehler" },
		{ 42, [TXT_ERR_LE_ERROR], "Leistungselektronik-Fehler" },
		{ 43, [TXT_WARN1_NO_REF], "Poti nicht justiert/Keine Referenzfahrt" },
		{ 44, [TXT_WARN1_INT_WARN], "Interne Warnung" },
		{ 45, [TXT_WARN1_CHANNEL_2], "auf Kanal 2" },
		{ 46, [TXT_PHYS_DRV_LOCAL], "Faehrt von Ort" },
		{ 47, [TXT_PHYS_DRV_REMOTE], "Faehrt von Fern" },
		{ 48, [TXT_PHYS_DRV_HANDWHEEL], "Faehrt mit Handrad" },
		{ 49, [TXT_PHYS_DRV_PROP], "Proportionalfahrt aktiv" },
		{ 50, [TXT_PHYS_DRV_PAUSE], "Fahrpause" },
		{ 51, [TXT_NOT_RDY_RMT_GCCLEAR], "Clear-Zustand" },
		{ 52, [TXT_OPT1_DIN1_DP1], "Digitaler Eingang 1 PBDP1" },
		{ 53, [TXT_OPT1_DIN2_DP1], "Digitaler Eingang 2 PBDP1" },
		{ 54, [TXT_OPT1_DIN3_DP1], "Digitaler Eingang 3 PBDP1" },
		{ 55, [TXT_OPT1_DIN4_DP1], "Digitaler Eingang 4 PBDP1" },
		{ 56, [TXT_OPT1_ZWI5] },
		{ 57, [TXT_OPT1_ZWI6] },
		{ 58, [TXT_OPT1_ZWI7] },
		{ 59, [TXT_OPT1_ZWI8] },
		{ 60, [TXT_PHYS_DRV_NOTAUS_PRESSED] },
		{ 61, [TXT_WARN2_SIGBR_LWL] },
		{ 62, [TXT_OPT2_BRAKE_OK], "1, wenn keine Versorgungsspannung fr Haltebremse" },
		{ 63, [TXT_NOTIFY_RESET], "1 = Reset der Logik wird angezeigt." },
		{ 64, [TXT_DIGIN1_BUS2], "Digitaler Eingang 1 von Businterface 2" },
		{ 65, [TXT_DIGIN2_BUS1], "Digitaler Eingang 2 Bus 2-Interface" },
		{ 66, [TXT_DIGIN3_BUS2], "Digtaler Eingang 3 Bus2-Interface" },
		{ 67, [TXT_DIGIN4_BUS2], "Digitaler Eingang 4 Bus2-Interface" },
		{ 68, [TXT_RES3_VORORT_AUF], "Fhrt in Richtung AUF, Ursache ist lokal, entweder Ortssteuerstelle oder Handrad." },
		{ 69, [TXT_RES3_VORORT_ZU], "Fhrt in ZU Richtung. Ursache ist Handrad oder Ortssteuerstelle." },
		{ 70, [TXT_INZWIPOS] }
	}
	HANDLING	READ;
}

COMMAND read_D4DEF5
{
	SLOT		1;
	INDEX		252;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			IF (LSWV_En_UserDefByte_Trq==1)
			{
				D4DEF5
			}
#ifdef DDCCorrection
			ELSE
			{
				var_dummy
			}
#warning to check
#endif
		}
	}
}

/*************************************************************/
VARIABLE D4DEF6	// Profibus DP Interface 1 & 2: Belegung benutzerdefiniertes Byte 4 Bit 6
{
	LABEL		[TXT_SW_ID351];
	HELP		[TXT_REM_ID351];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE	0;//66;
		{ 0, [TXT_NOT_USED], "Bei nderung auch in OUT_T.C" },
		{ 1, [TXT_LOGIC_IST_ZU], "Tabelle 'eDigDefSettingTable'" },
		{ 2, [TXT_LOGIC_IST_AUF], "anpassen." },
		{ 3, [TXT_LOGIC_DRV_ZU] },
		{ 4, [TXT_LOGIC_DRV_AUF] },
		{ 5, [TXT_PHYS_DRV_MOVE], "Faehrt (Sammelmeldung)" },
		{ 6, [TXT_ACTUATOR_WSR] },
		{ 7, [TXT_ACTUATOR_WOEL] },
		{ 8, [TXT_ACTUATOR_DSR] },
		{ 9, [TXT_ACTUATOR_DOEL] },
		{ 10, [TXT_ACTUATOR_TH] },
		{ 11, [TXT_ERR_DSRERR] },
		{ 12, [TXT_ERR_DOELERR] },
		{ 13, [TXT_RES2_TRQERR], "Drehmomentfehler" },
		{ 14, [TXT_WARN2_SIGBR_EXT] },
		{ 15, [TXT_WARN2_SIGBR_STG] },
		{ 16, [TXT_WARN2_SIGBR_RPM] },
		{ 17, [TXT_WARN2_SIGBR_TRQ] },
		{ 18, [TXT_WARN1_STELLTERR] },
		{ 19, [TXT_WARN1_EDERR] },
		{ 20, [TXT_ACTUATOR_WSO] },
		{ 21, [TXT_ACTUATOR_WSF] },
		{ 22, [TXT_ACTUATOR_WS_OFF] },
		{ 23, [TXT_ACTUATOR_BINAER] },
		{ 24, [TXT_ACTUATOR_ANALOG] },
		{ 25, [TXT_OPT1_ZWI1] },
		{ 26, [TXT_OPT1_ZWI2] },
		{ 27, [TXT_OPT1_ZWI3] },
		{ 28, [TXT_OPT1_ZWI4] },
		{ 29, [TXT_PHYS_DRV_IN_TKT] },
		{ 30, [TXT_RES1_IST_ZU_BLINK], "Endlage Zu  und Blinksignal whrend der Fahrt" },
		{ 31, [TXT_RES1_IST_AUF_BLINK], "Endlage Auf und Blinksignal whrend der Fahrt" },
		{ 32, [TXT_LOGIC_ERROR], "Fehlermeldungen" },
		{ 33, [TXT_LOGIC_WARNING], "Warnung vorhanden" },
		{ 34, [TXT_LOGIC_NOT_RDY], "Nicht betriebsbereit FERN" },
		{ 35, [TXT_LOGIC_AT_SOLL], "Antrieb ist bei Sollposition" },
		{ 36, [TXT_ERR_PH], "Phasenausfall" },
		{ 37, [TXT_PIDIGIN_SIGBR_AN2], "Drahtbruch Analog 2" },
		{ 38, [TXT_PIDIGIN_SIGBR_AN1], "Drahtbruch Analog 1" },
		{ 39, [TXT_NOT_RDY_RMT_WS_NOT_REMOTE], "Wahlschalter nicht Fern" },
		{ 40, [TXT_NOT_RDY_RMT_WROMG_CMD], "Falsches Kommando" },
		{ 41, [TXT_ERR_INT_ERROR], "Interner Fehler" },
		{ 42, [TXT_ERR_LE_ERROR], "Leistungselektronik-Fehler" },
		{ 43, [TXT_WARN1_NO_REF], "Poti nicht justiert/Keine Referenzfahrt" },
		{ 44, [TXT_WARN1_INT_WARN], "Interne Warnung" },
		{ 45, [TXT_WARN1_CHANNEL_2], "auf Kanal 2" },
		{ 46, [TXT_PHYS_DRV_LOCAL], "Faehrt von Ort" },
		{ 47, [TXT_PHYS_DRV_REMOTE], "Faehrt von Fern" },
		{ 48, [TXT_PHYS_DRV_HANDWHEEL], "Faehrt mit Handrad" },
		{ 49, [TXT_PHYS_DRV_PROP], "Proportionalfahrt aktiv" },
		{ 50, [TXT_PHYS_DRV_PAUSE], "Fahrpause" },
		{ 51, [TXT_NOT_RDY_RMT_GCCLEAR], "Clear-Zustand" },
		{ 52, [TXT_OPT1_DIN1_DP1], "Digitaler Eingang 1 PBDP1" },
		{ 53, [TXT_OPT1_DIN2_DP1], "Digitaler Eingang 2 PBDP1" },
		{ 54, [TXT_OPT1_DIN3_DP1], "Digitaler Eingang 3 PBDP1" },
		{ 55, [TXT_OPT1_DIN4_DP1], "Digitaler Eingang 4 PBDP1" },
		{ 56, [TXT_OPT1_ZWI5] },
		{ 57, [TXT_OPT1_ZWI6] },
		{ 58, [TXT_OPT1_ZWI7] },
		{ 59, [TXT_OPT1_ZWI8] },
		{ 60, [TXT_PHYS_DRV_NOTAUS_PRESSED] },
		{ 61, [TXT_WARN2_SIGBR_LWL] },
		{ 62, [TXT_OPT2_BRAKE_OK], "1, wenn keine Versorgungsspannung fr Haltebremse" },
		{ 63, [TXT_NOTIFY_RESET], "1 = Reset der Logik wird angezeigt." },
		{ 64, [TXT_DIGIN1_BUS2], "Digitaler Eingang 1 von Businterface 2" },
		{ 65, [TXT_DIGIN2_BUS1], "Digitaler Eingang 2 Bus 2-Interface" },
		{ 66, [TXT_DIGIN3_BUS2], "Digtaler Eingang 3 Bus2-Interface" },
		{ 67, [TXT_DIGIN4_BUS2], "Digitaler Eingang 4 Bus2-Interface" },
		{ 68, [TXT_RES3_VORORT_AUF], "Fhrt in Richtung AUF, Ursache ist lokal, entweder Ortssteuerstelle oder Handrad." },
		{ 69, [TXT_RES3_VORORT_ZU], "Fhrt in ZU Richtung. Ursache ist Handrad oder Ortssteuerstelle." },
		{ 70, [TXT_INZWIPOS] }
	}
	HANDLING	READ;
}

COMMAND read_D4DEF6
{
	SLOT		1;
	INDEX		253;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			IF (LSWV_En_UserDefByte_Trq==1)
			{
				D4DEF6
			}
#ifdef DDCCorrection
			ELSE
			{
				var_dummy
			}
#warning to check
#endif
		}
	}
}

/*************************************************************/
VARIABLE D4DEF7	// Profibus DP Interface 1 & 2: Belegung benutzerdefiniertes Byte 4 Bit 7
{
	LABEL		[TXT_SW_ID352];
	HELP		[TXT_REM_ID352];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE	0;//67;
		{ 0, [TXT_NOT_USED], "Bei nderung auch in OUT_T.C" },
		{ 1, [TXT_LOGIC_IST_ZU], "Tabelle 'eDigDefSettingTable'" },
		{ 2, [TXT_LOGIC_IST_AUF], "anpassen." },
		{ 3, [TXT_LOGIC_DRV_ZU] },
		{ 4, [TXT_LOGIC_DRV_AUF] },
		{ 5, [TXT_PHYS_DRV_MOVE], "Faehrt (Sammelmeldung)" },
		{ 6, [TXT_ACTUATOR_WSR] },
		{ 7, [TXT_ACTUATOR_WOEL] },
		{ 8, [TXT_ACTUATOR_DSR] },
		{ 9, [TXT_ACTUATOR_DOEL] },
		{ 10, [TXT_ACTUATOR_TH] },
		{ 11, [TXT_ERR_DSRERR] },
		{ 12, [TXT_ERR_DOELERR] },
		{ 13, [TXT_RES2_TRQERR], "Drehmomentfehler" },
		{ 14, [TXT_WARN2_SIGBR_EXT] },
		{ 15, [TXT_WARN2_SIGBR_STG] },
		{ 16, [TXT_WARN2_SIGBR_RPM] },
		{ 17, [TXT_WARN2_SIGBR_TRQ] },
		{ 18, [TXT_WARN1_STELLTERR] },
		{ 19, [TXT_WARN1_EDERR] },
		{ 20, [TXT_ACTUATOR_WSO] },
		{ 21, [TXT_ACTUATOR_WSF] },
		{ 22, [TXT_ACTUATOR_WS_OFF] },
		{ 23, [TXT_ACTUATOR_BINAER] },
		{ 24, [TXT_ACTUATOR_ANALOG] },
		{ 25, [TXT_OPT1_ZWI1] },
		{ 26, [TXT_OPT1_ZWI2] },
		{ 27, [TXT_OPT1_ZWI3] },
		{ 28, [TXT_OPT1_ZWI4] },
		{ 29, [TXT_PHYS_DRV_IN_TKT] },
		{ 30, [TXT_RES1_IST_ZU_BLINK], "Endlage Zu  und Blinksignal whrend der Fahrt" },
		{ 31, [TXT_RES1_IST_AUF_BLINK], "Endlage Auf und Blinksignal whrend der Fahrt" },
		{ 32, [TXT_LOGIC_ERROR], "Fehlermeldungen" },
		{ 33, [TXT_LOGIC_WARNING], "Warnung vorhanden" },
		{ 34, [TXT_LOGIC_NOT_RDY], "Nicht betriebsbereit FERN" },
		{ 35, [TXT_LOGIC_AT_SOLL], "Antrieb ist bei Sollposition" },
		{ 36, [TXT_ERR_PH], "Phasenausfall" },
		{ 37, [TXT_PIDIGIN_SIGBR_AN2], "Drahtbruch Analog 2" },
		{ 38, [TXT_PIDIGIN_SIGBR_AN1], "Drahtbruch Analog 1" },
		{ 39, [TXT_NOT_RDY_RMT_WS_NOT_REMOTE], "Wahlschalter nicht Fern" },
		{ 40, [TXT_NOT_RDY_RMT_WROMG_CMD], "Falsches Kommando" },
		{ 41, [TXT_ERR_INT_ERROR], "Interner Fehler" },
		{ 42, [TXT_ERR_LE_ERROR], "Leistungselektronik-Fehler" },
		{ 43, [TXT_WARN1_NO_REF], "Poti nicht justiert/Keine Referenzfahrt" },
		{ 44, [TXT_WARN1_INT_WARN], "Interne Warnung" },
		{ 45, [TXT_WARN1_CHANNEL_2], "auf Kanal 2" },
		{ 46, [TXT_PHYS_DRV_LOCAL], "Faehrt von Ort" },
		{ 47, [TXT_PHYS_DRV_REMOTE], "Faehrt von Fern" },
		{ 48, [TXT_PHYS_DRV_HANDWHEEL], "Faehrt mit Handrad" },
		{ 49, [TXT_PHYS_DRV_PROP], "Proportionalfahrt aktiv" },
		{ 50, [TXT_PHYS_DRV_PAUSE], "Fahrpause" },
		{ 51, [TXT_NOT_RDY_RMT_GCCLEAR], "Clear-Zustand" },
		{ 52, [TXT_OPT1_DIN1_DP1], "Digitaler Eingang 1 PBDP1" },
		{ 53, [TXT_OPT1_DIN2_DP1], "Digitaler Eingang 2 PBDP1" },
		{ 54, [TXT_OPT1_DIN3_DP1], "Digitaler Eingang 3 PBDP1" },
		{ 55, [TXT_OPT1_DIN4_DP1], "Digitaler Eingang 4 PBDP1" },
		{ 56, [TXT_OPT1_ZWI5] },
		{ 57, [TXT_OPT1_ZWI6] },
		{ 58, [TXT_OPT1_ZWI7] },
		{ 59, [TXT_OPT1_ZWI8] },
		{ 60, [TXT_PHYS_DRV_NOTAUS_PRESSED] },
		{ 61, [TXT_WARN2_SIGBR_LWL] },
		{ 62, [TXT_OPT2_BRAKE_OK], "1, wenn keine Versorgungsspannung fr Haltebremse" },
		{ 63, [TXT_NOTIFY_RESET], "1 = Reset der Logik wird angezeigt." },
		{ 64, [TXT_DIGIN1_BUS2], "Digitaler Eingang 1 von Businterface 2" },
		{ 65, [TXT_DIGIN2_BUS1], "Digitaler Eingang 2 Bus 2-Interface" },
		{ 66, [TXT_DIGIN3_BUS2], "Digtaler Eingang 3 Bus2-Interface" },
		{ 67, [TXT_DIGIN4_BUS2], "Digitaler Eingang 4 Bus2-Interface" },
		{ 68, [TXT_RES3_VORORT_AUF], "Fhrt in Richtung AUF, Ursache ist lokal, entweder Ortssteuerstelle oder Handrad." },
		{ 69, [TXT_RES3_VORORT_ZU], "Fhrt in ZU Richtung. Ursache ist Handrad oder Ortssteuerstelle." },
		{ 70, [TXT_INZWIPOS] }
	}
	HANDLING	READ;
}

COMMAND read_D4DEF7
{
	SLOT		1;
	INDEX		254;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			IF (LSWV_En_UserDefByte_Trq==1)
			{
				D4DEF7
			}
#ifdef DDCCorrection
			ELSE
			{
				var_dummy
			}
#warning to check
#endif
		}
	}
}

/*************************************************************/
VARIABLE DP_KOD	// Format der Analogwerte (DP1)
{
	LABEL		[TXT_SW_ID1];
	HELP		[TXT_REM_ID1];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE	1;
		{ 0, [TXT_0100PROZ] },
		{ 1, [TXT_01000PROM] }
	}
	HANDLING	READ;
}

COMMAND read_DP_KOD
{
	SLOT		1;
	INDEX		2;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			DP_KOD
		}
	}
}

/*************************************************************/
VARIABLE MAPSEL	// Prozessabbild (DP1)
{
	LABEL		[TXT_SW_ID98];
	HELP		[TXT_REM_ID98];
	CLASS		CONTAINED;
	TYPE		UNSIGNED_INTEGER (2)
	{
		DEFAULT_VALUE	0;
		MIN_VALUE		0;
		MAX_VALUE		3;
	}
	HANDLING	READ;
}

COMMAND read_MAPSEL
{
	SLOT		1;
	INDEX		78;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			MAPSEL
		}
	}
}

/*************************************************************/
VARIABLE DP2KOD	// Format der Analogwerte (DP2)
{
	LABEL		[TXT_SW_ID204];
	HELP		[TXT_REM_ID204];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE	1;
		{ 0, [TXT_0100PROZ] },
		{ 1, [TXT_01000PROM] }
	}
	HANDLING	READ;
}

COMMAND read_DP2KOD
{
	SLOT		1;
	INDEX		119;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			DP2KOD
		}
	}
}

/*************************************************************/
VARIABLE DP2MPS	// Prozessabbild (DP2)
{
	LABEL		[TXT_SW_ID195];
	HELP		[TXT_REM_ID195];
	CLASS		CONTAINED;
	TYPE		UNSIGNED_INTEGER (2)
	{
		DEFAULT_VALUE	0;
		MIN_VALUE		0;
		MAX_VALUE		3;
	}
	HANDLING	READ;
}

COMMAND read_DP2MPS
{
	SLOT		1;
	INDEX		110;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			DP2MPS
		}
	}
}

/*************************************************************/
VARIABLE DP2RED	// Leitungs-Redundanz
{
	LABEL		[TXT_SW_ID193];
	HELP		[TXT_REM_ID193];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE	0;
		{ 0, [TXT_AUS] },
		{ 1, [TXT_EIN_AKTIVERCH] },
		{ 2, [TXT_EIN_BEIDECH] }
	}
	HANDLING	READ;
#ifdef DDCCorrection
	ValidityCondition(DP2RED)
#else
	VALIDITY	FALSE;
#endif
}

COMMAND read_DP2RED
{
	SLOT		1;
	INDEX		108;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			IF (LSWV_En_PBDP2_Vars==1)
			{
				DP2RED
			}
#ifdef DDCCorrection
			ELSE
			{
				var_dummy
			}
#warning to check
#endif
		}
	}
}

/*************************************************************/
VARIABLE DP2KWZ	// Kanalwechselzeit
{
	LABEL		[TXT_SW_ID194];
	HELP		[TXT_REM_ID194];
	CLASS		CONTAINED;
	TYPE		UNSIGNED_INTEGER (2)
	{
		DEFAULT_VALUE	50;
		MIN_VALUE		50;
		MAX_VALUE		6000;
	}
	CONSTANT_UNIT	[Millisekunden];
	HANDLING	READ;
#ifdef DDCCorrection
	ValidityCondition(DP2KWZ)
#else
	VALIDITY	FALSE;
#endif
}

COMMAND read_DP2KWZ
{
	SLOT		1;
	INDEX		109;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			IF (LSWV_En_PBDP2_Vars==1)
			{
				DP2KWZ
			}
#ifdef DDCCorrection
			ELSE
			{
				var_dummy
			}
#warning to check
#endif
		}
	}
}



//~ Sicherheitsverhalten und Notverhalten
/*************************************************************/
VARIABLE SIVERH	// Sicherheitsverhalten
{
	LABEL		[TXT_SW_ID5];
	HELP		[TXT_REM_ID5];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE	0;
		{ 0, [TXT_AUS] },
		{ 1, [TXT_EINFACH] },
		{ 2, [TXT_ERWEITERT] }
	}
	HANDLING	READ & WRITE;
	POST_EDIT_ACTIONS
	{
#ifdef DDCCorrection
		_USE_BOTH_METHODS(method_validity_FailureBehaviour)
#else
		method_validity_FailureBehaviour
#endif
	}
	POST_READ_ACTIONS
	{
		method_validity_FailureBehaviour
	}
}


COMMAND read_SIVERH
{
	SLOT		1;
	INDEX		6;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			SIVERH
		}
	}
}

COMMAND write_SIVERH
{
	SLOT		1;
	INDEX		6;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			SIVERH
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

/*************************************************************/
VARIABLE SISRC	// Auslsequelle
{
	LABEL		[TXT_SW_ID24];
	HELP		[TXT_REM_ID24];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE	1;
		{ 0, [TXT_E1FAIL] },
		{ 1, [TXT_E1E2FAIL] },
		{ 2, [TXT_DPFAIL] },
		{ 3, [TXT_E1E2E4FAIL] }
	}
	HANDLING	READ & WRITE;
#ifdef DDCCorrection
	ValidityCondition(SISRC)
#else
	VALIDITY	FALSE;
#endif
}

COMMAND read_SISRC
{
	SLOT		1;
	INDEX		22;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			SISRC
		}
	}
}

COMMAND write_SISRC
{
	SLOT		1;
	INDEX		22;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			SISRC
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

/*************************************************************/
VARIABLE SIFAHR	// Sicherheits-Aktion
{
	LABEL		[TXT_SW_ID7];
	HELP		[TXT_REM_ID7];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE	0;
		{ 0, [TXT_FAILASIS] },
		{ 1, [TXT_FAILCLOSE] },
		{ 2, [TXT_FAILOPEN] },
		{ 3, [TXT_FAILPOS] }
	}
	HANDLING	READ & WRITE;
#ifdef DDCCorrection
	ValidityCondition(SIFAHR)
#else
	VALIDITY	FALSE;
#endif
	POST_EDIT_ACTIONS
	{
#ifdef DDCCorrection
		_USE_BOTH_METHODS(method_validity_PresetPosition)
#else
		method_validity_PresetPosition
#endif
	}
	POST_READ_ACTIONS
	{
		method_validity_PresetPosition
	}
}

COMMAND read_SIFAHR
{
	SLOT		1;
	INDEX		8;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			SIFAHR
		}
	}
}

COMMAND write_SIFAHR
{
	SLOT		1;
	INDEX		8;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			SIFAHR
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

/*************************************************************/
VARIABLE SIFPOS	// Sicherheitsposition
{
	LABEL		[TXT_SW_ID8];
	HELP		[TXT_REM_ID8];
	CLASS		CONTAINED;
	TYPE		UNSIGNED_INTEGER (2)
	{
		DEFAULT_VALUE	0;
		MIN_VALUE		0;
		MAX_VALUE		1000;
	}
	CONSTANT_UNIT	[Promille];
	HANDLING	READ & WRITE;
#ifdef DDCCorrection
	ValidityCondition(SIFPOS)
#else
	VALIDITY	FALSE;
#endif
}

COMMAND read_SIFPOS
{
	SLOT		1;
	INDEX		9;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			SIFPOS
		}
	}
}

COMMAND write_SIFPOS
{
	SLOT		1;
	INDEX		9;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			SIFPOS
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

/*************************************************************/
VARIABLE SIZ	// Auslsezeit
{
	LABEL		[TXT_SW_ID6];
	HELP		[TXT_REM_ID6];
	CLASS		CONTAINED;
	TYPE		UNSIGNED_INTEGER (2)
	{
		DEFAULT_VALUE	30;
		MIN_VALUE		0;
		MAX_VALUE		12000;
	}
	CONSTANT_UNIT	[Sekunden_0_1];
	HANDLING	READ & WRITE;
#ifdef DDCCorrection
	ValidityCondition(SIZ)
#else
	VALIDITY	FALSE;
#endif
}

COMMAND read_SIZ
{
	SLOT		1;
	INDEX		7;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			SIZ
		}
	}
}

COMMAND write_SIZ
{
	SLOT		1;
	INDEX		7;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			SIZ
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

/*************************************************************/
VARIABLE NOVERH	// NOT-Verhalten
{
	LABEL		[TXT_SW_ID169];
	HELP		[TXT_REM_ID169];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE	0;
		{ 0, [TXT_AUS] },
		{ 1, [TXT_EINFACH] },
		{ 2, [TXT_ERWEITERT_NF] }
	}
	HANDLING	READ & WRITE;
	POST_EDIT_ACTIONS
	{
#ifdef DDCCorrection
		_USE_BOTH_METHODS(method_validity_EmergencyBehaviour)
#else
		method_validity_EmergencyBehaviour
#endif
	}
	POST_READ_ACTIONS
	{
		method_validity_EmergencyBehaviour
	}
}

COMMAND read_NOVERH
{
	SLOT		1;
	INDEX		97;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			NOVERH
		}
	}
}

COMMAND write_NOVERH
{
	SLOT		1;
	INDEX		97;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			NOVERH
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

/*************************************************************/
VARIABLE NOWSOR	// Betriebsart NOT
{
	LABEL		[TXT_SW_ID170];
	HELP		[TXT_REM_ID170];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE	0;
		{ 0, [TXT_FERN] },
		{ 1, [TXT_FERNUNDORT] }
	}
	HANDLING	READ & WRITE;
#ifdef DDCCorrection
	ValidityCondition(NOWSOR)
#else
	VALIDITY	FALSE;
#endif
}

COMMAND read_NOWSOR
{
	SLOT		1;
	INDEX		98;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			NOWSOR
		}
	}
}

COMMAND write_NOWSOR
{
	SLOT		1;
	INDEX		98;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			NOWSOR
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

/*************************************************************/
VARIABLE NOFAHR	// NOT-Aktion
{
	LABEL		[TXT_SW_ID159];
	HELP		[TXT_REM_ID159];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE	0;
		{ 0, [TXT_FAILASIS] },
		{ 1, [TXT_FAILCLOSE] },
		{ 2, [TXT_FAILOPEN] },
		{ 3, [TXT_FAILPOS] }
	}
	HANDLING	READ & WRITE;
#ifdef DDCCorrection
	ValidityCondition(NOFAHR)
#else
	VALIDITY	FALSE;
#endif
	POST_EDIT_ACTIONS
	{
#ifdef DDCCorrection
		_USE_BOTH_METHODS(method_validity_EmergencyPresetPosition)
#else
		method_validity_EmergencyPresetPosition
#endif
	}
	POST_READ_ACTIONS
	{
		method_validity_EmergencyPresetPosition
	}
}

COMMAND read_NOFAHR
{
	SLOT		1;
	INDEX		93;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			NOFAHR
		}
	}
}

COMMAND write_NOFAHR
{
	SLOT		1;
	INDEX		93;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			NOFAHR
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

/*************************************************************/
VARIABLE NOFPOS	// NOT-Position
{
	LABEL		[TXT_SW_ID161];
	HELP		[TXT_REM_ID161];
	CLASS		CONTAINED;
	TYPE		UNSIGNED_INTEGER (2)
	{
		DEFAULT_VALUE	0;
		MIN_VALUE		0;
		MAX_VALUE		1000;
	}
	CONSTANT_UNIT	[Promille];
	HANDLING	READ & WRITE;
#ifdef DDCCorrection
	ValidityCondition(NOFPOS)
#else
	VALIDITY	FALSE;
#endif
}

COMMAND read_NOFPOS
{
	SLOT		1;
	INDEX		95;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			NOFPOS
		}
	}
}

COMMAND write_NOFPOS
{
	SLOT		1;
	INDEX		95;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			NOFPOS
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

//~ Taktbetrieb
/*************************************************************/
VARIABLE SWTKT	// Taktbetrieb
{
	LABEL		[TXT_SW_ID84];
	HELP		[TXT_REM_ID84];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE	0;
		{ 0, [TXT_DEAKTIVIERT] },
		{ 1, [TXT_AKTIVIERT] }
	}
	HANDLING	READ & WRITE;
	POST_EDIT_ACTIONS
	{
#ifdef DDCCorrection
		_USE_BOTH_METHODS(method_validity_SteppingMode)
#else
		method_validity_SteppingMode
#endif
	}
	POST_READ_ACTIONS
	{
		method_validity_SteppingMode
	}
}

COMMAND read_SWTKT
{
	SLOT		2;
	INDEX		4;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			SWTKT
		}
	}
}

COMMAND write_SWTKT
{
	SLOT		2;
	INDEX		4;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			SWTKT
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

/*************************************************************/
VARIABLE TBA	// Taktbetrieb AUF
{
	LABEL		[TXT_SW_ID25];
	HELP		[TXT_REM_ID25];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE	0;
		{ 0, [TXT_AUS] },
		{ 1, [TXT_FERN] },
		{ 2, [TXT_ORT] },
		{ 3, [TXT_FERNUNDORT] }
	}
	HANDLING	READ & WRITE;
#ifdef DDCCorrection
	ValidityCondition(TBA)
#else
	VALIDITY	FALSE;
#endif
}

COMMAND read_TBA
{
	SLOT		1;
	INDEX		23;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			TBA
		}
	}
}

COMMAND write_TBA
{
	SLOT		1;
	INDEX		23;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			TBA
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

/*************************************************************/
VARIABLE TBAFZ	// Laufzeit AUF
{
	LABEL		[TXT_SW_ID26];
	HELP		[TXT_REM_ID26];
	CLASS		CONTAINED;
	TYPE		UNSIGNED_INTEGER (2)
	{
		DEFAULT_VALUE	10;
		MIN_VALUE		10;
		MAX_VALUE		3000;
	}
	CONSTANT_UNIT	[Sekunden_0_1];
	HANDLING	READ & WRITE;
#ifdef DDCCorrection
	ValidityCondition(TBAFZ)
#else
	VALIDITY	FALSE;
#endif
}

COMMAND read_TBAFZ
{
	SLOT		1;
	INDEX		24;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			TBAFZ
		}
	}
}

COMMAND write_TBAFZ
{
	SLOT		1;
	INDEX		24;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			TBAFZ
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

/*************************************************************/
VARIABLE TBAPZ	// Pausenzeit AUF
{
	LABEL		[TXT_SW_ID27];
	HELP		[TXT_REM_ID27];
	CLASS		CONTAINED;
	TYPE		UNSIGNED_INTEGER (2)
	{
		DEFAULT_VALUE	50;
		MIN_VALUE		10;
		MAX_VALUE		3000;
	}
	CONSTANT_UNIT	[Sekunden_0_1];
	HANDLING	READ & WRITE;
#ifdef DDCCorrection
	ValidityCondition(TBAPZ)
#else
	VALIDITY	FALSE;
#endif
}

COMMAND read_TBAPZ
{
	SLOT		1;
	INDEX		25;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			TBAPZ
		}
	}
}

COMMAND write_TBAPZ
{
	SLOT		1;
	INDEX		25;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			TBAPZ
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

/*************************************************************/
VARIABLE TBAANF	// Taktanfang AUF
{
	LABEL		[TXT_SW_ID28];
	HELP		[TXT_REM_ID28];
	CLASS		CONTAINED;
	TYPE		UNSIGNED_INTEGER (2)
	{
		DEFAULT_VALUE	0;
		MIN_VALUE		0;
		MAX_VALUE		999;
	}
	CONSTANT_UNIT	[Promille];
	HANDLING	READ & WRITE;
#ifdef DDCCorrection
	ValidityCondition(TBAANF)
#else
	VALIDITY	FALSE;
#endif
}

COMMAND read_TBAANF
{
	SLOT		1;
	INDEX		26;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			TBAANF
		}
	}
}

COMMAND write_TBAANF
{
	SLOT		1;
	INDEX		26;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			TBAANF
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

/*************************************************************/
VARIABLE TBAEND	// Taktende AUF
{
	LABEL		[TXT_SW_ID29];
	HELP		[TXT_REM_ID29];
	CLASS		CONTAINED;
	TYPE		UNSIGNED_INTEGER (2)
	{
		DEFAULT_VALUE	1000;
		MIN_VALUE		1;
		MAX_VALUE		1000;
	}
	CONSTANT_UNIT	[Promille];
	HANDLING	READ & WRITE;
#ifdef DDCCorrection
	ValidityCondition(TBAEND)
#else
	VALIDITY	FALSE;
#endif
}

COMMAND read_TBAEND
{
	SLOT		1;
	INDEX		27;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			TBAEND
		}
	}
}

COMMAND write_TBAEND
{
	SLOT		1;
	INDEX		27;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			TBAEND
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

/*************************************************************/
VARIABLE TBZ	// Taktbetrieb ZU
{
	LABEL		[TXT_SW_ID30];
	HELP		[TXT_REM_ID30];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE	0;
		{ 0, [TXT_AUS] },
		{ 1, [TXT_FERN] },
		{ 2, [TXT_ORT] },
		{ 3, [TXT_FERNUNDORT] }
	}
	HANDLING	READ & WRITE;
#ifdef DDCCorrection
	ValidityCondition(TBZ)
#else
	VALIDITY	FALSE;
#endif
}

COMMAND read_TBZ
{
	SLOT		1;
	INDEX		28;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			TBZ
		}
	}
}

COMMAND write_TBZ
{
	SLOT		1;
	INDEX		28;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			TBZ
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

/*************************************************************/
VARIABLE TBZFZ	// Laufzeit ZU
{
	LABEL		[TXT_SW_ID31];
	HELP		[TXT_REM_ID31];
	CLASS		CONTAINED;
	TYPE		UNSIGNED_INTEGER (2)
	{
		DEFAULT_VALUE	10;
		MIN_VALUE		10;
		MAX_VALUE		3000;
	}
	CONSTANT_UNIT	[Sekunden_0_1];
	HANDLING	READ & WRITE;
#ifdef DDCCorrection
	ValidityCondition(TBZFZ)
#else
	VALIDITY	FALSE;
#endif
}

COMMAND read_TBZFZ
{
	SLOT		1;
	INDEX		29;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			TBZFZ
		}
	}
}

COMMAND write_TBZFZ
{
	SLOT		1;
	INDEX		29;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			TBZFZ
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

/*************************************************************/
VARIABLE TBZPZ	// Pausenzeit ZU
{
	LABEL		[TXT_SW_ID32];
	HELP		[TXT_REM_ID32];
	CLASS		CONTAINED;
	TYPE		UNSIGNED_INTEGER (2)
	{
		DEFAULT_VALUE	50;
		MIN_VALUE		10;
		MAX_VALUE		3000;
	}
	CONSTANT_UNIT	[Sekunden_0_1];
	HANDLING	READ & WRITE;
#ifdef DDCCorrection
	ValidityCondition(TBZPZ)
#else
	VALIDITY	FALSE;
#endif
}

COMMAND read_TBZPZ
{
	SLOT		1;
	INDEX		30;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			TBZPZ
		}
	}
}

COMMAND write_TBZPZ
{
	SLOT		1;
	INDEX		30;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			TBZPZ
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

/*************************************************************/
VARIABLE TBZANF	// Taktanfang ZU
{
	LABEL		[TXT_SW_ID33];
	HELP		[TXT_REM_ID33];
	CLASS		CONTAINED;
	TYPE		UNSIGNED_INTEGER (2)
	{
		DEFAULT_VALUE	1000;
		MIN_VALUE		1;
		MAX_VALUE		1000;
	}
	CONSTANT_UNIT	[Promille];
	HANDLING	READ & WRITE;
#ifdef DDCCorrection
	ValidityCondition(TBZANF)
#else
	VALIDITY	FALSE;
#endif
}

COMMAND read_TBZANF
{
	SLOT		1;
	INDEX		31;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			TBZANF
		}
	}
}

COMMAND write_TBZANF
{
	SLOT		1;
	INDEX		31;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			TBZANF
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

/*************************************************************/
VARIABLE TBZEND	// Taktende ZU
{
	LABEL		[TXT_SW_ID34];
	HELP		[TXT_REM_ID34];
	CLASS		CONTAINED;
	TYPE		UNSIGNED_INTEGER (2)
	{
		DEFAULT_VALUE	0;
		MIN_VALUE		0;
		MAX_VALUE		999;
	}
	CONSTANT_UNIT	[Promille];
	HANDLING	READ & WRITE;
#ifdef DDCCorrection
	ValidityCondition(TBZEND)
#else
	VALIDITY	FALSE;
#endif
}

COMMAND read_TBZEND
{
	SLOT		1;
	INDEX		32;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			TBZEND
		}
	}
}

COMMAND write_TBZEND
{
	SLOT		1;
	INDEX		32;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			TBZEND
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

//~ Adaptives Verhalten
/*************************************************************/
VARIABLE STRTYP	// Adaptives Verhalten
{
	LABEL		[TXT_SW_ID87];
	HELP		[TXT_REM_ID87];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE	1;
		{ 0, [TXT_NICHTADAPTIV] },
		{ 1, [TXT_ADAPTIV] }
	}
	HANDLING	READ & WRITE;
	POST_EDIT_ACTIONS
	{
#ifdef DDCCorrection
		_USE_BOTH_METHODS(method_validity_AdaptiveBehaviour)
#else
		method_validity_AdaptiveBehaviour
#endif
	}
	POST_READ_ACTIONS
	{
		method_validity_AdaptiveBehaviour
	}
}

COMMAND read_STRTYP
{
	SLOT		2;
	INDEX		21;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			STRTYP
		}
	}
}

COMMAND write_STRTYP
{
	SLOT		2;
	INDEX		21;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			STRTYP
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

/*************************************************************/
VARIABLE TOTZ	// Totzeit
{
	LABEL		[TXT_SW_ID10];
	HELP		[TXT_REM_ID10];
	CLASS		CONTAINED;
	TYPE		UNSIGNED_INTEGER (2)
	{
		DEFAULT_VALUE	5;
		MIN_VALUE		0;
		MAX_VALUE		600;
	}
	CONSTANT_UNIT	[Sekunden_0_1];
	HANDLING	READ & WRITE;
}

COMMAND read_TOTZ
{
	SLOT		1;
	INDEX		11;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			TOTZ
		}
	}
}

COMMAND write_TOTZ
{
	SLOT		1;
	INDEX		11;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			TOTZ
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

/*************************************************************/
VARIABLE ITOTAU	// Totband AUF
{
	LABEL		[TXT_SW_ID11];
	HELP		[TXT_REM_ID11];
	CLASS		CONTAINED;
	TYPE		UNSIGNED_INTEGER (2)
	{
		DEFAULT_VALUE	5;
		MIN_VALUE		0;
		MAX_VALUE		99;
	}
	CONSTANT_UNIT	[Promille];
	HANDLING	READ & WRITE;
#ifdef DDCCorrection
	ValidityCondition(ITOTAU)
#else
	VALIDITY	FALSE;
#endif
}

COMMAND read_ITOTAU
{
	SLOT		1;
	INDEX		12;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			ITOTAU
		}
	}
}

COMMAND write_ITOTAU
{
	SLOT		1;
	INDEX		12;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			ITOTAU
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

/*************************************************************/
VARIABLE ITOTZU	// Totband ZU
{
	LABEL		[TXT_SW_ID12];
	HELP		[TXT_REM_ID12];
	CLASS		CONTAINED;
	TYPE		UNSIGNED_INTEGER (2)
	{
		DEFAULT_VALUE	5;
		MIN_VALUE		0;
		MAX_VALUE		99;
	}
	CONSTANT_UNIT	[Promille];
	HANDLING	READ & WRITE;
#ifdef DDCCorrection
	ValidityCondition(ITOTZU)
#else
	VALIDITY	FALSE;
#endif
}

COMMAND read_ITOTZU
{
	SLOT		1;
	INDEX		13;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			ITOTZU
		}
	}
}

COMMAND write_ITOTZU
{
	SLOT		1;
	INDEX		13;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			ITOTZU
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

/*************************************************************/
VARIABLE ATOT	// ueres Totband
{
	LABEL		[TXT_SW_ID13];
	HELP		[TXT_REM_ID13];
	CLASS		CONTAINED;
	TYPE		UNSIGNED_INTEGER (2)
	{
		DEFAULT_VALUE	10;
		MIN_VALUE		1;
		MAX_VALUE		100;
	}
	CONSTANT_UNIT	[Promille];
	HANDLING	READ & WRITE;
#ifdef DDCCorrection
	ValidityCondition(ATOT)
#else
	VALIDITY	FALSE;
#endif
}

COMMAND read_ATOT
{
	SLOT		1;
	INDEX		14;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			ATOT
		}
	}
}

COMMAND write_ATOT
{
	SLOT		1;
	INDEX		14;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			ATOT
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

/*************************************************************/
VARIABLE ETOLA	// Toleranz E1 Endlage AUF
{
	LABEL		[TXT_SW_ID65];
	HELP		[TXT_REM_ID65];
	CLASS		CONTAINED;
	TYPE		UNSIGNED_INTEGER (2)
	{
		DEFAULT_VALUE	1000;
		MIN_VALUE		950;
		MAX_VALUE		1000;
	}
	CONSTANT_UNIT	[Promille];
	HANDLING	READ & WRITE;
#ifdef DDCCorrection
	ValidityCondition(ETOLA)
#else
	VALIDITY	FALSE;
#endif
}

COMMAND read_ETOLA
{
	SLOT		1;
	INDEX		51;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			ETOLA
		}
	}
}

COMMAND write_ETOLA
{
	SLOT		1;
	INDEX		51;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			ETOLA
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

/*************************************************************/
VARIABLE ETOLZ	// Toleranz E1 Endlage ZU
{
	LABEL		[TXT_SW_ID66];
	HELP		[TXT_REM_ID66];
	CLASS		CONTAINED;
	TYPE		UNSIGNED_INTEGER (2)
	{
		DEFAULT_VALUE	0;
		MIN_VALUE		0;
		MAX_VALUE		50;
	}
	CONSTANT_UNIT	[Promille];
	HANDLING	READ & WRITE;
#ifdef DDCCorrection
	ValidityCondition(ETOLZ)
#else
	VALIDITY	FALSE;
#endif
}

COMMAND read_ETOLZ
{
	SLOT		1;
	INDEX		52;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			ETOLZ
		}
	}
}

COMMAND write_ETOLZ
{
	SLOT		1;
	INDEX		52;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			ETOLZ
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

//~ Prozessregler
/*************************************************************/
VARIABLE PIDKP	// Proportionalverstrkung Kp
{
	LABEL		[TXT_SW_ID260];
	HELP		[TXT_REM_ID260];
	CLASS		CONTAINED;
	TYPE		UNSIGNED_INTEGER (2)
	{
		DEFAULT_VALUE	10;
		MIN_VALUE		1;
		MAX_VALUE		100;
	}
	HANDLING	READ & WRITE;
}

COMMAND read_PIDKP
{
	SLOT		1;
	INDEX		169;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			PIDKP
		}
	}
}

COMMAND write_PIDKP
{
	SLOT		1;
	INDEX		169;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			PIDKP
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

/*************************************************************/
VARIABLE PIDTN	// Nachstellzeit Tn
{
	LABEL		[TXT_SW_ID261];
	HELP		[TXT_REM_ID261];
	CLASS		CONTAINED;
	TYPE		UNSIGNED_INTEGER (2)
	{
		DEFAULT_VALUE	1000;
		MIN_VALUE		1;
		MAX_VALUE		1000;
	}
	CONSTANT_UNIT	[Sekunden];
	HANDLING	READ & WRITE;
}

COMMAND read_PIDTN
{
	SLOT		1;
	INDEX		170;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			PIDTN
		}
	}
}

COMMAND write_PIDTN
{
	SLOT		1;
	INDEX		170;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			PIDTN
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

/*************************************************************/
VARIABLE PIDTV	// Vorhaltezeit Tv
{
	LABEL		[TXT_SW_ID262];
	HELP		[TXT_REM_ID262];
	CLASS		CONTAINED;
	TYPE		UNSIGNED_INTEGER (2)
	{
		DEFAULT_VALUE	0;
		MIN_VALUE		0;
		MAX_VALUE		100;
	}
	CONSTANT_UNIT	[Sekunden];
	HANDLING	READ & WRITE;
}

COMMAND read_PIDTV
{
	SLOT		1;
	INDEX		171;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			PIDTV
		}
	}
}

COMMAND write_PIDTV
{
	SLOT		1;
	INDEX		171;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			PIDTV
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

/*************************************************************/
VARIABLE PIDVV	// Vorhalteverstrkung Vv
{
	LABEL		[TXT_SW_ID263];
	HELP		[TXT_REM_ID263];
	CLASS		CONTAINED;
	TYPE		UNSIGNED_INTEGER (2)
	{
		DEFAULT_VALUE	0;
		MIN_VALUE		0;
		MAX_VALUE		100;
	}
	HANDLING	READ & WRITE;
}

COMMAND read_PIDVV
{
	SLOT		1;
	INDEX		172;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			PIDVV
		}
	}
}

COMMAND write_PIDVV
{
	SLOT		1;
	INDEX		172;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			PIDVV
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

/*************************************************************/
VARIABLE PSOLL	// Interner Prozess-Sollwert
{
	LABEL		[TXT_SW_ID264];
	HELP		[TXT_REM_ID264];
	CLASS		CONTAINED;
	TYPE		UNSIGNED_INTEGER (2)
	{
		DEFAULT_VALUE	0;
		MIN_VALUE		0;
		MAX_VALUE		100;
	}
	HANDLING	READ & WRITE;
}

COMMAND read_PSOLL
{
	SLOT		1;
	INDEX		173;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			PSOLL
		}
	}
}

COMMAND write_PSOLL
{
	SLOT		1;
	INDEX		173;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			PSOLL
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

/*************************************************************/
VARIABLE PIDINV	// Prozessregler Inversbetrieb
{
	LABEL		[TXT_SW_ID265];
	HELP		[TXT_REM_ID265];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE	0;
		{ 0, [TXT_FKTNDEAKTIVIERT] },
		{ 1, [TXT_FKTNAKTIVIERT] }
	}
	HANDLING	READ & WRITE;
}

COMMAND read_PIDINV
{
	SLOT		1;
	INDEX		174;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			PIDINV
		}
	}
}

COMMAND write_PIDINV
{
	SLOT		1;
	INDEX		174;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			PIDINV
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

/*************************************************************/
VARIABLE PIDBGA	// Regelgrenze AUF
{
	LABEL		[TXT_SW_ID267];
	HELP		[TXT_REM_ID267];
	CLASS		CONTAINED;
	TYPE		UNSIGNED_INTEGER (2)
	{
		DEFAULT_VALUE	100;
		MIN_VALUE		0;
		MAX_VALUE		100;
	}
	HANDLING	READ & WRITE;
}

COMMAND read_PIDBGA
{
	SLOT		1;
	INDEX		175;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			PIDBGA
		}
	}
}

COMMAND write_PIDBGA
{
	SLOT		1;
	INDEX		175;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			PIDBGA
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

/*************************************************************/
VARIABLE PIDBGZ	// Regelgrenze ZU
{
	LABEL		[TXT_SW_ID268];
	HELP		[TXT_REM_ID268];
	CLASS		CONTAINED;
	TYPE		UNSIGNED_INTEGER (2)
	{
		DEFAULT_VALUE	0;
		MIN_VALUE		0;
		MAX_VALUE		100;
	}
	HANDLING	READ & WRITE;
}

COMMAND read_PIDBGZ
{
	SLOT		1;
	INDEX		176;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			PIDBGZ
		}
	}
}

COMMAND write_PIDBGZ
{
	SLOT		1;
	INDEX		176;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			PIDBGZ
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

/*************************************************************/
VARIABLE PIDE1A	// Verhalten E1 Ausfall
{
	LABEL		[TXT_SW_ID269];
	HELP		[TXT_REM_ID269];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE	0;
		{ 0, [TXT_PIDINTERN] },
		{ 1, [TXT_FAILVERH] }
	}
	HANDLING	READ & WRITE;
}

COMMAND read_PIDE1A
{
	SLOT		1;
	INDEX		177;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			PIDE1A
		}
	}
}

COMMAND write_PIDE1A
{
	SLOT		1;
	INDEX		177;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			PIDE1A
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

/*************************************************************/
VARIABLE PIDRZT	// berwachung E4, Reaktionszeit
{
	LABEL		[TXT_SW_ID270];
	HELP		[TXT_REM_ID270];
	CLASS		CONTAINED;
	TYPE		UNSIGNED_INTEGER (2)
	{
		DEFAULT_VALUE	0;
		MIN_VALUE		0;
		MAX_VALUE		100;
	}
	CONSTANT_UNIT	[Sekunden_0_1];
	HANDLING	READ & WRITE;
}

COMMAND read_PIDRZT
{
	SLOT		1;
	INDEX		178;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			PIDRZT
		}
	}
}

COMMAND write_PIDRZT
{
	SLOT		1;
	INDEX		178;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			PIDRZT
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

/*************************************************************/
VARIABLE PIDRMI	// berwachung E4, Mindestnderung
{
	LABEL		[TXT_SW_ID271];
	HELP		[TXT_REM_ID271];
	CLASS		CONTAINED;
	TYPE		UNSIGNED_INTEGER (2)
	{
		DEFAULT_VALUE	0;
		MIN_VALUE		0;
		MAX_VALUE		100;
	}
	HANDLING	READ & WRITE;
}

COMMAND read_PIDRMI
{
	SLOT		1;
	INDEX		179;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			PIDRMI
		}
	}
}

COMMAND write_PIDRMI
{
	SLOT		1;
	INDEX		179;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			PIDRMI
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

/*************************************************************/
VARIABLE PIDRMA	// berwachung E4, max. zulssige nderung
{
	LABEL		[TXT_SW_ID272];
	HELP		[TXT_REM_ID272];
	CLASS		CONTAINED;
	TYPE		UNSIGNED_INTEGER (2)
	{
		DEFAULT_VALUE	100;
		MIN_VALUE		10;
		MAX_VALUE		100;
	}
	HANDLING	READ & WRITE;
}

COMMAND read_PIDRMA
{
	SLOT		1;
	INDEX		180;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			PIDRMA
		}
	}
}

COMMAND write_PIDRMA
{
	SLOT		1;
	INDEX		180;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			PIDRMA
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

//~ Zwischenstellung 1-8
/*************************************************************/
VARIABLE SWZWI	// Zwischenstellungen
{
	LABEL		[TXT_SW_ID85];
	HELP		[TXT_REM_ID85];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE	0;
		{ 0, [TXT_DEAKTIVIERT] },
		{ 1, [TXT_AKTIVIERT] }
	}
	HANDLING	READ & WRITE;
	POST_EDIT_ACTIONS
	{
#ifdef DDCCorrection
		_USE_BOTH_METHODS(method_validity_IntermediatePosition)
#else
		method_validity_IntermediatePosition
#endif
	}
	POST_READ_ACTIONS
	{
		method_validity_IntermediatePosition
	}
}

COMMAND read_SWZWI
{
	SLOT		2;
	INDEX		16;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			SWZWI
		}
	}
}

COMMAND write_SWZWI
{
	SLOT		2;
	INDEX		16;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			SWZWI
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

/*************************************************************/
VARIABLE Z1ENA	// Zwischenstellung 1: Aktivierung
{
	LABEL		[TXT_SW_ID70];
	HELP		[TXT_REM_ID70];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE	0;
		{ 0, [TXT_AUS] },
		{ 1, [TXT_FERN] },
		{ 2, [TXT_ORT] },
		{ 3, [TXT_FERNUNDORT] }
	}
	HANDLING	READ & WRITE;
}

COMMAND read_Z1ENA
{
	SLOT		1;
	INDEX		56;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			Z1ENA
		}
	}
}

COMMAND write_Z1ENA
{
	SLOT		1;
	INDEX		56;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			Z1ENA
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

/*************************************************************/
VARIABLE Z1POS	// Zwischenstellung 1: Stellung in Promille
{
	LABEL		[TXT_SW_ID68];
	HELP		[TXT_REM_ID68];
	CLASS		CONTAINED;
	TYPE		UNSIGNED_INTEGER (2)
	{
		DEFAULT_VALUE	0;
		MIN_VALUE		0;
		MAX_VALUE		1000;
	}
	CONSTANT_UNIT	[Promille];
	HANDLING	READ & WRITE;
}

COMMAND read_Z1POS
{
	SLOT		1;
	INDEX		54;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			Z1POS
		}
	}
}

COMMAND write_Z1POS
{
	SLOT		1;
	INDEX		54;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			Z1POS
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

/*************************************************************/
VARIABLE Z1FVER	// Zwischenstellung 1: Verhalten
{
	LABEL		[TXT_SW_ID69];
	HELP		[TXT_REM_ID69];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE	0;
		{ 0, [TXT_NO_STOP] },
		{ 1, [TXT_STOP_ON_AUF] },
		{ 2, [TXT_STOP_ON_ZU] },
		{ 3, [TXT_STOP_AUF_ZU] }
	}
	HANDLING	READ & WRITE;
}

COMMAND read_Z1FVER
{
	SLOT		1;
	INDEX		55;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			Z1FVER
		}
	}
}

COMMAND write_Z1FVER
{
	SLOT		1;
	INDEX		55;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			Z1FVER
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

/*************************************************************/
VARIABLE Z1SVER	// Zwischenstellung 1: Signalisierung
{
	LABEL		[TXT_SW_ID71];
	HELP		[TXT_REM_ID71];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE	0;
		{ 0, [TXT_NO_SIGNAL] },
		{ 1, [TXT_ZU0_POS1_AUF] },
		{ 2, [TXT_ZU1_POS0_AUF] },
		{ 3, [TXT_PULSE_XT] }
	}
	HANDLING	READ & WRITE;
}

COMMAND read_Z1SVER
{
	SLOT		1;
	INDEX		57;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			Z1SVER
		}
	}
}

COMMAND write_Z1SVER
{
	SLOT		1;
	INDEX		57;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			Z1SVER
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

/*************************************************************/
VARIABLE Z2ENA	// Zwischenstellung 2: Aktivierung
{
	LABEL		[TXT_SW_ID74];
	HELP		[TXT_REM_ID74];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE	0;
		{ 0, [TXT_AUS] },
		{ 1, [TXT_FERN] },
		{ 2, [TXT_ORT] },
		{ 3, [TXT_FERNUNDORT] }
	}
	HANDLING	READ & WRITE;
}

COMMAND read_Z2ENA
{
	SLOT		1;
	INDEX		60;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			Z2ENA
		}
	}
}

COMMAND write_Z2ENA
{
	SLOT		1;
	INDEX		60;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			Z2ENA
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

/*************************************************************/
VARIABLE Z2POS	// Zwischenposition 2: Stellung in Promille
{
	LABEL		[TXT_SW_ID72];
	HELP		[TXT_REM_ID72];
	CLASS		CONTAINED;
	TYPE		UNSIGNED_INTEGER (2)
	{
		DEFAULT_VALUE	0;
		MIN_VALUE		0;
		MAX_VALUE		1000;
	}
	CONSTANT_UNIT	[Promille];
	HANDLING	READ & WRITE;
}

COMMAND read_Z2POS
{
	SLOT		1;
	INDEX		58;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			Z2POS
		}
	}
}

COMMAND write_Z2POS
{
	SLOT		1;
	INDEX		58;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			Z2POS
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

/*************************************************************/
VARIABLE Z2FVER	// Zwischenstellung 2: Verhalten
{
	LABEL		[TXT_SW_ID73];
	HELP		[TXT_REM_ID73];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE	0;
		{ 0, [TXT_NO_STOP] },
		{ 1, [TXT_STOP_ON_AUF] },
		{ 2, [TXT_STOP_ON_ZU] },
		{ 3, [TXT_STOP_AUF_ZU] }
	}
	HANDLING	READ & WRITE;
}

COMMAND read_Z2FVER
{
	SLOT		1;
	INDEX		59;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			Z2FVER
		}
	}
}

COMMAND write_Z2FVER
{
	SLOT		1;
	INDEX		59;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			Z2FVER
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

/*************************************************************/
VARIABLE Z2SVER	// Zwischenstellung 2: Signalisierung
{
	LABEL		[TXT_SW_ID75];
	HELP		[TXT_REM_ID75];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE	0;
		{ 0, [TXT_NO_SIGNAL] },
		{ 1, [TXT_ZU0_POS1_AUF] },
		{ 2, [TXT_ZU1_POS0_AUF] },
		{ 3, [TXT_PULSE_XT] }
	}
	HANDLING	READ & WRITE;
}

COMMAND read_Z2SVER
{
	SLOT		1;
	INDEX		61;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			Z2SVER
		}
	}
}

COMMAND write_Z2SVER
{
	SLOT		1;
	INDEX		61;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			Z2SVER
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

/*************************************************************/
VARIABLE Z3ENA	// Zwischenstellung 3: Aktivierung
{
	LABEL		[TXT_SW_ID78];
	HELP		[TXT_REM_ID78];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE	0;
		{ 0, [TXT_AUS] },
		{ 1, [TXT_FERN] },
		{ 2, [TXT_ORT] },
		{ 3, [TXT_FERNUNDORT] }
	}
	HANDLING	READ & WRITE;
}

COMMAND read_Z3ENA
{
	SLOT		1;
	INDEX		64;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			Z3ENA
		}
	}
}

COMMAND write_Z3ENA
{
	SLOT		1;
	INDEX		64;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			Z3ENA
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

/*************************************************************/
VARIABLE Z3POS	// Zwischenstellung 3: Stellung in Promille
{
	LABEL		[TXT_SW_ID76];
	HELP		[TXT_REM_ID76];
	CLASS		CONTAINED;
	TYPE		UNSIGNED_INTEGER (2)
	{
		DEFAULT_VALUE	0;
		MIN_VALUE		0;
		MAX_VALUE		1000;
	}
	CONSTANT_UNIT	[Promille];
	HANDLING	READ & WRITE;
}

COMMAND read_Z3POS
{
	SLOT		1;
	INDEX		62;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			Z3POS
		}
	}
}

COMMAND write_Z3POS
{
	SLOT		1;
	INDEX		62;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			Z3POS
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

/*************************************************************/
VARIABLE Z3FVER	// Zwischenstellung 3: Verhalten
{
	LABEL		[TXT_SW_ID77];
	HELP		[TXT_REM_ID77];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE	0;
		{ 0, [TXT_NO_STOP] },
		{ 1, [TXT_STOP_ON_AUF] },
		{ 2, [TXT_STOP_ON_ZU] },
		{ 3, [TXT_STOP_AUF_ZU] }
	}
	HANDLING	READ & WRITE;
}

COMMAND read_Z3FVER
{
	SLOT		1;
	INDEX		63;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			Z3FVER
		}
	}
}

COMMAND write_Z3FVER
{
	SLOT		1;
	INDEX		63;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			Z3FVER
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

/*************************************************************/
VARIABLE Z3SVER	// Zwischenstellung 3: Signalisierung
{
	LABEL		[TXT_SW_ID79];
	HELP		[TXT_REM_ID79];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE	0;
		{ 0, [TXT_NO_SIGNAL] },
		{ 1, [TXT_ZU0_POS1_AUF] },
		{ 2, [TXT_ZU1_POS0_AUF] },
		{ 3, [TXT_PULSE_XT] }
	}
	HANDLING	READ & WRITE;
}

COMMAND read_Z3SVER
{
	SLOT		1;
	INDEX		65;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			Z3SVER
		}
	}
}

COMMAND write_Z3SVER
{
	SLOT		1;
	INDEX		65;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			Z3SVER
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

/*************************************************************/
VARIABLE Z4ENA	// Zwischenstellung 4: Aktivierung
{
	LABEL		[TXT_SW_ID82];
	HELP		[TXT_REM_ID82];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE	0;
		{ 0, [TXT_AUS] },
		{ 1, [TXT_FERN] },
		{ 2, [TXT_ORT] },
		{ 3, [TXT_FERNUNDORT] }
	}
	HANDLING	READ & WRITE;
}

COMMAND read_Z4ENA
{
	SLOT		1;
	INDEX		68;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			Z4ENA
		}
	}
}

COMMAND write_Z4ENA
{
	SLOT		1;
	INDEX		68;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			Z4ENA
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

/*************************************************************/
VARIABLE Z4POS	// Zwischenstellung 4: Stellung in Promille
{
	LABEL		[TXT_SW_ID80];
	HELP		[TXT_REM_ID80];
	CLASS		CONTAINED;
	TYPE		UNSIGNED_INTEGER (2)
	{
		DEFAULT_VALUE	0;
		MIN_VALUE		0;
		MAX_VALUE		1000;
	}
	CONSTANT_UNIT	[Promille];
	HANDLING	READ & WRITE;
}

COMMAND read_Z4POS
{
	SLOT		1;
	INDEX		66;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			Z4POS
		}
	}
}

COMMAND write_Z4POS
{
	SLOT		1;
	INDEX		66;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			Z4POS
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

/*************************************************************/
VARIABLE Z4FVER	// Zwischenstellung 4: Verhalten
{
	LABEL		[TXT_SW_ID81];
	HELP		[TXT_REM_ID81];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE	0;
		{ 0, [TXT_NO_STOP] },
		{ 1, [TXT_STOP_ON_AUF] },
		{ 2, [TXT_STOP_ON_ZU] },
		{ 3, [TXT_STOP_AUF_ZU] }
	}
	HANDLING	READ & WRITE;
}

COMMAND read_Z4FVER
{
	SLOT		1;
	INDEX		67;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			Z4FVER
		}
	}
}

COMMAND write_Z4FVER
{
	SLOT		1;
	INDEX		67;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			Z4FVER
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

/*************************************************************/
VARIABLE Z4SVER	// Zwischenstellung 4: Signalisierung
{
	LABEL		[TXT_SW_ID83];
	HELP		[TXT_REM_ID83];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE	0;
		{ 0, [TXT_NO_SIGNAL] },
		{ 1, [TXT_ZU0_POS1_AUF] },
		{ 2, [TXT_ZU1_POS0_AUF] },
		{ 3, [TXT_PULSE_XT] }
	}
	HANDLING	READ & WRITE;
}

COMMAND read_Z4SVER
{
	SLOT		1;
	INDEX		69;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			Z4SVER
		}
	}
}

COMMAND write_Z4SVER
{
	SLOT		1;
	INDEX		69;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			Z4SVER
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

/*************************************************************/
VARIABLE Z5ENA	// Zwischenstellung 5: Aktivierung
{
	LABEL		[TXT_SW_ID276];
	HELP		[TXT_REM_ID276];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE	0;
		{ 0, [TXT_AUS] },
		{ 1, [TXT_FERN] },
		{ 2, [TXT_ORT] },
		{ 3, [TXT_FERNUNDORT] }
	}
	HANDLING	READ & WRITE;
}

COMMAND read_Z5ENA
{
	SLOT		1;
	INDEX		184;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			Z5ENA
		}
	}
}

COMMAND write_Z5ENA
{
	SLOT		1;
	INDEX		184;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			Z5ENA
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

/*************************************************************/
VARIABLE Z5POS	// Zwischenstellung 5: Stellung in Promille
{
	LABEL		[TXT_SW_ID274];
	HELP		[TXT_REM_ID274];
	CLASS		CONTAINED;
	TYPE		UNSIGNED_INTEGER (2)
	{
		DEFAULT_VALUE	0;
		MIN_VALUE		0;
		MAX_VALUE		1000;
	}
	CONSTANT_UNIT	[Promille];
	HANDLING	READ & WRITE;
}

COMMAND read_Z5POS
{
	SLOT		1;
	INDEX		182;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			Z5POS
		}
	}
}

COMMAND write_Z5POS
{
	SLOT		1;
	INDEX		182;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			Z5POS
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

/*************************************************************/
VARIABLE Z5FVER	// Zwischenstellung 5: Verhalten
{
	LABEL		[TXT_SW_ID275];
	HELP		[TXT_REM_ID275];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE	0;
		{ 0, [TXT_NO_STOP] },
		{ 1, [TXT_STOP_ON_AUF] },
		{ 2, [TXT_STOP_ON_ZU] },
		{ 3, [TXT_STOP_AUF_ZU] }
	}
	HANDLING	READ & WRITE;
}

COMMAND read_Z5FVER
{
	SLOT		1;
	INDEX		183;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			Z5FVER
		}
	}
}

COMMAND write_Z5FVER
{
	SLOT		1;
	INDEX		183;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			Z5FVER
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

/*************************************************************/
VARIABLE Z5SVER	// Zwischenstellung 5: Signalisierung
{
	LABEL		[TXT_SW_ID277];
	HELP		[TXT_REM_ID277];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE	0;
		{ 0, [TXT_NO_SIGNAL] },
		{ 1, [TXT_ZU0_POS1_AUF] },
		{ 2, [TXT_ZU1_POS0_AUF] },
		{ 3, [TXT_PULSE_XT] }
	}
	HANDLING	READ & WRITE;
}

COMMAND read_Z5SVER
{
	SLOT		1;
	INDEX		185;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			Z5SVER
		}
	}
}

COMMAND write_Z5SVER
{
	SLOT		1;
	INDEX		185;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			Z5SVER
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

/*************************************************************/
VARIABLE Z6ENA	// Zwischenstellung 6: Aktivierung
{
	LABEL		[TXT_SW_ID280];
	HELP		[TXT_REM_ID280];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE	0;
		{ 0, [TXT_AUS] },
		{ 1, [TXT_FERN] },
		{ 2, [TXT_ORT] },
		{ 3, [TXT_FERNUNDORT] }
	}
	HANDLING	READ & WRITE;
}

COMMAND read_Z6ENA
{
	SLOT		1;
	INDEX		188;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			Z6ENA
		}
	}
}

COMMAND write_Z6ENA
{
	SLOT		1;
	INDEX		188;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			Z6ENA
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

/*************************************************************/
VARIABLE Z6POS	// Zwischenstellung 6: Stellung in Promille
{
	LABEL		[TXT_SW_ID278];
	HELP		[TXT_REM_ID278];
	CLASS		CONTAINED;
	TYPE		UNSIGNED_INTEGER (2)
	{
		DEFAULT_VALUE	0;
		MIN_VALUE		0;
		MAX_VALUE		1000;
	}
	CONSTANT_UNIT	[Promille];
	HANDLING	READ & WRITE;
}

COMMAND read_Z6POS
{
	SLOT		1;
	INDEX		186;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			Z6POS
		}
	}
}

COMMAND write_Z6POS
{
	SLOT		1;
	INDEX		186;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			Z6POS
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

/*************************************************************/
VARIABLE Z6FVER	// Zwischenstellung 6: Verhalten
{
	LABEL		[TXT_SW_ID279];
	HELP		[TXT_REM_ID279];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE	0;
		{ 0, [TXT_NO_STOP] },
		{ 1, [TXT_STOP_ON_AUF] },
		{ 2, [TXT_STOP_ON_ZU] },
		{ 3, [TXT_STOP_AUF_ZU] }
	}
	HANDLING	READ & WRITE;
}

COMMAND read_Z6FVER
{
	SLOT		1;
	INDEX		187;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			Z6FVER
		}
	}
}

COMMAND write_Z6FVER
{
	SLOT		1;
	INDEX		187;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			Z6FVER
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

/*************************************************************/
VARIABLE Z6SVER	// Zwischenstellung 6: Signalisierung
{
	LABEL		[TXT_SW_ID281];
	HELP		[TXT_REM_ID281];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE	0;
		{ 0, [TXT_NO_SIGNAL] },
		{ 1, [TXT_ZU0_POS1_AUF] },
		{ 2, [TXT_ZU1_POS0_AUF] },
		{ 3, [TXT_PULSE_XT] }
	}
	HANDLING	READ & WRITE;
}

COMMAND read_Z6SVER
{
	SLOT		1;
	INDEX		189;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			Z6SVER
		}
	}
}

COMMAND write_Z6SVER
{
	SLOT		1;
	INDEX		189;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			Z6SVER
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

/*************************************************************/
VARIABLE Z7ENA	// Zwischenstellung 7: Aktivierung
{
	LABEL		[TXT_SW_ID284];
	HELP		[TXT_REM_ID284];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE	0;
		{ 0, [TXT_AUS] },
		{ 1, [TXT_FERN] },
		{ 2, [TXT_ORT] },
		{ 3, [TXT_FERNUNDORT] }
	}
	HANDLING	READ & WRITE;
}

COMMAND read_Z7ENA
{
	SLOT		1;
	INDEX		192;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			Z7ENA
		}
	}
}

COMMAND write_Z7ENA
{
	SLOT		1;
	INDEX		192;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			Z7ENA
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

/*************************************************************/
VARIABLE Z7POS	// Zwischenstellung 7: Stellung in Promille
{
	LABEL		[TXT_SW_ID282];
	HELP		[TXT_REM_ID282];
	CLASS		CONTAINED;
	TYPE		UNSIGNED_INTEGER (2)
	{
		DEFAULT_VALUE	0;
		MIN_VALUE		0;
		MAX_VALUE		1000;
	}
	CONSTANT_UNIT	[Promille];
	HANDLING	READ & WRITE;
}

COMMAND read_Z7POS
{
	SLOT		1;
	INDEX		190;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			Z7POS
		}
	}
}

COMMAND write_Z7POS
{
	SLOT		1;
	INDEX		190;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			Z7POS
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

/*************************************************************/
VARIABLE Z7FVER	// Zwischenstellung 7: Verhalten
{
	LABEL		[TXT_SW_ID283];
	HELP		[TXT_REM_ID283];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE	0;
		{ 0, [TXT_NO_STOP] },
		{ 1, [TXT_STOP_ON_AUF] },
		{ 2, [TXT_STOP_ON_ZU] },
		{ 3, [TXT_STOP_AUF_ZU] }
	}
	HANDLING	READ & WRITE;
}

COMMAND read_Z7FVER
{
	SLOT		1;
	INDEX		191;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			Z7FVER
		}
	}
}

COMMAND write_Z7FVER
{
	SLOT		1;
	INDEX		191;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			Z7FVER
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

/*************************************************************/
VARIABLE Z7SVER	// Zwischenstellung 7: Signalisierung
{
	LABEL		[TXT_SW_ID285];
	HELP		[TXT_REM_ID285];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE	0;
		{ 0, [TXT_NO_SIGNAL] },
		{ 1, [TXT_ZU0_POS1_AUF] },
		{ 2, [TXT_ZU1_POS0_AUF] },
		{ 3, [TXT_PULSE_XT] }
	}
	HANDLING	READ & WRITE;
}

COMMAND read_Z7SVER
{
	SLOT		1;
	INDEX		193;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			Z7SVER
		}
	}
}

COMMAND write_Z7SVER
{
	SLOT		1;
	INDEX		193;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			Z7SVER
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

/*************************************************************/
VARIABLE Z8ENA	// Zwischenstellung 8: Aktivierung
{
	LABEL		[TXT_SW_ID288];
	HELP		[TXT_REM_ID288];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE	0;
		{ 0, [TXT_AUS] },
		{ 1, [TXT_FERN] },
		{ 2, [TXT_ORT] },
		{ 3, [TXT_FERNUNDORT] }
	}
	HANDLING	READ & WRITE;
}

COMMAND read_Z8ENA
{
	SLOT		1;
	INDEX		196;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			Z8ENA
		}
	}
}

COMMAND write_Z8ENA
{
	SLOT		1;
	INDEX		196;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			Z8ENA
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

/*************************************************************/
VARIABLE Z8POS	// Zwischenstellung 8: Stellung in Promille
{
	LABEL		[TXT_SW_ID286];
	HELP		[TXT_REM_ID286];
	CLASS		CONTAINED;
	TYPE		UNSIGNED_INTEGER (2)
	{
		DEFAULT_VALUE	0;
		MIN_VALUE		0;
		MAX_VALUE		1000;
	}
	CONSTANT_UNIT	[Promille];
	HANDLING	READ & WRITE;
}

COMMAND read_Z8POS
{
	SLOT		1;
	INDEX		194;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			Z8POS
		}
	}
}

COMMAND write_Z8POS
{
	SLOT		1;
	INDEX		194;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			Z8POS
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

/*************************************************************/
VARIABLE Z8FVER	// Zwischenstellung 8: Verhalten
{
	LABEL		[TXT_SW_ID287];
	HELP		[TXT_REM_ID287];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE	0;
		{ 0, [TXT_NO_STOP] },
		{ 1, [TXT_STOP_ON_AUF] },
		{ 2, [TXT_STOP_ON_ZU] },
		{ 3, [TXT_STOP_AUF_ZU] }
	}
	HANDLING	READ & WRITE;
}

COMMAND read_Z8FVER
{
	SLOT		1;
	INDEX		195;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			Z8FVER
		}
	}
}

COMMAND write_Z8FVER
{
	SLOT		1;
	INDEX		195;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			Z8FVER
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

/*************************************************************/
VARIABLE Z8SVER	// Zwischenstellung 8: Signalisierung
{
	LABEL		[TXT_SW_ID289];
	HELP		[TXT_REM_ID289];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE	0;
		{ 0, [TXT_NO_SIGNAL] },
		{ 1, [TXT_ZU0_POS1_AUF] },
		{ 2, [TXT_ZU1_POS0_AUF] },
		{ 3, [TXT_PULSE_XT] }
	}
	HANDLING	READ & WRITE;
}

COMMAND read_Z8SVER
{
	SLOT		1;
	INDEX		197;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			Z8SVER
		}
	}
}

COMMAND write_Z8SVER
{
	SLOT		1;
	INDEX		197;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			Z8SVER
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

//~ Ueberwachung
/*************************************************************/
VARIABLE SWUEBW	// Ueberwachung
{
	LABEL		[TXT_SW_ID42];
	HELP		[TXT_REM_ID42];
	CLASS		DIAGNOSTIC;
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE	1;
		{ 0, [TXT_FKTNDEAKTIVIERT] },
		{ 1, [TXT_FKTNAKTIVIERT] }
	}
	HANDLING	READ & WRITE;
	POST_EDIT_ACTIONS
	{
#ifdef DDCCorrection
		_USE_BOTH_METHODS(method_validity_Monitoring)
#else
		method_validity_Monitoring
#endif
	}
	POST_READ_ACTIONS
	{
		method_validity_Monitoring
	}
}

COMMAND read_SWUEBW
{
	SLOT		2;
	INDEX		18;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			SWUEBW
		}
	}
}

COMMAND write_SWUEBW
{
	SLOT		2;
	INDEX		18;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			SWUEBW
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

/*************************************************************/
VARIABLE MAXSCH	// Max. Schaltspiele pro Stunde
{
	LABEL		[TXT_SW_ID35];
	HELP		[TXT_REM_ID35];
	CLASS		DIAGNOSTIC;
	TYPE		UNSIGNED_INTEGER (2)
	{
		DEFAULT_VALUE	1200;
		MIN_VALUE		0;
		MAX_VALUE		1800;
	}
	HANDLING	READ & WRITE;
#ifdef DDCCorrection
	ValidityCondition(MAXSCH)
#endif

}

COMMAND read_MAXSCH
{
	SLOT		1;
	INDEX		33;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			MAXSCH
		}
	}
}

COMMAND write_MAXSCH
{
	SLOT		1;
	INDEX		33;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			MAXSCH
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

/*************************************************************/
VARIABLE MAXLZ	// Max. Laufzeit pro Stunde
{
	LABEL		[TXT_SW_ID36];
	HELP		[TXT_REM_ID36];
	CLASS		DIAGNOSTIC;
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE	0;
		{ 0, [TXT_15MIN] },
		{ 1, [TXT_30MIN] },
		{ 2, [TXT_24MIN] }
	}
	HANDLING	READ & WRITE;
#ifdef DDCCorrection
	ValidityCondition(MAXLZ)
#endif

}

COMMAND read_MAXLZ
{
	SLOT		1;
	INDEX		34;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			MAXLZ
		}
	}
}

COMMAND write_MAXLZ
{
	SLOT		1;
	INDEX		34;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			MAXLZ
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

/*************************************************************/
VARIABLE STZUEB	// Maximale Stellzeit
{
	LABEL		[TXT_SW_ID37];
	HELP		[TXT_REM_ID37];
	CLASS		DIAGNOSTIC;
	TYPE		UNSIGNED_INTEGER (2)
	{
		DEFAULT_VALUE	900;
		MIN_VALUE		4;
		MAX_VALUE		36000;
	}
	CONSTANT_UNIT	[Sekunden];
	HANDLING	READ & WRITE;
#ifdef DDCCorrection
	ValidityCondition(STZUEB)
#endif

}

COMMAND read_STZUEB
{
	SLOT		1;
	INDEX		35;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			STZUEB
		}
	}
}

COMMAND write_STZUEB
{
	SLOT		1;
	INDEX		35;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			STZUEB
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

/*************************************************************/
VARIABLE RKTUBW	// Reaktionsberwachung
{
	LABEL		[TXT_SW_ID205];
	HELP		[TXT_REM_ID205];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE	0;
		{ 0, [TXT_FKTNDEAKTIVIERT] },
		{ 1, [TXT_FKTNAKTIVIERT] }
	}
	HANDLING	READ;
	POST_READ_ACTIONS
	{
		method_validity_ReactionMonitoring
	}
}

COMMAND read_RKTUBW
{
	SLOT		2;
	INDEX		27;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			RKTUBW
		}
	}
}

/*************************************************************/
VARIABLE RKZUEB	// Reaktionszeitberwachung
{
	LABEL		[TXT_SW_ID206];
	HELP		[TXT_REM_ID206];
	CLASS		CONTAINED;
	TYPE		UNSIGNED_INTEGER (2)
	{
		DEFAULT_VALUE	70;
		MIN_VALUE		1;
		MAX_VALUE		150;
	}
	CONSTANT_UNIT	[Sekunden_0_1];
	HANDLING	READ & WRITE;
#ifdef DDCCorrection
	ValidityCondition(RKZUEB)
#else
	VALIDITY	FALSE;
#endif
}

COMMAND read_RKZUEB
{
	SLOT		1;
	INDEX		1;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			RKZUEB
		}
	}
}

COMMAND write_RKZUEB
{
	SLOT		1;
	INDEX		1;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			RKZUEB
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

//~ Phasenberwachung
// /*************************************************************/
// Phasenberwachung
VARIABLE PHDELY	// Phasenberwachung
{
   LABEL		[TXT_SW_ID374];
   HELP		[TXT_REM_ID374];
   CLASS		CONTAINED;
   TYPE		UNSIGNED_INTEGER (2)
   {
      DEFAULT_VALUE	100;
      MIN_VALUE		0;
      MAX_VALUE		300;
   }
   CONSTANT_UNIT	[Sekunden_0_1];
   HANDLING	READ & WRITE;
}
COMMAND read_PHDELY
{
   SLOT		2;
   INDEX		56;
   OPERATION	READ;
   TRANSACTION
   {
      REPLY
      {
         PHDELY
      }
   }
}
COMMAND write_PHDELY
{
   SLOT		2;
   INDEX		56;
   OPERATION	WRITE;
   TRANSACTION
   {
      REQUEST
      {
         PHDELY


      }
   }
}
//~ Elektronisches Typenschild
/*************************************************************/
VARIABLE SWETYP	// Elektronisches Typenschild
{
	LABEL		[TXT_SW_ID63];
	HELP		[TXT_REM_ID63];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE	1;
		{ 0, [TXT_DEAKTIVIERT] },
		{ 1, [TXT_AKTIVIERT] }
	}
	HANDLING	READ & WRITE;
}

COMMAND read_SWETYP
{
	SLOT		2;
	INDEX		15;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			SWETYP
		}
	}
}

COMMAND write_SWETYP
{
	SLOT		2;
	INDEX		15;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			SWETYP
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

/*************************************************************/
VARIABLE ETKOMN	// Kommissions Nr. AUMATIC
{
	LABEL		[TXT_SW_ID126];
	HELP		[TXT_REM_ID126];
	CLASS		CONTAINED;
	TYPE		ASCII (20)
	{
		DEFAULT_VALUE	"   _kommnraumatic_  ";
	}
	HANDLING	READ;
}

COMMAND read_ETKOMN
{
	SLOT		3;
	INDEX		1;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			ETKOMN
		}
	}
}

/*************************************************************/
VARIABLE ETKONA	// Kommissions Nr. Antrieb
{
	LABEL		[TXT_SW_ID186];
	HELP		[TXT_REM_ID186];
	CLASS		CONTAINED;
	TYPE		ASCII (20)
	{
		DEFAULT_VALUE	"   _kommnrantrieb_  ";
	}
	HANDLING	READ;
}

COMMAND read_ETKONA
{
	SLOT		3;
	INDEX		20;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			ETKONA
		}
	}
}

/*************************************************************/
VARIABLE ETKKSN	// KKS Nummer
{
	LABEL		[TXT_SW_ID127];
	HELP		[TXT_REM_ID127];
	CLASS		CONTAINED;
	TYPE		ASCII (20)
	{
		DEFAULT_VALUE	"      _kksnr_       ";
	}
	HANDLING	READ;
}

COMMAND read_ETKKSN
{
	SLOT		3;
	INDEX		2;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			ETKKSN
		}
	}
}

/*************************************************************/
VARIABLE ETARMN	// Armaturen Nummer
{
	LABEL		[TXT_SW_ID128];
	HELP		[TXT_REM_ID128];
	CLASS		CONTAINED;
	TYPE		ASCII (20)
	{
		DEFAULT_VALUE	"   _armaturennr_    ";
	}
	HANDLING	READ & WRITE;
}

COMMAND read_ETARMN
{
	SLOT		3;
	INDEX		3;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			ETARMN
		}
	}
}

COMMAND write_ETARMN
{
	SLOT		3;
	INDEX		3;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			ETARMN
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

/*************************************************************/
VARIABLE ETANLN	// Anlagen Nummer
{
	LABEL		[TXT_SW_ID129];
	HELP		[TXT_REM_ID129];
	CLASS		CONTAINED;
	TYPE		ASCII (20)
	{
		DEFAULT_VALUE	"    _anlagennr_     ";
	}
	HANDLING	READ & WRITE;
}

COMMAND read_ETANLN
{
	SLOT		3;
	INDEX		4;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			ETANLN
		}
	}
}

COMMAND write_ETANLN
{
	SLOT		3;
	INDEX		4;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			ETANLN
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

/*************************************************************/
VARIABLE ETPRON	// Produktname
{
	LABEL		[TXT_SW_ID130];
	HELP		[TXT_REM_ID130];
	CLASS		CONTAINED;
	TYPE		ASCII (20)
	{
		DEFAULT_VALUE	"   _produktname_    ";
	}
	HANDLING	READ;
}

COMMAND read_ETPRON
{
	SLOT		3;
	INDEX		5;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			ETPRON
		}
	}
}

/*************************************************************/
VARIABLE ETNRMA	// Werksnummer AUMATIC
{
	LABEL		[TXT_SW_ID132];
	HELP		[TXT_REM_ID132];
	CLASS		CONTAINED;
	TYPE		ASCII (20)
	{
		DEFAULT_VALUE	"  _werksnraumatic_  ";
	}
	HANDLING	READ;
}

COMMAND read_ETNRMA
{
	SLOT		3;
	INDEX		7;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			ETNRMA
		}
	}
}

/*************************************************************/
VARIABLE ETNRAN	// Werksnummer Antrieb
{
	LABEL		[TXT_SW_ID131];
	HELP		[TXT_REM_ID131];
	CLASS		CONTAINED;
	TYPE		ASCII (20)
	{
		DEFAULT_VALUE	"  _werksnrantrieb_  ";
	}
	HANDLING	READ;
}

COMMAND read_ETNRAN
{
	SLOT		3;
	INDEX		6;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			ETNRAN
		}
	}
}

/*************************************************************/
VARIABLE ETSWV	// Softwareversion Logik
{
	LABEL		[TXT_SW_ID133];
	HELP		[TXT_REM_ID133];
	CLASS		CONTAINED;
	TYPE		ASCII (20)
	{
		DEFAULT_VALUE	"  _logikswversion_  ";
	}
	HANDLING	READ;
	POST_READ_ACTIONS
	{
		method_logicswversion
	}
}

COMMAND read_ETSWV
{
	SLOT		3;
	INDEX		8;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			ETSWV
		}
	}
}

/*************************************************************/
VARIABLE ETHWV	// Hardware Version Logik
{
	LABEL		[TXT_SW_ID144];
	HELP		[TXT_REM_ID144];
	CLASS		CONTAINED;
	TYPE		ASCII (20)
	{
		DEFAULT_VALUE	"  _logikhwversion_  ";
	}
	HANDLING	READ;
}

COMMAND read_ETHWV
{
	SLOT		3;
	INDEX		19;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			ETHWV
		}
	}
}

/*************************************************************/
VARIABLE ETADAT	// Abnahmedatum
{
	LABEL		[TXT_SW_ID134];
	HELP		[TXT_REM_ID134];
	CLASS		CONTAINED;
	TYPE		ASCII (20)
	{
		DEFAULT_VALUE	"   _abnahmedatum_   ";
	}
	HANDLING	READ;
}

COMMAND read_ETADAT
{
	SLOT		3;
	INDEX		9;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			ETADAT
		}
	}
}

/*************************************************************/
VARIABLE ETSCHA	// Schaltplan ACP
{
	LABEL		[TXT_SW_ID135];
	HELP		[TXT_REM_ID135];
	CLASS		CONTAINED;
	TYPE		ASCII (20)
	{
		DEFAULT_VALUE	"    _schaltplan_    ";
	}
	HANDLING	READ;
}

COMMAND read_ETSCHA
{
	SLOT		3;
	INDEX		10;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			ETSCHA
		}
	}
}

/*************************************************************/
VARIABLE ETAPLN	// Anschlussplan KMS
{
	LABEL		[TXT_SW_ID136];
	HELP		[TXT_REM_ID136];
	CLASS		CONTAINED;
	TYPE		ASCII (20)
	{
		DEFAULT_VALUE	"  _anschlussplan_   ";
	}
	HANDLING	READ;
}

COMMAND read_ETAPLN
{
	SLOT		3;
	INDEX		11;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			ETAPLN
		}
	}
}

/*************************************************************/
VARIABLE ETPRJN	// Projektname
{
	LABEL		[TXT_SW_ID137];
	HELP		[TXT_REM_ID137];
	CLASS		CONTAINED;
	TYPE		ASCII (20)
	{
		DEFAULT_VALUE	"   _projektname_    ";
	}
	HANDLING	READ & WRITE;
}

COMMAND read_ETPRJN
{
	SLOT		3;
	INDEX		12;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			ETPRJN
		}
	}
}

COMMAND write_ETPRJN
{
	SLOT		3;
	INDEX		12;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			ETPRJN
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

/*************************************************************/
VARIABLE ETKUF1	// Kundenfeld 1
{
	LABEL		[TXT_SW_ID138];
	HELP		[TXT_REM_ID138];
	CLASS		CONTAINED;
	TYPE		ASCII (20)
	{
		DEFAULT_VALUE	"   _kundenfeld1_    ";
	}
	HANDLING	READ & WRITE;
}

COMMAND read_ETKUF1
{
	SLOT		3;
	INDEX		13;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			ETKUF1
		}
	}
}

COMMAND write_ETKUF1
{
	SLOT		3;
	INDEX		13;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			ETKUF1
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

/*************************************************************/
VARIABLE ETKUF2	// Kundenfeld 2
{
	LABEL		[TXT_SW_ID139];
	HELP		[TXT_REM_ID139];
	CLASS		CONTAINED;
	TYPE		ASCII (20)
	{
		DEFAULT_VALUE	"   _kundenfeld2_    ";
	}
	HANDLING	READ & WRITE;
}

COMMAND read_ETKUF2
{
	SLOT		3;
	INDEX		14;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			ETKUF2
		}
	}
}

COMMAND write_ETKUF2
{
	SLOT		3;
	INDEX		14;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			ETKUF2
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

/*************************************************************/
VARIABLE ETSTEL	// Service Telefon
{
	LABEL		[TXT_SW_ID140];
	HELP		[TXT_REM_ID140];
	CLASS		CONTAINED;
	TYPE		ASCII (20)
	{
		DEFAULT_VALUE	" +49 2234 20379-00  ";
	}
	HANDLING	READ;
}

COMMAND read_ETSTEL
{
	SLOT		3;
	INDEX		15;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			ETSTEL
		}
	}
}

/*************************************************************/
VARIABLE ETWWW	// Internet Adresse
{
	LABEL		[TXT_SW_ID141];
	HELP		[TXT_REM_ID141];
	CLASS		CONTAINED;
	TYPE		ASCII (20)
	{
		DEFAULT_VALUE	"    www.auma.com    ";
	}
	HANDLING	READ;
}

COMMAND read_ETWWW
{
	SLOT		3;
	INDEX		16;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			ETWWW
		}
	}
}

/*************************************************************/
VARIABLE ETSRV1	// Servicetext 1
{
	LABEL		[TXT_SW_ID142];
	HELP		[TXT_REM_ID142];
	CLASS		CONTAINED;
	TYPE		ASCII (20)
	{
		DEFAULT_VALUE	"   _servicetext1_   ";
	}
	HANDLING	READ;
}

COMMAND read_ETSRV1
{
	SLOT		3;
	INDEX		17;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			ETSRV1
		}
	}
}

/*************************************************************/
VARIABLE ETSRV2	// Servicetext 2
{
	LABEL		[TXT_SW_ID143];
	HELP		[TXT_REM_ID143];
	CLASS		CONTAINED;
	TYPE		ASCII (20)
	{
		DEFAULT_VALUE	"   _servicetext2_   ";
	}
	HANDLING	READ;
}

COMMAND read_ETSRV2
{
	SLOT		3;
	INDEX		18;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			ETSRV2
		}
	}
}

//~ Betriebsdaten
/*************************************************************/
VARIABLE SWBDAT	// Betriebsdaten
{
	LABEL		[TXT_SW_ID62];
	HELP		[TXT_REM_ID62];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE	1;
		{ 0, [TXT_DEAKTIVIERT] },
		{ 1, [TXT_AKTIVIERT] }
	}
	HANDLING	READ & WRITE;
}

COMMAND read_SWBDAT
{
	SLOT		2;
	INDEX		14;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			SWBDAT
		}
	}
}

COMMAND write_SWBDAT
{
	SLOT		2;
	INDEX		14;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			SWBDAT
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

/*************************************************************/
VARIABLE BMLZG	// Motorlaufzeit, gesamt
{
	LABEL		[TXT_SW_ID100];
	HELP		[TXT_REM_ID100];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		UNSIGNED_INTEGER (4)
	{
		DEFAULT_VALUE	0;
		MIN_VALUE		0;
		MAX_VALUE		0xFFFFFFFF;
	}
	CONSTANT_UNIT	[Minuten];
	HANDLING	READ;
}

COMMAND read_BMLZG
{
	SLOT		4;
	INDEX		14;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			BMLZG
		}
	}
}

/*************************************************************/
VARIABLE BMLZ	// Motorlaufzeit
{
	LABEL		[TXT_SW_ID101];
	HELP		[TXT_REM_ID101];
	CLASS		CONTAINED & DYNAMIC;
	POST_EDIT_ACTIONS
	{
		set_to_zero(BMLZ)
	}
	POST_WRITE_ACTIONS
	{
#ifdef DDCCorrection
		meth_ReadCommand(read_BMLZ)
#else
		ReadCommand(read_BMLZ)
#endif
	}
	TYPE		UNSIGNED_INTEGER (4)
	{
		DEFAULT_VALUE	0;
		MIN_VALUE		0;
		MAX_VALUE		0xFFFFFFFF;
	}
	CONSTANT_UNIT	[Minuten];
	HANDLING	READ & WRITE;
}

COMMAND read_BMLZ
{
	SLOT		4;
	INDEX		1;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			BMLZ
		}
	}
}

COMMAND write_BMLZ
{
	SLOT		4;
	INDEX		1;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			BMLZ
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

/*************************************************************/
VARIABLE BSSPG	// Schaltspiele, gesamt
{
	LABEL		[TXT_SW_ID102];
	HELP		[TXT_REM_ID102];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		UNSIGNED_INTEGER (4)
	{
		DEFAULT_VALUE	0;
		MIN_VALUE		0;
		MAX_VALUE		0xFFFFFFFF;
	}
	HANDLING	READ;
}

COMMAND read_BSSPG
{
	SLOT		4;
	INDEX		15;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			BSSPG
		}
	}
}

/*************************************************************/
VARIABLE BSSP	// Schaltspiele
{
	LABEL		[TXT_SW_ID103];
	HELP		[TXT_REM_ID103];
	CLASS		CONTAINED & DYNAMIC;
	POST_EDIT_ACTIONS
	{
		set_to_zero(BSSP)
	}
	POST_WRITE_ACTIONS
	{
#ifdef DDCCorrection
		meth_ReadCommand(read_BSSP)
#else
		ReadCommand(read_BSSP)
#endif
	}
	TYPE		UNSIGNED_INTEGER (4)
	{
		DEFAULT_VALUE	0;
		MIN_VALUE		0;
		MAX_VALUE		0xFFFFFFFF;
	}
	HANDLING	READ & WRITE;
}

COMMAND read_BSSP
{
	SLOT		4;
	INDEX		2;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			BSSP
		}
	}
}

COMMAND write_BSSP
{
	SLOT		4;
	INDEX		2;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			BSSP
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

/*************************************************************/
VARIABLE BSDSRG	// DSR Stopps, gesamt
{
	LABEL		[TXT_SW_ID104];
	HELP		[TXT_REM_ID104];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		UNSIGNED_INTEGER (4)
	{
		DEFAULT_VALUE	0;
		MIN_VALUE		0;
		MAX_VALUE		0xFFFFFFFF;
	}
	HANDLING	READ;
}

COMMAND read_BSDSRG
{
	SLOT		4;
	INDEX		16;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			BSDSRG
		}
	}
}

/*************************************************************/
VARIABLE BSDSR	// DSR Stopps
{
	LABEL		[TXT_SW_ID105];
	HELP		[TXT_REM_ID105];
	CLASS		CONTAINED & DYNAMIC;
	POST_EDIT_ACTIONS
	{
		set_to_zero(BSDSR)
	}
	POST_WRITE_ACTIONS
	{
#ifdef DDCCorrection
		meth_ReadCommand(read_BSDSR)
#else
		ReadCommand(read_BSDSR)
#endif
	}
	TYPE		UNSIGNED_INTEGER (4)
	{
		DEFAULT_VALUE	0;
		MIN_VALUE		0;
		MAX_VALUE		0xFFFFFFFF;
	}
	HANDLING	READ & WRITE;
}

COMMAND read_BSDSR
{
	SLOT		4;
	INDEX		3;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			BSDSR
		}
	}
}

COMMAND write_BSDSR
{
	SLOT		4;
	INDEX		3;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			BSDSR
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

/*************************************************************/
VARIABLE BSWSRG	// WSR Stopps, gesamt
{
	LABEL		[TXT_SW_ID106];
	HELP		[TXT_REM_ID106];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		UNSIGNED_INTEGER (4)
	{
		DEFAULT_VALUE	0;
		MIN_VALUE		0;
		MAX_VALUE		0xFFFFFFFF;
	}
	HANDLING	READ;
}

COMMAND read_BSWSRG
{
	SLOT		4;
	INDEX		17;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			BSWSRG
		}
	}
}

/*************************************************************/
VARIABLE BSWSR	// WSR Stopps
{
	LABEL		[TXT_SW_ID107];
	HELP		[TXT_REM_ID107];
	CLASS		CONTAINED & DYNAMIC;
	POST_EDIT_ACTIONS
	{
		set_to_zero(BSWSR)
	}
	POST_WRITE_ACTIONS
	{
#ifdef DDCCorrection
		meth_ReadCommand(read_BSWSR)
#else
		ReadCommand(read_BSWSR)
#endif
	}
	TYPE		UNSIGNED_INTEGER (4)
	{
		DEFAULT_VALUE	0;
		MIN_VALUE		0;
		MAX_VALUE		0xFFFFFFFF;
	}
	HANDLING	READ & WRITE;
}

COMMAND read_BSWSR
{
	SLOT		4;
	INDEX		4;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			BSWSR
		}
	}
}

COMMAND write_BSWSR
{
	SLOT		4;
	INDEX		4;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			BSWSR
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

/*************************************************************/
VARIABLE BSDOLG	// DOEL Stopps, gesamt
{
	LABEL		[TXT_SW_ID108];
	HELP		[TXT_REM_ID108];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		UNSIGNED_INTEGER (4)
	{
		DEFAULT_VALUE	0;
		MIN_VALUE		0;
		MAX_VALUE		0xFFFFFFFF;
	}
	HANDLING	READ;
}

COMMAND read_BSDOLG
{
	SLOT		4;
	INDEX		18;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			BSDOLG
		}
	}
}

/*************************************************************/
VARIABLE BSDOL	// DOEL Stopps
{
	LABEL		[TXT_SW_ID109];
	HELP		[TXT_REM_ID109];
	CLASS		CONTAINED & DYNAMIC;
	POST_EDIT_ACTIONS
	{
		set_to_zero(BSDOL)
	}
	POST_WRITE_ACTIONS
	{
#ifdef DDCCorrection
		meth_ReadCommand(read_BSDOL)
#else
		ReadCommand(read_BSDOL)
#endif
	}
	TYPE		UNSIGNED_INTEGER (4)
	{
		DEFAULT_VALUE	0;
		MIN_VALUE		0;
		MAX_VALUE		0xFFFFFFFF;
	}
	HANDLING	READ & WRITE;
}

COMMAND read_BSDOL
{
	SLOT		4;
	INDEX		5;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			BSDOL
		}
	}
}

COMMAND write_BSDOL
{
	SLOT		4;
	INDEX		5;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			BSDOL
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

/*************************************************************/
VARIABLE BSWOLG	// WOEL Stopps, gesamt
{
	LABEL		[TXT_SW_ID110];
	HELP		[TXT_REM_ID110];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		UNSIGNED_INTEGER (4)
	{
		DEFAULT_VALUE	0;
		MIN_VALUE		0;
		MAX_VALUE		0xFFFFFFFF;
	}
	HANDLING	READ;
}

COMMAND read_BSWOLG
{
	SLOT		4;
	INDEX		19;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			BSWOLG
		}
	}
}

/*************************************************************/
VARIABLE BSWOL	// WOEL Stopps
{
	LABEL		[TXT_SW_ID111];
	HELP		[TXT_REM_ID111];
	CLASS		CONTAINED & DYNAMIC;
	POST_EDIT_ACTIONS
	{
		set_to_zero(BSWOL)
	}
	POST_WRITE_ACTIONS
	{
#ifdef DDCCorrection
		meth_ReadCommand(read_BSWOL)
#else
		ReadCommand(read_BSWOL)
#endif
	}
	TYPE		UNSIGNED_INTEGER (4)
	{
		DEFAULT_VALUE	0;
		MIN_VALUE		0;
		MAX_VALUE		0xFFFFFFFF;
	}
	HANDLING	READ & WRITE;
}

COMMAND read_BSWOL
{
	SLOT		4;
	INDEX		6;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			BSWOL
		}
	}
}

COMMAND write_BSWOL
{
	SLOT		4;
	INDEX		6;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			BSWOL
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

/*************************************************************/
VARIABLE BRESEG	// Systemstarts, gesamt
{
	LABEL		[TXT_SW_ID122];
	HELP		[TXT_REM_ID122];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		UNSIGNED_INTEGER (4)
	{
		DEFAULT_VALUE	0;
		MIN_VALUE		0;
		MAX_VALUE		0xFFFFFFFF;
	}
	HANDLING	READ;
}

COMMAND read_BRESEG
{
	SLOT		4;
	INDEX		25;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			BRESEG
		}
	}
}

/*************************************************************/
VARIABLE BRESE	// Systemstarts
{
	LABEL		[TXT_SW_ID123];
	HELP		[TXT_REM_ID123];
	CLASS		CONTAINED & DYNAMIC;
	POST_EDIT_ACTIONS
	{
		set_to_zero(BRESE)
	}
	POST_WRITE_ACTIONS
	{
#ifdef DDCCorrection
		meth_ReadCommand(read_BRESE)
#else
		ReadCommand(read_BRESE)
#endif
	}
	TYPE		UNSIGNED_INTEGER (4)
	{
		DEFAULT_VALUE	0;
		MIN_VALUE		0;
		MAX_VALUE		0xFFFFFFFF;
	}
	HANDLING	READ & WRITE;
}

COMMAND read_BRESE
{
	SLOT		4;
	INDEX		13;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			BRESE
		}
	}
}

COMMAND write_BRESE
{
	SLOT		4;
	INDEX		13;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			BRESE
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

/*************************************************************/
VARIABLE BDSREG	// DSR Fehler, gesamt
{
	LABEL		[TXT_SW_ID112];
	HELP		[TXT_REM_ID112];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		UNSIGNED_INTEGER (4)
	{
		DEFAULT_VALUE	0;
		MIN_VALUE		0;
		MAX_VALUE		0xFFFFFFFF;
	}
	HANDLING	READ;
}

COMMAND read_BDSREG
{
	SLOT		4;
	INDEX		20;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			BDSREG
		}
	}
}

/*************************************************************/
VARIABLE BDSRE	// DSR Fehler
{
	LABEL		[TXT_SW_ID113];
	HELP		[TXT_REM_ID113];
	CLASS		CONTAINED & DYNAMIC;
	POST_EDIT_ACTIONS
	{
		set_to_zero(BDSRE)
	}
	POST_WRITE_ACTIONS
	{
#ifdef DDCCorrection
		meth_ReadCommand(read_BDSRE)
#else
		ReadCommand(read_BDSRE)
#endif
	}
	TYPE		UNSIGNED_INTEGER (4)
	{
		DEFAULT_VALUE	0;
		MIN_VALUE		0;
		MAX_VALUE		0xFFFFFFFF;
	}
	HANDLING	READ & WRITE;
}

COMMAND read_BDSRE
{
	SLOT		4;
	INDEX		7;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			BDSRE
		}
	}
}

COMMAND write_BDSRE
{
	SLOT		4;
	INDEX		7;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			BDSRE
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

/*************************************************************/
VARIABLE BDOLEG	// DOEL Fehler, gesamt
{
	LABEL		[TXT_SW_ID114];
	HELP		[TXT_REM_ID114];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		UNSIGNED_INTEGER (4)
	{
		DEFAULT_VALUE	0;
		MIN_VALUE		0;
		MAX_VALUE		0xFFFFFFFF;
	}
	HANDLING	READ;
}

COMMAND read_BDOLEG
{
	SLOT		4;
	INDEX		21;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			BDOLEG
		}
	}
}

/*************************************************************/
VARIABLE BDOLE	// DOEL FEHLER
{
	LABEL		[TXT_SW_ID115];
	HELP		[TXT_REM_ID115];
	CLASS		CONTAINED & DYNAMIC;
	POST_EDIT_ACTIONS
	{
		set_to_zero(BDOLE)
	}
	POST_WRITE_ACTIONS
	{
#ifdef DDCCorrection
		meth_ReadCommand(read_BDOLE)
#else
		ReadCommand(read_BDOLE)
#endif
	}
	TYPE		UNSIGNED_INTEGER (4)
	{
		DEFAULT_VALUE	0;
		MIN_VALUE		0;
		MAX_VALUE		0xFFFFFFFF;
	}
	HANDLING	READ & WRITE;
}

COMMAND read_BDOLE
{
	SLOT		4;
	INDEX		8;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			BDOLE
		}
	}
}

COMMAND write_BDOLE
{
	SLOT		4;
	INDEX		8;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			BDOLE
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

/*************************************************************/
VARIABLE BTHEG	// Thermofehler, gesamt
{
	LABEL		[TXT_SW_ID116];
	HELP		[TXT_REM_ID116];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		UNSIGNED_INTEGER (4)
	{
		DEFAULT_VALUE	0;
		MIN_VALUE		0;
		MAX_VALUE		0xFFFFFFFF;
	}
	HANDLING	READ;
}

COMMAND read_BTHEG
{
	SLOT		4;
	INDEX		22;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			BTHEG
		}
	}
}


/*************************************************************/
VARIABLE BTHE	// Thermofehler
{
	LABEL		[TXT_SW_ID117];
	HELP		[TXT_REM_ID117];
	CLASS		CONTAINED & DYNAMIC;
	POST_EDIT_ACTIONS
	{
		set_to_zero(BTHE)
	}
	POST_WRITE_ACTIONS
	{
#ifdef DDCCorrection
		meth_ReadCommand(read_BTHE)
#else
		ReadCommand(read_BTHE)
#endif
	}
	TYPE		UNSIGNED_INTEGER (4)
	{
		DEFAULT_VALUE	0;
		MIN_VALUE		0;
		MAX_VALUE		0xFFFFFFFF;
	}
	HANDLING	READ & WRITE;
}

COMMAND read_BTHE
{
	SLOT		4;
	INDEX		9;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			BTHE
		}
	}
}

COMMAND write_BTHE
{
	SLOT		4;
	INDEX		9;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			BTHE
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

/*************************************************************/
VARIABLE BUZEG	// ED-Warnung Zeit 1, gesamt
{
	LABEL		[TXT_SW_ID120];
	HELP		[TXT_REM_ID120];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		UNSIGNED_INTEGER (4)
	{
		DEFAULT_VALUE	0;
		MIN_VALUE		0;
		MAX_VALUE		0xFFFFFFFF;
	}
	CONSTANT_UNIT	[Minuten];
	HANDLING	READ;
}

COMMAND read_BUZEG
{
	SLOT		4;
	INDEX		24;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			BUZEG
		}
	}
}

/*************************************************************/
VARIABLE BUZE	// ED-Warnung Zeit 1
{
	LABEL		[TXT_SW_ID121];
	HELP		[TXT_REM_ID121];
	CLASS		CONTAINED & DYNAMIC;
	POST_EDIT_ACTIONS
	{
		set_to_zero(BUZE)
	}
	POST_WRITE_ACTIONS
	{
#ifdef DDCCorrection
		meth_ReadCommand(read_BUZE)
#else
		ReadCommand(read_BUZE)
#endif
	}
	TYPE		UNSIGNED_INTEGER (4)
	{
		DEFAULT_VALUE	0;
		MIN_VALUE		0;
		MAX_VALUE		0xFFFFFFFF;
	}
	CONSTANT_UNIT	[Minuten];
	HANDLING	READ & WRITE;
}

COMMAND read_BUZE
{
	SLOT		4;
	INDEX		11;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			BUZE
		}
	}
}

COMMAND write_BUZE
{
	SLOT		4;
	INDEX		11;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			BUZE
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

/*************************************************************/
VARIABLE BUMZEG	// ED-Warnung Zeit 2, gesamt
{
	LABEL		[TXT_SW_ID124];
	HELP		[TXT_REM_ID124];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		UNSIGNED_INTEGER (4)
	{
		DEFAULT_VALUE	0;
		MIN_VALUE		0;
		MAX_VALUE		0xFFFFFFFF;
	}
	CONSTANT_UNIT	[Minuten];
	HANDLING	READ;
}

COMMAND read_BUMZEG
{
	SLOT		4;
	INDEX		26;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			BUMZEG
		}
	}
}

/*************************************************************/
VARIABLE BUMZE	// ED-Warnung Zeit 2
{
	LABEL		[TXT_SW_ID125];
	HELP		[TXT_REM_ID125];
	CLASS		CONTAINED & DYNAMIC;
	POST_EDIT_ACTIONS
	{
		set_to_zero(BUMZE)
	}
	POST_WRITE_ACTIONS
	{
#ifdef DDCCorrection
		meth_ReadCommand(read_BUMZE)
#else
		ReadCommand(read_BUMZE)
#endif
	}
	TYPE		UNSIGNED_INTEGER (4)
	{
		DEFAULT_VALUE	0;
		MIN_VALUE		0;
		MAX_VALUE		0xFFFFFFFF;
	}
	CONSTANT_UNIT	[Minuten];
	HANDLING	READ & WRITE;
}

COMMAND read_BUMZE
{
	SLOT		4;
	INDEX		12;
	OPERATION	READ;
	TRANSACTION
	{
		REPLY
		{
			BUMZE
		}
	}
}

COMMAND write_BUMZE
{
	SLOT		4;
	INDEX		12;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			BUMZE
		}
#ifdef DDCCorrection
		REPLY
		{
		}
#endif
	}
}

//~ ab V2.0: STATUS: Variablen + Kommandos
//~ Allgemein
// Variablendefinitionen
VARIABLE var_StatusAllgemeinFaehrtAuf 	// Status-Allgemein-Fhrt AUF
{
   LABEL		[TXT_FAEHRT_AUF];
   HELP		[TXT_NOT_AVAILABLE];	//''''
   CLASS		CONTAINED & DYNAMIC;
   TYPE		ENUMERATED  //BIT_ENUMERATED
   {
      DEFAULT_VALUE	0;
      {  0, [TXT_NEIN]},
      {  1, [TXT_JA]},
   }
   HANDLING		READ;
}
 var_StatusAllgemeinFaehrtZu LIKE VARIABLE var_StatusAllgemeinFaehrtAuf
{
   REDEFINE LABEL		[TXT_FAEHRT_ZU];
   REDEFINE HELP		[TXT_NOT_AVAILABLE];	//''''
}
 var_StatusAllgemeinIstAuf LIKE VARIABLE var_StatusAllgemeinFaehrtAuf
{
   REDEFINE LABEL		[TXT_IST_AUF];
   REDEFINE HELP		[TXT_NOT_AVAILABLE];	//''''
}
 var_StatusAllgemeinIstZu LIKE VARIABLE var_StatusAllgemeinFaehrtAuf
{
   REDEFINE LABEL		[TXT_IST_ZU];
   REDEFINE HELP		[TXT_NOT_AVAILABLE];	//''''
}
 var_StatusAllgemeinIstSoll LIKE VARIABLE var_StatusAllgemeinFaehrtAuf
{
   REDEFINE LABEL		[TXT_IST_SOLL];
   REDEFINE HELP		[TXT_NOT_AVAILABLE];	//''''
}
// Lese-Kommando
COMMAND read_var_StatusAllgemein
{
   SLOT		211;
   INDEX		1;
   OPERATION	READ;
   TRANSACTION
   {
      REPLY
      {
         var_unused_s211i1_by0,					/* Byte 0 */
         var_unused_s211i1_by1_5ff		<0xD0>,	/* Byte 1   1110 0000*/
         var_StatusAllgemeinIstSoll		<0x10>,	/* Byte 1   0001 0000*/
         var_StatusAllgemeinIstZu		<0x08>,	/* Byte 1   0000 1000*/
         var_StatusAllgemeinIstAuf		<0x04>,	/* Byte 1   0000 0100*/
         var_StatusAllgemeinFaehrtZu		<0x02>,	/* Byte 1   0000 0010*/
         var_StatusAllgemeinFaehrtAuf	<0x01>	/* Byte 1   0000 0001*/
      }
   }
}
//~ Betriebsmodus
// Variablendefinitionen
VARIABLE var_StatusBetriebAus 	// Sammelwert: Status-Betriebsmodus AUS
{
   LABEL		[TXT_MAUS];
   HELP		[TXT_NOT_AVAILABLE];	//''''
   CLASS		CONTAINED & DYNAMIC;
   TYPE		ENUMERATED (2)
   {
      DEFAULT_VALUE	0;
      {   0, [TXT_JA]  },
      {   1, [TXT_NEIN]},
   }
   HANDLING		READ;
   POST_READ_ACTIONS
   {
      /* Hier erfolgt die Zuweisung: 
      	var = 0, wenn kein bit gesetzt ist, 
      	var = 1, wenn ein beliebiges Bitmuster gesetzt ist
      (auf diese Weise mssen keine 65000 Werte bei den Enum-Werten definiert werden)
      */
      method_RecalculateStatusBetriebAus
   }
}
//---< ab hier Definition der Bit-Variablen >----
VARIABLE var_StatusBetriebOrtClient
{
   LABEL		[TXT_MCLIENT];
   HELP		[TXT_NOT_AVAILABLE];	//''''
   CLASS		CONTAINED & DYNAMIC;
   TYPE		ENUMERATED   //BIT_ENUMERATED
   {
      DEFAULT_VALUE	0;
      {  0, [TXT_NEIN]},
      {  1, [TXT_JA]},
   }
   HANDLING		READ;
}
var_StatusBetriebNotAus LIKE VARIABLE var_StatusBetriebOrtClient
{
   REDEFINE LABEL		[TXT_MNOTAUS];
   REDEFINE HELP		[TXT_NOT_AVAILABLE];	//''''
}
var_StatusBetriebGesperrt LIKE VARIABLE var_StatusBetriebOrtClient
{
   REDEFINE LABEL		[TXT_MRESTRICTED];
   REDEFINE HELP		[TXT_NOT_AVAILABLE];	//''''
}
var_StatusBetriebPIDFahrt LIKE VARIABLE var_StatusBetriebOrtClient
{
   REDEFINE LABEL		[TXT_MPIDFAHRT];
   REDEFINE HELP		[TXT_NOT_AVAILABLE];	//''''
}
var_StatusBetriebNotFahrt LIKE VARIABLE var_StatusBetriebOrtClient
{
   REDEFINE LABEL		[TXT_MNOTFAHRT];
   REDEFINE HELP		[TXT_NOT_AVAILABLE];	//''''
}
var_StatusBetriebSichFahrt LIKE VARIABLE var_StatusBetriebOrtClient
{
   REDEFINE LABEL		[TXT_MSICHFAHRT];
   REDEFINE HELP		[TXT_NOT_AVAILABLE];	//''''
}
var_StatusBetriebFernSoll LIKE VARIABLE var_StatusBetriebOrtClient
{
   REDEFINE LABEL		[TXT_MFERN_SOLL];
   REDEFINE HELP		[TXT_NOT_AVAILABLE];	//''''
}
var_StatusBetriebFernBinaer LIKE VARIABLE var_StatusBetriebOrtClient
{
   REDEFINE LABEL		[TXT_MFERN_BINAER];
   REDEFINE HELP		[TXT_NOT_AVAILABLE];	//''''
}
var_StatusBetriebOrt LIKE VARIABLE var_StatusBetriebOrtClient
{
   REDEFINE LABEL		[TXT_MORT];
   REDEFINE HELP		[TXT_NOT_AVAILABLE];	//''''
}
// Lese-Kommando
COMMAND read_var_StatusBetriebsmodusAus
{
   SLOT		209;
   INDEX		1;
   OPERATION	READ;
   TRANSACTION
   {
      REPLY
      {
         var_StatusBetriebAus,
      }
   }
}
COMMAND read_var_StatusBetriebsmodus
{
   SLOT		209;
   INDEX		1;
   OPERATION	READ;
   TRANSACTION
   {
      REPLY
      {
         var_unused_s209i1_by0_2ff		<0xFC>,	/* Byte 0   1111 1100*/
         var_StatusBetriebOrtClient		<0x02>,	/* Byte 0   0000 0010*/
         var_StatusBetriebNotAus			<0x01>,	/* Byte 0   0000 0001*/

         var_StatusBetriebGesperrt		<0x80>,	/* Byte 1   1000 0000*/
         var_unused_s209i1_by1_6			<0x40>,	/* Byte 1   0100 0000*/
         var_StatusBetriebPIDFahrt		<0x20>,	/* Byte 1   0010 0000*/
         var_StatusBetriebNotFahrt		<0x10>,	/* Byte 1   0001 0000*/
         var_StatusBetriebSichFahrt		<0x08>,	/* Byte 1   0000 1000*/
         var_StatusBetriebFernSoll		<0x04>,	/* Byte 1   0000 0100*/
         var_StatusBetriebFernBinaer		<0x02>,	/* Byte 1   0000 0010*/
         var_StatusBetriebOrt			<0x01>,	/* Byte 1   0000 0001*/
      }
   }
}
//~ Stellbefehle
// Variablendefinitionen
VARIABLE var_StatusStellbefehleSollPos
{
   LABEL		[TXT_SW_ID48];
   HELP		[TXT_NOT_AVAILABLE];	//'''' Anforderung WLaen 07.02.07
   //HELP		[TXT_REM_ID48];
   CLASS		CONTAINED & DYNAMIC;
   TYPE		UNSIGNED_INTEGER (2)
   {
      DEFAULT_VALUE	0;
      MIN_VALUE		0;
      MAX_VALUE		1200;
   }
   CONSTANT_UNIT	[Promille];
   HANDLING		READ;
}
//---< ab hier Definition der Bit-Variablen >----
VARIABLE var_StatusStellbefehleFernAuf
{
   LABEL		[TXT_A];
   HELP		[TXT_NOT_AVAILABLE];	//''''
   CLASS		CONTAINED & DYNAMIC;
   TYPE		ENUMERATED   //BIT_ENUMERATED
   {
      DEFAULT_VALUE	0;
      {  0, [TXT_NEIN]}
      {  1, [TXT_JA]},
   }
   HANDLING		READ;
}
var_StatusStellbefehleFernZu LIKE VARIABLE var_StatusStellbefehleFernAuf
{
   REDEFINE LABEL		[TXT_Z];
   REDEFINE HELP		[TXT_NOT_AVAILABLE];	//''''
}
var_StatusStellbefehleFernSoll LIKE VARIABLE var_StatusStellbefehleFernAuf
{
   REDEFINE LABEL		[TXT_SOLL];
   REDEFINE HELP		[TXT_NOT_AVAILABLE];	//''''
}
// Lese-Kommando
COMMAND read_var_StatusStellbefehleBits
{
   SLOT		210;
   INDEX		1;
   OPERATION	READ;
   TRANSACTION
   {
      REPLY
      {
         var_unused_s210i1_by0,					/* Byte 0 */

         var_unused_s210i1_by1_3ff		<0xF8>,	/* Byte 1   1111 1000*/
         var_StatusStellbefehleFernSoll	<0x04>,	/* Byte 1   0000 0100*/
         var_StatusStellbefehleFernZu	<0x02>,	/* Byte 1   0000 0010*/
         var_StatusStellbefehleFernAuf	<0x01>,	/* Byte 1   0000 0001*/
      }
   }
}
COMMAND read_var_StatusStellbefehleSollPos
{
   SLOT		202;
   INDEX		1;
   OPERATION	READ;
   TRANSACTION
   {
      REPLY
      {
         var_StatusStellbefehleSollPos
      }
   }
}
//~ Fehler
// Variablendefinitionen
VARIABLE var_StatusFehlerDSRFehler
{
   LABEL		[TXT_DSR_FEHLER_IND];
   HELP		[TXT_NOT_AVAILABLE];	//''''
   CLASS		CONTAINED & DYNAMIC;
   TYPE		ENUMERATED   //BIT_ENUMERATED
   {
      DEFAULT_VALUE	0;
      {  0, [TXT_NEIN]},
      {  1, [TXT_JA]},
   }
   HANDLING		READ;
}
var_StatusFehlerDOELFehler LIKE VARIABLE var_StatusFehlerDSRFehler
{
   REDEFINE LABEL		[TXT_DOEL_FEHLER_IND];
   REDEFINE HELP		[TXT_NOT_AVAILABLE];	//''''
}
var_StatusFehlerThermoFehler LIKE VARIABLE var_StatusFehlerDSRFehler
{
   REDEFINE LABEL		[TXT_THERMO_FEHLER_IND];
   REDEFINE HELP		[TXT_NOT_AVAILABLE];	//''''
}
var_StatusFehlerPhasenausfall LIKE VARIABLE var_StatusFehlerDSRFehler
{
   REDEFINE LABEL		[TXT_PHAUSFALL];
   REDEFINE HELP		[TXT_NOT_AVAILABLE];	//''''
}
var_StatusFehlerKonfigFehler LIKE VARIABLE var_StatusFehlerDSRFehler
{
   REDEFINE LABEL		[TXT_CFG_FEHLER];
   REDEFINE HELP		[TXT_NOT_AVAILABLE];	//''''
}
var_StatusFehlerInternerFehler LIKE VARIABLE var_StatusFehlerDSRFehler
{
   REDEFINE LABEL		[TXT_INT_FEHLER];
   REDEFINE HELP		[TXT_NOT_AVAILABLE];	//''''
}
// Lese-Kommando
COMMAND read_var_StatusFehler
{
   SLOT		203;
   INDEX		1;
   OPERATION	READ;
   TRANSACTION
   {
      REPLY
      {
         var_unused_s203i1_by0,					/* Byte 0 */

         var_unused_s203i1_by1_7			<0x80>,	/* Byte 1   1000 0000*/
         var_StatusFehlerInternerFehler	<0x40>,	/* Byte 1   0100 0000*/
         var_StatusFehlerDSRFehler		<0x20>,	/* Byte 1   0010 0000*/
         var_StatusFehlerDOELFehler		<0x10>,	/* Byte 1   0001 0000*/

         var_StatusFehlerPhasenausfall	<0x08>,	/* Byte 1   0000 1000*/
         var_StatusFehlerThermoFehler	<0x04>,	/* Byte 1   0000 0100*/
         var_unused_s203i1_by1_1			<0x02>,	/* Byte 1   0000 0010*/
         var_StatusFehlerKonfigFehler	<0x01>,	/* Byte 1   0000 0001*/
      }
   }
}
//~ Warnungen
// Variablendefinitionen
VARIABLE var_StatusWarnungenStellzeitwarnung
{
   LABEL		[TXT_STELLZEITWRN];
   HELP		[TXT_NOT_AVAILABLE];	//''''
   CLASS		CONTAINED & DYNAMIC;
   TYPE		ENUMERATED   //BIT_ENUMERATED
   {
      DEFAULT_VALUE	0;
      {  0, [TXT_NEIN]},
      {  1, [TXT_JA]},
   }
   HANDLING		READ;
}
var_StatusWarnungEDWarnung LIKE VARIABLE var_StatusWarnungenStellzeitwarnung
{
   REDEFINE LABEL		[TXT_EDWRN];
   REDEFINE HELP		[TXT_NOT_AVAILABLE];	//''''
}
var_StatusWarnungKeineReferenzfahrt LIKE VARIABLE var_StatusWarnungenStellzeitwarnung
{
   REDEFINE LABEL		[TXT_NOREFFAHRT];
   REDEFINE HELP		[TXT_NOT_AVAILABLE];	//''''
}
var_StatusWarnungInterneWarnung LIKE VARIABLE var_StatusWarnungenStellzeitwarnung
{
   REDEFINE LABEL		[TXT_INT_WARNUNG];
   REDEFINE HELP		[TXT_NOT_AVAILABLE];	//''''
}
var_StatusWarnungSigbrPAR2AnIn2 LIKE VARIABLE var_StatusWarnungenStellzeitwarnung
{
   REDEFINE LABEL		[TXT_PIDIGIN_SIGBR_AN2];
   REDEFINE HELP		[TXT_NOT_AVAILABLE];	//''''
}
var_StatusWarnungSigbrPAR1AnIn1 LIKE VARIABLE var_StatusWarnungenStellzeitwarnung
{
   REDEFINE LABEL		[TXT_PIDIGIN_SIGBR_AN1];
   REDEFINE HELP		[TXT_NOT_AVAILABLE];	//''''
}
var_StatusWarnungSigbrProzIstwertE4 LIKE VARIABLE var_StatusWarnungenStellzeitwarnung
{
   REDEFINE LABEL		[TXT_WARN1_SIGBR_PIST];
   REDEFINE HELP		[TXT_NOT_AVAILABLE];	//''''
}
var_StatusWarnungSigbrDP1AnIn1 LIKE VARIABLE var_StatusWarnungenStellzeitwarnung
{
   REDEFINE LABEL		[TXT_WARN2_SIGBR_BUS1A1];
   REDEFINE HELP		[TXT_NOT_AVAILABLE];	//''''
}
var_StatusWarnungSigbrDP1AnIn2 LIKE VARIABLE var_StatusWarnungenStellzeitwarnung
{
   REDEFINE LABEL		[TXT_WARN2_SIGBR_BUS1A2];
   REDEFINE HELP		[TXT_NOT_AVAILABLE];	//''''
}
var_StatusWarnungSigbrSollposE1 LIKE VARIABLE var_StatusWarnungenStellzeitwarnung
{
   REDEFINE LABEL		[TXT_WARN2_SIGBR_EXT];
   REDEFINE HELP		[TXT_NOT_AVAILABLE];	//''''
}
var_StatusWarnungSigbrIstposE2 LIKE VARIABLE var_StatusWarnungenStellzeitwarnung
{
   REDEFINE LABEL		[TXT_WARN2_SIGBR_STG];
   REDEFINE HELP		[TXT_NOT_AVAILABLE];	//''''
}
var_StatusWarnungSigbrLWLModul LIKE VARIABLE var_StatusWarnungenStellzeitwarnung
{
   REDEFINE LABEL		[TXT_WARN2_SIGBR_LWL];
   REDEFINE HELP		[TXT_NOT_AVAILABLE];	//''''
}
var_StatusWarnungSigbrDreMoE6 LIKE VARIABLE var_StatusWarnungenStellzeitwarnung
{
   REDEFINE LABEL		[TXT_WARN2_SIGBR_TRQ];
   REDEFINE HELP		[TXT_NOT_AVAILABLE];	//''''
}
// Lese-Kommando
COMMAND read_var_StatusWarnungen
{
   SLOT		204;
   INDEX		1;
   OPERATION	READ;
   TRANSACTION
   {
      REPLY
      {
         var_StatusWarnungenStellzeitwarnung		<0x80>,	/* Byte 0   1000 0000*/
         var_StatusWarnungEDWarnung				<0x40>,	/* Byte 0   0100 0000*/
         var_StatusWarnungKeineReferenzfahrt		<0x20>,	/* Byte 0   0010 0000*/
         var_StatusWarnungInterneWarnung			<0x10>,	/* Byte 0   0001 0000*/

         var_StatusWarnungSigbrPAR2AnIn2			<0x08>,	/* Byte 0   0000 1000*/
         var_StatusWarnungSigbrPAR1AnIn1			<0x04>,	/* Byte 0   0000 0100*/
         var_unused_s204i1_by0_1					<0x02>,	/* Byte 0   0000 0010*/
         var_StatusWarnungSigbrProzIstwertE4		<0x01>,	/* Byte 0   0000 0001*/
         var_StatusWarnungSigbrDP1AnIn1			<0x80>,	/* Byte 1   1000 0000*/
         var_StatusWarnungSigbrDP1AnIn2			<0x40>,	/* Byte 1   0100 0000*/
         var_unused_s204i1_by1_5					<0x20>,	/* Byte 1   0010 0000*/
         var_unused_s204i1_by1_4					<0x10>,	/* Byte 1   0001 0000*/

         var_StatusWarnungSigbrSollposE1			<0x08>,	/* Byte 1   0000 1000*/
         var_StatusWarnungSigbrIstposE2			<0x04>,	/* Byte 1   0000 0100*/
         var_StatusWarnungSigbrLWLModul			<0x02>,	/* Byte 1   0000 0010*/
         var_StatusWarnungSigbrDreMoE6			<0x01>,	/* Byte 1   0000 0001*/
      }
   }
}
//~ NichtBereitFern
// Variablendefinitionen
VARIABLE var_StatusNichtBerFernORTClient
{
   LABEL		[TXT_ORTCLIENT];
   HELP		[TXT_NOT_AVAILABLE];	//''''
   CLASS		CONTAINED & DYNAMIC;
   TYPE		ENUMERATED   //BIT_ENUMERATED
   {
      DEFAULT_VALUE	0;
      {  0, [TXT_NEIN]},
      {  1, [TXT_JA]},
   }
   HANDLING		READ;
}
var_StatusNichtBerFernAntriebverriegelt LIKE VARIABLE var_StatusNichtBerFernORTClient
{
   REDEFINE LABEL		[TXT_ACT_LOCKED];
   REDEFINE HELP		[TXT_NOT_AVAILABLE];	//''''
}
var_StatusNichtBerFernExternerBetrieb LIKE VARIABLE var_StatusNichtBerFernORTClient
{
   REDEFINE LABEL		[TXT_EXT_BUSIN];
   REDEFINE HELP		[TXT_NOT_AVAILABLE];	//''''
}
var_StatusNichtBerFernClearZustand LIKE VARIABLE var_StatusNichtBerFernORTClient
{
   REDEFINE LABEL		[TXT_CLEAR];
   REDEFINE HELP		[TXT_NOT_AVAILABLE];	//''''
}
var_StatusNichtBerFernNOTFahrtaktiv LIKE VARIABLE var_StatusNichtBerFernORTClient
{
   REDEFINE LABEL		[TXT_NOTFAHRT_AKTIV];
   REDEFINE HELP		[TXT_NOT_AVAILABLE];	//''''
}
var_StatusNichtBerFernNOTAUSaktiv LIKE VARIABLE var_StatusNichtBerFernORTClient
{
   REDEFINE LABEL		[TXT_NOTAUS_AKTIV];
   REDEFINE HELP		[TXT_NOT_AVAILABLE];	//''''
}
var_StatusNichtBerFernWahlschNichtFern LIKE VARIABLE var_StatusNichtBerFernORTClient
{
   REDEFINE LABEL		[TXT_WS_FEHLER];
   REDEFINE HELP		[TXT_NOT_AVAILABLE];	//''''
}
var_StatusNichtBerFernFalschesKommando LIKE VARIABLE var_StatusNichtBerFernORTClient
{
   REDEFINE LABEL		[TXT_BEFEHLS_FEHLER];
   REDEFINE HELP		[TXT_NOT_AVAILABLE];	//''''
}
// Sammelwert "Keine Freigabe"
VARIABLE var_StatusNichtBerFernKeineFreigage 	// Sammelwert: keine Freigabe
{
   LABEL		[TXT_KEINENBF];
   HELP		[TXT_NOT_AVAILABLE];	//''''
   CLASS		CONTAINED & DYNAMIC;
   TYPE		ENUMERATED (2)
   {
      DEFAULT_VALUE	0;
      {   0, [TXT_JA]  },
      {   1, [TXT_NEIN]},
   }
   HANDLING		READ;
   POST_READ_ACTIONS
   {
      /* Hier erfolgt die Zuweisung: 
      	var = 0, wenn kein bit gesetzt ist, 
      	var = 1, wenn ein beliebiges Bitmuster gesetzt ist
      (auf diese Weise mssen keine 65000 Werte bei den Enum-Werten definiert werden)
      */
      method_RecalculateNichtBereitFern
   }
}
// Lese-Kommando
COMMAND read_var_StatusNichtBereitFernKeineFreigabe
{
   SLOT		205;
   INDEX		1;
   OPERATION	READ;
   TRANSACTION
   {
      REPLY
      {
         var_StatusNichtBerFernKeineFreigage,
      }
   }
}
COMMAND read_var_StatusNichtBereitFern
{
   SLOT		205;
   INDEX		1;
   OPERATION	READ;
   TRANSACTION
   {
      REPLY
      {
         var_unused_s205i1_by0_2ff				<0xFC>,	/* Byte 0   1111 1100*/
         var_StatusNichtBerFernORTClient			<0x02>,	/* Byte 0   0000 0010*/
         var_StatusNichtBerFernAntriebverriegelt	<0x01>,	/* Byte 0   0000 0001*/
         var_StatusNichtBerFernExternerBetrieb	<0x80>,	/* Byte 1   1000 0000*/
         var_StatusNichtBerFernClearZustand		<0x40>,	/* Byte 1   0100 0000*/
         var_StatusNichtBerFernNOTFahrtaktiv		<0x20>,	/* Byte 1   0010 0000*/
         var_StatusNichtBerFernNOTAUSaktiv		<0x10>,	/* Byte 1   0001 0000*/

         var_unused_s205i1_by1_3					<0x08>,	/* Byte 1   0000 1000*/
         var_unused_s205i1_by1_2					<0x04>,	/* Byte 1   0000 0100*/
         var_StatusNichtBerFernWahlschNichtFern	<0x02>,	/* Byte 1   0000 0010*/
         var_StatusNichtBerFernFalschesKommando	<0x01>,	/* Byte 1   0000 0001*/
      }
   }
}
//~ Drehmoment
// Variablendefinitionen
VARIABLE var_StatusDreMoInProzent
{
   LABEL		[TXT_SW_ID21];
   HELP		[TXT_NOT_AVAILABLE];	//'''' Anforderung WLaen 07.02.07
   //HELP		[TXT_REM_ID21];
   CLASS		CONTAINED & DYNAMIC;
   TYPE		INTEGER (2)
   {
      DEFAULT_VALUE	0;
      MIN_VALUE		-DREMO_MAXWERT_PROZ;
      MAX_VALUE		DREMO_MAXWERT_PROZ;
   }
   CONSTANT_UNIT	[Prozent];
   HANDLING		READ;
#ifdef DDCCorrection
   	ValidityCondition(var_StatusDreMoInProzent)
#else
   	VALIDITY		FALSE;	//Anpassung an den Defaultwert Nm von TRQIND
#endif
}
VARIABLE var_StatusDreMoInNm
{
   LABEL		[TXT_SW_ID21];
   HELP		[TXT_NOT_AVAILABLE];	//'''' Anforderung WLaen 07.02.07
   //HELP		[TXT_REM_ID21];
   CLASS		CONTAINED & DYNAMIC;
   TYPE		INTEGER (4)
   {
      DEFAULT_VALUE	0;
      MIN_VALUE		-DREMO_MAXWERT_NMLBSFT;
      MAX_VALUE		DREMO_MAXWERT_NMLBSFT;
   }
   CONSTANT_UNIT	[Nm];
   HANDLING		READ;
#ifdef DDCCorrection
   	ValidityCondition(var_StatusDreMoInNm)
#else
   	VALIDITY		TRUE;	//Anpassung an den Defaultwert Nm von TRQIND
#endif
}
var_StatusDreMoInLbsft LIKE VARIABLE var_StatusDreMoInNm
{
   REDEFINE CONSTANT_UNIT	[LBSFT];
   //hier wird der Hilfetext des Basiselements uebernommen!
#ifdef DDCCorrection
   	REDEFINE VALIDITY
   		IF (var_StatusDreMoInLbsft_VALIDITY == _TRUE)
   		{TRUE;} ELSE {FALSE;}
#else
   	REDEFINE VALIDITY	FALSE;	//Anpassung an den Defaultwert Nm von TRQIND
#endif
}
// Lese-Kommando
COMMAND read_var_StatusDreMoInProzent	//Prozentwert
{
   SLOT		201;
   INDEX		1;
   OPERATION	READ;
   TRANSACTION
   {
      REPLY
      {
         var_StatusDreMoInProzent
      }
   }
}
COMMAND read_var_StatusDreMoInNm		//Nm
{
   SLOT		201;
   INDEX		4;
   OPERATION	READ;
   TRANSACTION
   {
      REPLY
      {
         var_StatusDreMoInNm
      }
   }
}
COMMAND read_var_StatusDreMoInLbsft		//LbsFt
{
   SLOT		201;
   INDEX		5;
   OPERATION	READ;
   TRANSACTION
   {
      REPLY
      {
         var_StatusDreMoInLbsft
      }
   }
}
//~ Stellungsregler
// Variablendefinitionen
VARIABLE var_StatusStellReglerIstPos
{
   LABEL		[TXT_CAPT_ISTPOS_E2];
   HELP		[TXT_NOT_AVAILABLE];	//''''
   CLASS		CONTAINED & DYNAMIC;
   TYPE		UNSIGNED_INTEGER (2)
   {
      DEFAULT_VALUE	0;
      MIN_VALUE		0;
      MAX_VALUE		1500;
   }
   CONSTANT_UNIT	[Promille];
   HANDLING		READ;
}
/* die Variable "Sollposition E1" (var_StatusStellbefehleSollPos, Slot 202, 
   Index 1) samt zugehoerigem Lesekommando ist bereits unter "Status-Stellbefehle"     definiert. */
var_StatusProzessreglerPIDSollWert LIKE VARIABLE var_StatusStellReglerIstPos
{
   REDEFINE LABEL		[TXT_CAPT_SOLLWERT_E7];
   REDEFINE HELP		[TXT_NOT_AVAILABLE];
}
// Lese-Kommando
COMMAND read_var_StatusProzessreglerPIDSollWert
{
   SLOT		213;
   INDEX		1;
   OPERATION	READ;
   TRANSACTION
   {
      REPLY
      {
         var_StatusProzessreglerPIDSollWert
      }
   }
}
COMMAND read_var_StatusStellReglerIstPos
{
   SLOT		200;
   INDEX		1;
   OPERATION	READ;
   TRANSACTION
   {
      REPLY
      {
         var_StatusStellReglerIstPos
      }
   }
}
//~ ProzessreglerPID
// Variablendefinitionen
VARIABLE var_StatusProzessreglerPIDIstWert
{
   LABEL		[TXT_SW_ID266];
   HELP		[TXT_NOT_AVAILABLE];	//''''
   CLASS		CONTAINED & DYNAMIC;
   TYPE		UNSIGNED_INTEGER (2)
   {
      DEFAULT_VALUE	0;
      MIN_VALUE		0;
      MAX_VALUE		1500;
   }
   CONSTANT_UNIT	[Promille];
   HANDLING		READ;
}
var_StatusProzessreglerProzSollWertE1 LIKE VARIABLE var_StatusProzessreglerPIDIstWert
{
   REDEFINE LABEL		[TXT_SW_ID372];
   REDEFINE HELP		[TXT_REM_ID372];
}
// Lese-Kommando
COMMAND read_var_StatusProzessreglerProzSollWertE1
{
   SLOT		212;
   INDEX		1;
   OPERATION	READ;
   TRANSACTION
   {
      REPLY
      {
         var_StatusProzessreglerProzSollWertE1
      }
   }
}
COMMAND read_var_StatusProzessreglerPIDIstWert
{
   SLOT		214;
   INDEX		1;
   OPERATION	READ;
   TRANSACTION
   {
      REPLY
      {
         var_StatusProzessreglerPIDIstWert
      }
   }
}
//~ ab V2.0: DIAGNOSE: Variablen + Kommandos 
//~ Antriebssignale
// Variablendefinitionen
// 
VARIABLE var_DiagAntriebssigsThermoFehler 	// Status-Allgemein-Fhrt AUF
{
   LABEL		[TXT_THERMO_FEHLER_IND];
   HELP		[TXT_NOT_AVAILABLE];	//''''
   CLASS		CONTAINED & DYNAMIC;
   TYPE		ENUMERATED   //BIT_ENUMERATED
   {
      DEFAULT_VALUE	0;
      {  0, [TXT_NEIN]},
      {  1, [TXT_JA]},
   }
   HANDLING		READ;
}
 var_DiagAntriebssigsDOEL LIKE VARIABLE var_DiagAntriebssigsThermoFehler
{
   REDEFINE LABEL		[TXT_ACTUATOR_DOEL];
   REDEFINE HELP		[TXT_NOT_AVAILABLE];	//''''
}
 var_DiagAntriebssigsDSR LIKE VARIABLE var_DiagAntriebssigsThermoFehler
{
   REDEFINE LABEL		[TXT_ACTUATOR_DSR];
   REDEFINE HELP		[TXT_NOT_AVAILABLE];	//''''
}
 var_DiagAntriebssigsWOEL LIKE VARIABLE var_DiagAntriebssigsThermoFehler
{
   REDEFINE LABEL		[TXT_ACTUATOR_WOEL];
   REDEFINE HELP		[TXT_NOT_AVAILABLE];	//''''
}
 var_DiagAntriebssigsWSR LIKE VARIABLE var_DiagAntriebssigsThermoFehler
{
   REDEFINE LABEL		[TXT_ACTUATOR_WSR];
   REDEFINE HELP		[TXT_NOT_AVAILABLE];	//''''
}
// Lese-Kommando
COMMAND read_var_DiagAntriebssigs
{
   SLOT		208;
   INDEX		1;
   OPERATION	READ;
   TRANSACTION
   {
      REPLY
      {
         var_unused_s208i1_by0_5ff 			<0xD0>,	/* Byte 0   1110 0000*/
         var_DiagAntriebssigsThermoFehler 	<0x10>,	/* Byte 0   0001 0000*/
         var_DiagAntriebssigsDOEL 			<0x08>,	/* Byte 0   0000 1000*/
         var_DiagAntriebssigsDSR 			<0x04>,	/* Byte 0   0000 0100*/
         var_DiagAntriebssigsWOEL 			<0x02>,	/* Byte 0   0000 0010*/
         var_DiagAntriebssigsWSR 			<0x01>	/* Byte 0   0000 0001*/

         var_unused_s208i1_by1,						/* Byte 1 */
      }
   }
}
//~ Interne Fehler 1
// Variablendefinitionen
// 
VARIABLE var_DiagIntFehler1TMSFehler
{
   LABEL		[TXT_TMSERR];
   HELP		[TXT_NOT_AVAILABLE];	//''''
   CLASS		CONTAINED & DYNAMIC;
   TYPE		ENUMERATED   //BIT_ENUMERATED
   {
      DEFAULT_VALUE	0;
      {  0, [TXT_NEIN]},
      {  1, [TXT_JA]},
   }
   HANDLING		READ;
}
var_DiagIntFehler1Wahlschalterfehler LIKE VARIABLE var_DiagIntFehler1TMSFehler 
{
   REDEFINE LABEL		[TXT_WAHLSCHALTERERR];
   REDEFINE HELP		[TXT_NOT_AVAILABLE];	//''''
}
var_DiagIntFehler1AusgangDefekt LIKE VARIABLE var_DiagIntFehler1TMSFehler 
{
   REDEFINE LABEL		[TXT_AUSANGSFEHLER];
   REDEFINE HELP		[TXT_NOT_AVAILABLE];	//''''
}
var_DiagIntFehler1CANFehlerMWG LIKE VARIABLE var_DiagIntFehler1TMSFehler 
{
   REDEFINE LABEL		[TXT_CANMWGFEHLER];
   REDEFINE HELP		[TXT_NOT_AVAILABLE];	//''''
}
var_DiagIntFehler1CANFehlerParInt1 LIKE VARIABLE var_DiagIntFehler1TMSFehler 
{
   REDEFINE LABEL		[TXT_CANPAR1FEHLER];
   REDEFINE HELP		[TXT_NOT_AVAILABLE];	//''''
}
var_DiagIntFehler1PhasenfolgeDefekt LIKE VARIABLE var_DiagIntFehler1TMSFehler 
{
   REDEFINE LABEL		[TXT_PHASENFFEHLER];
   REDEFINE HELP		[TXT_NOT_AVAILABLE];	//''''
}
var_DiagIntFehler124VDCFehler LIKE VARIABLE var_DiagIntFehler1TMSFehler 
{
   REDEFINE LABEL		[TXT_24VFEHLER];
   REDEFINE HELP		[TXT_NOT_AVAILABLE];	//''''
}
var_DiagIntFehler1KeineReaktion LIKE VARIABLE var_DiagIntFehler1TMSFehler 
{
   REDEFINE LABEL		[TXT_REAKTERR];
   REDEFINE HELP		[TXT_NOT_AVAILABLE];	//''''
}
var_DiagIntFehler1CANFehlerDP2 LIKE VARIABLE var_DiagIntFehler1TMSFehler 
{
   REDEFINE LABEL		[TXT_CANDP2FEHLER];
   REDEFINE HELP		[TXT_NOT_AVAILABLE];	//''''
}
var_DiagIntFehler1FehlerOrtssteuerstelle LIKE VARIABLE var_DiagIntFehler1TMSFehler 
{
   REDEFINE LABEL		[TXT_OSSFEHLER];
   REDEFINE HELP		[TXT_NOT_AVAILABLE];	//''''
}
var_DiagIntFehler1CANFehlerLogik LIKE VARIABLE var_DiagIntFehler1TMSFehler 
{
   REDEFINE LABEL		[TXT_CANMSGREQ_ERR];
   REDEFINE HELP		[TXT_NOT_AVAILABLE];	//''''
}
var_DiagIntFehler1CANFehlerDP1 LIKE VARIABLE var_DiagIntFehler1TMSFehler 
{
   REDEFINE LABEL		[TXT_CANDP1FEHLER];
   REDEFINE HELP		[TXT_NOT_AVAILABLE];	//''''
}
var_DiagIntFehler1MWGNichtBereit LIKE VARIABLE var_DiagIntFehler1TMSFehler 
{
   REDEFINE LABEL		[TXT_APPLIKMWGFEHLER];
   REDEFINE HELP		[TXT_NOT_AVAILABLE];	//''''
}
// Lese-Kommando
COMMAND read_var_DiagIntFehler1
{
   SLOT		207;
   INDEX		1;
   OPERATION	READ;
   TRANSACTION
   {
      REPLY
      {
         var_DiagIntFehler1TMSFehler 				<0x80>,	/* Byte 0   1000 0000*/
         var_DiagIntFehler1Wahlschalterfehler		<0x40>,	/* Byte 0   0100 0000*/
         var_DiagIntFehler1AusgangDefekt				<0x20>,	/* Byte 0   0010 0000*/
         var_DiagIntFehler1CANFehlerMWG			 	<0x10>,	/* Byte 0   0001 0000*/

         var_DiagIntFehler1CANFehlerParInt1			<0x08>,	/* Byte 0   0000 1000*/
         var_DiagIntFehler1PhasenfolgeDefekt			<0x04>,	/* Byte 0   0000 0100*/
         var_DiagIntFehler124VDCFehler 				<0x02>,	/* Byte 0   0000 0010*/
         var_unused_s207i1_by0_0		 				<0x01>	/* Byte 0   0000 0001*/
         var_unused_s207i1_by1_7		 				<0x80>,	/* Byte 1   1000 0000*/
         var_unused_s207i1_by1_6						<0x40>,	/* Byte 1   0100 0000*/
         var_DiagIntFehler1KeineReaktion				<0x20>,	/* Byte 1   0010 0000*/
         var_DiagIntFehler1CANFehlerDP2		 		<0x10>,	/* Byte 1   0001 0000*/

         var_DiagIntFehler1FehlerOrtssteuerstelle	<0x08>,	/* Byte 1   0000 1000*/
         var_DiagIntFehler1CANFehlerLogik			<0x04>,	/* Byte 1   0000 0100*/
         var_DiagIntFehler1CANFehlerDP1	 			<0x02>,	/* Byte 1   0000 0010*/
         var_DiagIntFehler1MWGNichtBereit			<0x01>	/* Byte 1   0000 0001*/
      }
   }
}
//~ Interne Fehler 2
// Variablendefinitionen
// 
VARIABLE var_DiagIntFehler2RAMDefekt
{
   LABEL		[TXT_RAMCRCERR];
   HELP		[TXT_NOT_AVAILABLE];	//''''
   CLASS		CONTAINED & DYNAMIC;
   TYPE		ENUMERATED   //BIT_ENUMERATED
   {
      DEFAULT_VALUE	0;
      {  0, [TXT_NEIN]},
      {  1, [TXT_JA]},
   }
   HANDLING		READ;
}
var_DiagIntFehler2EEPROMdefekt LIKE VARIABLE var_DiagIntFehler2RAMDefekt
{
   REDEFINE LABEL		[TXT_EEPROMWRN];
   REDEFINE HELP		[TXT_NOT_AVAILABLE];	//''''
}
// Lese-Kommando
COMMAND read_var_DiagIntFehler2
{
   SLOT		207;
   INDEX		2;
   OPERATION	READ;
   TRANSACTION
   {
      REPLY
      {
         var_unused_s207i2_by0,						 	/* Byte 0 */

         var_unused_s207i2_by1_2ff 	 			<0xFC>,	/* Byte 1   1111 1100*/
         var_DiagIntFehler2RAMDefekt	 			<0x02>,	/* Byte 1   0000 0010*/
         var_DiagIntFehler2EEPROMdefekt			<0x01>	/* Byte 1   0000 0001*/
      }
   }
}
//~ Interne Warnungen
// Variablendefinitionen
// 
VARIABLE var_DiagIntWarnKeineWerkseinstlg
{
   LABEL		[TXT_NOFACTPARAMS];
   HELP		[TXT_NOT_AVAILABLE];	//''''
   CLASS		CONTAINED & DYNAMIC;
   TYPE		ENUMERATED   //BIT_ENUMERATED
   {
      DEFAULT_VALUE	0;
      {  0, [TXT_NEIN]},
      {  1, [TXT_JA]},
   }
   HANDLING		READ;
}
var_DiagIntWarnCANFehlerParInt1 LIKE VARIABLE var_DiagIntWarnKeineWerkseinstlg
{
   REDEFINE LABEL		[TXT_CANPAR1FEHLER];
   REDEFINE HELP		[TXT_NOT_AVAILABLE];	//''''
}
var_DiagIntWarnCANFehlerDP1 LIKE VARIABLE var_DiagIntWarnKeineWerkseinstlg
{
   REDEFINE LABEL		[TXT_CANDP1FEHLER];
   REDEFINE HELP		[TXT_NOT_AVAILABLE];	//''''
}
var_DiagIntWarnCANFehlerDP2 LIKE VARIABLE var_DiagIntWarnKeineWerkseinstlg
{
   REDEFINE LABEL		[TXT_CANDP2FEHLER];
   REDEFINE HELP		[TXT_NOT_AVAILABLE];	//''''
}
// Lese-Kommando
COMMAND read_var_DiagIntWarn
{
   SLOT		206;
   INDEX		1;
   OPERATION	READ;
   TRANSACTION
   {
      REPLY
      {
         var_unused_s206i1_by0_6ff	 			<0xC0>,	/* Byte 0   1100 0000*/
         var_DiagIntWarnKeineWerkseinstlg		<0x20>,	/* Byte 0   0010 0000*/
         var_DiagIntWarnCANFehlerParInt1		 	<0x10>,	/* Byte 0   0001 0000*/

         var_DiagIntWarnCANFehlerDP1				<0x08>,	/* Byte 0   0000 1000*/
         var_DiagIntWarnCANFehlerDP2				<0x04>,	/* Byte 0   0000 0100*/
         var_unused_s206i1_by0_0xff	 			<0x03>	/* Byte 0   0000 0011*/

         var_unused_s206i1_by1,						 	/* Byte 1 */
      }
   }
}
//~ Konfigurationsfehler
// Variablendefinitionen
// 
VARIABLE var_DiagKonfigFehlerE1nichtvorhanden
{
   LABEL		[TXT_WRONG_SWSRC];
   HELP		[TXT_NOT_AVAILABLE];	//''''
   CLASS		CONTAINED & DYNAMIC;
   TYPE		ENUMERATED   //BIT_ENUMERATED
   {
      DEFAULT_VALUE	0;
      {  0, [TXT_NEIN]},
      {  1, [TXT_JA]},
   }
   HANDLING		READ;
}
var_DiagKonfigFehlerKeineAbschaltung LIKE VARIABLE var_DiagKonfigFehlerE1nichtvorhanden
{
   REDEFINE LABEL		[TXT_NOMWG_ERROR];
   REDEFINE HELP		[TXT_NOT_AVAILABLE];	//''''
}
var_DiagKonfigFehlerEndlagenEingaenge LIKE VARIABLE var_DiagKonfigFehlerE1nichtvorhanden
{
   REDEFINE LABEL		[TXT_CFG_PARAM_ERROR];
   REDEFINE HELP		[TXT_NOT_AVAILABLE];	//''''
}
// Lese-Kommando
COMMAND read_var_DiagKonfigFehler
{
   SLOT		207;
   INDEX		3;
   OPERATION	READ;
   TRANSACTION
   {
      REPLY
      {
         var_unused_s207i3_by0_3ff	 			<0xF8>,	/* Byte 0   1111 1000*/
         var_DiagKonfigFehlerE1nichtvorhanden	<0x04>,	/* Byte 0   0000 0100*/
         var_DiagKonfigFehlerKeineAbschaltung	<0x02>	/* Byte 0   0000 0010*/
         var_DiagKonfigFehlerEndlagenEingaenge	<0x01>	/* Byte 0   0000 0001*/

         var_unused_s207i3_by1,						 	/* Byte 1 */
      }
   }
}
//~ Logik
// Variablendefinitionen
// 
VARIABLE var_DiagLogikHWVersion
{
   LABEL		[TXT_SW_ID144];
   HELP		[TXT_REM_ID144];
   CLASS		CONTAINED;
   TYPE		ASCII (20)
   {
      DEFAULT_VALUE	"";
   }
   HANDLING		READ;
}
var_DiagLogikSWVersion LIKE VARIABLE var_DiagLogikHWVersion
{
   REDEFINE LABEL		[TXT_SW_ID133];
   REDEFINE HELP		[TXT_REM_ID133];
}
// Lese-Kommando
COMMAND read_var_DiagLogikHWVersion
{
   SLOT		222;
   INDEX		1;
   OPERATION	READ;
   TRANSACTION
   {
      REPLY
      {
         var_DiagLogikHWVersion
      }
   }
}
COMMAND read_var_DiagLogikSWVersion
{
   SLOT		222;
   INDEX		2;
   OPERATION	READ;
   TRANSACTION
   {
      REPLY
      {
         var_DiagLogikSWVersion
      }
   }
}
//~ MWG
// Variablendefinitionen
// 
VARIABLE var_DiagMWG_HWVersion
{
   LABEL		[TXT_MWGHWVERSION];
   HELP		[TXT_NOT_AVAILABLE];	//''''
   CLASS		CONTAINED;
   TYPE		ASCII (20)
   {
      DEFAULT_VALUE	"";
   }
   HANDLING		READ;
}
var_DiagMWG_SWVersion LIKE VARIABLE var_DiagMWG_HWVersion
{
   REDEFINE LABEL		[TXT_MWGSWVERSION];
   REDEFINE HELP		[TXT_NOT_AVAILABLE];	//''''
}
//---< ab hier Definition der Bit-Variablen >----
VARIABLE var_DiagMWGKeineVerbindung
{
   LABEL		[TXT_MWGNOCONNECT];
   HELP		[TXT_NOT_AVAILABLE];	//''''
   CLASS		CONTAINED & DYNAMIC;
   TYPE		ENUMERATED   //BIT_ENUMERATED
   {
      DEFAULT_VALUE	0;
      {  0, [TXT_NEIN]},
      {  1, [TXT_JA]},
   }
   HANDLING		READ;
}
var_DiagMWGKalibriermode LIKE VARIABLE var_DiagMWGKeineVerbindung
{
   REDEFINE LABEL		[TXT_CALMODE];
   REDEFINE HELP		[TXT_NOT_AVAILABLE];	//''''
}
var_DiagMWGKeineDrehmoGrenzen LIKE VARIABLE var_DiagMWGKeineVerbindung
{
   REDEFINE LABEL		[TXT_ERRDREHMOSET];
   REDEFINE HELP		[TXT_NOT_AVAILABLE];	//''''
}
var_DiagMWGKeineEndlagen LIKE VARIABLE var_DiagMWGKeineVerbindung
{
   REDEFINE LABEL		[TXT_ERRENDLAGENSET];
   REDEFINE HELP		[TXT_NOT_AVAILABLE];	//''''
}
var_DiagMWGFehlerDrehmosystem LIKE VARIABLE var_DiagMWGKeineVerbindung
{
   REDEFINE LABEL		[TXT_ERRDREHMOCAL];
   REDEFINE HELP		[TXT_NOT_AVAILABLE];	//''''
}
var_DiagMWGKeinWegnullpunkt LIKE VARIABLE var_DiagMWGKeineVerbindung
{
   REDEFINE LABEL		[TXT_ERRWEGCAL];
   REDEFINE HELP		[TXT_NOT_AVAILABLE];	//''''
}
var_DiagMWGNichtKalibriert LIKE VARIABLE var_DiagMWGKeineVerbindung
{
   REDEFINE LABEL		[TXT_NOTCALIBRATED];
   REDEFINE HELP		[TXT_NOT_AVAILABLE];	//''''
}
var_DiagMWGEEPROMFehler LIKE VARIABLE var_DiagMWGKeineVerbindung
{
   REDEFINE LABEL		[TXT_ERRMEM];
   REDEFINE HELP		[TXT_NOT_AVAILABLE];	//''''
}
var_DiagMWGHallsensorFehler LIKE VARIABLE var_DiagMWGKeineVerbindung
{
   REDEFINE LABEL		[TXT_ERRHALL];
   REDEFINE HELP		[TXT_NOT_AVAILABLE];	//''''
}
// Lese-Kommando
COMMAND read_var_DiagMWG_HWVersion
{
   SLOT		221;
   INDEX		1;
   OPERATION	READ;
   TRANSACTION
   {
      REPLY
      {
         var_DiagMWG_HWVersion,
      }
   }
}
COMMAND read_var_DiagMWG_SWVersion
{
   SLOT		221;
   INDEX		2;
   OPERATION	READ;
   TRANSACTION
   {
      REPLY
      {
         var_DiagMWG_SWVersion,
      }
   }
}
COMMAND read_var_DiagMWGbits
{
   SLOT		221;
   INDEX		3;
   OPERATION	READ;
   TRANSACTION
   {
      REPLY
      {
         var_DiagMWGKeineVerbindung			<0x80>,	/* Byte 0   1000 0000*/
         var_unused_s221i3_by0_7xff			<0x7F>,	/* Byte 0   0111 1111*/
         var_DiagMWGKalibriermode	 		<0x80>,	/* Byte 1   1000 0000*/
         var_DiagMWGKeineDrehmoGrenzen		<0x40>,	/* Byte 1   0100 0000*/
         var_DiagMWGKeineEndlagen			<0x20>,	/* Byte 1   0010 0000*/
         var_DiagMWGFehlerDrehmosystem		<0x10>,	/* Byte 1   0001 0000*/

         var_DiagMWGKeinWegnullpunkt			<0x08>,	/* Byte 1   0000 1000*/
         var_DiagMWGNichtKalibriert			<0x04>,	/* Byte 1   0000 0100*/
         var_DiagMWGEEPROMFehler	 			<0x02>,	/* Byte 1   0000 0010*/
         var_DiagMWGHallsensorFehler			<0x01>	/* Byte 1   0000 0001*/
      }
   }
}
//~ Stellungsregler
// Variablendefinitionen
VARIABLE var_DiagStellreglerTotbandZu
{
   LABEL		[TXT_SW_ID12];
   HELP		[TXT_NOT_AVAILABLE];	//'''' Anforderung WLaen 07.02.07
   //HELP		[TXT_REM_ID12];
   CLASS		CONTAINED;
   TYPE		UNSIGNED_INTEGER (2)
   {
      DEFAULT_VALUE	0;
      MIN_VALUE		0;
      MAX_VALUE		1500;
   }
   CONSTANT_UNIT	[Prozent];
   HANDLING		READ;
}
var_DiagStellreglerTotbandAuf LIKE VARIABLE var_DiagStellreglerTotbandZu
{
   REDEFINE LABEL		[TXT_SW_ID11];
   //REDEFINE HELP		[TXT_REM_ID11];
}
var_DiagStellreglerAeusseresTotband LIKE VARIABLE var_DiagStellreglerTotbandZu
{
   REDEFINE LABEL		[TXT_SW_ID13];
   //REDEFINE HELP		[TXT_REM_ID13];
   REDEFINE CLASS		CONTAINED & DYNAMIC;
}
// Lese-Kommando
COMMAND read_var_DiagStellreglerTotbandAuf
{
   SLOT		226;
   INDEX		1;
   OPERATION	READ;
   TRANSACTION
   {
      REPLY
      {
         var_DiagStellreglerTotbandAuf
      }
   }
}
COMMAND read_var_DiagStellreglerTotbandZu
{
   SLOT		226;
   INDEX		2;
   OPERATION	READ;
   TRANSACTION
   {
      REPLY
      {
         var_DiagStellreglerTotbandZu
      }
   }
}
COMMAND read_var_DiagStellreglerAeusseresTotband
{
   SLOT		226;
   INDEX		3;
   OPERATION	READ;
   TRANSACTION
   {
      REPLY
      {
         var_DiagStellreglerAeusseresTotband
      }
   }
}
//~ Stellungsgeber
// Variablendefinitionen
VARIABLE var_DiagStellgeberRohwertEndlageZU
{
   LABEL		[TXT_ROHWERT_ZU];
   HELP		[TXT_STELLGEB_ANFANG_ROH];
   CLASS		CONTAINED;
   TYPE		UNSIGNED_INTEGER (2)
   {
      DEFAULT_VALUE	0;
      //MIN_VALUE		0;
      //MAX_VALUE		1500;
   }
   HANDLING		READ;
}
var_DiagStellgeberRohwert LIKE VARIABLE var_DiagStellgeberRohwertEndlageZU
{
   REDEFINE LABEL		[TXT_ROHWERT];
   REDEFINE HELP		[TXT_STELLGEB_WERT_ROH];
   REDEFINE CLASS		CONTAINED & DYNAMIC;
}
var_DiagStellgeberRohwertEndlageAUF LIKE VARIABLE var_DiagStellgeberRohwertEndlageZU
{
   REDEFINE LABEL		[TXT_ROHWERT_AUF];
   REDEFINE HELP		[TXT_STELLGEB_ENDE_ROH];
}
// Lese-Kommando
COMMAND read_var_DiagStellgeberRohwert
{
   SLOT		225;
   INDEX		1;
   OPERATION	READ;
   TRANSACTION
   {
      REPLY
      {
         var_DiagStellgeberRohwert
      }
   }
}
COMMAND read_var_DiagStellgeberRohwertEndlageZU
{
   SLOT		225;
   INDEX		2;
   OPERATION	READ;
   TRANSACTION
   {
      REPLY
      {
         var_DiagStellgeberRohwertEndlageZU
      }
   }
}
COMMAND read_var_DiagStellgeberRohwertEndlageAUF
{
   SLOT		225;
   INDEX		3;
   OPERATION	READ;
   TRANSACTION
   {
      REPLY
      {
         var_DiagStellgeberRohwertEndlageAUF
      }
   }
}
//~ PROFIBUS DP Interface 1
//~ 
// Variablendefinitionen
// 
VARIABLE var_DiagPBDPIfc1HardwareVersion
{
   LABEL		[TXT_DP1HWVERSION];
   HELP		[TXT_NOT_AVAILABLE];	//''''
   CLASS		CONTAINED;
   TYPE		ASCII (20)
   {
      DEFAULT_VALUE	"";
   }
   HANDLING		READ;
}
var_DiagPBDPIfc1SoftwareVersion LIKE VARIABLE var_DiagPBDPIfc1HardwareVersion
{
   REDEFINE LABEL		[TXT_DP1SWVERSION];
   REDEFINE HELP		[TXT_NOT_AVAILABLE];	//''''
}
VARIABLE var_DiagPBDPIfc1Analog1
{
   LABEL		[TXT_DP1AN1];
   HELP		[TXT_NOT_AVAILABLE];	//''''
   CLASS		CONTAINED & DYNAMIC;
   TYPE		UNSIGNED_INTEGER (2)
   {
#ifdef DDCCorrection
          DEFAULT_VALUE 0; /* ??? Integer!*/
#else
      	DEFAULT_VALUE	"";
#endif
   }
   CONSTANT_UNIT	[Promille];
   HANDLING		READ;
}
var_DiagPBDPIfc1Analog2 LIKE VARIABLE var_DiagPBDPIfc1Analog1
{
   REDEFINE LABEL		[TXT_DP1AN2];
   REDEFINE HELP		[TXT_NOT_AVAILABLE];	//''''
}
//---< ab hier bit-Variablen >---
VARIABLE var_DiagPBDPIfc1BaudSearch
{
   LABEL		[TXT_BAUDSEARCH];
   HELP		[TXT_NOT_AVAILABLE];	//''''
   CLASS		CONTAINED & DYNAMIC;
   TYPE		ENUMERATED   //BIT_ENUMERATED
   {
      DEFAULT_VALUE	0;
      {  0, [TXT_NEIN]},
      {  1, [TXT_JA]},
   }
   HANDLING		READ;
}
var_DiagPBDPIfc1BaudControl LIKE VARIABLE var_DiagPBDPIfc1BaudSearch
{
   REDEFINE LABEL		[TXT_BAUDCONTROL];
   REDEFINE HELP		[TXT_NOT_AVAILABLE];	//''''
}
var_DiagPBDPIfc1DPMode LIKE VARIABLE var_DiagPBDPIfc1BaudSearch
{
   REDEFINE LABEL		[TXT_DPMODE];
   REDEFINE HELP		[TXT_NOT_AVAILABLE];	//''''
}
var_DiagPBDPIfc1WaitPrm LIKE VARIABLE var_DiagPBDPIfc1BaudSearch
{
   REDEFINE LABEL		[TXT_WAITPRM];
   REDEFINE HELP		[TXT_NOT_AVAILABLE];	//''''
}
var_DiagPBDPIfc1WaitCfg LIKE VARIABLE var_DiagPBDPIfc1BaudSearch
{
   REDEFINE LABEL		[TXT_WAITCFG];
   REDEFINE HELP		[TXT_NOT_AVAILABLE];	//''''
}
var_DiagPBDPIfc1DataEx LIKE VARIABLE var_DiagPBDPIfc1BaudSearch
{
   REDEFINE LABEL		[TXT_DATAEX];
   REDEFINE HELP		[TXT_NOT_AVAILABLE];	//''''
}
var_DiagPBDPIfc1DPFehler LIKE VARIABLE var_DiagPBDPIfc1BaudSearch
{
   REDEFINE LABEL		[TXT_DPERROR];
   REDEFINE HELP		[TXT_NOT_AVAILABLE];	//''''
}
var_DiagPBDPIfc1GCClear LIKE VARIABLE var_DiagPBDPIfc1BaudSearch
{
   REDEFINE LABEL		[TXT_GCCLEAR];
   REDEFINE HELP		[TXT_NOT_AVAILABLE];	//''''
}
var_DiagPBDPIfc1DatenLaenge0 LIKE VARIABLE var_DiagPBDPIfc1BaudSearch
{
   REDEFINE LABEL		[TXT_LENGTHZERO];
   REDEFINE HELP		[TXT_NOT_AVAILABLE];	//''''
}
var_DiagPBDPIfc1Kanal2aktiv LIKE VARIABLE var_DiagPBDPIfc1BaudSearch
{
   REDEFINE LABEL		[TXT_K2AKIV];
   REDEFINE HELP		[TXT_NOT_AVAILABLE];	//''''
}
var_DiagPBDPIfc1DigIn1 LIKE VARIABLE var_DiagPBDPIfc1BaudSearch
{
   REDEFINE LABEL		[TXT_OPT1_DIN1_DP1];
   REDEFINE HELP		[TXT_NOT_AVAILABLE];	//''''
}
var_DiagPBDPIfc1DigIn2 LIKE VARIABLE var_DiagPBDPIfc1BaudSearch
{
   REDEFINE LABEL		[TXT_OPT1_DIN2_DP1];
   REDEFINE HELP		[TXT_NOT_AVAILABLE];	//''''
}
var_DiagPBDPIfc1DigIn3 LIKE VARIABLE var_DiagPBDPIfc1BaudSearch
{
   REDEFINE LABEL		[TXT_OPT1_DIN3_DP1];
   REDEFINE HELP		[TXT_NOT_AVAILABLE];	//''''
}
var_DiagPBDPIfc1DigIn4 LIKE VARIABLE var_DiagPBDPIfc1BaudSearch
{
   REDEFINE LABEL		[TXT_OPT1_DIN4_DP1];
   REDEFINE HELP		[TXT_NOT_AVAILABLE];	//''''
}
// Lese-Kommandos
COMMAND read_var_DiagPBDPIfc1HardwareVersion
{
   SLOT		215;
   INDEX		1;
   OPERATION	READ;
   TRANSACTION
   {
      REPLY
      {
         var_DiagPBDPIfc1HardwareVersion,
      }
   }
}
COMMAND read_var_DiagPBDPIfc1SoftwareVersion
{
   SLOT		215;
   INDEX		2;
   OPERATION	READ;
   TRANSACTION
   {
      REPLY
      {
         var_DiagPBDPIfc1SoftwareVersion,
      }
   }
}
COMMAND read_var_DiagPBDPIfc1bits
{
   SLOT		215;
   INDEX		3;
   OPERATION	READ;
   TRANSACTION
   {
      REPLY
      {
         var_DiagPBDPIfc1BaudSearch	 		<0x80>,	/* Byte 0   1000 0000*/
         var_DiagPBDPIfc1BaudControl			<0x40>,	/* Byte 0   0100 0000*/
         var_DiagPBDPIfc1DPMode				<0x20>,	/* Byte 0   0010 0000*/
         var_DiagPBDPIfc1WaitPrm				<0x10>,	/* Byte 0   0001 0000*/

         var_DiagPBDPIfc1WaitCfg				<0x08>,	/* Byte 0   0000 1000*/
         var_DiagPBDPIfc1DataEx				<0x04>,	/* Byte 0   0000 0100*/
         var_DiagPBDPIfc1DPFehler 			<0x02>,	/* Byte 0   0000 0010*/
         var_DiagPBDPIfc1GCClear				<0x01>	/* Byte 0   0000 0001*/
         var_DiagPBDPIfc1DatenLaenge0 		<0x80>,	/* Byte 1   1000 0000*/
         var_DiagPBDPIfc1Kanal2aktiv			<0x40>,	/* Byte 1   0100 0000*/
         var_unused_s215i3_by1_5ff			<0x3F>,	/* Byte 1   0011 1111*/
      }
   }
}
COMMAND read_var_DiagPBDPIfc1Analog1
{
   SLOT		231;
   INDEX		2;
   OPERATION	READ;
   TRANSACTION
   {
      REPLY
      {
         var_DiagPBDPIfc1Analog1,
      }
   }
}
COMMAND read_var_DiagPBDPIfc1Analog2
{
   SLOT		231;
   INDEX		3;
   OPERATION	READ;
   TRANSACTION
   {
      REPLY
      {
         var_DiagPBDPIfc1Analog2,
      }
   }
}
COMMAND read_var_DiagPBDPIfc1DigInputs
{
   SLOT		231;
   INDEX		1;
   OPERATION	READ;
   TRANSACTION
   {
      REPLY
      {
         var_unused_s231i1_by0,					 	/* Byte 0 */

         var_DiagPBDPIfc1DigIn4		 		<0x08>,	/* Byte 0   0000 1000*/
         var_DiagPBDPIfc1DigIn3				<0x04>,	/* Byte 0   0000 0100*/
         var_DiagPBDPIfc1DigIn2				<0x02>,	/* Byte 0   0000 0010*/
         var_DiagPBDPIfc1DigIn1				<0x01>,	/* Byte 0   0000 0001*/

         var_unused_s231i1_by1_4xff			<0x0F>	/* Byte 0   0000 1111*/
      }
   }
}
//~ PROFIBUS DP Interface 2
//~ 
// Variablendefinitionen
// 
VARIABLE var_DiagPBDPIfc2HardwareVersion
{
   LABEL		[TXT_DP2HWVERSION];
   HELP		[TXT_NOT_AVAILABLE];	//''''
   CLASS		CONTAINED;
   TYPE		ASCII (20)
   {
      DEFAULT_VALUE	"";
   }
   HANDLING		READ;
}
var_DiagPBDPIfc2SoftwareVersion LIKE VARIABLE var_DiagPBDPIfc2HardwareVersion
{
   REDEFINE LABEL		[TXT_DP2SWVERSION];
   REDEFINE HELP		[TXT_NOT_AVAILABLE];	//''''
}
//---< ab hier bit-Variablen >---
VARIABLE var_DiagPBDPIfc2BaudSearch
{
   LABEL		[TXT_BAUDSEARCH];
   HELP		[TXT_NOT_AVAILABLE];	//''''
   CLASS		CONTAINED & DYNAMIC;
   TYPE		ENUMERATED   //BIT_ENUMERATED
   {
      DEFAULT_VALUE	0;
      {  0, [TXT_NEIN]},
      {  1, [TXT_JA]},
   }
   HANDLING		READ;
}
var_DiagPBDPIfc2BaudControl LIKE VARIABLE var_DiagPBDPIfc2BaudSearch
{
   REDEFINE LABEL		[TXT_BAUDCONTROL];
   REDEFINE HELP		[TXT_NOT_AVAILABLE];	//''''
}
var_DiagPBDPIfc2DPMode LIKE VARIABLE var_DiagPBDPIfc2BaudSearch
{
   REDEFINE LABEL		[TXT_DPMODE];
   REDEFINE HELP		[TXT_NOT_AVAILABLE];	//''''
}
var_DiagPBDPIfc2WaitPrm LIKE VARIABLE var_DiagPBDPIfc2BaudSearch
{
   REDEFINE LABEL		[TXT_WAITPRM];
   REDEFINE HELP		[TXT_NOT_AVAILABLE];	//''''
}
var_DiagPBDPIfc2WaitCfg LIKE VARIABLE var_DiagPBDPIfc2BaudSearch
{
   REDEFINE LABEL		[TXT_WAITCFG];
   REDEFINE HELP		[TXT_NOT_AVAILABLE];	//''''
}
var_DiagPBDPIfc2DataEx LIKE VARIABLE var_DiagPBDPIfc2BaudSearch
{
   REDEFINE LABEL		[TXT_DATAEX];
   REDEFINE HELP		[TXT_NOT_AVAILABLE];	//''''
}
var_DiagPBDPIfc2DPFehler LIKE VARIABLE var_DiagPBDPIfc2BaudSearch
{
   REDEFINE LABEL		[TXT_DPERROR];
   REDEFINE HELP		[TXT_NOT_AVAILABLE];	//''''
}
var_DiagPBDPIfc2GCClear LIKE VARIABLE var_DiagPBDPIfc2BaudSearch
{
   REDEFINE LABEL		[TXT_GCCLEAR];
   REDEFINE HELP		[TXT_NOT_AVAILABLE];	//''''
}
var_DiagPBDPIfc2DatenLaenge0 LIKE VARIABLE var_DiagPBDPIfc2BaudSearch
{
   REDEFINE LABEL		[TXT_LENGTHZERO];
   REDEFINE HELP		[TXT_NOT_AVAILABLE];	//''''
}
// Lese-Kommandos
COMMAND read_var_DiagPBDPIfc2HardwareVersion
{
   SLOT		216;
   INDEX		1;
   OPERATION	READ;
   TRANSACTION
   {
      REPLY
      {
         var_DiagPBDPIfc2HardwareVersion,
      }
   }
}
COMMAND read_var_DiagPBDPIfc2SoftwareVersion
{
   SLOT		216;
   INDEX		2;
   OPERATION	READ;
   TRANSACTION
   {
      REPLY
      {
         var_DiagPBDPIfc2SoftwareVersion,
      }
   }
}
COMMAND read_var_DiagPBDPIfc2bits
{
   SLOT		216;
   INDEX		3;
   OPERATION	READ;
   TRANSACTION
   {
      REPLY
      {
         var_DiagPBDPIfc2BaudSearch	 		<0x80>,	/* Byte 0   1000 0000*/
         var_DiagPBDPIfc2BaudControl			<0x40>,	/* Byte 0   0100 0000*/
         var_DiagPBDPIfc2DPMode				<0x20>,	/* Byte 0   0010 0000*/
         var_DiagPBDPIfc2WaitPrm				<0x10>,	/* Byte 0   0001 0000*/

         var_DiagPBDPIfc2WaitCfg				<0x08>,	/* Byte 0   0000 1000*/
         var_DiagPBDPIfc2DataEx				<0x04>,	/* Byte 0   0000 0100*/
         var_DiagPBDPIfc2DPFehler 			<0x02>,	/* Byte 0   0000 0010*/
         var_DiagPBDPIfc2GCClear				<0x01>	/* Byte 0   0000 0001*/
         var_DiagPBDPIfc2DatenLaenge0 		<0x80>,	/* Byte 1   1000 0000*/
         var_unused_s216i3_by1_6ff			<0x7F>,	/* Byte 1   0111 1111*/
      }
   }
}
//~ ab V2.0: Kombi-Objkete TrqPosInfo: Variablen + Kommandos
#ifdef SIMULATIONSMODE_ENTWICKLUNG
//~ "interne" Variable zur Simulation von Abhngigkeiten
// "interne" Variable zur Simulation von Abhngigkeiten
// (sind nicht mit der DP-V1-Kommunikation verknpft)
VARIABLE var_SIMU_PIDTYP	//Variable fr die Simulation des Prozessregler-Typs
{
   LABEL		"Prozessreglertyp";
   HELP		"0=kein Prozessregler, 1= extern, 2= intern";
   CLASS		LOCAL;
   TYPE		ENUMERATED
   {
      DEFAULT_VALUE	1;
      { 0, [TXT_FKTNDEAKTIVIERT] },
      { 1, [TXT_PIDEXTERN] },
      { 2, [TXT_PIDINTERN] }
   }
   HANDLING		READ & WRITE;
}
VARIABLE var_SIMU_PIDENA	//Variable fr die Simulation des Prozessreglers PID
{
   LABEL		"Prozessregler aktiviert";
   HELP		"0=kein Prozessregler, 1=Prozessregler vorhanden";
   CLASS		LOCAL;
   TYPE		ENUMERATED
   {
      DEFAULT_VALUE	1;
      { 0, [TXT_FKTNDEAKTIVIERT] },
      { 1, [TXT_FKTNAKTIVIERT] }
   }
   HANDLING		READ & WRITE;
}
VARIABLE var_SIMU_INTTY2	//Variable fr die Simulation des Typs des 2. Interfaces
{
   LABEL		"Typ der 2. Interface-Karte";
   HELP		"0=keine, 1=Parallel, 2=Profibus DP, 3=Modubus, 4=DeviceNet, 5=FF";
   CLASS		LOCAL;
   TYPE		ENUMERATED
   {
      DEFAULT_VALUE	0;
      { 0, [TXT_KEIN] },
      { 1, [TXT_PARALLELINT_TYP] },
      { 2, [TXT_PROFIBUSDP_TYP] },
      { 3, [TXT_MODBUS_TYP] },
      { 4, [TXT_AC_DEVNETAUSW] },
      { 5, [TXT_FOUNDATION] }
   }
   HANDLING		READ & WRITE;
}
VARIABLE var_SIMU_DiagLogikSWVersion
{
   LABEL		"SW-Version Logikplatine";
   HELP		"Simulation einer beliebigen Version der Logik-Software; Aufbau: Z031.922/<Hauptversion zweistellig>-<Subversion zweistellig>";
   CLASS		LOCAL;
   TYPE		ASCII (20)
   {
      DEFAULT_VALUE	"Z031.922/10-00";
   }
   HANDLING		READ & WRITE;
   POST_EDIT_ACTIONS
   {
      method_logicswversion
   }
}
VARIABLE var_SIMU_E2_IN //nicht angezeigte Variable, von der jedoch z.B. die Anzeige des Mens "Diagnose - MWG" teilweise abhngig ist 
{
   LABEL		"Stellungsgeber-Typ (E2_IN)";
   HELP		"Simulation ber die Informationsquelle fr die aktuelle Position. E2_IN = 4 heit MWG. Der Bereich Diagnose >> MWG wird nur eingeblendet, E2_IN = 4 ist und ein Fehler im MWG (MWG nicht bereit) auftritt).";
   CLASS		LOCAL;
   TYPE		ENUMERATED
   {
      DEFAULT_VALUE	4;
      { 0, [TXT_KEIN] },
      { 1, [TXT_POTI] },
      { 2, [TXT_020MA] },
      { 3, [TXT_420MA] },
      { 4, [TXT_STGMWG] }
   }
   HANDLING		READ & WRITE;
}
VARIABLE var_SIMU_MWGnichtBereit //aus Diagnose - Interne Fehler 1 
{
   LABEL		"MWG nicht bereit";
   HELP		"Simulation eines Fehlers vom Typ Diagnose >> Interner Fehler >> MWG nicht bereit (Der Bereich Diagnose >> MWG wird eingeblendet wenn dieser Fehler auftritt).";

   CLASS		LOCAL;
   TYPE		ENUMERATED //BIT_ENUMERATED
   {
      DEFAULT_VALUE	1;
      {  0, "nicht aufgetreten"},
      {  1, "aufgetreten"},
   }
   HANDLING		READ & WRITE;
}
 var_SIMU_InterneWarnungen LIKE VARIABLE var_SIMU_MWGnichtBereit
{
   REDEFINE LABEL	"Interne Warnungen";
   REDEFINE HELP	"Simulation einer Meldung vom Typ Status >> Warnungen >> INTERNE WARNUNG (Der Bereich Diagnose >> Interne Warnungen wird eingeblendet wenn dieser Fehler auftritt).";
}
 var_SIMU_InternerFehler LIKE VARIABLE var_SIMU_MWGnichtBereit
{
   REDEFINE LABEL	"Interner Fehler";
   REDEFINE HELP	"Simulation einer Meldung vom Typ Status >> Fehler >> INTERNER FEHLER (Der Bereich Diagnose >> Interne Fehler 1/2 wird eingeblendet wenn dieser Fehler auftritt).";
}
 var_SIMU_KonfigFehler LIKE VARIABLE var_SIMU_MWGnichtBereit
{
   REDEFINE LABEL	"Konfigurationsfehler";
   REDEFINE HELP	"Simulation einer Meldung vom Typ Status >> Fehler >> KONFIG.FEHLER (Der Bereich Diagnose >> Konfigurationsfehler wird eingeblendet wenn dieser Fehler auftritt).";
}
#endif
//~ Kombi-Objekt TrqPosInfo
//~ Variablen-Defs fr Kombi-Objekt TrqPosInfo
// Kombidaten: Drehmomente in den verschiedenen Einheiten
VARIABLE var_KOMBI_TrqPosProz // Kombi-Objket TrqPosInfo: 1. Ist-DreMo in Prozent
{
   LABEL		[TXT_SW_ID21];
   HELP		[TXT_REM_ID21];
   CLASS		CONTAINED & DYNAMIC;
   TYPE		INTEGER (4)
   {
      DEFAULT_VALUE	0;
      MIN_VALUE		-DREMO_MAXWERT_PROZ;
      MAX_VALUE		DREMO_MAXWERT_PROZ;
   }
   CONSTANT_UNIT	[Prozent];
   HANDLING		READ;
}
VARIABLE var_KOMBI_TrqPosNm // Kombi-Objket TrqPosInfo: 2. Ist-DreMo in Nm
{
   LABEL		[TXT_SW_ID21];
   HELP		[TXT_REM_ID21];
   CLASS		CONTAINED & DYNAMIC;
   TYPE		INTEGER (4)
   {
      DEFAULT_VALUE	0;
      MIN_VALUE		-DREMO_MAXWERT_NMLBSFT;
      MAX_VALUE		DREMO_MAXWERT_NMLBSFT;
   }
   CONSTANT_UNIT	[Nm];
   HANDLING		READ;
}
var_KOMBI_TrqPosLbsft LIKE VARIABLE var_KOMBI_TrqPosNm	// Kombi-Objket TrqPosInfo: 3. Ist-DreMo in LbsFt
{
   REDEFINE LABEL			[TXT_SW_ID21];
   REDEFINE HELP			[TXT_REM_ID21];
   REDEFINE CONSTANT_UNIT	[LbsFt];
}
// Kombidaten: Ist-Position und Soll-Position
VARIABLE var_KOMBI_TrqPosIstPos // Kombi-Objket TrqPosInfo: 4. Ist-Position in Promille/Prozent
{
   LABEL		[TXT_CAPT_ISTPOS_E2];
   HELP		[TXT_NOT_AVAILABLE];	//''''
   CLASS		CONTAINED & DYNAMIC;
   TYPE		UNSIGNED_INTEGER (4)
   {
      DEFAULT_VALUE	0;
      MIN_VALUE		POS_MINWERT_PROMILLE;
      MAX_VALUE		POS_MAXWERT_PROMILLE;
   }
   CONSTANT_UNIT	[Promille];
   HANDLING		READ;
}
VARIABLE var_KOMBI_TrqPosSollPos // Kombi-Objket TrqPosInfo: 5. Soll-Position in Promille/Prozent
{
   LABEL		[TXT_SW_ID48];
   HELP		[TXT_REM_ID48];
   CLASS		CONTAINED & DYNAMIC;
   TYPE		UNSIGNED_INTEGER (4)
   {
      DEFAULT_VALUE	0;
      MIN_VALUE		POS_MINWERT_PROMILLE;
      MAX_VALUE		POS_MAXWERT_PROMILLE;
   }
   CONSTANT_UNIT	[Promille];
   HANDLING		READ;
}
// Kombidaten: Infowerte
VARIABLE var_KOMBI_TrqPosInfoWerte 	// Kombi-Objket TrqPosInfo: 6. Infowerte
{
   LABEL		[TXT_TRQKOMBI_STATUSINFORMATION];
   HELP		[TXT_NOT_AVAILABLE];	//''''
   CLASS		CONTAINED & DYNAMIC;
   TYPE		UNSIGNED_INTEGER (4)
   {
      DEFAULT_VALUE	0;
   }
   CONSTANT_UNIT	[Bits];
   HANDLING		READ;
}
COMMAND read_var_KOMBI_TrqPosProz
#ifdef DDCCorrection
/*alles hier drin soll in den Trend*/
#endif
{
   SLOT		240;
   INDEX		1;
   OPERATION	READ;
   TRANSACTION
   {
      REPLY
      {
         var_KOMBI_TrqPosProz, 			/* DreMo in Prozent*/
         var_KOMBI_TrqPosNm, 			/* DreMo in Nm*/
         var_KOMBI_TrqPosLbsft,			//3. Element: DreMo in LbsFt
         var_KOMBI_TrqPosIstPos,			//4. Element: Ist-Position
         var_KOMBI_TrqPosSollPos,		//5. Element: Soll-Position
         var_KOMBI_TrqPosInfoWerte,		//6. Element: Infowerte
      }
   }
}
//~ Kombi-Objekt ErrWrnNbfStatus
//~ Variablen-Defs fr Kombi-Objekt ErrWrnNbfStatus
// Kombidaten: Meldungen
VARIABLE var_KOMBI_AntriebsMeldungen //Kombi-Objket Antriebsmeldungen (S-208/I-1)
{
   LABEL		"Kombidaten: Antriebsmeldungen";	//[TXT_SW_ID62];
   HELP		">>> hilfe...";	//[TXT_REM_ID62];
   CLASS		CONTAINED & DYNAMIC;
   TYPE		UNSIGNED_INTEGER (2)
   {
      DEFAULT_VALUE	0;
      MIN_VALUE		0;
      MAX_VALUE		0xffff;
   }
   HANDLING		READ;
}
var_KOMBI_FehlerMeldungen 	LIKE VARIABLE var_KOMBI_AntriebsMeldungen
{
   REDEFINE LABEL		"Kombidaten: Fehlermeldungen";	//[TXT_SW_ID62];
}
var_KOMBI_WarnungsMeldungen LIKE VARIABLE var_KOMBI_AntriebsMeldungen
{
   REDEFINE LABEL		"Kombidaten: Warnungsmeldungen";	//[TXT_SW_ID62];
}
var_KOMBI_NichtBereitFern 	LIKE VARIABLE var_KOMBI_AntriebsMeldungen
{
   REDEFINE LABEL		"Kombidaten: Nicht Betriebsbereit Fern";	//[TXT_SW_ID62];
}
COMMAND read_var_KOMBI_ErrWrnNbfStatus
{
   SLOT		240;
   INDEX		2;
   OPERATION	READ;
   TRANSACTION
   {
      REPLY
      {
         var_KOMBI_AntriebsMeldungen,	//Bytes 0 und 1 
         var_KOMBI_FehlerMeldungen,		//Bytes 2 und 3
         var_KOMBI_WarnungsMeldungen,	//Bytes 4 und 5
         var_KOMBI_NichtBereitFern,		//Bytes 6 und 7
      }
   }
}
//~ Kombi-Objekt DP1Diag
//~ Variablen-Defs fr Kombi-Objekt DP1Diag
// Kombidaten: DP1-Diagnose
VARIABLE var_KOMBI_DP1Status 
{
   LABEL		"Kombidaten: Busstatus DP1";	//[TXT_SW_ID62];
   HELP		">>> hilfe...";	//[TXT_REM_ID62];
   CLASS		CONTAINED & DYNAMIC;
   TYPE		UNSIGNED_INTEGER (2)
   {
      DEFAULT_VALUE	0;
      MIN_VALUE		0;
      MAX_VALUE		0xffff;
   }
   HANDLING		READ;
}
var_KOMBI_DP1DigIn 	LIKE VARIABLE var_KOMBI_DP1Status
{
   REDEFINE LABEL		"Kombidaten: DP1 Digitaleingngen";	//[TXT_SW_ID62];
}
var_KOMBI_DP1AnIn1 LIKE VARIABLE var_KOMBI_DP1Status
{
   REDEFINE LABEL		"Kombidaten: DP1 Analogeingnge 1";	//[TXT_SW_ID62];
}
var_KOMBI_DP1AnIn2 	LIKE VARIABLE var_KOMBI_DP1Status
{
   REDEFINE LABEL		"Kombidaten: DP1 Analogeingnge 2";	//[TXT_SW_ID62];
}
COMMAND read_var_KOMBI_DP1Diag
{
   SLOT		240;
   INDEX		3;
   OPERATION	READ;
   TRANSACTION
   {
      REPLY
      {
         var_KOMBI_DP1Status,	//Bytes 0 und 1 
         var_KOMBI_DP1DigIn,		//Bytes 2 und 3
         var_KOMBI_DP1AnIn1,		//Bytes 4 und 5
         var_KOMBI_DP1AnIn2,		//Bytes 6 und 7
      }
   }
}
//~ Kombi-Objekt DP2Diag
//~ Variablen-Defs fr Kombi-Objekt DP2Diag
// Kombidaten: DP2-Diagnose
VARIABLE var_KOMBI_DP2Status 
{
   LABEL		"Kombidaten: Busstatus DP2";	//[TXT_SW_ID62];
   HELP		">>> hilfe...";	//[TXT_REM_ID62];
   CLASS		CONTAINED & DYNAMIC;
   TYPE		UNSIGNED_INTEGER (2)
   {
      DEFAULT_VALUE	0;
      MIN_VALUE		0;
      MAX_VALUE		0xffff;
   }
   HANDLING		READ;
}
var_KOMBI_DP2DigIn 	LIKE VARIABLE var_KOMBI_DP2Status
{
   REDEFINE LABEL		"Kombidaten: DP2 Digitaleingngen";	//[TXT_SW_ID62];
}
var_KOMBI_DP2AnIn1  LIKE VARIABLE var_KOMBI_DP2Status
{
   REDEFINE LABEL		"Kombidaten: DP2 Analogeingnge 1";	//[TXT_SW_ID62];
}
var_KOMBI_DP2AnIn2 	LIKE VARIABLE var_KOMBI_DP2Status
{
   REDEFINE LABEL		"Kombidaten: DP2 Analogeingnge 2";	//[TXT_SW_ID62];
}
COMMAND read_var_KOMBI_DP2Diag
{
   SLOT		240;
   INDEX		4;
   OPERATION	READ;
   TRANSACTION
   {
      REPLY
      {
         var_KOMBI_DP2Status,	//Bytes 0 und 1 
         var_KOMBI_DP2DigIn,		//Bytes 2 und 3
         var_KOMBI_DP2AnIn1,		//Bytes 4 und 5
         var_KOMBI_DP2AnIn2,		//Bytes 6 und 7
      }
   }
}
//~ SPEZIALISTENTABELLE + INSTANDHALTERTABELLE
//~ SPEZIALISTENTABELLE
/************************************************************************************************************************************/
/**** SPEZIALISTENTABELLE ***********************************************************************************************************/
/************************************************************************************************************************************/

MENU Table_Main_Specialist
{
	LABEL		[dev_name];
	ITEMS
	{
//		tabDependencies_S,			// Abhngigkeitsvariablen, NUR fr Testzwecke einblenden
//		LSWV_En_UserDefByte_Trq,	// NUR fr Testzwecke einblenden
//		LSWV_En_PBDP2_Vars,			// NUR fr Testzwecke einblenden
//		LSWV_String,				// NUR fr Testzwecke einblenden
//		LSWV_iStringold,			// NUR fr Testzwecke einblenden
//		LSWV_ucString,				// NUR fr Testzwecke einblenden
		tabSettings_S,
		tabElNamePlate_S,
		tabOperationalData_S,
		IF( var_Aux_nStatusDiagVisibleFlag != 0 )
		{
			menu_Status_S,
			menu_Diagnosis_S,
		}
		menu_TestInfos_S
	}
}

//~ Hierarchieebene 0
// x x         Hierarchieebene 0           x x x x x x x x x x x x x x x x x x x x x x x x x x
//~ Menus vor V2.0
MENU tabDependencies_S
{
	LABEL	"Parameterfreigabeabhngigkeiten";
	ITEMS
	{
		E2_IN,			// Signal vom Stellungsgeber -> Drehmomentparameter
		INTTY2,			// Typ Interface 2 -> Paralleles Interface & Profibus DP Interface 2
		SIVERH,			// Sicherheitsverhalten
		SIFAHR,			// Sicherheits-Aktion
		NOVERH,			// NOT-Verhalten
		NOFAHR,			// NOT-AKtion
		TBA,			// Taktbetrieb AUF
		TBZ,			// Taktbetrieb ZU
		REGTYP,			// Stellungsregler
		STRTYP,			// Adaptives Verhalten -> Stellungsregler
		E1_IN,			// Sollwert E1 -> Stellungsregler
		PIDTYP,			// Prozessregler
		SWUEBW,			// berwachung
		RKTUBW			// Reaktionsberwachung
	}
}

MENU tabSettings_S		// EINSTELLUNGEN
{
	LABEL		[TXT_CAPT_SETTINGS];
	ITEMS
	{
		frmSwitchOffType_S,	// Abschaltart
		tabAumatic2_S,		// Drehmoment
		tabAumatic0_S,		// Ortsteuerstelle
		tabAumatic10_S,		// Interface
		frmFailure_S,		// Sicherheitsverhalten
		frmEmergency_S,		// NOT-Verhalten
		frmSteppingMode_S,	// Taktgeber
		frmPositionerPID_S,	// Stellungsregler/Prozessregler PID
		tabAumatic4_S,		// Zwischenstellungen
		frmMonitoring_S,	// berwachung
	}
}

MENU tabElNamePlate_S		// ELEKTRONISCHES TYPENSCHILD
{
	LABEL		[TXT_CAPT_FRMENPSETTINGS];
	ITEMS
	{
		SWETYP,			// Elektronisches Typenschild
		tabOrderData_S,		// Bestelldaten
		tabProductData_S,	// Produktdaten
		tabProjectData_S,	// Projektdaten
		tabServiceData_S,	// Servicedaten
	}
}

MENU tabOperationalData_S	// BETRIEBSDATEN
{
	LABEL		[TXT_SW_ID62];
	ITEMS
	{
		SWBDAT,
		frmGenericStatistics_S,	// Allgemein
		frmErrorStatistics_S,	// Fehler
	}
}

MENU menu_Status_S	//STATUS-INFORMATIONEN
{
   LABEL		[TXT_CAPT_TREE_STATUS];	 //Status der V0-Daten	
   ITEMS
   {
      menu_Allgemein_S,			//Sub-Menu "Allgemein"
      menu_Betriebsmodus_S,		//Sub-Menu "Betriebsmodus"
      menu_Stellbefehle_S,		//Sub-Menu "Stellbefehle"
      menu_Fehler_S,				//Sub-Menu "Fehler"
      menu_Warnungen_S,			//Sub-Menu "Warnungen"
      menu_NichtBereitFern_S,		//Sub-Menu "NichtBereitFern"
      //Sub-Menu "Drehmoment", "Stellungsregler" und "ProzessreglerPID"
#ifdef SIMULATIONSMODE_ENTWICKLUNG
      IF( var_SIMU_E2_IN == 4 )
      {
         menu_Drehmoment_S,
         menu_Stellungsregler_S,
      }
      IF( (var_SIMU_PIDTYP==1) ||
       (var_SIMU_PIDTYP==2) ||
       (var_SIMU_PIDENA==1) )
      {
         menu_ProzessreglerPID_S,
      }
#else
      IF( E2_IN == 4 )
      {
         menu_Drehmoment_S,
         menu_Stellungsregler_S,
      }
      IF( (PIDTYP==1) ||
       (PIDTYP==2) ||
       (PIDENA==1) )
      {
         menu_ProzessreglerPID_S,
      }
#endif
   }
}
MENU menu_Diagnosis_S				//DIAGNOSE-INFORMATIONEN	
{
   LABEL		[TXT_CAPT_TABAUMATIC8];		//Diagnose-Informationen   
   ITEMS
   {
      // Die Mens: 
      // - menu_InterneFehler1_S, 
      // - menu_InterneFehler2_S, 
      // - menu_InterneWarnungen_S,
      // - menu_Konfigfehler_S, 
      // - menu_MWG_S
      // sind nur bedingt sichtbar, d.h. es mssen entsprechende Boolsche Variable
      // mit einem TRUE-Wert das Auftreten bestimmter Fehler anzeigen.
      // Um die korrekte Anzeige bei Auftreten der Variablen zu testen, wurde ein 
      // Simulationsmodus eingefhrt, der durch die Anweisung
      // 	#define SIMULATIONSMODE_ENTWICKLUNG
      // im Programmkopf aktiviert werden kann. (Dann erscheint ein Menpunkt
      // "Abhngigkeitsschalter", in welchem das Auftreten dieser Fehler simuliert und 
      // das Ein-/Ausblenden der Menpunkte geprft werden kann.)
      menu_Antriebssignale_S,		//Sub-Menu "Antriebssignale"
#ifdef SIMULATIONSMODE_ENTWICKLUNG
      IF( var_SIMU_InternerFehler == 1 )
      {
         menu_InterneFehler1_S,
         menu_InterneFehler2_S,
      }
      IF(var_SIMU_InterneWarnungen == 1)
      {
         menu_InterneWarnungen_S,
      }
      IF( var_SIMU_KonfigFehler == 1 )
      {
         menu_Konfigfehler_S,
      }
#else
      IF(var_StatusFehlerInternerFehler==1)
      {
         menu_InterneFehler1_S,
         menu_InterneFehler2_S,
      }
      IF(var_StatusWarnungInterneWarnung==1)
      {
         menu_InterneWarnungen_S,
      }
      IF( var_StatusFehlerKonfigFehler==1 )
      {
         menu_Konfigfehler_S,
      }
#endif
      menu_Logik_S,				//Sub-Menu "Logik" 
      //Sub-Menu "MWG"
#ifdef SIMULATIONSMODE_ENTWICKLUNG
      IF( var_SIMU_E2_IN == 4 )
      {
         menu_MWG_S,
      }
#else
      IF( E2_IN == 4 )
      {
         menu_MWG_S,
      }
#endif
      menu_DiagStellungsregler_S,	//Sub-Menu "Diagnose - Stellungsregler" 
      menu_Stellungsgeber_S,		//Sub-Menu "Stellungsgeber" 
      menu_PBDPIfc1_S,			//Sub-Menu "PROFIBUS DP Interface 1" 
      //Sub-Menu "PROFIBUS DP Interface 2"
#ifdef SIMULATIONSMODE_ENTWICKLUNG
      IF(var_SIMU_INTTY2	== 2)
      {
         menu_PBDPIfc2_S,
      }
#else
      IF(INTTY2 == 2)
      {
         menu_PBDPIfc2_S,
      }
#endif
   }
}
#ifdef SIMULATIONSMODE_ENTWICKLUNG
MENU menu_TestInfos_S	//Test der Ist-Pos. und der Kombi-Objekte
{
   LABEL		"Kombiobjekte und Abhngigkeitsschalter";
   ITEMS
   {
      menu_AbhaengigkeitsSchalter_S,
      menu_TrqPosInfo_S, 			//Darstellung der Elemente von TrqPosInfo
      menu_ErrWrnNbfStatus_S, 	//Darstellung der Elemente von ErrWrnNbfStatus
      menu_DP1Diag_S, 			//Darstellung der Elemente von Dp1Diag
      menu_DP2Diag_S, 			//Darstellung der Elemente von Dp2Diag
   }
}
#endif
//~ Hierarchieebene 1
// x x         Hierarchieebene 1           x x x x x x x x x x x x x x x x x x x x x x x x x x
//~ Menus vor V2.0
MENU frmSwitchOffType_S
{
	LABEL		[TXT_CAPT_FRMSWITCHOFFTYPE];
	ITEMS
	{
		ABSAUF,		//Variable
		ABSZU,		//Variable
	}
}

MENU tabAumatic2_S
{
	LABEL		[TXT_CAPT_TABAUMATIC2];
	ITEMS
	{
		TRQAUF,		//Variable
		TRQZU,		//Variable
		ANFBRZ,		//Variable
	}
}

MENU tabAumatic0_S
{
	LABEL		[TXT_CAPT_TABAUMATIC0];
	ITEMS
	{
		SHORT,		//Variable
		LCDSPR,		//Variable
		LCDKON,		//Variable

		IF(E2_IN==4)
		{
			TRQIND,		//Variable
		}

		OSSLD1,		//Variable
		OSSLD2,		//Variable
		OSSLD3,		//Variable
		OSSLD4,		//Variable
		OSSLD5,		//Variable
		BLINK,		//Variable
		KUNPW,		//Variable
	}
}

MENU tabAumatic10_S
{
	LABEL		[TXT_CAPT_TABAUMATIC10];
	ITEMS
	{
#ifdef DDCCorrection
		MenuValidityCondition(tabInterface0_S) ,	// Paralleles Interface
#else
		tabInterface0_S,	// Paralleles Interface
#endif
		tabInterface1_S,	// Bus Interface
	}
}

MENU frmFailure_S
{
	LABEL		[TXT_SW_ID5];
	ITEMS
	{
		SIVERH,		//Variable
		SISRC,		//Variable
		SIFAHR,		//Variable
		SIFPOS,		//Variable
		SIZ,		//Variable
	}
}

MENU frmEmergency_S
{
	LABEL		[TXT_CAPT_FRMEMERGENCY];
	ITEMS
	{
		NOVERH,		//Variable
		NOWSOR,		//Variable
		NOFAHR,		//Variable
		NOFPOS,		//Variable
	}
}

MENU frmSteppingMode_S
{
	LABEL		[TXT_CAPT_FRMSTEPPINGMODE];
	ITEMS
	{
		SWTKT,		//Variable
		TBA,		//Variable
		TBAFZ,		//Variable
		TBAPZ,		//Variable
		TBAANF,		//Variable
		TBAEND,		//Variable
		TBZ,		//Variable
		TBZFZ,		//Variable
		TBZPZ,		//Variable
		TBZANF,		//Variable
		TBZEND,		//Variable
	}
}

MENU frmPositionerPID_S
{
	LABEL		[TXT_CAPT_FRMPOSITIONERPID];
	ITEMS
	{
#ifdef DDCCorrection
		MenuValidityCondition(frmPositioner_S) ,	// Stellungsregler
		MenuValidityCondition(tabAumatic13_S)		// Prozessregler
#else
		frmPositioner_S,	// Stellungsregler
		tabAumatic13_S		// Prozessregler
#endif
	}
}

MENU tabAumatic4_S
{
	LABEL		[TXT_CAPT_TABAUMATIC4];
	ITEMS
	{
		SWZWI,			//Variable
#ifdef DDCCorrection
		MenuValidityCondition(frmIntPos1_S) ,		//Menu
		MenuValidityCondition(frmIntPos2_S) ,		//Menu
		MenuValidityCondition(frmIntPos3_S) ,		//Menu
		MenuValidityCondition(frmIntPos4_S) ,		//Menu
		MenuValidityCondition(frmIntPos5_S) ,		//Menu
		MenuValidityCondition(frmIntPos6_S) ,		//Menu
		MenuValidityCondition(frmIntPos7_S) ,		//Menu
		MenuValidityCondition(frmIntPos8_S) ,		//Menu
#else
		frmIntPos1_S,		//Menu
		frmIntPos2_S,		//Menu
		frmIntPos3_S,		//Menu
		frmIntPos4_S,		//Menu
		frmIntPos5_S,		//Menu
		frmIntPos6_S,		//Menu
		frmIntPos7_S,		//Menu
		frmIntPos8_S,		//Menu
#endif
	}
}

MENU frmMonitoring_S
{
   LABEL		[TXT_CAPT_FRMMONITORING];
   ITEMS
   {
      SWUEBW,		//Variable
      MAXSCH,		//Variable
      MAXLZ,		//Variable
      STZUEB,		//Variable
      RKTUBW,		//Variable
      RKZUEB,		//Variable
      IF( var_Aux_nLogikVersion_08 == 1 )	//nur ab Logikversion >= 8
      {
         PHDELY,		//Phasenberwachung
      }
   }
}

MENU tabOrderData_S
{
	LABEL		[TXT_CAPT_ORDERDATA];
	ITEMS
	{
		ETKOMN,		//Variable
		ETKONA,		//Variable
		ETKKSN,		//Variable
		ETARMN,		//Variable
		ETANLN,		//Variable
	}
}

MENU tabProductData_S
{
	LABEL		[TXT_CAPT_PRODUCTDATA];
	ITEMS
	{
		ETPRON,		//Variable
		ETNRMA,		//Variable
		ETNRAN,		//Variable
		ETSWV,		//Variable
		ETHWV,		//Variable
		ETADAT,		//Variable
		ETSCHA,		//Variable
		ETAPLN,		//Variable
	}
}

MENU tabProjectData_S
{
	LABEL		[TXT_CAPT_PROJECTDATA];
	ITEMS
	{
		ETPRJN,		//Variable
		ETKUF1,		//Variable
		ETKUF2,		//Variable
	}
}

MENU tabServiceData_S
{
	LABEL		[TXT_CAPT_SERVICEDATA];
	ITEMS
	{
		ETSTEL,		//Variable
		ETWWW,		//Variable
		ETSRV1,		//Variable
		ETSRV2,		//Variable
	}
}

MENU frmGenericStatistics_S
{
	LABEL		[TXT_CAPT_FRMGENERICSTATISTICS];
	ITEMS
	{
		BMLZG,		//Variable
		BMLZ,		//Variable
		BSSPG,		//Variable
		BSSP,		//Variable
		BSDSRG,		//Variable
		BSDSR,		//Variable
		BSWSRG,		//Variable
		BSWSR,		//Variable
		BSDOLG,		//Variable
		BSDOL,		//Variable
		BSWOLG,		//Variable
		BSWOL,		//Variable
		BRESEG,		//Variable
		BRESE,		//Variable
	}
}

MENU frmErrorStatistics_S
{
	LABEL		[TXT_CAPT_FRMERRORSTATISTICS];
	ITEMS
	{
		BDSREG,		//Variable
		BDSRE,		//Variable
		BDOLEG,		//Variable
		BDOLE,		//Variable
		BTHEG,		//Variable
		BTHE,		//Variable
		BUZEG,		//Variable
		BUZE,		//Variable
		BUMZEG,		//Variable
		BUMZE,		//Variable
	}
}
//~ ab V2.0: Untermenus zu Menu "Status (V0-Daten)"
// Untermenus zu Menu "Status (V0-Daten)"
MENU menu_Allgemein_S	//Status - Allgemein
{
   LABEL		[TXT_CAPT_FRMGENERICSTATISTICS];
   ITEMS
   {
      var_StatusAllgemeinFaehrtAuf,	//Bool fr Faehrt-auf-Zustand
      var_StatusAllgemeinFaehrtZu,	//Bool fr Faehrt-zu-Zustand
      var_StatusAllgemeinIstAuf,		//Bool fr ist-auf-Zustand
      var_StatusAllgemeinIstZu,		//Bool fr ist-zu-Zustand
      var_StatusAllgemeinIstSoll,		//Bool fr Soll-Pos-erreicht-Zustand
   }
}
MENU menu_Betriebsmodus_S		//Status-Betriebsmodus
{
   LABEL		[TXT_CAPT_TREE_STATUS_BETRMOD];
   ITEMS
   {
      var_StatusBetriebAus,
      var_StatusBetriebOrt,
      var_StatusBetriebFernBinaer,
      var_StatusBetriebFernSoll,
      var_StatusBetriebNotFahrt,
      var_StatusBetriebSichFahrt,
      var_StatusBetriebPIDFahrt,
      var_StatusBetriebOrtClient,
      var_StatusBetriebNotAus,
      var_StatusBetriebGesperrt,
   }
}
MENU menu_Stellbefehle_S		//Status-Stellbefehle
{
   LABEL		[TXT_CAPT_TREE_STATUS_STELLBEFEHLE];
   ITEMS
   {
      var_StatusStellbefehleFernAuf,
      var_StatusStellbefehleFernZu,
      var_StatusStellbefehleFernSoll,
      var_StatusStellbefehleSollPos,
   }
}
MENU menu_Fehler_S		//Status-Fehlermeldungen
{
   LABEL		[TXT_CAPT_FRMERRORSTATISTICS];
   ITEMS
   {
      var_StatusFehlerDSRFehler,
      var_StatusFehlerDOELFehler,
      var_StatusFehlerThermoFehler,
      var_StatusFehlerPhasenausfall,
      var_StatusFehlerKonfigFehler,
      var_StatusFehlerInternerFehler,
   }
}
MENU menu_Warnungen_S	//Status-Warnungen	
{
   LABEL		[TXT_CAPT_TREE_STATUS_WARN];
   ITEMS
   {
      var_StatusWarnungKeineReferenzfahrt,
      var_StatusWarnungSigbrPAR1AnIn1,
      var_StatusWarnungSigbrPAR2AnIn2,
      var_StatusWarnungSigbrProzIstwertE4,
      var_StatusWarnungSigbrSollposE1,
      var_StatusWarnungSigbrIstposE2,
      var_StatusWarnungSigbrLWLModul,
      var_StatusWarnungSigbrDreMoE6,
      var_StatusWarnungSigbrDP1AnIn1,
      var_StatusWarnungSigbrDP1AnIn2,
      var_StatusWarnungenStellzeitwarnung,
      var_StatusWarnungEDWarnung,
      var_StatusWarnungInterneWarnung,
   }
}
MENU menu_NichtBereitFern_S	//Status-NichtBereitFern	
{
   LABEL		[TXT_TOOL_TREE_STATUS_NBF];
   ITEMS
   {
      var_StatusNichtBerFernExternerBetrieb,
      var_StatusNichtBerFernClearZustand,
      var_StatusNichtBerFernNOTFahrtaktiv,
      var_StatusNichtBerFernNOTAUSaktiv,
      var_StatusNichtBerFernAntriebverriegelt,
      var_StatusNichtBerFernWahlschNichtFern,
      var_StatusNichtBerFernFalschesKommando,
      var_StatusNichtBerFernORTClient,
      var_StatusNichtBerFernKeineFreigage,
   }
}
MENU menu_Drehmoment_S	//Status-Drehmoment	
{
   LABEL		[TXT_CAPT_FRMTORQUEPARAMETERS];
   ITEMS
   {
      var_StatusDreMoInProzent,
      var_StatusDreMoInNm,
      var_StatusDreMoInLbsft,
   }
}
MENU menu_Stellungsregler_S	//Status-Stellungsregler	
{
   LABEL		[TXT_SW_ID61];
   ITEMS
   {
      //Bedingte Darstellung von entweder var_StatusProzessreglerPIDSollWert oder var_StatusStellbefehleSollPos
#ifdef SIMULATIONSMODE_ENTWICKLUNG
      IF( (var_SIMU_PIDTYP==1) ||
       (var_SIMU_PIDTYP==2) ||
       (var_SIMU_PIDENA==1) )
      {
         var_StatusProzessreglerPIDSollWert
      }
      ELSE
      {
         var_StatusStellbefehleSollPos
      }
#else
      IF( (PIDTYP==1) ||
       (PIDTYP==2) ||
       (PIDENA==1) )
      {
         var_StatusProzessreglerPIDSollWert
      }
      ELSE
      {
         var_StatusStellbefehleSollPos
      }
#endif
      var_StatusStellReglerIstPos,
   }
}
MENU menu_ProzessreglerPID_S	//Status-ProzessreglerPID	
{
   LABEL		[TXT_SW_ID259];
   ITEMS
   {
      //PIDENA,						//nur zu Debugzwecken
      var_StatusProzessreglerProzSollWertE1,	// 212	1
      var_StatusProzessreglerPIDIstWert,
   }
}
//~ ab V2.0: Untermenus zu Menu "Diagnose"
// Untermenus zu Menu "Diagnose"
MENU menu_Antriebssignale_S		//Diagnose - Antriebssignale
{
   LABEL		[TXT_CAPT_TREE_DIAG_ANTRIEB];
   ITEMS
   {
      var_DiagAntriebssigsThermoFehler,
      var_DiagAntriebssigsDOEL,
      var_DiagAntriebssigsDSR,
      var_DiagAntriebssigsWOEL,
      var_DiagAntriebssigsWSR,
   }
}
MENU menu_InterneFehler1_S		//Diagnose - Interne Fehler 1
{
   LABEL		[TXT_CAPT_TREE_DIAG_INTFEHLER1];
   ITEMS
   {
      var_DiagIntFehler1TMSFehler,
      var_DiagIntFehler1Wahlschalterfehler,
      var_DiagIntFehler1AusgangDefekt,
      var_DiagIntFehler1CANFehlerMWG,
      var_DiagIntFehler1CANFehlerParInt1,
      var_DiagIntFehler1CANFehlerDP1,
      var_DiagIntFehler1CANFehlerDP2,
      var_DiagIntFehler1CANFehlerLogik,
      var_DiagIntFehler1MWGNichtBereit,
      var_DiagIntFehler1PhasenfolgeDefekt,
      var_DiagIntFehler124VDCFehler,
      var_DiagIntFehler1KeineReaktion,
      var_DiagIntFehler1FehlerOrtssteuerstelle,
   }
}
MENU menu_InterneFehler2_S	//Diagnose - Interne Fehler 2
{
   LABEL		[TXT_CAPT_TREE_DIAG_INTFEHLER2];
   ITEMS
   {
      var_DiagIntFehler2EEPROMdefekt,
      var_DiagIntFehler2RAMDefekt,
   }
}
MENU menu_InterneWarnungen_S	//Diagnose - Interne Warnungen
{
   LABEL		[TXT_CAPT_TREE_DIAG_INTWARN];
   ITEMS
   {
      var_DiagIntWarnKeineWerkseinstlg,
      var_DiagIntWarnCANFehlerParInt1,
      var_DiagIntWarnCANFehlerDP1,
      var_DiagIntWarnCANFehlerDP2,
   }
}
MENU menu_Konfigfehler_S	//Diagnose - Konfigurationsfehler
{
   LABEL		[TXT_CAPT_TREE_DIAG_CFGFEHLER];
   ITEMS
   {
      var_DiagKonfigFehlerE1nichtvorhanden,
      var_DiagKonfigFehlerKeineAbschaltung,
      var_DiagKonfigFehlerEndlagenEingaenge,
   }
}
MENU menu_Logik_S	//Diagnose - Logik
{
   LABEL		[TXT_CAPT_CFGSETUP_LOGIK];
   ITEMS
   {
      var_DiagLogikHWVersion,
      var_DiagLogikSWVersion,
   }
}
MENU menu_MWG_S	//Diagnose - MWG
{
   LABEL		[TXT_MWGVORHANDEN];
   ITEMS
   {
      var_DiagMWG_HWVersion,
      var_DiagMWG_SWVersion,
      //Einzelheiten nur anzeigen, wenn ein MWG-Fehler aufgetreten ist
#ifdef SIMULATIONSMODE_ENTWICKLUNG
      IF( var_SIMU_MWGnichtBereit==1 )
      {
         var_DiagMWGKeineVerbindung,
         var_DiagMWGKalibriermode,
         var_DiagMWGKeineDrehmoGrenzen,
         var_DiagMWGKeineEndlagen,
         var_DiagMWGFehlerDrehmosystem,
         var_DiagMWGKeinWegnullpunkt,
         var_DiagMWGNichtKalibriert,
         var_DiagMWGEEPROMFehler,
         var_DiagMWGHallsensorFehler,
      }
#else
      IF(var_DiagIntFehler1CANFehlerMWG==1)
      {
         var_DiagMWGKeineVerbindung,
         var_DiagMWGKalibriermode,
         var_DiagMWGKeineDrehmoGrenzen,
         var_DiagMWGKeineEndlagen,
         var_DiagMWGFehlerDrehmosystem,
         var_DiagMWGKeinWegnullpunkt,
         var_DiagMWGNichtKalibriert,
         var_DiagMWGEEPROMFehler,
         var_DiagMWGHallsensorFehler,
      }
#endif
   }
}
MENU menu_DiagStellungsregler_S	//Diagnose - Stellungsregler
{
   LABEL		[TXT_SW_ID61];
   ITEMS
   {
      var_DiagStellreglerTotbandZu,
      var_DiagStellreglerAeusseresTotband,
      var_DiagStellreglerTotbandAuf,
   }
}
MENU menu_Stellungsgeber_S	//Diagnose - Stellungsgeber
{
   LABEL		[TXT_SW_ID0];
   ITEMS
   {
      var_DiagStellgeberRohwertEndlageZU,
      var_DiagStellgeberRohwert,
      var_DiagStellgeberRohwertEndlageAUF,
   }
}
MENU menu_PBDPIfc1_S	//Diagnose - PROFIBUS DP Interface 1
{
   LABEL		[TXT_PROFIBUSDP1];
   ITEMS
   {
      var_DiagPBDPIfc1HardwareVersion,
      var_DiagPBDPIfc1SoftwareVersion,
      var_DiagPBDPIfc1BaudSearch,
      var_DiagPBDPIfc1BaudControl,
      var_DiagPBDPIfc1DPMode,
      var_DiagPBDPIfc1WaitPrm,
      var_DiagPBDPIfc1WaitCfg,
      var_DiagPBDPIfc1DataEx,
      var_DiagPBDPIfc1DPFehler,
      var_DiagPBDPIfc1GCClear,
      var_DiagPBDPIfc1DatenLaenge0,
      var_DiagPBDPIfc1Kanal2aktiv,
      var_DiagPBDPIfc1Analog1,
      var_DiagPBDPIfc1Analog2,
      var_DiagPBDPIfc1DigIn4,
      var_DiagPBDPIfc1DigIn3,
      var_DiagPBDPIfc1DigIn2,
      var_DiagPBDPIfc1DigIn1,
   }
}
MENU menu_PBDPIfc2_S	//Diagnose - PROFIBUS DP Interface 2
{
   LABEL		[TXT_PROFIBUSDP2];
   ITEMS
   {
      var_DiagPBDPIfc2HardwareVersion,
      var_DiagPBDPIfc2SoftwareVersion,
      var_DiagPBDPIfc2BaudSearch,
      var_DiagPBDPIfc2BaudControl,
      var_DiagPBDPIfc2DPMode,
      var_DiagPBDPIfc2WaitPrm,
      var_DiagPBDPIfc2WaitCfg,
      var_DiagPBDPIfc2DataEx,
      var_DiagPBDPIfc2DPFehler,
      var_DiagPBDPIfc2GCClear,
      var_DiagPBDPIfc2DatenLaenge0,
   }
}
//~ ab V2.0: Untermenus zu Test-Menu "Kombiobjekte und Abhngigkeitsschalter"
// Untermenus zu Test-Menu "Kombiobjekte und Abhngigkeitsschalter"
MENU menu_AbhaengigkeitsSchalter_S		//Darstellung Abhngigkeitsschalter (Simulation)
{
   LABEL		"Abhngigkeitsschalter";
   ITEMS
   {
      var_SIMU_PIDTYP,
      var_SIMU_PIDENA,
      var_SIMU_INTTY2,
      var_SIMU_DiagLogikSWVersion,
      var_SIMU_E2_IN,
      var_SIMU_MWGnichtBereit,
      var_SIMU_InterneWarnungen,
      var_SIMU_InternerFehler,
      var_SIMU_KonfigFehler,
   }
}
MENU menu_TrqPosInfo_S		//Darstellung der Elemente von TrqPosInfo
{
   LABEL		"Kombi-Objekt TrqPosInfo";
   ITEMS
   {
      var_KOMBI_TrqPosProz,	//1. Element Kombi-Objekte TrqPosInfo: DreMo in %
      var_KOMBI_TrqPosNm, 	//2. Element: DreMo in Nm
      var_KOMBI_TrqPosLbsft,	//3. Element: DreMo in LbsFt 
      var_KOMBI_TrqPosIstPos,		//4. Element: Ist-Position
      var_KOMBI_TrqPosSollPos,		//5. Element: Soll-Position
      var_KOMBI_TrqPosInfoWerte,		//6. Element: Infowerte
   }
}
MENU menu_ErrWrnNbfStatus_S	//Darstellung der Elemente von TrqPosErrWrnNbfStatusInfo
{
   LABEL		"Kombi-Objekt ErrWrnNbfStatus";
   ITEMS
   {
      var_KOMBI_AntriebsMeldungen,	//Antriebsmeldungen wie in S-208/I-1
      var_KOMBI_FehlerMeldungen,		//Bytes 2 und 3
      var_KOMBI_WarnungsMeldungen,	//Bytes 4 und 5
      var_KOMBI_NichtBereitFern,		//Bytes 6 und 7
   }
}
MENU menu_DP1Diag_S	//Darstellung der Elemente von TrqPosErrWrnNbfStatusInfo
{
   LABEL		"Kombi-Objekt DP1Diag";
   ITEMS
   {
      var_KOMBI_DP1Status,	//Bytes 0 und 1 
      var_KOMBI_DP1DigIn,		//Bytes 2 und 3
      var_KOMBI_DP1AnIn1,		//Bytes 4 und 5
      var_KOMBI_DP1AnIn2,		//Bytes 6 und 7
   }
}
MENU menu_DP2Diag_S	//Darstellung der Elemente von TrqPosErrWrnNbfStatusInfo
{
   LABEL		"Kombi-Objekt DP2Diag";
   ITEMS
   {
      var_KOMBI_DP2Status,	//Bytes 0 und 1 
      var_KOMBI_DP2DigIn,		//Bytes 2 und 3
      var_KOMBI_DP2AnIn1,		//Bytes 4 und 5
      var_KOMBI_DP2AnIn2,		//Bytes 6 und 7
   }
}
//~ Hierarchieebene 2
// x x         Hierarchieebene 2           x x x x x x x x x x x x x x x x x x x x x x x x x x

MENU tabInterface0_S
{
	LABEL		[TXT_CAPT_PARALLELINT];
	ITEMS
	{
		SHFERN,			// Variable
		frmRemoteContactCfg_S,	// Belegung der Melderelais
		frmRemoteAnalogIn_S,	// Analoge Eingnge
		frmRemoteAnalogOut_S,	// Analoge Ausgnge
	}
#ifdef DDCCorrection
#else
	VALIDITY	FALSE;
#endif
}

MENU tabInterface1_S
{
	LABEL		[TXT_BUSINTERFACE];
	ITEMS
	{
		tabProfibusDP_S,	// Profibus DP
	}
}

MENU frmPositioner_S
{
	LABEL		[TXT_CAPT_FRMPOSITIONER];
	ITEMS
	{
		STRTYP,		//Variable
		TOTZ,		//Variable
		ITOTAU,		//Variable
		ITOTZU,		//Variable
		ATOT,		//Variable
		ETOLA,		//Variable
		ETOLZ,		//Variable
	}
}

MENU tabAumatic13_S
{
	LABEL		[TXT_CAPT_TABAUMATIC13];
	ITEMS
	{
		PIDKP,		//Variable
		PIDTN,		//Variable
		PIDTV,		//Variable
		PIDVV,		//Variable
		PSOLL,		//Variable
		PIDINV,		//Variable
		PIDBGA,		//Variable
		PIDBGZ,		//Variable
		PIDE1A,		//Variable
		PIDRZT,		//Variable
		PIDRMI,		//Variable
		PIDRMA,		//Variable
	}
#ifdef DDCCorrection
#else
	VALIDITY	FALSE;
#endif
}

MENU frmIntPos1_S
{
	LABEL		[TXT_CAPT_FRMINTPOS1];
	ITEMS
	{
		Z1ENA,		//Variable
		Z1POS,		//Variable
		Z1FVER,		//Variable
		Z1SVER,		//Variable
	}
#ifdef DDCCorrection
#else
	VALIDITY	FALSE;
#endif
}

MENU frmIntPos2_S
{
	LABEL		[TXT_CAPT_FRMINTPOS2];
	ITEMS
	{
		Z2ENA,		//Variable
		Z2POS,		//Variable
		Z2FVER,		//Variable
		Z2SVER,		//Variable
	}
#ifdef DDCCorrection

#else
	VALIDITY	FALSE;
#endif
}

MENU frmIntPos3_S
{
	LABEL		[TXT_CAPT_FRMINTPOS3];
	ITEMS
	{
		Z3ENA,		//Variable
		Z3POS,		//Variable
		Z3FVER,		//Variable
		Z3SVER,		//Variable
	}
#ifdef DDCCorrection

#else
	VALIDITY	FALSE;
#endif
}

MENU frmIntPos4_S
{
	LABEL		[TXT_CAPT_FRMINTPOS4];
	ITEMS
	{
		Z4ENA,		//Variable
		Z4POS,		//Variable
		Z4FVER,		//Variable
		Z4SVER,		//Variable
	}
#ifdef DDCCorrection
#else
	VALIDITY	FALSE;
#endif
}

MENU frmIntPos5_S
{
	LABEL		[TXT_CAPT_FRMINTPOS5];
	ITEMS
	{
		Z5ENA,		//Variable
		Z5POS,		//Variable
		Z5FVER,		//Variable
		Z5SVER,		//Variable
	}
#ifdef DDCCorrection
#else
	VALIDITY	FALSE;
#endif
}

MENU frmIntPos6_S
{
	LABEL		[TXT_CAPT_FRMINTPOS6];
	ITEMS
	{
		Z6ENA,		//Variable
		Z6POS,		//Variable
		Z6FVER,		//Variable
		Z6SVER,		//Variable
	}
#ifdef DDCCorrection
#else
	VALIDITY	FALSE;
#endif
}

MENU frmIntPos7_S
{
	LABEL		[TXT_CAPT_FRMINTPOS7];
	ITEMS
	{
		Z7ENA,		//Variable
		Z7POS,		//Variable
		Z7FVER,		//Variable
		Z7SVER,		//Variable
	}
#ifdef DDCCorrection
#else
	VALIDITY	FALSE;
#endif
}

MENU frmIntPos8_S
{
	LABEL		[TXT_CAPT_FRMINTPOS8];
	ITEMS
	{
		Z8ENA,		//Variable
		Z8POS,		//Variable
		Z8FVER,		//Variable
		Z8SVER,		//Variable
	}
#ifdef DDCCorrection
#else
	VALIDITY	FALSE;
#endif
}

//~ Hierarchieebene 3
// x x         Hierarchieebene 3           x x x x x x x x x x x x x x x x x x x x x x x x x x

MENU frmRemoteContactCfg_S
{
	LABEL		[TXT_CAPT_FRMREMOTECONTACTCFG];
	ITEMS
	{
		P1STOE,		//Variable
		P1DIG1,		//Variable
		P1DIG2,		//Variable
		P1DIG3,		//Variable
		P1DIG4,		//Variable
		P1DIG5,		//Variable
	}
}

MENU frmRemoteAnalogIn_S
{
	LABEL		[TXT_CAPT_FRMREMOTEANALOGIN];
	ITEMS
	{
		P1A1A,		//Variable
		P1A1E,		//Variable
		P1A2A,		//Variable
		P1A2E,		//Variable
	}
}

MENU frmRemoteAnalogOut_S
{
	LABEL		[TXT_CAPT_FRMREMOTEANALOGOUT];
	ITEMS
	{
		P1A1ZU,		//Variable
		P1A1BE,		//Variable
		P1A2ZU,		//Variable
		P1A2BE,		//Variable
	}
}

MENU tabProfibusDP_S
{
	LABEL		[TXT_CAPT_PBDP];
	ITEMS
	{
		tabPBDPInterface1_S,		// Profibus DP Interface 1
#ifdef DDCCorrection
		MenuValidityCondition(tabPBDPInterface2_S),		// Profibus DP Interface 2
#else
		tabPBDPInterface2_S,		// Profibus DP Interface 2
#endif
		frmDP_ProcessRepresentation_S,	// Prozessabbild
	}
}

//~ Hierarchieebene 4
// x x         Hierarchieebene 4           x x x x x x x x x x x x x x x x x x x x x x x x x x

MENU tabPBDPInterface1_S
{
	LABEL		[TXT_PROFIBUSDP1];
	ITEMS
	{
		frmDP_Settings_S,		// Einstellungen
		frmDP_AnalogInput_S,		// Analoge Eingnge
	}
}

MENU tabPBDPInterface2_S
{
	LABEL		[TXT_PROFIBUSDP2];
	ITEMS
	{
#ifdef DDCCorrection
		MenuValidityCondition(frmDP2_Settings_S)		// Einstellungen
#else
		frmDP2_Settings_S,		// Einstellungen
#endif
	}
#ifdef DDCCorrection

#else
	VALIDITY	FALSE;
#endif
}

MENU frmDP_ProcessRepresentation_S
{
	LABEL		[TXT_CAPT_FRMDPPROCESSREPRESENTATION];
	ITEMS
	{
		DP_KOD,				//Variable
		MAPSEL,				//Variable
		frmDP_UserDefinedBytes_S,	// Belegung benutzerdefinierter Bytes
	}
}

//~ Hierarchieebene 5
// x x         Hierarchieebene 5           x x x x x x x x x x x x x x x x x x x x x x x x x x

MENU frmDP_Settings_S
{
	LABEL		[TXT_CAPT_FRMDPSETTINGS];
	ITEMS
	{
		BUSRED,		//Variable
		KANWZ,		//Variable
	}
}

MENU frmDP_AnalogInput_S
{
	LABEL		[TXT_CAPT_FRMDPANALOGINPUT];
	ITEMS
	{
		DP1A1A,		//Variable
		DP1A1E,		//Variable
		DP1A2A,		//Variable
		DP1A2E,		//Variable
	}
}

MENU frmDP2_Settings_S
{
	LABEL		[TXT_CAPT_FRMDP2SETTINGS];
	ITEMS
	{
		DP2RED,		//Variable
		DP2KWZ,		//Variable
	}
#ifdef DDCCorrection

#else
	VALIDITY	FALSE;
#endif
}

MENU frmDP_UserDefinedBytes_S
{
	LABEL		[TXT_CAPT_FRMDPUSERDEFINEDBYTES];
	ITEMS
	{
		frmDP_UserDefinedByte1_S,	// Belegung benutzerdefiniertes Byte 1
		frmDP_UserDefinedByte2_S,	// Belegung benutzerdefiniertes Byte 2
#ifdef DDCCorrection
		MenuValidityCondition(frmDP_UserDefinedByte3_S) ,	// Belegung benutzerdefiniertes Byte 3
		MenuValidityCondition(frmDP_UserDefinedByte4_S) ,	// Belegung benutzerdefiniertes Byte 4
#else
		frmDP_UserDefinedByte3_S,	// Belegung benutzerdefiniertes Byte 3
		frmDP_UserDefinedByte4_S,	// Belegung benutzerdefiniertes Byte 4
#endif
	}
}

//~ Hierarchieebene 6
// x x         Hierarchieebene 6           x x x x x x x x x x x x x x x x x x x x x x x x x x

MENU frmDP_UserDefinedByte1_S
{
	LABEL		[TXT_CAPT_FRMDPUSERDEFINEDBYTE1];
	ITEMS
	{
		D_DEF0,		//Variable
		D_DEF1,		//Variable
		D_DEF2,		//Variable
		D_DEF3,		//Variable
		D_DEF4,		//Variable
		D_DEF5,		//Variable
		D_DEF6,		//Variable
		D_DEF7,		//Variable
	}
}

MENU frmDP_UserDefinedByte2_S
{
	LABEL		[TXT_CAPT_FRMDPUSERDEFINEDBYTE2];
	ITEMS
	{
		D2DEF0,		//Variable
		D2DEF1,		//Variable
		D2DEF2,		//Variable
		D2DEF3,		//Variable
		D2DEF4,		//Variable
		D2DEF5,		//Variable
		D2DEF6,		//Variable
		D2DEF7,		//Variable
	}
}

MENU frmDP_UserDefinedByte3_S
{
	LABEL		[TXT_CAPT_FRMDPUSERDEFINEDBYTE3];
	ITEMS
	{
		D3DEF0,		//Variable
		D3DEF1,		//Variable
		D3DEF2,		//Variable
		D3DEF3,		//Variable
		D3DEF4,		//Variable
		D3DEF5,		//Variable
		D3DEF6,		//Variable
		D3DEF7,		//Variable
	}
#ifdef DDCCorrection

#else
	VALIDITY	FALSE;
#endif
}

MENU frmDP_UserDefinedByte4_S
{
	LABEL		[TXT_CAPT_FRMDPUSERDEFINEDBYTE4];
	ITEMS
	{
		D4DEF0,		//Variable
		D4DEF1,		//Variable
		D4DEF2,		//Variable
		D4DEF3,		//Variable
		D4DEF4,		//Variable
		D4DEF5,		//Variable
		D4DEF6,		//Variable
		D4DEF7,		//Variable
	}
#ifdef DDCCorrection

#else
	VALIDITY	FALSE;
#endif
}

//~ INSTANDHALTERTABELLE
/************************************************************************************************************************************/
/**** INSTANDHALTERTABELLE **********************************************************************************************************/
/************************************************************************************************************************************/

MENU Table_Main_Maintenance
{
	LABEL		[dev_name];
	ITEMS
	{
//		tabDependencies_S,			// Abhngigkeitsvariablen, nur fr Testzwecke einblenden
//		LSWV_En_UserDefByte_Trq,	// NUR fr Testzwecke einblenden
//		LSWV_En_PBDP2_Vars,			// NUR fr Testzwecke einblenden
//		LSWV_String,				// NUR fr Testzwecke einblenden
//		LSWV_iStringold,			// NUR fr Testzwecke einblenden
//		LSWV_ucString,				// NUR fr Testzwecke einblenden
		tabSettings_M,
		tabElNamePlate_M,
		tabOperationalData_M,
		IF( var_Aux_nStatusDiagVisibleFlag != 0 )
		{
			menu_Status_M,
			menu_Diagnosis_M,
		}
	}
}

//~ Hierarchieebene 0
// x x         Hierarchieebene 0           x x x x x x x x x x x x x x x x x x x x x x x x x x
//~ Menus vor V2.0

MENU tabSettings_M		// EINSTELLUNGEN
{
	LABEL		[TXT_CAPT_SETTINGS];
	ITEMS
	{
		frmSwitchOffType_M,	// Abschaltart
		tabAumatic2_M,		// Drehmoment
		tabAumatic0_M,		// Ortsteuerstelle
		tabAumatic10_M,		// Interface
		frmFailure_M,		// Sicherheitsverhalten
		frmEmergency_M,		// NOT-Verhalten
		frmSteppingMode_M,	// Taktgeber
		frmPositionerPID_M,	// Stellungsregler/Prozessregler PID
		tabAumatic4_M,		// Zwischenstellungen
		frmMonitoring_M,	// berwachung
	}
}

MENU tabElNamePlate_M		// ELEKTRONISCHES TYPENSCHILD
{
	LABEL		[TXT_CAPT_FRMENPSETTINGS];
	ITEMS
	{
		SWETYP(READ_ONLY),	// Elektronisches Typenschild
		tabOrderData_M,		// Bestelldaten
		tabProductData_M,	// Produktdaten
		tabProjectData_M,	// Projektdaten
		tabServiceData_M,	// Servicedaten
	}
}

MENU tabOperationalData_M	// BETRIEBSDATEN
{
	LABEL		[TXT_SW_ID62];
	ITEMS
	{
		SWBDAT(READ_ONLY),
		frmGenericStatistics_M,	// Allgemein
		frmErrorStatistics_M,	// Fehler
	}
}
MENU menu_Status_M			//STATUS-INFORMATIONEN
{
   LABEL		[TXT_CAPT_TREE_STATUS];	 //Status der V0-Daten	
   ITEMS
   {
      menu_Allgemein_M,			//Sub-Menu "Allgemein"
      menu_Betriebsmodus_M,		//Sub-Menu "Betriebsmodus"
      menu_Stellbefehle_M,		//Sub-Menu "Stellbefehle"
      menu_Fehler_M,				//Sub-Menu "Fehler"
      menu_Warnungen_M,			//Sub-Menu "Warnungen"
      menu_NichtBereitFern_M,		//Sub-Menu "NichtBereitFern"
      //Sub-Menu "Drehmoment", "Stellungsregler" und "ProzessreglerPID"
#ifdef SIMULATIONSMODE_ENTWICKLUNG
      IF( var_SIMU_E2_IN == 4 )
      {
         menu_Drehmoment_M,
         menu_Stellungsregler_M,
      }
      IF( (var_SIMU_PIDTYP==1) || (var_SIMU_PIDTYP==2) || (var_SIMU_PIDENA==1) )
      {
         menu_ProzessreglerPID_M,
      }
#else
      IF( E2_IN == 4 )
      {
         menu_Drehmoment_M,
         menu_Stellungsregler_M,
      }
      IF( (PIDTYP==1) ||
       (PIDTYP==2) ||
       (PIDENA==1) )
      {
         menu_ProzessreglerPID_M,
      }
#endif
   }
}
MENU menu_Diagnosis_M				//DIAGNOSE-INFORMATIONEN	
{
   LABEL		[TXT_CAPT_TABAUMATIC8];		//Diagnose-Informationen   
   ITEMS
   {
      // Die Mens: 
      // - menu_InterneFehler1_M, 
      // - menu_InterneFehler2_M, 
      // - menu_InterneWarnungen_M,
      // - menu_Konfigfehler_M, 
      // - menu_MWG_M
      // sind nur bedingt sichtbar, d.h. es mssen entsprechende Boolsche Variable
      // mit einem TRUE-Wert das Auftreten bestimmter Fehler anzeigen.
      // Um die korrekte Anzeige bei Auftreten der Variablen zu testen, wurde ein 
      // Simulationsmodus eingefhrt, der durch die Anweisung
      // 	#define SIMULATIONSMODE_ENTWICKLUNG
      // im Programmkopf aktiviert werden kann. (Dann erscheint ein Menpunkt
      // "Abhngigkeitsschalter", in welchem das Auftreten dieser Fehler simuliert und 
      // das Ein-/Ausblenden der Menpunkte geprft werden kann.)
      menu_Antriebssignale_M,		//Sub-Menu "Antriebssignale"
#ifdef SIMULATIONSMODE_ENTWICKLUNG
      IF( var_SIMU_InternerFehler == 1 )
      {
         menu_InterneFehler1_M,
         menu_InterneFehler2_M,
      }
      IF(var_SIMU_InterneWarnungen == 1)
      {
         menu_InterneWarnungen_M,
      }
      IF( var_SIMU_KonfigFehler == 1 )
      {
         menu_Konfigfehler_M,
      }
#else
      IF(var_StatusFehlerInternerFehler==1)
      {
         menu_InterneFehler1_M,
         menu_InterneFehler2_M,
      }
      IF(var_StatusWarnungInterneWarnung==1)
      {
         menu_InterneWarnungen_M,
      }
      IF( var_StatusFehlerKonfigFehler==1 )
      {
         menu_Konfigfehler_M,
      }
#endif
      menu_Logik_M,				//Sub-Menu "Logik" 
      //Sub-Menu "MWG"
#ifdef SIMULATIONSMODE_ENTWICKLUNG
      IF( var_SIMU_E2_IN == 4 )
      {
         menu_MWG_M,
      }
#else
      IF( E2_IN == 4 )
      {
         menu_MWG_M,
      }
#endif
      menu_DiagStellungsregler_M,	//Sub-Menu "Diagnose - Stellungsregler" 
      menu_Stellungsgeber_M,		//Sub-Menu "Stellungsgeber" 
      menu_PBDPIfc1_M,			//Sub-Menu "PROFIBUS DP Interface 1" 
      //Sub-Menu "PROFIBUS DP Interface 2"
#ifdef SIMULATIONSMODE_ENTWICKLUNG
      IF(var_SIMU_INTTY2	== 2)
      {
         menu_PBDPIfc2_M,
      }
#else
      IF(INTTY2 == 2)
      {
         menu_PBDPIfc2_M,
      }
#endif
   }
}
//~ Hierarchieebene 1
// x x         Hierarchieebene 1           x x x x x x x x x x x x x x x x x x x x x x x x x x

//~ Menus vor V2.0
MENU frmSwitchOffType_M
{
	LABEL		[TXT_CAPT_FRMSWITCHOFFTYPE];
	ITEMS
	{
		ABSAUF(READ_ONLY),	//Variable
		ABSZU(READ_ONLY),	//Variable
	}
}

MENU tabAumatic2_M
{
	LABEL		[TXT_CAPT_TABAUMATIC2];
	ITEMS
	{
		TRQAUF(READ_ONLY),	//Variable
		TRQZU(READ_ONLY),	//Variable
		ANFBRZ(READ_ONLY),	//Variable
	}
}

MENU tabAumatic0_M
{
	LABEL		[TXT_CAPT_TABAUMATIC0];
	ITEMS
	{
		SHORT(READ_ONLY),	//Variable
		LCDSPR(READ_ONLY),	//Variable
		LCDKON(READ_ONLY),	//Variable

		IF(E2_IN==4)
		{
			TRQIND(READ_ONLY),	//Variable
		}

		OSSLD1(READ_ONLY),	//Variable
		OSSLD2(READ_ONLY),	//Variable
		OSSLD3(READ_ONLY),	//Variable
		OSSLD4(READ_ONLY),	//Variable
		OSSLD5(READ_ONLY),	//Variable
		BLINK(READ_ONLY),	//Variable
		KUNPW(READ_ONLY),	//Variable
	}
}

MENU tabAumatic10_M
{
	LABEL		[TXT_CAPT_TABAUMATIC10];
	ITEMS
	{
#ifdef DDCCorrection
		MenuValidityCondition(tabInterface0_M) ,	// Paralleles Interface
#else
		tabInterface0_M,	// Paralleles Interface
#endif
		tabInterface1_M,	// Bus Interface
	}
}

MENU frmFailure_M
{
	LABEL		[TXT_SW_ID5];
	ITEMS
	{
		SIVERH(READ_ONLY),	//Variable
		SISRC(READ_ONLY),	//Variable
		SIFAHR(READ_ONLY),	//Variable
		SIFPOS(READ_ONLY),	//Variable
		SIZ(READ_ONLY),		//Variable
	}
}

MENU frmEmergency_M
{
	LABEL		[TXT_CAPT_FRMEMERGENCY];
	ITEMS
	{
		NOVERH(READ_ONLY),	//Variable
		NOWSOR(READ_ONLY),	//Variable
		NOFAHR(READ_ONLY),	//Variable
		NOFPOS(READ_ONLY),	//Variable
	}
}

MENU frmSteppingMode_M
{
	LABEL		[TXT_CAPT_FRMSTEPPINGMODE];
	ITEMS
	{
		SWTKT(READ_ONLY),	//Variable
		TBA(READ_ONLY),		//Variable
		TBAFZ(READ_ONLY),	//Variable
		TBAPZ(READ_ONLY),	//Variable
		TBAANF(READ_ONLY),	//Variable
		TBAEND(READ_ONLY),	//Variable
		TBZ(READ_ONLY),		//Variable
		TBZFZ(READ_ONLY),	//Variable
		TBZPZ(READ_ONLY),	//Variable
		TBZANF(READ_ONLY),	//Variable
		TBZEND(READ_ONLY),	//Variable
	}
}

MENU frmPositionerPID_M
{
	LABEL		[TXT_CAPT_FRMPOSITIONERPID];
	ITEMS
	{
#ifdef DDCCorrection
		MenuValidityCondition(frmPositioner_M) ,	// Stellungsregler
		MenuValidityCondition(tabAumatic13_M)		// Prozessregler
#else
		frmPositioner_M,	// Stellungsregler
		tabAumatic13_M		// Prozessregler
#endif
	}
}

MENU tabAumatic4_M
{
	LABEL		[TXT_CAPT_TABAUMATIC4];
	ITEMS
	{
		SWZWI(READ_ONLY),	//Variable
#ifdef DDCCorrection
		MenuValidityCondition(frmIntPos1_M) ,		//Menu
		MenuValidityCondition(frmIntPos2_M) ,		//Menu
		MenuValidityCondition(frmIntPos3_M) ,		//Menu
		MenuValidityCondition(frmIntPos4_M) ,		//Menu
		MenuValidityCondition(frmIntPos5_M) ,		//Menu
		MenuValidityCondition(frmIntPos6_M) ,		//Menu
		MenuValidityCondition(frmIntPos7_M) ,		//Menu
		MenuValidityCondition(frmIntPos8_M) ,		//Menu
#else
		frmIntPos1_M,		//Menu
		frmIntPos2_M,		//Menu
		frmIntPos3_M,		//Menu
		frmIntPos4_M,		//Menu
		frmIntPos5_M,		//Menu
		frmIntPos6_M,		//Menu
		frmIntPos7_M,		//Menu
		frmIntPos8_M,		//Menu
#endif
	}
}

MENU frmMonitoring_M
{
   LABEL		[TXT_CAPT_FRMMONITORING];
   ITEMS
   {
      SWUEBW(READ_ONLY),	//Variable
      MAXSCH(READ_ONLY),	//Variable
      MAXLZ(READ_ONLY),	//Variable
      STZUEB(READ_ONLY),	//Variable
      RKTUBW(READ_ONLY),	//Variable
      RKZUEB(READ_ONLY),	//Variable
      IF( var_Aux_nLogikVersion_08 == 1 )	//nur ab Logikversion >= 8
      {
         PHDELY(READ_ONLY),	//Phasenberwachung
      }
   }
}

MENU tabOrderData_M
{
	LABEL		[TXT_CAPT_ORDERDATA];
	ITEMS
	{
		ETKOMN(READ_ONLY),	//Variable
		ETKONA(READ_ONLY),	//Variable
		ETKKSN(READ_ONLY),	//Variable
		ETARMN(READ_ONLY),	//Variable
		ETANLN(READ_ONLY),	//Variable
	}
}

MENU tabProductData_M
{
	LABEL		[TXT_CAPT_PRODUCTDATA];
	ITEMS
	{
		ETPRON(READ_ONLY),	//Variable
		ETNRMA(READ_ONLY),	//Variable
		ETNRAN(READ_ONLY),	//Variable
		ETSWV(READ_ONLY),	//Variable
		ETHWV(READ_ONLY),	//Variable
		ETADAT(READ_ONLY),	//Variable
		ETSCHA(READ_ONLY),	//Variable
		ETAPLN(READ_ONLY),	//Variable
	}
}

MENU tabProjectData_M
{
	LABEL		[TXT_CAPT_PROJECTDATA];
	ITEMS
	{
		ETPRJN(READ_ONLY),	//Variable
		ETKUF1(READ_ONLY),	//Variable
		ETKUF2(READ_ONLY),	//Variable
	}
}

MENU tabServiceData_M
{
	LABEL		[TXT_CAPT_SERVICEDATA];
	ITEMS
	{
		ETSTEL(READ_ONLY),	//Variable
		ETWWW(READ_ONLY),	//Variable
		ETSRV1(READ_ONLY),	//Variable
		ETSRV2(READ_ONLY),	//Variable
	}
}

MENU frmGenericStatistics_M
{
	LABEL		[TXT_CAPT_FRMGENERICSTATISTICS];
	ITEMS
	{
		BMLZG(READ_ONLY),	//Variable
		BMLZ(READ_ONLY),	//Variable
		BSSPG(READ_ONLY),	//Variable
		BSSP(READ_ONLY),	//Variable
		BSDSRG(READ_ONLY),	//Variable
		BSDSR(READ_ONLY),	//Variable
		BSWSRG(READ_ONLY),	//Variable
		BSWSR(READ_ONLY),	//Variable
		BSDOLG(READ_ONLY),	//Variable
		BSDOL(READ_ONLY),	//Variable
		BSWOLG(READ_ONLY),	//Variable
		BSWOL(READ_ONLY),	//Variable
		BRESEG(READ_ONLY),	//Variable
		BRESE(READ_ONLY),	//Variable
	}
}

MENU frmErrorStatistics_M
{
	LABEL		[TXT_CAPT_FRMERRORSTATISTICS];
	ITEMS
	{
		BDSREG(READ_ONLY),	//Variable
		BDSRE(READ_ONLY),	//Variable
		BDOLEG(READ_ONLY),	//Variable
		BDOLE(READ_ONLY),	//Variable
		BTHEG(READ_ONLY),	//Variable
		BTHE(READ_ONLY),	//Variable
		BUZEG(READ_ONLY),	//Variable
		BUZE(READ_ONLY),	//Variable
		BUMZEG(READ_ONLY),	//Variable
		BUMZE(READ_ONLY),	//Variable
	}
}
//~ ab V2.0: Untermenus zu Menu "Status (V0-Daten)"
// Untermenus zu Menu "Status (V0-Daten)"
MENU menu_Allgemein_M	//Status - Allgemein
{
   LABEL		[TXT_CAPT_FRMGENERICSTATISTICS];
   ITEMS
   {
      var_StatusAllgemeinFaehrtAuf,	//Bool fr Faehrt-auf-Zustand
      var_StatusAllgemeinFaehrtZu,	//Bool fr Faehrt-zu-Zustand
      var_StatusAllgemeinIstAuf,		//Bool fr ist-auf-Zustand
      var_StatusAllgemeinIstZu,		//Bool fr ist-zu-Zustand
      var_StatusAllgemeinIstSoll,		//Bool fr Soll-Pos-erreicht-Zustand
   }
}
MENU menu_Betriebsmodus_M		//Status-Betriebsmodus
{
   LABEL		[TXT_CAPT_TREE_STATUS_BETRMOD];
   ITEMS
   {
      var_StatusBetriebAus,
      var_StatusBetriebOrt,
      var_StatusBetriebFernBinaer,
      var_StatusBetriebFernSoll,
      var_StatusBetriebNotFahrt,
      var_StatusBetriebSichFahrt,
      var_StatusBetriebPIDFahrt,
      var_StatusBetriebOrtClient,
      var_StatusBetriebNotAus,
      var_StatusBetriebGesperrt,
   }
}
MENU menu_Stellbefehle_M		//Status-Stellbefehle
{
   LABEL		[TXT_CAPT_TREE_STATUS_STELLBEFEHLE];
   ITEMS
   {
      var_StatusStellbefehleFernAuf,
      var_StatusStellbefehleFernZu,
      var_StatusStellbefehleFernSoll,
      var_StatusStellbefehleSollPos,
   }
}
MENU menu_Fehler_M		//Status-Fehlermeldungen
{
   LABEL		[TXT_CAPT_FRMERRORSTATISTICS];
   ITEMS
   {
      var_StatusFehlerDSRFehler,
      var_StatusFehlerDOELFehler,
      var_StatusFehlerThermoFehler,
      var_StatusFehlerPhasenausfall,
      var_StatusFehlerKonfigFehler,
      var_StatusFehlerInternerFehler,
   }
}
MENU menu_Warnungen_M	//Status-Warnungen	
{
   LABEL		[TXT_CAPT_TREE_STATUS_WARN];
   ITEMS
   {
      var_StatusWarnungKeineReferenzfahrt,
      var_StatusWarnungSigbrPAR1AnIn1,
      var_StatusWarnungSigbrPAR2AnIn2,
      var_StatusWarnungSigbrProzIstwertE4,
      var_StatusWarnungSigbrSollposE1,
      var_StatusWarnungSigbrIstposE2,
      var_StatusWarnungSigbrLWLModul,
      var_StatusWarnungSigbrDreMoE6,
      var_StatusWarnungSigbrDP1AnIn1,
      var_StatusWarnungSigbrDP1AnIn2,
      var_StatusWarnungenStellzeitwarnung,
      var_StatusWarnungEDWarnung,
      var_StatusWarnungInterneWarnung,
   }
}
MENU menu_NichtBereitFern_M	//Status-NichtBereitFern	
{
   LABEL		[TXT_TOOL_TREE_STATUS_NBF];
   ITEMS
   {
      var_StatusNichtBerFernExternerBetrieb,
      var_StatusNichtBerFernClearZustand,
      var_StatusNichtBerFernNOTFahrtaktiv,
      var_StatusNichtBerFernNOTAUSaktiv,
      var_StatusNichtBerFernAntriebverriegelt,
      var_StatusNichtBerFernWahlschNichtFern,
      var_StatusNichtBerFernFalschesKommando,
      var_StatusNichtBerFernORTClient,
      var_StatusNichtBerFernKeineFreigage,
   }
}
MENU menu_Drehmoment_M	//Status-Drehmoment	
{
   LABEL		[TXT_CAPT_FRMTORQUEPARAMETERS];
   ITEMS
   {
      var_StatusDreMoInProzent,
      var_StatusDreMoInNm,
      var_StatusDreMoInLbsft,
   }
}
MENU menu_Stellungsregler_M	//Status-Stellungsregler	
{
   LABEL		[TXT_SW_ID61];
   ITEMS
   {
      //Bedingte Darstellung von entweder var_StatusProzessreglerPIDSollWert oder var_StatusStellbefehleSollPos
#ifdef SIMULATIONSMODE_ENTWICKLUNG
      IF( (var_SIMU_PIDTYP==1) ||
       (var_SIMU_PIDTYP==2) ||
       (var_SIMU_PIDENA==1) )
      {
         var_StatusProzessreglerPIDSollWert
      }
      ELSE
      {
         var_StatusStellbefehleSollPos
      }
#else
      IF( (PIDTYP==1) ||
       (PIDTYP==2) ||
       (PIDENA==1) )
      {
         var_StatusProzessreglerPIDSollWert
      }
      ELSE
      {
         var_StatusStellbefehleSollPos
      }
#endif
      var_StatusStellReglerIstPos,
   }
}
MENU menu_ProzessreglerPID_M	//Status-ProzessreglerPID	
{
   LABEL		[TXT_SW_ID259];
   ITEMS
   {
      var_StatusProzessreglerProzSollWertE1,	// 212	1
      var_StatusProzessreglerPIDIstWert,
   }
}
//~ ab V2.0: Untermenus zu Menu "Diagnose"
// Untermenus zu Menu "Diagnose"
MENU menu_Antriebssignale_M		//Diagnose - Antriebssignale
{
   LABEL		[TXT_CAPT_TREE_STATUS];
   ITEMS
   {
      var_DiagAntriebssigsThermoFehler,
      var_DiagAntriebssigsDOEL,
      var_DiagAntriebssigsDSR,
      var_DiagAntriebssigsWOEL,
      var_DiagAntriebssigsWSR,
   }
}
MENU menu_InterneFehler1_M		//Diagnose - Interne Fehler 1
{
   LABEL		[TXT_CAPT_TREE_DIAG_INTFEHLER1];
   ITEMS
   {
      var_DiagIntFehler1TMSFehler,
      var_DiagIntFehler1Wahlschalterfehler,
      var_DiagIntFehler1AusgangDefekt,
      var_DiagIntFehler1CANFehlerMWG,
      var_DiagIntFehler1CANFehlerParInt1,
      var_DiagIntFehler1CANFehlerDP1,
      var_DiagIntFehler1CANFehlerDP2,
      var_DiagIntFehler1CANFehlerLogik,
      var_DiagIntFehler1MWGNichtBereit,
      var_DiagIntFehler1PhasenfolgeDefekt,
      var_DiagIntFehler124VDCFehler,
      var_DiagIntFehler1KeineReaktion,
      var_DiagIntFehler1FehlerOrtssteuerstelle,
   }
}
MENU menu_InterneFehler2_M	//Diagnose - Interne Fehler 2
{
   LABEL		[TXT_CAPT_TREE_DIAG_INTFEHLER2];
   ITEMS
   {
      var_DiagIntFehler2EEPROMdefekt,
      var_DiagIntFehler2RAMDefekt,
   }
}
MENU menu_InterneWarnungen_M	//Diagnose - Interne Warnungen
{
   LABEL		[TXT_CAPT_TREE_DIAG_INTWARN];
   ITEMS
   {
      var_DiagIntWarnKeineWerkseinstlg,
      var_DiagIntWarnCANFehlerParInt1,
      var_DiagIntWarnCANFehlerDP1,
      var_DiagIntWarnCANFehlerDP2,
   }
}
MENU menu_Konfigfehler_M	//Diagnose - Konfigurationsfehler
{
   LABEL		[TXT_CAPT_TREE_DIAG_CFGFEHLER];
   ITEMS
   {
      var_DiagKonfigFehlerE1nichtvorhanden,
      var_DiagKonfigFehlerKeineAbschaltung,
      var_DiagKonfigFehlerEndlagenEingaenge,
   }
}
MENU menu_Logik_M	//Diagnose - Logik
{
   LABEL		[TXT_CAPT_CFGSETUP_LOGIK];
   ITEMS
   {
      var_DiagLogikHWVersion,
      var_DiagLogikSWVersion,
   }
}
MENU menu_MWG_M	//Diagnose - MWG
{
   LABEL		[TXT_MWGVORHANDEN];
   ITEMS
   {
      var_DiagMWG_HWVersion,
      var_DiagMWG_SWVersion,
      //Einzelheiten nur anzeigen, wenn ein MWG-Fehler aufgetreten ist
#ifdef SIMULATIONSMODE_ENTWICKLUNG
      IF( var_SIMU_MWGnichtBereit==1 )
      {
         var_DiagMWGKeineVerbindung,
         var_DiagMWGKalibriermode,
         var_DiagMWGKeineDrehmoGrenzen,
         var_DiagMWGKeineEndlagen,
         var_DiagMWGFehlerDrehmosystem,
         var_DiagMWGKeinWegnullpunkt,
         var_DiagMWGNichtKalibriert,
         var_DiagMWGEEPROMFehler,
         var_DiagMWGHallsensorFehler,
      }
#else
      IF(var_DiagIntFehler1CANFehlerMWG==1)
      {
         var_DiagMWGKeineVerbindung,
         var_DiagMWGKalibriermode,
         var_DiagMWGKeineDrehmoGrenzen,
         var_DiagMWGKeineEndlagen,
         var_DiagMWGFehlerDrehmosystem,
         var_DiagMWGKeinWegnullpunkt,
         var_DiagMWGNichtKalibriert,
         var_DiagMWGEEPROMFehler,
         var_DiagMWGHallsensorFehler,
      }
#endif
   }
}
MENU menu_DiagStellungsregler_M	//Diagnose - Stellungsregler
{
   LABEL		[TXT_SW_ID61];
   ITEMS
   {
      var_DiagStellreglerTotbandZu,
      var_DiagStellreglerAeusseresTotband,
      var_DiagStellreglerTotbandAuf,
   }
}
MENU menu_Stellungsgeber_M	//Diagnose - Stellungsgeber
{
   LABEL		[TXT_SW_ID0];
   ITEMS
   {
      var_DiagStellgeberRohwertEndlageZU,
      var_DiagStellgeberRohwert,
      var_DiagStellgeberRohwertEndlageAUF,
   }
}
MENU menu_PBDPIfc1_M	//Diagnose - PROFIBUS DP Interface 1
{
   LABEL		[TXT_PROFIBUSDP1];
   ITEMS
   {
      var_DiagPBDPIfc1HardwareVersion,
      var_DiagPBDPIfc1SoftwareVersion,
      var_DiagPBDPIfc1BaudSearch,
      var_DiagPBDPIfc1BaudControl,
      var_DiagPBDPIfc1DPMode,
      var_DiagPBDPIfc1WaitPrm,
      var_DiagPBDPIfc1WaitCfg,
      var_DiagPBDPIfc1DataEx,
      var_DiagPBDPIfc1DPFehler,
      var_DiagPBDPIfc1GCClear,
      var_DiagPBDPIfc1DatenLaenge0,
      var_DiagPBDPIfc1Kanal2aktiv,
      var_DiagPBDPIfc1Analog1,
      var_DiagPBDPIfc1Analog2,
      var_DiagPBDPIfc1DigIn4,
      var_DiagPBDPIfc1DigIn3,
      var_DiagPBDPIfc1DigIn2,
      var_DiagPBDPIfc1DigIn1,
   }
}
MENU menu_PBDPIfc2_M	//Diagnose - PROFIBUS DP Interface 2
{
   LABEL		[TXT_PROFIBUSDP2];
   ITEMS
   {
      var_DiagPBDPIfc2HardwareVersion,
      var_DiagPBDPIfc2SoftwareVersion,
      var_DiagPBDPIfc2BaudSearch,
      var_DiagPBDPIfc2BaudControl,
      var_DiagPBDPIfc2DPMode,
      var_DiagPBDPIfc2WaitPrm,
      var_DiagPBDPIfc2WaitCfg,
      var_DiagPBDPIfc2DataEx,
      var_DiagPBDPIfc2DPFehler,
      var_DiagPBDPIfc2GCClear,
      var_DiagPBDPIfc2DatenLaenge0,
   }
}
//~ Hierarchieebene 2
// x x         Hierarchieebene 2           x x x x x x x x x x x x x x x x x x x x x x x x x x

MENU tabInterface0_M
{
	LABEL		[TXT_CAPT_PARALLELINT];
	ITEMS
	{
		SHFERN(READ_ONLY),	//Variable
		frmRemoteContactCfg_M,	// Belegung der Melderelais
		frmRemoteAnalogIn_M,	// Analoge Eingnge
		frmRemoteAnalogOut_M,	// Analoge Ausgnge
	}
#ifdef DDCCorrection
#else
	VALIDITY	FALSE;
#endif
}

MENU tabInterface1_M
{
	LABEL		[TXT_BUSINTERFACE];
	ITEMS
	{
		tabProfibusDP_M,	// Profibus DP
	}
}

MENU frmPositioner_M
{
	LABEL		[TXT_CAPT_FRMPOSITIONER];
	ITEMS
	{
		STRTYP(READ_ONLY),	//Variable
		TOTZ(READ_ONLY),	//Variable
		ITOTAU(READ_ONLY),	//Variable
		ITOTZU(READ_ONLY),	//Variable
		ATOT(READ_ONLY),	//Variable
		ETOLA(READ_ONLY),	//Variable
		ETOLZ(READ_ONLY),	//Variable
	}
}

MENU tabAumatic13_M
{
	LABEL		[TXT_CAPT_TABAUMATIC13];
	ITEMS
	{
		PIDKP(READ_ONLY),	//Variable
		PIDTN(READ_ONLY),	//Variable
		PIDTV(READ_ONLY),	//Variable
		PIDVV(READ_ONLY),	//Variable
		PSOLL(READ_ONLY),	//Variable
		PIDINV(READ_ONLY),	//Variable
		PIDBGA(READ_ONLY),	//Variable
		PIDBGZ(READ_ONLY),	//Variable
		PIDE1A(READ_ONLY),	//Variable
		PIDRZT(READ_ONLY),	//Variable
		PIDRMI(READ_ONLY),	//Variable
		PIDRMA(READ_ONLY),	//Variable
	}
#ifdef DDCCorrection
#else
	VALIDITY	FALSE;
#endif
}

MENU frmIntPos1_M
{
	LABEL		[TXT_CAPT_FRMINTPOS1];
	ITEMS
	{
		Z1ENA(READ_ONLY),	//Variable
		Z1POS(READ_ONLY),	//Variable
		Z1FVER(READ_ONLY),	//Variable
		Z1SVER(READ_ONLY),	//Variable
	}
#ifdef DDCCorrection

#else
	VALIDITY	FALSE;
#endif
}

MENU frmIntPos2_M
{
	LABEL		[TXT_CAPT_FRMINTPOS2];
	ITEMS
	{
		Z2ENA(READ_ONLY),	//Variable
		Z2POS(READ_ONLY),	//Variable
		Z2FVER(READ_ONLY),	//Variable
		Z2SVER(READ_ONLY),	//Variable
	}
#ifdef DDCCorrection

#else
	VALIDITY	FALSE;
#endif
}

MENU frmIntPos3_M
{
	LABEL		[TXT_CAPT_FRMINTPOS3];
	ITEMS
	{
		Z3ENA(READ_ONLY),	//Variable
		Z3POS(READ_ONLY),	//Variable
		Z3FVER(READ_ONLY),	//Variable
		Z3SVER(READ_ONLY),	//Variable
	}
#ifdef DDCCorrection

#else
	VALIDITY	FALSE;
#endif
}

MENU frmIntPos4_M
{
	LABEL		[TXT_CAPT_FRMINTPOS4];
	ITEMS
	{
		Z4ENA(READ_ONLY),	//Variable
		Z4POS(READ_ONLY),	//Variable
		Z4FVER(READ_ONLY),	//Variable
		Z4SVER(READ_ONLY),	//Variable
	}
#ifdef DDCCorrection

#else
	VALIDITY	FALSE;
#endif
}

MENU frmIntPos5_M
{
	LABEL		[TXT_CAPT_FRMINTPOS5];
	ITEMS
	{
		Z5ENA(READ_ONLY),	//Variable
		Z5POS(READ_ONLY),	//Variable
		Z5FVER(READ_ONLY),	//Variable
		Z5SVER(READ_ONLY),	//Variable
	}
#ifdef DDCCorrection
#else
	VALIDITY	FALSE;
#endif
}

MENU frmIntPos6_M
{
	LABEL		[TXT_CAPT_FRMINTPOS6];
	ITEMS
	{
		Z6ENA(READ_ONLY),	//Variable
		Z6POS(READ_ONLY),	//Variable
		Z6FVER(READ_ONLY),	//Variable
		Z6SVER(READ_ONLY),	//Variable
	}
#ifdef DDCCorrection
#else
	VALIDITY	FALSE;
#endif
}

MENU frmIntPos7_M
{
	LABEL		[TXT_CAPT_FRMINTPOS7];
	ITEMS
	{
		Z7ENA(READ_ONLY),	//Variable
		Z7POS(READ_ONLY),	//Variable
		Z7FVER(READ_ONLY),	//Variable
		Z7SVER(READ_ONLY),	//Variable
	}
#ifdef DDCCorrection
#else
	VALIDITY	FALSE;
#endif
}

MENU frmIntPos8_M
{
	LABEL		[TXT_CAPT_FRMINTPOS8];
	ITEMS
	{
		Z8ENA(READ_ONLY),	//Variable
		Z8POS(READ_ONLY),	//Variable
		Z8FVER(READ_ONLY),	//Variable
		Z8SVER(READ_ONLY),	//Variable
	}
#ifdef DDCCorrection
#else
	VALIDITY	FALSE;
#endif
}

//~ Hierarchieebene 3
// x x         Hierarchieebene 3           x x x x x x x x x x x x x x x x x x x x x x x x x x

MENU frmRemoteContactCfg_M
{
	LABEL		[TXT_CAPT_FRMREMOTECONTACTCFG];
	ITEMS
	{
		P1STOE(READ_ONLY),	//Variable
		P1DIG1(READ_ONLY),	//Variable
		P1DIG2(READ_ONLY),	//Variable
		P1DIG3(READ_ONLY),	//Variable
		P1DIG4(READ_ONLY),	//Variable
		P1DIG5(READ_ONLY),	//Variable
	}
}

MENU frmRemoteAnalogIn_M
{
	LABEL		[TXT_CAPT_FRMREMOTEANALOGIN];
	ITEMS
	{
		P1A1A(READ_ONLY),	//Variable
		P1A1E(READ_ONLY),	//Variable
		P1A2A(READ_ONLY),	//Variable
		P1A2E(READ_ONLY),	//Variable
	}
}

MENU frmRemoteAnalogOut_M
{
	LABEL		[TXT_CAPT_FRMREMOTEANALOGOUT];
	ITEMS
	{
		P1A1ZU(READ_ONLY),	//Variable
		P1A1BE(READ_ONLY),	//Variable
		P1A2ZU(READ_ONLY),	//Variable
		P1A2BE(READ_ONLY),	//Variable
	}
}

MENU tabProfibusDP_M
{
	LABEL		[TXT_CAPT_PBDP];
	ITEMS
	{
		tabPBDPInterface1_M,		// Profibus DP Interface 1
#ifdef DDCCorrection
		MenuValidityCondition(tabPBDPInterface2_M) ,		// Profibus DP Interface 2
#else
		tabPBDPInterface2_M,		// Profibus DP Interface 2
#endif
		frmDP_ProcessRepresentation_M,	// Prozessabbild
	}
}

//~ Hierarchieebene 4
// x x         Hierarchieebene 4           x x x x x x x x x x x x x x x x x x x x x x x x x x

MENU tabPBDPInterface1_M
{
	LABEL		[TXT_PROFIBUSDP1];
	ITEMS
	{
		frmDP_Settings_M,		// Einstellungen
		frmDP_AnalogInput_M,		// Analoge Eingnge
	}
}

MENU tabPBDPInterface2_M
{
	LABEL		[TXT_PROFIBUSDP2];
	ITEMS
	{
		frmDP2_Settings_M,		// Einstellungen
	}
#ifdef DDCCorrection
#else
	VALIDITY	FALSE;
#endif
}

MENU frmDP_ProcessRepresentation_M
{
	LABEL		[TXT_CAPT_FRMDPPROCESSREPRESENTATION];
	ITEMS
	{
		DP_KOD(READ_ONLY),		//Variable
		MAPSEL(READ_ONLY),		//Variable
		frmDP_UserDefinedBytes_M,	// Belegung benutzerdefinierter Bytes
	}
}

//~ Hierarchieebene 5
// x x         Hierarchieebene 5           x x x x x x x x x x x x x x x x x x x x x x x x x x

MENU frmDP_Settings_M
{
	LABEL		[TXT_CAPT_FRMDPSETTINGS];
	ITEMS
	{
		BUSRED(READ_ONLY),	//Variable
		KANWZ(READ_ONLY),	//Variable
	}
}

MENU frmDP_AnalogInput_M
{
	LABEL		[TXT_CAPT_FRMDPANALOGINPUT];
	ITEMS
	{
		DP1A1A(READ_ONLY),	//Variable
		DP1A1E(READ_ONLY),	//Variable
		DP1A2A(READ_ONLY),	//Variable
		DP1A2E(READ_ONLY),	//Variable
	}
}

MENU frmDP2_Settings_M
{
	LABEL		[TXT_CAPT_FRMDP2SETTINGS];
	ITEMS
	{
		DP2RED(READ_ONLY),	//Variable
		DP2KWZ(READ_ONLY),	//Variable
	}
	VALIDITY	FALSE;
#ifdef DDCCorrection
#warning This menu is never visible!
#endif

}

MENU frmDP_UserDefinedBytes_M
{
	LABEL		[TXT_CAPT_FRMDPUSERDEFINEDBYTES];
	ITEMS
	{
		frmDP_UserDefinedByte1_M,	// Belegung benutzerdefiniertes Byte 1
		frmDP_UserDefinedByte2_M,	// Belegung benutzerdefiniertes Byte 2
#ifdef DDCCorrection
		MenuValidityCondition(frmDP_UserDefinedByte3_M) ,	// Belegung benutzerdefiniertes Byte 3
		MenuValidityCondition(frmDP_UserDefinedByte4_M) ,	// Belegung benutzerdefiniertes Byte 4
#else
		frmDP_UserDefinedByte3_M,	// Belegung benutzerdefiniertes Byte 3
		frmDP_UserDefinedByte4_M,	// Belegung benutzerdefiniertes Byte 4
#endif

	}
}

//~ Hierarchieebene 6
// x x         Hierarchieebene 6           x x x x x x x x x x x x x x x x x x x x x x x x x x

MENU frmDP_UserDefinedByte1_M
{
	LABEL		[TXT_CAPT_FRMDPUSERDEFINEDBYTE1];
	ITEMS
	{
		D_DEF0(READ_ONLY),	//Variable
		D_DEF1(READ_ONLY),	//Variable
		D_DEF2(READ_ONLY),	//Variable
		D_DEF3(READ_ONLY),	//Variable
		D_DEF4(READ_ONLY),	//Variable
		D_DEF5(READ_ONLY),	//Variable
		D_DEF6(READ_ONLY),	//Variable
		D_DEF7(READ_ONLY),	//Variable
	}
}

MENU frmDP_UserDefinedByte2_M
{
	LABEL		[TXT_CAPT_FRMDPUSERDEFINEDBYTE2];
	ITEMS
	{
		D2DEF0(READ_ONLY),	//Variable
		D2DEF1(READ_ONLY),	//Variable
		D2DEF2(READ_ONLY),	//Variable
		D2DEF3(READ_ONLY),	//Variable
		D2DEF4(READ_ONLY),	//Variable
		D2DEF5(READ_ONLY),	//Variable
		D2DEF6(READ_ONLY),	//Variable
		D2DEF7(READ_ONLY),	//Variable
	}
}

MENU frmDP_UserDefinedByte3_M
{
	LABEL		[TXT_CAPT_FRMDPUSERDEFINEDBYTE3];
	ITEMS
	{
		D3DEF0(READ_ONLY),	//Variable
		D3DEF1(READ_ONLY),	//Variable
		D3DEF2(READ_ONLY),	//Variable
		D3DEF3(READ_ONLY),	//Variable
		D3DEF4(READ_ONLY),	//Variable
		D3DEF5(READ_ONLY),	//Variable
		D3DEF6(READ_ONLY),	//Variable
		D3DEF7(READ_ONLY),	//Variable
	}
#ifdef DDCCorrection

#else
	VALIDITY	FALSE;
#endif
}

MENU frmDP_UserDefinedByte4_M
{
	LABEL		[TXT_CAPT_FRMDPUSERDEFINEDBYTE4];
	ITEMS
	{
		D4DEF0(READ_ONLY),	//Variable
		D4DEF1(READ_ONLY),	//Variable
		D4DEF2(READ_ONLY),	//Variable
		D4DEF3(READ_ONLY),	//Variable
		D4DEF4(READ_ONLY),	//Variable
		D4DEF5(READ_ONLY),	//Variable
		D4DEF6(READ_ONLY),	//Variable
		D4DEF7(READ_ONLY),	//Variable
	}
#ifdef DDCCorrection

#else
	VALIDITY	FALSE;
#endif
}

//~ Special Methods
/************************************************************************************************************************************/
/**** Special Methods ***************************************************************************************************************/
/************************************************************************************************************************************/

#ifdef AUSGESCHALTET
//~ METHOD method_PDM_DeviceDiagnosis
METHOD method_PDM_DeviceDiagnosis
{
   LABEL	"method_PDM_DeviceDiagnosis";
   DEFINITION
   {
      //ACKNOWLEDGE("method_PDM_DeviceDiagnosis: Start");
#ifndef WECHWECH
      //Eigene Implementierung START
      if( 1 )
      {
      	ACKNOWLEDGE("method_PDM_DeviceDiagnosis: if-Start");

      	PDM_Diag_Status_Diagnosis |= PDM_DIAG_MAINT_HIGH;
      	PDM_DIAG_FORMAT_MESSAGE1("Error", "ErrorText");

      	ACKNOWLEDGE("method_PDM_DeviceDiagnosis: if-Ende");
      }
      //Eigene Implementierung ENDE
#endif
      //ACKNOWLEDGE("method_PDM_DeviceDiagnosis: Nach eigener Impl.");
      if(PDM_Diag_Status_Diagnosis==PDM_DIAG_NOT_VALIDATED)
      	PDM_Diag_Status_Diagnosis=PDM_DIAG_GOOD;
      //ACKNOWLEDGE("method_PDM_DeviceDiagnosis: Ende");
   }
}
#endif
//~ METHOD reset_all_op_data
//~ 
METHOD reset_all_op_data
{
	LABEL		[reset_all];
	ACCESS		ONLINE;
#ifdef DDCCorrection
	CLASS CONTAINED;
#endif
	DEFINITION
	{
		DELAY(2,[in_progress]);

		lassign(BMLZ, 0);
		WriteCommand(write_BMLZ);
		ReadCommand(read_BMLZ);
		lassign(BSSP, 0);
		WriteCommand(write_BSSP);
		ReadCommand(read_BSSP);
		lassign(BSDSR, 0);
		WriteCommand(write_BSDSR);
		ReadCommand(read_BSDSR);
		lassign(BSWSR, 0);
		WriteCommand(write_BSWSR);
		ReadCommand(read_BSWSR);
		lassign(BSDOL, 0);
		WriteCommand(write_BSDOL);
		ReadCommand(read_BSDOL);
		lassign(BSWOL, 0);
		WriteCommand(write_BSWOL);
		ReadCommand(read_BSWOL);
		lassign(BRESE, 0);
		WriteCommand(write_BRESE);
		ReadCommand(read_BRESE);
		lassign(BDSRE, 0);
		WriteCommand(write_BDSRE);
		ReadCommand(read_BDSRE);
		lassign(BDOLE, 0);
		WriteCommand(write_BDOLE);
		ReadCommand(read_BDOLE);
		lassign(BTHE, 0);
		WriteCommand(write_BTHE);
		ReadCommand(read_BTHE);
		lassign(BUZE, 0);
		WriteCommand(write_BUZE);
		ReadCommand(read_BUZE);
		lassign(BUMZE, 0);
		WriteCommand(write_BUMZE);
		ReadCommand(read_BUMZE);

		ACKNOWLEDGE([finish_reset]);
	}
}

//~ Special Menus
/************************************************************************************************************************************/
/**** Special Menus *****************************************************************************************************************/
/************************************************************************************************************************************/
//~ MENU download_variables // Parameter werden vom Feldgert ausgelesen
//~ 
MENU download_variables	// Parameter werden vom Feldgeraet ausgelesen
{
   LABEL		[menu_load_to_PC];
   ITEMS
   {
      //			 					Slot	Index
      // Parameter, die nicht dargestellt werden, aber die Gueltigkeit anderer Parameter bestimmen
      E2_IN,							//2		31
      INTTY2,							//2		26
      REGTYP,							//2		36
      E1_IN,							//2		12
      PIDTYP,							//2		37
      IF( var_Aux_nLogikVersion_08 == 1 )	//nur ab Logikversion >= 8
      {
         PIDENA,							//2		54
      }
      // Darzustellender Parameter mit Logik-SW-Versionsinfo (vor benutzerdef. Bytes lesen)
      ETSWV,							//3		8
      //~ Darzustellende Parameter (vor V2.0)
      //~ 
      // Darzustellende Parameter (vor V2.0)
      ABSAUF,//	1	39
      ABSZU,//	1	38
      TRQAUF,//	1	40
      TRQZU,//	1	41
      ANFBRZ,//	1	53
      SHORT,//	1	37
      LCDSPR,//	2	1
      LCDKON,//	2	35
      TRQIND,//	1	238
      OSSLD1,//	1	148
      OSSLD2,//	1	149
      OSSLD3,//	1	150
      OSSLD4,//	1	151
      OSSLD5,//	1	152
      BLINK,//	2	22
      KUNPW,//	2	3
      SHFERN,//	1	44
      P1STOE,//	1	79
      P1DIG1,//	1	80
      P1DIG2,//	1	81
      P1DIG3,//	1	82
      P1DIG4,//	1	83
      P1DIG5,//	1	84
      P1A1A,//	1	70
      P1A1E,//	1	71
      P1A2A,//	1	72
      P1A2E,//	1	73
      P1A1ZU,//	1	99
      P1A1BE,//	1	100
      P1A2ZU,//	1	101
      P1A2BE,//	1	102
      BUSRED,//	1	4
      KANWZ,//	1	5
      DP1A1A,//	1	74
      DP1A1E,//	1	75
      DP1A2A,//	1	76
      DP1A2E,//	1	77
      D_DEF0,//	1	86
      D_DEF1,//	1	87
      D_DEF2,//	1	88
      D_DEF3,//	1	89
      D_DEF4,//	1	90
      D_DEF5,//	1	91
      D_DEF6,//	1	92
      D_DEF7,//	1	93
      D2DEF0,//	1	153
      D2DEF1,//	1	154
      D2DEF2,//	1	155
      D2DEF3,//	1	156
      D2DEF4,//	1	157
      D2DEF5,//	1	158
      D2DEF6,//	1	159
      D2DEF7,//	1	160
      D3DEF0,//	1	239
      D3DEF1,//	1	240
      D3DEF2,//	1	241
      D3DEF3,//	1	242
      D3DEF4,//	1	243
      D3DEF5,//	1	244
      D3DEF6,//	1	245
      D3DEF7,//	1	246
      D4DEF0,//	1	247
      D4DEF1,//	1	248
      D4DEF2,//	1	249
      D4DEF3,//	1	250
      D4DEF4,//	1	251
      D4DEF5,//	1	252
      D4DEF6,//	1	253
      D4DEF7,//	1	254
      DP_KOD,//	1	1
      MAPSEL,//	1	78
      DP2KOD,//	1	119
      DP2MPS,//	1	110
      IF( var_Aux_nLogikVersion_08 == 0 )	//nur lesen, wenn Logiksw < 08-xx ist
      {
         DP2RED,//	1	108
         DP2KWZ,//	1	109
      }
#ifdef NICHTBENUTZT
      //Die im Folgenden gelisteten Variablen werden in der EDD nicht benutzt --> hier ausge-ifdef-t.
      DP2DF0,//	1	111
      DP2DF1,//	1	112
      DP2DF2,//	1	113
      DP2DF3,//	1	114
      DP2DF4,//	1	115
      DP2DF5,//	1	116
      DP2DF6,//	1	117
      DP2DF7,//	1	118
      D22DF0,//	1	161
      D22DF1,//	1	162
      D22DF2,//	1	163
      D22DF3,//	1	164
      D22DF4,//	1	165
      D22DF5,//	1	166
      D22DF6,//	1	167
      D22DF7,//	1	168
#endif
      SIVERH,//	1	6
      SISRC,//	1	22
      SIFAHR,//	1	8
      SIFPOS,//	1	9
      SIZ,//		1	7
      NOVERH,//	1	97
      NOWSOR,//	1	98
      NOFAHR,//	1	93
      NOFPOS,//	1	95
      SWTKT,//	2	4
      TBA,//		1	23
      TBAFZ,//	1	24
      TBAPZ,//	1	25
      TBAANF,//	1	26
      TBAEND,//	1	27
      TBZ,//		1	28
      TBZFZ,//	1	29
      TBZPZ,//	1	30
      TBZANF,//	1	31
      TBZEND,//	1	32
      STRTYP,//	2	21
      TOTZ,//		1	11
      ITOTAU,//	1	12
      ITOTZU,//	1	13
      ATOT,//		1	14
      ETOLA,//	1	51
      ETOLZ,//	1	52
      PIDKP,//	1	169
      PIDTN,//	1	170
      PIDTV,//	1	171
      PIDVV,//	1	172
      PSOLL,//	1	173
      PIDINV,//	1	174
      PIDBGA,//	1	175
      PIDBGZ,//	1	176
      PIDE1A,//	1	177
      PIDRZT,//	1	178
      PIDRMI,//	1	179
      PIDRMA,//	1	180
      SWZWI,//	2	14
      Z1ENA,//	1	56
      Z1POS,//	1	54
      Z1FVER,//	1	55
      Z1SVER,//	1	57
      Z2ENA,//	1	60
      Z2POS,//	1	58
      Z2FVER,//	1	59
      Z2SVER,//	1	61
      Z3ENA,//	1	64
      Z3POS,//	1	62
      Z3FVER,//	1	63
      Z3SVER,//	1	65
      Z4ENA,//	1	68
      Z4POS,//	1	66
      Z4FVER,//	1	67
      Z4SVER,//	1	69
      Z5ENA,//	1	184
      Z5POS,//	1	182
      Z5FVER,//	1	183
      Z5SVER,//	1	185
      Z6ENA,//	1	188
      Z6POS,//	1	186
      Z6FVER,//	1	187
      Z6SVER,//	1	189
      Z7ENA,//	1	192
      Z7POS,//	1	190
      Z7FVER,//	1	191
      Z7SVER,//	1	193
      Z8ENA,//	1	196
      Z8POS,//	1	194
      Z8FVER,//	1	195
      Z8SVER,//	1	197
      SWUEBW,//	2	18
      MAXSCH,//	1	33
      MAXLZ,//	1	34
      STZUEB,//	1	35
      RKTUBW,//	2	27
      RKZUEB,//	1	1
      IF( var_Aux_nLogikVersion_08 == 1 )	//nur ab Logikversion >= 8
      {
         PHDELY,		//	2	56	Phasenberwachung
      }
      SWETYP,//	2	15
      ETKOMN,//	3	1
      ETKONA,//	3	20
      ETKKSN,//	3	2
      ETARMN,//	3	3
      ETANLN,//	3	4
      ETPRON,//	3	5
      ETNRMA,//	3	7
      ETNRAN,//	3	6
      ETHWV,//	3	19
      ETADAT,//	3	9
      ETSCHA,//	3	10
      ETAPLN,//	3	11
      ETPRJN,//	3	12
      ETKUF1,//	3	13
      ETKUF2,//	3	14
      ETSTEL,//	3	15
      ETWWW,//	3	16
      ETSRV1,//	3	17
      ETSRV2,//	3	18
      SWBDAT,//	2	14
      BMLZG,//	4	14
      BMLZ,//		4	1
      BSSPG,//	4	15
      BSSP,//		4	2
      BSDSRG,//	4	16
      BSDSR,//	4	3
      BSWSRG,//	4	17
      BSWSR,//	4	4
      BSDOLG,//	4	18
      BSDOL,//	4	5
      BSWOLG,//	4	19
      BSWOL,//	4	6
      BRESEG,//	4	25
      BRESE,//	4	13
      BDSREG,//	4	20
      BDSRE,//	4	7
      BDOLEG,//	4	21
      BDOLE,//	4	8
      BTHEG,//	4	22
      BTHE,//		4	9
      BUZEG,//	4	24
      BUZE,//		4	11
      BUMZEG,//	4	26
      BUMZE,//	4	12
      IF( var_Aux_nStatusDiagVisibleFlag != 0 )
      {
         //~ Prozessdaten (ab V2.0)
         // Darzustellende Parameter (fuer V2.0)
         var_StatusStellReglerIstPos, 		//200	1
         var_StatusDreMoInProzent,			//201	1
         var_StatusDreMoInNm,				//201	4
         var_StatusDreMoInLbsft,				//201	5
         var_StatusStellbefehleSollPos,		//202	1
         var_StatusFehlerDSRFehler,			//203	1
         var_StatusFehlerDOELFehler,
         var_StatusFehlerThermoFehler,
         var_StatusFehlerPhasenausfall,
         var_StatusFehlerKonfigFehler,
         var_StatusFehlerInternerFehler,
         var_StatusWarnungenStellzeitwarnung,//204	1
         var_StatusWarnungEDWarnung,
         var_StatusWarnungKeineReferenzfahrt,
         var_StatusWarnungInterneWarnung,
         var_StatusWarnungSigbrPAR2AnIn2,
         var_StatusWarnungSigbrPAR1AnIn1,
         var_StatusWarnungSigbrProzIstwertE4,
         var_StatusWarnungSigbrDP1AnIn1,
         var_StatusWarnungSigbrDP1AnIn2,
         var_StatusWarnungSigbrSollposE1,
         var_StatusWarnungSigbrIstposE2,
         var_StatusWarnungSigbrLWLModul,
         var_StatusWarnungSigbrDreMoE6,
         var_StatusNichtBerFernORTClient,	//205	1			
         var_StatusNichtBerFernAntriebverriegelt,
         var_StatusNichtBerFernExternerBetrieb,
         var_StatusNichtBerFernClearZustand,
         var_StatusNichtBerFernNOTFahrtaktiv,
         var_StatusNichtBerFernNOTAUSaktiv,
         var_StatusNichtBerFernWahlschNichtFern,
         var_StatusNichtBerFernFalschesKommando,
         var_StatusNichtBerFernKeineFreigage,
         var_DiagIntWarnKeineWerkseinstlg,	//206	1
         var_DiagIntWarnCANFehlerParInt1,
         var_DiagIntWarnCANFehlerDP1,
         var_DiagIntWarnCANFehlerDP2,
         var_DiagIntFehler1TMSFehler,		//207	1 		
         var_DiagIntFehler1Wahlschalterfehler,
         var_DiagIntFehler1AusgangDefekt,
         var_DiagIntFehler1CANFehlerMWG,
         var_DiagIntFehler1CANFehlerParInt1,
         var_DiagIntFehler1PhasenfolgeDefekt,
         var_DiagIntFehler124VDCFehler,
         var_DiagIntFehler1KeineReaktion,
         var_DiagIntFehler1CANFehlerDP2,
         var_DiagIntFehler1FehlerOrtssteuerstelle,
         var_DiagIntFehler1CANFehlerLogik,
         var_DiagIntFehler1CANFehlerDP1,
         var_DiagIntFehler1MWGNichtBereit,
         var_DiagIntFehler2RAMDefekt,		//207	2	 	
         var_DiagIntFehler2EEPROMdefekt,
         var_DiagKonfigFehlerE1nichtvorhanden,//207	3
         var_DiagKonfigFehlerKeineAbschaltung,
         var_DiagKonfigFehlerEndlagenEingaenge,
         var_DiagAntriebssigsThermoFehler,	//208	1
         var_DiagAntriebssigsDOEL,
         var_DiagAntriebssigsDSR,
         var_DiagAntriebssigsWOEL,
         var_DiagAntriebssigsWSR,
         var_StatusBetriebAus,				//209	1
         var_unused_s209i1_by0_2ff,			//209	1
         var_StatusBetriebOrtClient,
         var_StatusBetriebNotAus,
         var_StatusBetriebGesperrt,
         var_unused_s209i1_by1_6,
         var_StatusBetriebPIDFahrt,
         var_StatusBetriebNotFahrt,
         var_StatusBetriebSichFahrt,
         var_StatusBetriebFernSoll,
         var_StatusBetriebFernBinaer,
         var_StatusBetriebOrt,
         var_StatusStellbefehleFernAuf,		//210	1
         var_StatusStellbefehleFernZu,
         var_StatusStellbefehleFernSoll,
         var_StatusAllgemeinFaehrtAuf,		//211	1
         var_StatusAllgemeinFaehrtZu,
         var_StatusAllgemeinIstAuf,
         var_StatusAllgemeinIstZu,
         var_StatusAllgemeinIstSoll,
         var_StatusProzessreglerProzSollWertE1, // 212	1
         var_StatusProzessreglerPIDSollWert,	//213	1
         var_StatusProzessreglerPIDIstWert,	//214	1
         var_DiagPBDPIfc1HardwareVersion,	//215	1
         var_DiagPBDPIfc1SoftwareVersion,	//215	2
         var_DiagPBDPIfc1BaudSearch,			//215	3	
         var_DiagPBDPIfc1BaudControl,
         var_DiagPBDPIfc1DPMode,
         var_DiagPBDPIfc1WaitPrm,
         var_DiagPBDPIfc1WaitCfg,
         var_DiagPBDPIfc1DataEx,
         var_DiagPBDPIfc1DPFehler,
         var_DiagPBDPIfc1GCClear,
         var_DiagPBDPIfc1DatenLaenge0,
         var_DiagPBDPIfc1Kanal2aktiv,
         var_DiagPBDPIfc2HardwareVersion,	//216	1
         var_DiagPBDPIfc2SoftwareVersion,	//216	2
         var_DiagPBDPIfc2BaudSearch,			//216	3
         var_DiagPBDPIfc2BaudControl,
         var_DiagPBDPIfc2DPMode,
         var_DiagPBDPIfc2WaitPrm,
         var_DiagPBDPIfc2WaitCfg,
         var_DiagPBDPIfc2DataEx,
         var_DiagPBDPIfc2DPFehler,
         var_DiagPBDPIfc2GCClear,
         var_DiagPBDPIfc2DatenLaenge0,
         var_DiagMWG_HWVersion,		//221-1
         var_DiagMWG_SWVersion,		//221-2

#ifdef SIMULATIONSMODE_ENTWICKLUNG
         IF( (var_SIMU_MWGnichtBereit==1)
         &&  (var_SIMU_E2_IN==4) )
         {
         	var_DiagMWGKeineVerbindung,	//221-3
         	var_DiagMWGKalibriermode,
         	var_DiagMWGKeineDrehmoGrenzen,
         	var_DiagMWGKeineEndlagen,
         	var_DiagMWGFehlerDrehmosystem,
         	var_DiagMWGKeinWegnullpunkt,
         	var_DiagMWGNichtKalibriert,
         	var_DiagMWGEEPROMFehler,
         	var_DiagMWGHallsensorFehler,
         }
#else
         IF( (var_DiagIntFehler1CANFehlerMWG==1)
         &&  (E2_IN==4) )
         {
         	var_DiagMWGKeineVerbindung,	//221-3
         	var_DiagMWGKalibriermode,
         	var_DiagMWGKeineDrehmoGrenzen,
         	var_DiagMWGKeineEndlagen,
         	var_DiagMWGFehlerDrehmosystem,
         	var_DiagMWGKeinWegnullpunkt,
         	var_DiagMWGNichtKalibriert,
         	var_DiagMWGEEPROMFehler,
         	var_DiagMWGHallsensorFehler,
         }
#endif
         var_DiagLogikHWVersion,				//222	1
         var_DiagLogikSWVersion,				//222	2
         var_DiagStellgeberRohwert,			//225	1
         var_DiagStellgeberRohwertEndlageZU,	//225	2
         var_DiagStellgeberRohwertEndlageAUF,//225	3
         var_DiagStellreglerTotbandAuf,		//226	1
         var_DiagStellreglerTotbandZu,		//226	2
         var_DiagStellreglerAeusseresTotband,//226	3
         var_DiagPBDPIfc1DigIn4,				//231	1
         var_DiagPBDPIfc1DigIn3,
         var_DiagPBDPIfc1DigIn2,
         var_DiagPBDPIfc1DigIn1,
         var_DiagPBDPIfc1Analog1,			//231	2
         var_DiagPBDPIfc1Analog2,			//231	3
         var_KOMBI_TrqPosProz, 				//240	1
         var_KOMBI_TrqPosNm,
         var_KOMBI_TrqPosLbsft,
         var_KOMBI_TrqPosIstPos,
         var_KOMBI_TrqPosSollPos,
         var_KOMBI_TrqPosInfoWerte,
         var_KOMBI_AntriebsMeldungen,		//240	2
         var_KOMBI_FehlerMeldungen,
         var_KOMBI_WarnungsMeldungen,
         var_KOMBI_NichtBereitFern,
         var_KOMBI_DP1Status,				//240	3
         var_KOMBI_DP1DigIn,
         var_KOMBI_DP1AnIn1,
         var_KOMBI_DP1AnIn2,
         var_KOMBI_DP2Status,				//240	4
         var_KOMBI_DP2DigIn,
         var_KOMBI_DP2AnIn1,
         var_KOMBI_DP2AnIn2,
      }
   }
}
//~ MENU upload_variables   // Parameter werden ins Feldgert geschrieben
//~ 
MENU upload_variables	// Parameter werden ins Feldgert geschrieben
{
   LABEL		[menu_load_to_device];
   ITEMS
   {
      //		   Slot	Index
      ABSAUF,//	1	39
      ABSZU,//	1	38
      TRQAUF,//	1	40
      TRQZU,//	1	41
      ANFBRZ,//	1	53
      SHORT,//	1	37
      LCDSPR,//	2	1
      LCDKON,//	2	35
      TRQIND,//	1	238
      OSSLD1,//	1	148
      OSSLD2,//	1	149
      OSSLD3,//	1	150
      OSSLD4,//	1	151
      OSSLD5,//	1	152
      BLINK,//	2	22
      KUNPW,//	2	3
      SHFERN,//	1	44
      P1STOE,//	1	79
      P1DIG1,//	1	80
      P1DIG2,//	1	81
      P1DIG3,//	1	82
      P1DIG4,//	1	83
      P1DIG5,//	1	84
      P1A1A,//	1	70
      P1A1E,//	1	71
      P1A2A,//	1	72
      P1A2E,//	1	73
      P1A1BE,//	1	100
      P1A2BE,//	1	102
      BUSRED,//	1	4
      KANWZ,//	1	5
      DP1A1A,//	1	74
      DP1A1E,//	1	75
      DP1A2A,//	1	76
      DP1A2E,//	1	77
      IF( var_Aux_nLogikVersion_08 == 0 )	//nur lesen, wenn Logiksw < 08-xx ist
      {
         DP2RED,//	1	108
         DP2KWZ,//	1	109
      }
      SIVERH,//	1	6
      SISRC,//	1	22
      SIFAHR,//	1	8
      SIFPOS,//	1	9
      SIZ,//		1	7
      NOVERH,//	1	97
      NOWSOR,//	1	98
      NOFAHR,//	1	93
      NOFPOS,//	1	95
      SWTKT,//	2	4
      TBA,//		1	23
      TBAFZ,//	1	24
      TBAPZ,//	1	25
      TBAANF,//	1	26
      TBAEND,//	1	27
      TBZ,//		1	28
      TBZFZ,//	1	29
      TBZPZ,//	1	30
      TBZANF,//	1	31
      TBZEND,//	1	32
      STRTYP,//	2	21
      TOTZ,//		1	11
      ITOTAU,//	1	12
      ITOTZU,//	1	13
      ATOT,//		1	14
      ETOLA,//	1	51
      ETOLZ,//	1	52
      PIDKP,//	1	169
      PIDTN,//	1	170
      PIDTV,//	1	171
      PIDVV,//	1	172
      PSOLL,//	1	173
      PIDINV,//	1	174
      PIDBGA,//	1	175
      PIDBGZ,//	1	176
      PIDE1A,//	1	177
      PIDRZT,//	1	178
      PIDRMI,//	1	179
      PIDRMA,//	1	180
      SWZWI,//	2	14
      Z1ENA,//	1	56
      Z1POS,//	1	54
      Z1FVER,//	1	55
      Z1SVER,//	1	57
      Z2ENA,//	1	60
      Z2POS,//	1	58
      Z2FVER,//	1	59
      Z2SVER,//	1	61
      Z3ENA,//	1	64
      Z3POS,//	1	62
      Z3FVER,//	1	63
      Z3SVER,//	1	65
      Z4ENA,//	1	68
      Z4POS,//	1	66
      Z4FVER,//	1	67
      Z4SVER,//	1	69
      Z5ENA,//	1	184
      Z5POS,//	1	182
      Z5FVER,//	1	183
      Z5SVER,//	1	185
      Z6ENA,//	1	188
      Z6POS,//	1	186
      Z6FVER,//	1	187
      Z6SVER,//	1	189
      Z7ENA,//	1	192
      Z7POS,//	1	190
      Z7FVER,//	1	191
      Z7SVER,//	1	193
      Z8ENA,//	1	196
      Z8POS,//	1	194
      Z8FVER,//	1	195
      Z8SVER,//	1	197
      SWUEBW,//	2	18
      MAXSCH,//	1	33
      MAXLZ,//	1	34
      STZUEB,//	1	35
      RKZUEB,//	1	1
      IF( var_Aux_nLogikVersion_08 == 1 )	//nur ab Logikversion >= 8
      {
         PHDELY,		//	2	56	Phasenberwachung
      }
      SWETYP,//	2	15
      ETARMN,//	3	3
      ETANLN,//	3	4
      ETPRJN,//	3	12
      ETKUF1,//	3	13
      ETKUF2,//	3	14
      SWBDAT,//	2	14
      BMLZ,//		4	1
      BSSP,//		4	2
      BSDSR,//	4	3
      BSWSR,//	4	4
      BSDOL,//	4	5
      BSWOL,//	4	6
      BRESE,//	4	13
      BDSRE,//	4	7
      BDOLE,//	4	8
      BTHE,//		4	9
      BUZE,//		4	11
      BUMZE,//	4	12
   }
}
